START TRANSACTION;
/*!40101 SET NAMES utf8, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET UNIQUE_CHECKS=0, FOREIGN_KEY_CHECKS=0 */;
/*!40111 SET SQL_NOTES=0 */;
CREATE TABLE `xlite_attributes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_class_id` int(10) unsigned DEFAULT NULL,
  `attribute_group_id` int(10) unsigned DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `googleShoppingGroup` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `visible` tinyint(1) NOT NULL DEFAULT '1',
  `position` int(11) NOT NULL,
  `decimals` int(11) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `displayMode` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `addToNew` char(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_9665298321B06187` (`product_class_id`),
  KEY `IDX_9665298362D643B7` (`attribute_group_id`),
  KEY `IDX_966529834584665A` (`product_id`),
  CONSTRAINT `FK_9665298321B06187` FOREIGN KEY (`product_class_id`) REFERENCES `xlite_product_classes` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_966529834584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_9665298362D643B7` FOREIGN KEY (`attribute_group_id`) REFERENCES `xlite_attribute_groups` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_attributes` VALUES (1,1,NULL,NULL,NULL,1,0,0,'S','S',''),(50,NULL,NULL,NULL,NULL,1,0,0,'S','S',''),(71,2,NULL,NULL,NULL,1,0,0,'S','S',''),(72,2,NULL,NULL,NULL,1,0,0,'S','S',''),(73,2,NULL,NULL,NULL,1,0,0,'S','S',''),(74,2,NULL,NULL,NULL,0,0,0,'S','S',''),(75,2,1,NULL,NULL,1,0,0,'S','S',''),(76,2,1,NULL,NULL,1,0,0,'S','S',''),(77,2,1,NULL,NULL,1,0,0,'S','S',''),(78,2,3,NULL,NULL,0,0,0,'S','S',''),(79,2,3,NULL,NULL,0,0,0,'S','S',''),(80,2,3,NULL,NULL,0,0,0,'S','S',''),(81,2,3,NULL,NULL,0,0,0,'S','S',''),(82,2,3,NULL,NULL,0,0,0,'S','S',''),(83,2,2,NULL,NULL,1,0,0,'S','S',''),(84,2,2,NULL,NULL,1,0,0,'S','S',''),(85,2,2,NULL,NULL,0,0,0,'S','S',''),(86,2,2,NULL,NULL,1,0,0,'C','',''),(94,3,NULL,NULL,NULL,1,0,0,'S','S',''),(95,NULL,NULL,31,NULL,1,0,0,'S','S',''),(96,NULL,NULL,16,NULL,1,0,0,'S','S',''),(99,NULL,NULL,15,NULL,1,0,0,'S','S','');
CREATE TABLE `xlite_custom_global_tabs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `global_tab_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_5C09BCAD629D8673` (`global_tab_id`),
  CONSTRAINT `FK_5C09BCAD629D8673` FOREIGN KEY (`global_tab_id`) REFERENCES `xlite_global_product_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_custom_global_tabs` VALUES (1,5),(2,6),(3,7);
CREATE TABLE `xlite_segment_membership` (
  `segment_id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `membership_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`segment_id`,`membership_id`),
  KEY `IDX_958B38A0DB296AAD` (`segment_id`),
  KEY `IDX_958B38A01FB354CD` (`membership_id`),
  CONSTRAINT `FK_958B38A01FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_958B38A0DB296AAD` FOREIGN KEY (`segment_id`) REFERENCES `xlite_mailchimp_list_segments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_address_field_value` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `address_field_id` int(11) DEFAULT NULL,
  `address_id` int(11) DEFAULT NULL,
  `value` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_620FAD37BAB8F931` (`address_field_id`),
  KEY `IDX_620FAD37F5B7AF75` (`address_id`),
  CONSTRAINT `FK_620FAD37BAB8F931` FOREIGN KEY (`address_field_id`) REFERENCES `xlite_address_field` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_620FAD37F5B7AF75` FOREIGN KEY (`address_id`) REFERENCES `xlite_profile_addresses` (`address_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_address_field_value` VALUES (1,1,1,'Mr.'),(2,7,1,'595'),(3,8,1,'Oklahoma'),(4,6,1,'US'),(5,2,1,'Guest'),(6,3,1,'Guest'),(7,10,1,'0123456789'),(8,4,1,'51 apt, 87 street'),(9,5,1,'Edmond'),(10,7,1,'595'),(11,6,1,'US'),(12,9,1,'73003'),(13,1,2,'Mr.'),(14,7,2,'595'),(15,8,2,'Oklahoma'),(16,6,2,'US'),(17,2,2,'Guest'),(18,3,2,'Guest'),(19,10,2,'0123456789'),(20,4,2,'51 apt, 87 street'),(21,5,2,'Edmond'),(22,7,2,'595'),(23,6,2,'US'),(24,9,2,'73003'),(25,1,3,'Mr.'),(26,7,3,'595'),(27,8,3,'Oklahoma'),(28,6,3,'US'),(29,2,3,'Guest'),(30,3,3,'Guest'),(31,10,3,'0123456789'),(32,4,3,'51 apt, 87 street'),(33,5,3,'Edmond'),(34,7,3,'595'),(35,6,3,'US'),(36,9,3,'73003'),(37,1,4,'Mr.'),(38,7,4,'595'),(39,8,4,'Oklahoma'),(40,6,4,'US'),(41,2,4,'Guest'),(42,3,4,'Guest'),(43,10,4,'0123456789'),(44,4,4,'51 apt, 87 street'),(45,5,4,'Edmond'),(46,7,4,'595'),(47,6,4,'US'),(48,9,4,'73003'),(49,1,5,'Mr.'),(50,7,5,'595'),(51,8,5,'Oklahoma'),(52,6,5,'US'),(53,2,5,'Guest'),(54,3,5,'Guest'),(55,10,5,'0123456789'),(56,4,5,'51 apt, 87 street'),(57,5,5,'Edmond'),(58,7,5,'595'),(59,6,5,'US'),(60,9,5,'73003'),(61,1,6,'Mr.'),(62,7,6,'595'),(63,8,6,'Oklahoma'),(64,6,6,'US'),(65,2,6,'Guest'),(66,3,6,'Guest'),(67,10,6,'0123456789'),(68,4,6,'51 apt, 87 street'),(69,5,6,'Edmond'),(70,7,6,'595'),(71,6,6,'US'),(72,9,6,'73003');
CREATE TABLE `xlite_address_field_translation` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_430F4FF2BF396750` (`id`),
  CONSTRAINT `FK_430F4FF2BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_address_field` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_address_field_translation` VALUES (1,1,'Title','en'),(2,2,'First name','en'),(3,3,'Last name','en'),(4,4,'Address','en'),(5,5,'City','en'),(6,6,'Country','en'),(7,7,'State','en'),(8,8,'State','en'),(9,9,'Zip code','en'),(10,10,'Phone','en'),(11,11,'Address type','en');
CREATE TABLE `xlite_order_coupons` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `coupon_id` int(10) unsigned DEFAULT NULL,
  `code` char(16) COLLATE utf8_unicode_ci NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_451D92198D9F6D38` (`order_id`),
  KEY `IDX_451D921966C5951B` (`coupon_id`),
  CONSTRAINT `FK_451D921966C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xlite_coupons` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_451D92198D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_attribute_values_select_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_CDF9A7AFBF396750` FOREIGN KEY (`id`) REFERENCES `xlite_attribute_values_select` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_category_banners` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(10) unsigned DEFAULT NULL,
  `alt` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_69B8F0D412469DE2` (`category_id`),
  CONSTRAINT `FK_69B8F0D412469DE2` FOREIGN KEY (`category_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_category_banners` VALUES (1,2,'',2996,520,NULL,1,'fashion_6.jpeg','','image/jpeg','r',331715,1560863809),(2,6,'',2996,520,NULL,1,'beauty_banner5.jpg','','image/jpeg','r',340745,1559911154),(3,9,'',2996,520,NULL,1,'9_electronic.jpeg','','image/jpeg','r',334750,1560943954);
CREATE TABLE `xlite_session_cells` (
  `cell_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`cell_id`),
  UNIQUE KEY `iname` (`id`,`name`),
  KEY `id` (`id`),
  CONSTRAINT `FK_C8BF5944BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_sessions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_reviews` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) DEFAULT NULL,
  `respondent_id` int(11) DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `rkey_id` int(10) unsigned DEFAULT NULL,
  `review` longtext COLLATE utf8_unicode_ci NOT NULL,
  `response` longtext COLLATE utf8_unicode_ci,
  `rating` smallint(6) NOT NULL,
  `additionDate` int(11) NOT NULL,
  `responseDate` int(11) DEFAULT NULL,
  `reviewerName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `status` smallint(6) NOT NULL,
  `useForMeta` tinyint(1) NOT NULL,
  `isNew` tinyint(1) NOT NULL,
  `xcPendingExport` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_780E544DCCFA12B8` (`profile_id`),
  KEY `IDX_780E544DCE80CD19` (`respondent_id`),
  KEY `IDX_780E544D4584665A` (`product_id`),
  KEY `IDX_780E544D5A4DEAEC` (`rkey_id`),
  KEY `additionDate` (`additionDate`),
  KEY `status` (`status`),
  CONSTRAINT `FK_780E544D4584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_780E544D5A4DEAEC` FOREIGN KEY (`rkey_id`) REFERENCES `xlite_order_review_keys` (`id`) ON DELETE SET NULL,
  CONSTRAINT `FK_780E544DCCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_780E544DCE80CD19` FOREIGN KEY (`respondent_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_reviews` VALUES (1,NULL,NULL,1,NULL,'',NULL,1,1458207917,NULL,'test test',1,0,0,0),(2,NULL,NULL,1,NULL,'',NULL,1,1458121517,NULL,'test test',1,0,0,0),(3,NULL,NULL,1,NULL,'',NULL,1,1458467117,NULL,'test test',1,0,0,0),(4,NULL,NULL,1,NULL,'',NULL,1,1458899117,NULL,'test test',1,0,0,0),(5,NULL,NULL,1,NULL,'',NULL,1,1458121517,NULL,'test test',1,0,0,0),(6,NULL,NULL,1,NULL,'',NULL,1,1458121517,NULL,'test test',1,0,0,0),(7,NULL,NULL,1,NULL,'',NULL,1,1458726317,NULL,'test test',1,0,0,0),(8,NULL,NULL,1,NULL,'',NULL,1,1458294317,NULL,'test test',1,0,0,0),(9,NULL,NULL,1,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(10,NULL,NULL,1,NULL,'',NULL,1,1458380717,NULL,'test test',1,0,0,0),(11,NULL,NULL,1,NULL,'',NULL,1,1458207917,NULL,'test test',1,0,0,0),(12,NULL,NULL,1,NULL,'',NULL,1,1458553517,NULL,'test test',1,0,0,0),(13,NULL,NULL,1,NULL,'',NULL,1,1458380717,NULL,'test test',1,0,0,0),(14,NULL,NULL,1,NULL,'',NULL,1,1458207917,NULL,'test test',1,0,0,0),(15,NULL,NULL,1,NULL,'',NULL,1,1458380717,NULL,'test test',1,0,0,0),(16,NULL,NULL,2,NULL,'',NULL,1,1458726317,NULL,'test test',1,0,0,0),(17,NULL,NULL,2,NULL,'',NULL,1,1458121517,NULL,'test test',1,0,0,0),(18,NULL,NULL,2,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(19,NULL,NULL,2,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(20,NULL,NULL,2,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(21,NULL,NULL,2,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(22,NULL,NULL,2,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(23,NULL,NULL,2,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(24,NULL,NULL,2,NULL,'',NULL,2,1458467117,NULL,'test test',1,0,0,0),(25,NULL,NULL,2,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(26,NULL,NULL,2,NULL,'',NULL,2,1458812717,NULL,'test test',1,0,0,0),(27,NULL,NULL,2,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(28,NULL,NULL,2,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(29,NULL,NULL,2,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(30,NULL,NULL,2,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(31,NULL,NULL,2,NULL,'',NULL,2,1458467117,NULL,'test test',1,0,0,0),(32,NULL,NULL,2,NULL,'',NULL,2,1458639917,NULL,'test test',1,0,0,0),(33,NULL,NULL,2,NULL,'',NULL,2,1458467117,NULL,'test test',1,0,0,0),(34,NULL,NULL,2,NULL,'',NULL,2,1458035117,NULL,'test test',1,0,0,0),(35,NULL,NULL,2,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(36,NULL,NULL,2,NULL,'',NULL,2,1458639917,NULL,'test test',1,0,0,0),(37,NULL,NULL,2,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(38,NULL,NULL,2,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(39,NULL,NULL,3,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(40,NULL,NULL,3,NULL,'',NULL,1,1458380717,NULL,'test test',1,0,0,0),(41,NULL,NULL,3,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(42,NULL,NULL,3,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(43,NULL,NULL,3,NULL,'',NULL,2,1458035117,NULL,'test test',1,0,0,0),(44,NULL,NULL,3,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(45,NULL,NULL,3,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(46,NULL,NULL,3,NULL,'',NULL,2,1458467117,NULL,'test test',1,0,0,0),(47,NULL,NULL,3,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(48,NULL,NULL,3,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(49,NULL,NULL,3,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(50,NULL,NULL,3,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(51,NULL,NULL,3,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(52,NULL,NULL,3,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(53,NULL,NULL,3,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(54,NULL,NULL,3,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(55,NULL,NULL,3,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(56,NULL,NULL,3,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(57,NULL,NULL,3,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(58,NULL,NULL,3,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(59,NULL,NULL,3,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(60,NULL,NULL,3,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(61,NULL,NULL,4,NULL,'',NULL,2,1458812717,NULL,'test test',1,0,0,0),(62,NULL,NULL,4,NULL,'',NULL,1,1458639917,NULL,'test test',1,0,0,0),(63,NULL,NULL,4,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(64,NULL,NULL,4,NULL,'',NULL,2,1458380717,NULL,'test test',1,0,0,0),(65,NULL,NULL,4,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(66,NULL,NULL,4,NULL,'',NULL,2,1458812717,NULL,'test test',1,0,0,0),(67,NULL,NULL,4,NULL,'',NULL,2,1458035117,NULL,'test test',1,0,0,0),(68,NULL,NULL,4,NULL,'',NULL,2,1458812717,NULL,'test test',1,0,0,0),(69,NULL,NULL,4,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(70,NULL,NULL,4,NULL,'',NULL,2,1458035117,NULL,'test test',1,0,0,0),(71,NULL,NULL,4,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(72,NULL,NULL,4,NULL,'',NULL,2,1458121517,NULL,'test test',1,0,0,0),(73,NULL,NULL,4,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(74,NULL,NULL,4,NULL,'',NULL,2,1458294317,NULL,'test test',1,0,0,0),(75,NULL,NULL,4,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(76,NULL,NULL,4,NULL,'',NULL,2,1458639917,NULL,'test test',1,0,0,0),(77,NULL,NULL,4,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(78,NULL,NULL,5,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(79,NULL,NULL,5,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(80,NULL,NULL,5,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(81,NULL,NULL,5,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(82,NULL,NULL,5,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(83,NULL,NULL,5,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(84,NULL,NULL,5,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(85,NULL,NULL,5,NULL,'',NULL,2,1458899117,NULL,'test test',1,0,0,0),(86,NULL,NULL,5,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(87,NULL,NULL,5,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(88,NULL,NULL,5,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(89,NULL,NULL,5,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(90,NULL,NULL,5,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(91,NULL,NULL,5,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(92,NULL,NULL,5,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(93,NULL,NULL,5,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(94,NULL,NULL,5,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(95,NULL,NULL,5,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(96,NULL,NULL,5,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(97,NULL,NULL,5,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(98,NULL,NULL,5,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(99,NULL,NULL,5,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(100,NULL,NULL,6,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(101,NULL,NULL,6,NULL,'',NULL,2,1458207917,NULL,'test test',1,0,0,0),(102,NULL,NULL,6,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(103,NULL,NULL,6,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(104,NULL,NULL,6,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(105,NULL,NULL,6,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(106,NULL,NULL,6,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(107,NULL,NULL,6,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(108,NULL,NULL,6,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(109,NULL,NULL,6,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(110,NULL,NULL,6,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(111,NULL,NULL,6,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(112,NULL,NULL,6,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(113,NULL,NULL,6,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(114,NULL,NULL,6,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(115,NULL,NULL,6,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(116,NULL,NULL,6,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(117,NULL,NULL,6,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(118,NULL,NULL,6,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(119,NULL,NULL,7,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(120,NULL,NULL,7,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(121,NULL,NULL,7,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(122,NULL,NULL,7,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(123,NULL,NULL,7,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(124,NULL,NULL,7,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(125,NULL,NULL,7,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(126,NULL,NULL,7,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(127,NULL,NULL,7,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(128,NULL,NULL,7,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(129,NULL,NULL,7,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(130,NULL,NULL,7,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(131,NULL,NULL,7,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(132,NULL,NULL,7,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(133,NULL,NULL,7,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(134,NULL,NULL,8,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(135,NULL,NULL,8,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(136,NULL,NULL,8,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(137,NULL,NULL,8,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(138,NULL,NULL,8,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(139,NULL,NULL,8,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(140,NULL,NULL,8,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(141,NULL,NULL,8,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(142,NULL,NULL,8,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(143,NULL,NULL,8,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(144,NULL,NULL,8,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(145,NULL,NULL,8,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(146,NULL,NULL,8,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(147,NULL,NULL,8,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(148,NULL,NULL,8,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(149,NULL,NULL,8,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(150,NULL,NULL,8,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(151,NULL,NULL,8,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(152,NULL,NULL,8,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(153,NULL,NULL,8,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(154,NULL,NULL,8,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(155,NULL,NULL,8,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(156,NULL,NULL,8,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(157,NULL,NULL,8,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(158,NULL,NULL,9,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(159,NULL,NULL,9,NULL,'',NULL,2,1458553517,NULL,'test test',1,0,0,0),(160,NULL,NULL,9,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(161,NULL,NULL,9,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(162,NULL,NULL,9,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(163,NULL,NULL,9,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(164,NULL,NULL,9,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(165,NULL,NULL,9,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(166,NULL,NULL,9,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(167,NULL,NULL,9,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(168,NULL,NULL,9,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(169,NULL,NULL,9,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(170,NULL,NULL,9,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(171,NULL,NULL,9,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(172,NULL,NULL,9,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(173,NULL,NULL,9,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(174,NULL,NULL,9,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(175,NULL,NULL,9,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(176,NULL,NULL,10,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(177,NULL,NULL,10,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(178,NULL,NULL,10,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(179,NULL,NULL,10,NULL,'',NULL,2,1458726317,NULL,'test test',1,0,0,0),(180,NULL,NULL,10,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(181,NULL,NULL,10,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(182,NULL,NULL,10,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(183,NULL,NULL,10,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(184,NULL,NULL,10,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(185,NULL,NULL,10,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(186,NULL,NULL,10,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(187,NULL,NULL,10,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(188,NULL,NULL,10,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(189,NULL,NULL,10,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(190,NULL,NULL,10,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(191,NULL,NULL,10,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(192,NULL,NULL,10,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(193,NULL,NULL,10,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(194,NULL,NULL,10,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(195,NULL,NULL,10,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(196,NULL,NULL,10,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(197,NULL,NULL,10,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(198,NULL,NULL,11,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(199,NULL,NULL,11,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(200,NULL,NULL,11,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(201,NULL,NULL,11,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(202,NULL,NULL,11,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(203,NULL,NULL,11,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(204,NULL,NULL,11,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(205,NULL,NULL,11,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(206,NULL,NULL,11,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(207,NULL,NULL,11,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(208,NULL,NULL,11,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(209,NULL,NULL,11,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(210,NULL,NULL,11,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(211,NULL,NULL,11,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(212,NULL,NULL,11,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(213,NULL,NULL,11,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(214,NULL,NULL,11,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(215,NULL,NULL,12,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(216,NULL,NULL,12,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(217,NULL,NULL,12,NULL,'',NULL,3,1458294317,NULL,'test test',1,0,0,0),(218,NULL,NULL,12,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(219,NULL,NULL,12,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(220,NULL,NULL,12,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(221,NULL,NULL,12,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(222,NULL,NULL,12,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(223,NULL,NULL,12,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(224,NULL,NULL,12,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(225,NULL,NULL,12,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(226,NULL,NULL,12,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(227,NULL,NULL,12,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(228,NULL,NULL,12,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(229,NULL,NULL,12,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(230,NULL,NULL,12,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(231,NULL,NULL,12,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(232,NULL,NULL,12,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(233,NULL,NULL,12,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(234,NULL,NULL,12,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(235,NULL,NULL,13,NULL,'',NULL,3,1458639917,NULL,'test test',1,0,0,0),(236,NULL,NULL,13,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(237,NULL,NULL,13,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(238,NULL,NULL,13,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(239,NULL,NULL,13,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(240,NULL,NULL,13,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(241,NULL,NULL,13,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(242,NULL,NULL,13,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(243,NULL,NULL,13,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(244,NULL,NULL,13,NULL,'',NULL,3,1458899117,NULL,'test test',1,0,0,0),(245,NULL,NULL,13,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(246,NULL,NULL,13,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(247,NULL,NULL,13,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(248,NULL,NULL,13,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(249,NULL,NULL,13,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(250,NULL,NULL,14,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(251,NULL,NULL,14,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(252,NULL,NULL,14,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(253,NULL,NULL,14,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(254,NULL,NULL,14,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(255,NULL,NULL,14,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(256,NULL,NULL,14,NULL,'',NULL,3,1458207917,NULL,'test test',1,0,0,0),(257,NULL,NULL,14,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(258,NULL,NULL,14,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(259,NULL,NULL,14,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(260,NULL,NULL,14,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(261,NULL,NULL,14,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(262,NULL,NULL,14,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(263,NULL,NULL,14,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(264,NULL,NULL,14,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(265,NULL,NULL,14,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(266,NULL,NULL,14,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(267,NULL,NULL,14,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(268,NULL,NULL,14,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(269,NULL,NULL,14,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(270,NULL,NULL,14,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(271,NULL,NULL,15,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(272,NULL,NULL,15,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(273,NULL,NULL,15,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(274,NULL,NULL,15,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(275,NULL,NULL,15,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(276,NULL,NULL,15,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(277,NULL,NULL,15,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(278,NULL,NULL,15,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(279,NULL,NULL,15,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(280,NULL,NULL,15,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(281,NULL,NULL,15,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(282,NULL,NULL,15,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(283,NULL,NULL,15,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(284,NULL,NULL,15,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(285,NULL,NULL,15,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(286,NULL,NULL,15,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(287,NULL,NULL,15,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(288,NULL,NULL,16,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(289,NULL,NULL,16,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(290,NULL,NULL,16,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(291,NULL,NULL,16,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(292,NULL,NULL,16,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(293,NULL,NULL,16,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(294,NULL,NULL,16,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(295,NULL,NULL,16,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(296,NULL,NULL,16,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(297,NULL,NULL,16,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(298,NULL,NULL,16,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(299,NULL,NULL,16,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(300,NULL,NULL,16,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(301,NULL,NULL,16,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(302,NULL,NULL,16,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(303,NULL,NULL,16,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(304,NULL,NULL,16,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(305,NULL,NULL,16,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(306,NULL,NULL,16,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(307,NULL,NULL,16,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(308,NULL,NULL,16,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(309,NULL,NULL,16,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(310,NULL,NULL,17,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(311,NULL,NULL,17,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(312,NULL,NULL,17,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(313,NULL,NULL,17,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(314,NULL,NULL,17,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(315,NULL,NULL,17,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(316,NULL,NULL,17,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(317,NULL,NULL,17,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(318,NULL,NULL,17,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(319,NULL,NULL,17,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(320,NULL,NULL,17,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(321,NULL,NULL,17,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(322,NULL,NULL,17,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(323,NULL,NULL,17,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(324,NULL,NULL,17,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(325,NULL,NULL,17,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(326,NULL,NULL,17,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(327,NULL,NULL,17,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(328,NULL,NULL,17,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(329,NULL,NULL,17,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(330,NULL,NULL,17,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(331,NULL,NULL,18,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(332,NULL,NULL,18,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(333,NULL,NULL,18,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(334,NULL,NULL,18,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(335,NULL,NULL,18,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(336,NULL,NULL,18,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(337,NULL,NULL,18,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(338,NULL,NULL,18,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(339,NULL,NULL,18,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(340,NULL,NULL,18,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(341,NULL,NULL,18,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(342,NULL,NULL,18,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(343,NULL,NULL,18,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(344,NULL,NULL,18,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(345,NULL,NULL,18,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(346,NULL,NULL,18,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(347,NULL,NULL,18,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(348,NULL,NULL,18,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(349,NULL,NULL,18,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(350,NULL,NULL,18,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(351,NULL,NULL,18,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(352,NULL,NULL,18,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(353,NULL,NULL,18,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(354,NULL,NULL,18,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(355,NULL,NULL,19,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(356,NULL,NULL,19,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(357,NULL,NULL,19,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(358,NULL,NULL,19,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(359,NULL,NULL,19,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(360,NULL,NULL,19,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(361,NULL,NULL,19,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(362,NULL,NULL,19,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(363,NULL,NULL,19,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(364,NULL,NULL,19,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(365,NULL,NULL,19,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(366,NULL,NULL,19,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(367,NULL,NULL,19,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(368,NULL,NULL,19,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(369,NULL,NULL,19,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(370,NULL,NULL,19,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(371,NULL,NULL,20,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(372,NULL,NULL,20,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(373,NULL,NULL,20,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(374,NULL,NULL,20,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(375,NULL,NULL,20,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(376,NULL,NULL,20,NULL,'',NULL,3,1458812717,NULL,'test test',1,0,0,0),(377,NULL,NULL,20,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(378,NULL,NULL,20,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(379,NULL,NULL,20,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(380,NULL,NULL,20,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(381,NULL,NULL,20,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(382,NULL,NULL,20,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(383,NULL,NULL,20,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(384,NULL,NULL,20,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(385,NULL,NULL,20,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(386,NULL,NULL,20,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(387,NULL,NULL,20,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(388,NULL,NULL,20,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(389,NULL,NULL,20,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(390,NULL,NULL,20,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(391,NULL,NULL,20,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(392,NULL,NULL,20,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(393,NULL,NULL,20,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(394,NULL,NULL,20,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(395,NULL,NULL,20,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(396,NULL,NULL,21,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(397,NULL,NULL,21,NULL,'',NULL,3,1458035117,NULL,'test test',1,0,0,0),(398,NULL,NULL,21,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(399,NULL,NULL,21,NULL,'',NULL,3,1458380717,NULL,'test test',1,0,0,0),(400,NULL,NULL,21,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(401,NULL,NULL,21,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(402,NULL,NULL,21,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(403,NULL,NULL,21,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(404,NULL,NULL,21,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(405,NULL,NULL,21,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(406,NULL,NULL,21,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(407,NULL,NULL,21,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(408,NULL,NULL,21,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(409,NULL,NULL,21,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(410,NULL,NULL,21,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(411,NULL,NULL,21,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(412,NULL,NULL,21,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(413,NULL,NULL,21,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(414,NULL,NULL,21,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(415,NULL,NULL,21,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(416,NULL,NULL,21,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(417,NULL,NULL,21,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(418,NULL,NULL,22,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(419,NULL,NULL,22,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(420,NULL,NULL,22,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(421,NULL,NULL,22,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(422,NULL,NULL,22,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(423,NULL,NULL,22,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(424,NULL,NULL,22,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(425,NULL,NULL,22,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(426,NULL,NULL,22,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(427,NULL,NULL,22,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(428,NULL,NULL,22,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(429,NULL,NULL,22,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(430,NULL,NULL,22,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(431,NULL,NULL,22,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(432,NULL,NULL,22,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(433,NULL,NULL,22,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(434,NULL,NULL,22,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(435,NULL,NULL,23,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(436,NULL,NULL,23,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(437,NULL,NULL,23,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(438,NULL,NULL,23,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(439,NULL,NULL,23,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(440,NULL,NULL,23,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(441,NULL,NULL,23,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(442,NULL,NULL,23,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(443,NULL,NULL,23,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(444,NULL,NULL,23,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(445,NULL,NULL,23,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(446,NULL,NULL,23,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(447,NULL,NULL,23,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(448,NULL,NULL,23,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(449,NULL,NULL,23,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(450,NULL,NULL,23,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(451,NULL,NULL,23,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(452,NULL,NULL,23,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(453,NULL,NULL,23,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(454,NULL,NULL,23,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(455,NULL,NULL,23,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(456,NULL,NULL,23,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(457,NULL,NULL,23,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(458,NULL,NULL,24,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(459,NULL,NULL,24,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(460,NULL,NULL,24,NULL,'',NULL,3,1458553517,NULL,'test test',1,0,0,0),(461,NULL,NULL,24,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(462,NULL,NULL,24,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(463,NULL,NULL,24,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(464,NULL,NULL,24,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(465,NULL,NULL,24,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(466,NULL,NULL,24,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(467,NULL,NULL,24,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(468,NULL,NULL,24,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(469,NULL,NULL,24,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(470,NULL,NULL,24,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(471,NULL,NULL,24,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(472,NULL,NULL,24,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(473,NULL,NULL,25,NULL,'',NULL,3,1458467117,NULL,'test test',1,0,0,0),(474,NULL,NULL,25,NULL,'',NULL,3,1458121517,NULL,'test test',1,0,0,0),(475,NULL,NULL,25,NULL,'',NULL,3,1458726317,NULL,'test test',1,0,0,0),(476,NULL,NULL,25,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(477,NULL,NULL,25,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(478,NULL,NULL,25,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(479,NULL,NULL,25,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(480,NULL,NULL,25,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(481,NULL,NULL,25,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(482,NULL,NULL,25,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(483,NULL,NULL,25,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(484,NULL,NULL,25,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(485,NULL,NULL,25,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(486,NULL,NULL,25,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(487,NULL,NULL,25,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(488,NULL,NULL,25,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(489,NULL,NULL,25,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(490,NULL,NULL,25,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(491,NULL,NULL,25,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(492,NULL,NULL,26,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(493,NULL,NULL,26,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(494,NULL,NULL,26,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(495,NULL,NULL,26,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(496,NULL,NULL,26,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(497,NULL,NULL,26,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(498,NULL,NULL,26,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(499,NULL,NULL,26,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(500,NULL,NULL,26,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(501,NULL,NULL,26,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(502,NULL,NULL,26,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(503,NULL,NULL,26,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(504,NULL,NULL,26,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(505,NULL,NULL,26,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(506,NULL,NULL,26,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(507,NULL,NULL,26,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(508,NULL,NULL,26,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(509,NULL,NULL,26,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(510,NULL,NULL,26,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(511,NULL,NULL,27,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(512,NULL,NULL,27,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(513,NULL,NULL,27,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(514,NULL,NULL,27,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(515,NULL,NULL,27,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(516,NULL,NULL,27,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(517,NULL,NULL,27,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(518,NULL,NULL,27,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(519,NULL,NULL,27,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(520,NULL,NULL,27,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(521,NULL,NULL,27,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(522,NULL,NULL,27,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(523,NULL,NULL,27,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(524,NULL,NULL,27,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(525,NULL,NULL,27,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(526,NULL,NULL,28,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(527,NULL,NULL,28,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(528,NULL,NULL,28,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(529,NULL,NULL,28,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(530,NULL,NULL,28,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(531,NULL,NULL,28,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(532,NULL,NULL,28,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(533,NULL,NULL,28,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(534,NULL,NULL,28,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(535,NULL,NULL,28,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(536,NULL,NULL,28,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(537,NULL,NULL,28,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(538,NULL,NULL,28,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(539,NULL,NULL,28,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(540,NULL,NULL,28,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(541,NULL,NULL,28,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(542,NULL,NULL,28,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(543,NULL,NULL,29,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(544,NULL,NULL,29,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(545,NULL,NULL,29,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(546,NULL,NULL,29,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(547,NULL,NULL,29,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(548,NULL,NULL,29,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(549,NULL,NULL,29,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(550,NULL,NULL,29,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(551,NULL,NULL,29,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(552,NULL,NULL,29,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(553,NULL,NULL,29,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(554,NULL,NULL,29,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(555,NULL,NULL,29,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(556,NULL,NULL,29,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(557,NULL,NULL,29,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(558,NULL,NULL,29,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(559,NULL,NULL,29,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(560,NULL,NULL,29,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(561,NULL,NULL,30,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(562,NULL,NULL,30,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(563,NULL,NULL,30,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(564,NULL,NULL,30,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(565,NULL,NULL,30,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(566,NULL,NULL,30,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(567,NULL,NULL,30,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(568,NULL,NULL,30,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(569,NULL,NULL,30,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(570,NULL,NULL,30,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(571,NULL,NULL,30,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(572,NULL,NULL,30,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(573,NULL,NULL,30,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(574,NULL,NULL,30,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(575,NULL,NULL,30,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(576,NULL,NULL,30,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(577,NULL,NULL,30,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(578,NULL,NULL,30,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(579,NULL,NULL,30,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(580,NULL,NULL,30,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(581,NULL,NULL,31,NULL,'',NULL,4,1458467117,NULL,'test test',1,0,0,0),(582,NULL,NULL,31,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(583,NULL,NULL,31,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(584,NULL,NULL,31,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(585,NULL,NULL,31,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(586,NULL,NULL,31,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(587,NULL,NULL,31,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(588,NULL,NULL,31,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(589,NULL,NULL,31,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(590,NULL,NULL,31,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(591,NULL,NULL,31,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(592,NULL,NULL,31,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(593,NULL,NULL,31,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(594,NULL,NULL,31,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(595,NULL,NULL,31,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(596,NULL,NULL,31,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(597,NULL,NULL,31,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(598,NULL,NULL,31,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(599,NULL,NULL,31,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(600,NULL,NULL,31,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(601,NULL,NULL,31,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(602,NULL,NULL,31,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(603,NULL,NULL,32,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(604,NULL,NULL,32,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(605,NULL,NULL,32,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(606,NULL,NULL,32,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(607,NULL,NULL,32,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(608,NULL,NULL,32,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(609,NULL,NULL,32,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(610,NULL,NULL,32,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(611,NULL,NULL,32,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(612,NULL,NULL,32,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(613,NULL,NULL,32,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(614,NULL,NULL,32,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(615,NULL,NULL,32,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(616,NULL,NULL,32,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(617,NULL,NULL,32,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(618,NULL,NULL,32,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(619,NULL,NULL,33,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(620,NULL,NULL,33,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(621,NULL,NULL,33,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(622,NULL,NULL,33,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(623,NULL,NULL,33,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(624,NULL,NULL,33,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(625,NULL,NULL,33,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(626,NULL,NULL,33,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(627,NULL,NULL,33,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(628,NULL,NULL,33,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(629,NULL,NULL,33,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(630,NULL,NULL,33,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(631,NULL,NULL,33,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(632,NULL,NULL,33,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(633,NULL,NULL,33,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(634,NULL,NULL,33,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(635,NULL,NULL,33,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(636,NULL,NULL,33,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(637,NULL,NULL,33,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(638,NULL,NULL,34,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(639,NULL,NULL,34,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(640,NULL,NULL,34,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(641,NULL,NULL,34,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(642,NULL,NULL,34,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(643,NULL,NULL,34,NULL,'',NULL,4,1458035117,NULL,'test test',1,0,0,0),(644,NULL,NULL,34,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(645,NULL,NULL,34,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(646,NULL,NULL,34,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(647,NULL,NULL,34,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(648,NULL,NULL,34,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(649,NULL,NULL,34,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(650,NULL,NULL,34,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(651,NULL,NULL,34,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(652,NULL,NULL,34,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(653,NULL,NULL,34,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(654,NULL,NULL,35,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(655,NULL,NULL,35,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(656,NULL,NULL,35,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(657,NULL,NULL,35,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(658,NULL,NULL,35,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(659,NULL,NULL,35,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(660,NULL,NULL,35,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(661,NULL,NULL,35,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(662,NULL,NULL,35,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(663,NULL,NULL,35,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(664,NULL,NULL,35,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(665,NULL,NULL,35,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(666,NULL,NULL,35,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(667,NULL,NULL,35,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(668,NULL,NULL,35,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(669,NULL,NULL,35,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(670,NULL,NULL,35,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(671,NULL,NULL,36,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(672,NULL,NULL,36,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(673,NULL,NULL,36,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(674,NULL,NULL,36,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(675,NULL,NULL,36,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(676,NULL,NULL,36,NULL,'',NULL,4,1458380717,NULL,'test test',1,0,0,0),(677,NULL,NULL,36,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(678,NULL,NULL,36,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(679,NULL,NULL,36,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(680,NULL,NULL,36,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(681,NULL,NULL,36,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(682,NULL,NULL,36,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(683,NULL,NULL,36,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(684,NULL,NULL,36,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(685,NULL,NULL,36,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(686,NULL,NULL,37,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(687,NULL,NULL,37,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(688,NULL,NULL,37,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(689,NULL,NULL,37,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(690,NULL,NULL,37,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(691,NULL,NULL,37,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(692,NULL,NULL,37,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(693,NULL,NULL,37,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(694,NULL,NULL,37,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(695,NULL,NULL,37,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(696,NULL,NULL,37,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(697,NULL,NULL,37,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(698,NULL,NULL,37,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(699,NULL,NULL,37,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(700,NULL,NULL,37,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(701,NULL,NULL,37,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(702,NULL,NULL,37,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(703,NULL,NULL,38,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(704,NULL,NULL,38,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(705,NULL,NULL,38,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(706,NULL,NULL,38,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(707,NULL,NULL,38,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(708,NULL,NULL,38,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(709,NULL,NULL,38,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(710,NULL,NULL,38,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(711,NULL,NULL,38,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(712,NULL,NULL,38,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(713,NULL,NULL,38,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(714,NULL,NULL,38,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(715,NULL,NULL,38,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(716,NULL,NULL,38,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(717,NULL,NULL,38,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(718,NULL,NULL,38,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(719,NULL,NULL,38,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(720,NULL,NULL,38,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(721,NULL,NULL,39,NULL,'',NULL,4,1458812717,NULL,'test test',1,0,0,0),(722,NULL,NULL,39,NULL,'',NULL,4,1458294317,NULL,'test test',1,0,0,0),(723,NULL,NULL,39,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(724,NULL,NULL,39,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(725,NULL,NULL,39,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(726,NULL,NULL,39,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(727,NULL,NULL,39,NULL,'',NULL,4,1458207917,NULL,'test test',1,0,0,0),(728,NULL,NULL,39,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(729,NULL,NULL,39,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(730,NULL,NULL,39,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(731,NULL,NULL,39,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(732,NULL,NULL,39,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(733,NULL,NULL,39,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(734,NULL,NULL,39,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(735,NULL,NULL,39,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(736,NULL,NULL,39,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(737,NULL,NULL,39,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(738,NULL,NULL,39,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(739,NULL,NULL,39,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(740,NULL,NULL,39,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(741,NULL,NULL,39,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(742,NULL,NULL,40,NULL,'',NULL,4,1458121517,NULL,'test test',1,0,0,0),(743,NULL,NULL,40,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(744,NULL,NULL,40,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(745,NULL,NULL,40,NULL,'',NULL,4,1458726317,NULL,'test test',1,0,0,0),(746,NULL,NULL,40,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(747,NULL,NULL,40,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(748,NULL,NULL,40,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(749,NULL,NULL,40,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(750,NULL,NULL,40,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(751,NULL,NULL,40,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(752,NULL,NULL,40,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(753,NULL,NULL,40,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(754,NULL,NULL,40,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(755,NULL,NULL,40,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(756,NULL,NULL,40,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(757,NULL,NULL,41,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(758,NULL,NULL,41,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(759,NULL,NULL,41,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(760,NULL,NULL,41,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(761,NULL,NULL,41,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(762,NULL,NULL,41,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(763,NULL,NULL,41,NULL,'',NULL,5,1458467117,NULL,'test test',1,0,0,0),(764,NULL,NULL,41,NULL,'',NULL,4,1458899117,NULL,'test test',1,0,0,0),(765,NULL,NULL,41,NULL,'',NULL,5,1458639917,NULL,'test test',1,0,0,0),(766,NULL,NULL,41,NULL,'',NULL,4,1458553517,NULL,'test test',1,0,0,0),(767,NULL,NULL,41,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(768,NULL,NULL,41,NULL,'',NULL,5,1458035117,NULL,'test test',1,0,0,0),(769,NULL,NULL,41,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0),(770,NULL,NULL,41,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(771,NULL,NULL,41,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(772,NULL,NULL,41,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(773,NULL,NULL,41,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(774,NULL,NULL,41,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(775,NULL,NULL,41,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(776,NULL,NULL,41,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(777,NULL,NULL,41,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(778,NULL,NULL,42,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(779,NULL,NULL,42,NULL,'',NULL,4,1458639917,NULL,'test test',1,0,0,0),(780,NULL,NULL,42,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(781,NULL,NULL,42,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(782,NULL,NULL,42,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(783,NULL,NULL,42,NULL,'',NULL,5,1458726317,NULL,'test test',1,0,0,0),(784,NULL,NULL,42,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(785,NULL,NULL,42,NULL,'',NULL,5,1458553517,NULL,'test test',1,0,0,0),(786,NULL,NULL,42,NULL,'',NULL,5,1458899117,NULL,'test test',1,0,0,0),(787,NULL,NULL,42,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(788,NULL,NULL,42,NULL,'',NULL,5,1458207917,NULL,'test test',1,0,0,0),(789,NULL,NULL,42,NULL,'',NULL,5,1458380717,NULL,'test test',1,0,0,0),(790,NULL,NULL,42,NULL,'',NULL,5,1458121517,NULL,'test test',1,0,0,0),(791,NULL,NULL,42,NULL,'',NULL,5,1458294317,NULL,'test test',1,0,0,0),(792,NULL,NULL,42,NULL,'',NULL,5,1458812717,NULL,'test test',1,0,0,0);
CREATE TABLE `xlite_newsletter_subscriptions_subscribers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`),
  KEY `IDX_D0911E5FCCFA12B8` (`profile_id`),
  CONSTRAINT `FK_D0911E5FCCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_capost_office` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `officeId` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `location` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `distance` decimal(12,2) NOT NULL,
  `bilingualDesignation` tinyint(1) NOT NULL,
  `city` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `latitude` decimal(15,5) NOT NULL,
  `longitude` decimal(15,5) NOT NULL,
  `postalCode` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `province` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `officeAddress` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `workingHours` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `orderId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_CE3DE61FFA237437` (`orderId`),
  CONSTRAINT `FK_CE3DE61FFA237437` FOREIGN KEY (`orderId`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_payment_method_country_position` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `method_id` int(11) DEFAULT NULL,
  `countryCode` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `adminPosition` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `method_country` (`method_id`,`countryCode`),
  KEY `IDX_6B5D20E519883967` (`method_id`),
  KEY `adminPosition` (`adminPosition`),
  CONSTRAINT `FK_6B5D20E519883967` FOREIGN KEY (`method_id`) REFERENCES `xlite_payment_methods` (`method_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_vendor_convo_messages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `conversation_id` int(10) unsigned DEFAULT NULL,
  `profile_id` int(11) DEFAULT NULL,
  `date` int(10) unsigned NOT NULL,
  `body` longtext COLLATE utf8_unicode_ci NOT NULL,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_329529AC0396` (`conversation_id`),
  KEY `IDX_32952CCFA12B8` (`profile_id`),
  CONSTRAINT `FK_329529AC0396` FOREIGN KEY (`conversation_id`) REFERENCES `xlite_conversations` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_32952CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_quick_data` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `zone_id` int(11) DEFAULT NULL,
  `price` decimal(14,4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_C6F6D1AD4584665A` (`product_id`),
  KEY `IDX_C6F6D1AD1FB354CD` (`membership_id`),
  KEY `IDX_C6F6D1AD9F2C3FAB` (`zone_id`),
  KEY `customerArea` (`membership_id`,`product_id`),
  CONSTRAINT `FK_C6F6D1AD1FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_C6F6D1AD4584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_C6F6D1AD9F2C3FAB` FOREIGN KEY (`zone_id`) REFERENCES `xlite_zones` (`zone_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_quick_data` VALUES (1,1,1,NULL,19.9900),(2,1,NULL,NULL,19.9900),(3,2,1,NULL,49.9900),(4,2,NULL,NULL,49.9900),(5,3,1,NULL,19.9900),(6,3,NULL,NULL,19.9900),(7,4,1,NULL,24.9900),(8,4,NULL,NULL,24.9900),(9,5,1,NULL,19.9900),(10,5,NULL,NULL,19.9900),(11,6,1,NULL,79.9900),(12,6,NULL,NULL,47.9900),(13,7,1,NULL,29.9900),(14,7,NULL,NULL,29.9900),(15,8,1,NULL,19.9900),(16,8,NULL,NULL,14.9900),(17,9,1,NULL,19.9900),(18,9,NULL,NULL,19.9900),(19,10,1,NULL,34.9900),(20,10,NULL,NULL,34.9900),(21,11,1,NULL,14.9900),(22,11,NULL,NULL,14.9900),(23,12,1,NULL,9.9900),(24,12,NULL,NULL,9.9900),(25,13,1,NULL,39.9900),(26,13,NULL,NULL,39.9900),(27,14,1,NULL,29.9900),(28,14,NULL,NULL,25.4900),(29,15,1,NULL,19.9900),(30,15,NULL,NULL,14.9900),(31,16,1,NULL,99.0000),(32,16,NULL,NULL,99.0000),(33,17,1,NULL,49.9900),(34,17,NULL,NULL,49.9900),(35,18,1,NULL,19.9900),(36,18,NULL,NULL,19.9900),(37,19,1,NULL,9.9900),(38,19,NULL,NULL,9.9900),(39,20,1,NULL,9.9900),(40,20,NULL,NULL,9.9900),(41,21,1,NULL,29.9900),(42,21,NULL,NULL,29.9900),(43,22,1,NULL,19.9900),(44,22,NULL,NULL,19.9900),(45,23,1,NULL,29.9900),(46,23,NULL,NULL,29.9900),(47,24,1,NULL,14.9900),(48,24,NULL,NULL,14.9900),(49,25,1,NULL,19.9900),(50,25,NULL,NULL,19.9900),(51,26,1,NULL,12.9900),(52,26,NULL,NULL,6.4900),(53,27,1,NULL,69.9900),(54,27,NULL,NULL,69.9900),(55,28,1,NULL,850.0000),(56,28,NULL,NULL,850.0000),(57,29,1,NULL,650.0000),(58,29,NULL,NULL,650.0000),(59,30,1,NULL,399.0000),(60,30,NULL,NULL,399.0000),(61,31,1,NULL,299.0000),(62,31,NULL,NULL,299.0000),(63,32,1,NULL,79.9900),(64,32,NULL,NULL,79.9900),(65,33,1,NULL,49.9900),(66,33,NULL,NULL,19.9900),(67,34,1,NULL,59.9900),(68,34,NULL,NULL,44.9900),(69,35,1,NULL,299.9900),(70,35,NULL,NULL,299.9900),(71,36,1,NULL,11.9900),(72,36,NULL,NULL,11.9900),(73,37,1,NULL,139.9900),(74,37,NULL,NULL,139.9900),(75,38,1,NULL,49.9900),(76,38,NULL,NULL,39.9900),(77,39,1,NULL,34.9900),(78,39,NULL,NULL,34.9900),(79,40,1,NULL,817.5900),(80,40,NULL,NULL,817.5900),(81,41,1,NULL,199.9900),(82,41,NULL,NULL,199.9900),(83,42,1,NULL,19.9900),(84,42,NULL,NULL,19.9900),(85,43,1,NULL,12.0000),(86,43,NULL,NULL,12.0000),(87,44,1,NULL,28.0000),(88,44,NULL,NULL,28.0000),(89,45,1,NULL,83.0000),(90,45,NULL,NULL,83.0000),(91,46,1,NULL,25.0000),(92,46,NULL,NULL,25.0000),(93,47,1,NULL,17.0000),(94,47,NULL,NULL,17.0000),(95,48,1,NULL,21.0000),(96,48,NULL,NULL,21.0000),(97,49,1,NULL,16.0000),(98,49,NULL,NULL,16.0000),(99,50,1,NULL,22.0000),(100,50,NULL,NULL,22.0000);
CREATE TABLE `xlite_page_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `ogMeta` longtext COLLATE utf8_unicode_ci,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `teaser` longtext COLLATE utf8_unicode_ci NOT NULL,
  `body` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaKeywords` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_D4ABAC0BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_pages` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_page_translations` VALUES (1,1,'','Terms and conditions','Terms and conditions','<p>Terms and conditions text</p><p>To replace this text with the actual Terms and conditions, go to the \"Content -> Pages\" section, open the \"Terms &amp; Conditions\" page and edit the \"Content\" field.</p>','','','en'),(2,1,'','Условия использования','Условия использования','<p>Чтобы разместить на этой странице Ваш собственный текст \"Условия использования\", перейдите в раздел \"Содержание -> Страницы\", откройте для редактирования страницу \"Условия использования\" и добавьте требуемый текст в поле \"Содержание\".</p>','','','ru'),(3,1,'','条款约定','条款约定','<p>内容描述</p><p>要替代该条款内的内容，请到&ldquo;内容-网页&ldquo;中进行设置，打开页面编辑并在这里编辑内容栏目。</p>','','','zh'),(4,2,'','Shipping','Shipping teaser','<p>This page is intended for your store\'s shipping policy.</p><p>Here you can provide general information about the available shipping options and rates, shipping turn-around times, size and weight limits for shipping, shipping restrictions, order tracking, and so on.</p><p></p><p>To replace this text with the actual delivery information, go to the \"Content -> Pages\" section, open the \"Shipping\" page and edit the \"Content\" field.</p>','','','en'),(5,2,'','Доставка','Доставка','<p>Чтобы разместить на этой странице Ваш собственный текст \"Доставка\", перейдите в раздел \"Содержание -> Страницы\", откройте для редактирования страницу \"Доставка\" и добавьте требуемый текст в поле \"Содержание\".</p>','','','ru'),(6,2,'','关于运输','关于运输','<p>关于运输的内容</p><p>要设置该页面的运输项目内容，请到&rdquo;内容-页面&rdquo;中打开关于运输页面进行修改。</p>','','','zh');
CREATE TABLE `xlite_order_capost_parcel_shipment_tracking` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `expiry` int(10) unsigned NOT NULL,
  `pin` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `activeExists` tinyint(1) NOT NULL,
  `archiveExists` tinyint(1) NOT NULL,
  `destinationPostalId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `expectedDeliveryDate` int(10) unsigned DEFAULT NULL,
  `changedExpectedDate` int(10) unsigned DEFAULT NULL,
  `changedExpectedDeliveryReason` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mailedByCustomerNumber` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mailedOnBehalfOfCustomerNumber` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `originalPin` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `serviceName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `serviceName_2` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `customerRef_1` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `customerRef_2` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `returnPin` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `signatureImageExists` tinyint(1) NOT NULL,
  `suppressSignature` tinyint(1) NOT NULL,
  `shipmentId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_619551123C5EEBE2` (`shipmentId`),
  CONSTRAINT `FK_619551123C5EEBE2` FOREIGN KEY (`shipmentId`) REFERENCES `xlite_order_capost_parcel_shipment` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_capost_returns` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `status` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `lastRenewDate` int(11) NOT NULL,
  `notes` longtext COLLATE utf8_unicode_ci NOT NULL,
  `adminNotes` longtext COLLATE utf8_unicode_ci NOT NULL,
  `trackingPin` varchar(16) COLLATE utf8_unicode_ci DEFAULT NULL,
  `orderId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_A90646B3FA237437` (`orderId`),
  KEY `date` (`date`),
  KEY `status` (`status`),
  CONSTRAINT `FK_A90646B3FA237437` FOREIGN KEY (`orderId`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_attachment_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `title` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_C05C8533BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_product_attachments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_measures` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `date` int(10) unsigned NOT NULL,
  `fsTime` int(10) unsigned NOT NULL,
  `dbTime` int(10) unsigned NOT NULL,
  `cpuTime` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_capost_parcel_shipment_tracking_events` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `identifier` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `date` char(10) COLLATE utf8_unicode_ci NOT NULL,
  `time` char(8) COLLATE utf8_unicode_ci NOT NULL,
  `timeZone` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `signatoryName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `site` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `province` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `retailLocationId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `retailName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `trackingId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_75BDE7A6F76B6A7` (`trackingId`),
  CONSTRAINT `FK_75BDE7A6F76B6A7` FOREIGN KEY (`trackingId`) REFERENCES `xlite_order_capost_parcel_shipment_tracking` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_tab_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `brief_info` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_D669DEC9BF396750` (`id`),
  CONSTRAINT `FK_D669DEC9BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_product_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_product_tab_translations` VALUES (1,190,'Privacy','','<h1 class=\"hero-headline\">Apple’s commitment to your privacy</h1>\n<p>At Apple, your trust means everything to us. That’s why we respect your privacy and protect it with strong encryption, plus strict policies that govern how all data is handled.</p>\n<p>Security and privacy are fundamental to the design of all our hardware, software, and services, including iCloud and new services like Apple Pay. And we continue to make improvements. Two-step verification, which we encourage all our customers to use, in addition to protecting your Apple ID account information, now also protects all of the data you store and keep up to date with iCloud.</p>\n<p>We believe in telling you up front exactly what’s going to happen to your personal information and asking for your permission before you share it with us. And if you change your mind later, we make it easy to stop sharing with us. Every Apple product is designed around those principles. When we do ask to use your data, it’s to provide you with a better user experience.</p>\n<p>We’re publishing this website to explain how we handle your personal information, what we do and don’t collect, and why. We’re going to make sure you get updates here about privacy at Apple at least once a year and whenever there are significant changes to our policies.</p>\n<p>A few years ago, users of Internet services began to realize that when an online service is free, you’re not the customer. You’re the product. But at Apple, we believe a great customer experience shouldn’t come at the expense of your privacy.</p>\n<p>Our business model is very straightforward: We sell great products. We don’t build a profile based on your email content or web browsing habits to sell to advertisers. We don’t “monetize” the information you store on your iPhone or in iCloud. And we don’t read your email or your messages to get information to market to you. Our software and services are designed to make our devices better. Plain and simple.</p>\n<p>One very small part of our business does serve advertisers, and that’s iAd. We built an advertising network because some app developers depend on that business model, and we want to support them as well as a free iTunes Radio service. iAd sticks to the same privacy policy that applies to every other Apple product. It doesn’t get data from Health and HomeKit, Maps, Siri, iMessage, your call history, or any iCloud service like Contacts or Mail, and you can always just opt out altogether.</p>\n<p>Finally, I want to be absolutely clear that we have never worked with any government agency from any country to create a backdoor in any of our products or services. We have also never allowed access to our servers. And we never will.</p>\n<p>Our commitment to protecting your privacy comes from a deep respect for our customers. We know that your trust doesn’t come easy. That’s why we have and always will work as hard as we can to earn and keep it.</p>\n<p><strong>Tim Cook</strong><br /><span class=\"attribution-title\">CEO, Apple Inc.</span></p>','en'),(2,190,'Конфиденциальность','','<h1 class=\"hero-headline\">Политика конфиденциальности Apple</h1>\n<p>Компания Apple очень дорожит вашим доверием. И мы уважаем ваше право на защиту личных данных. Чтобы обеспечить конфиденциальность, мы используем надёжное шифрование и выполняем строгие правила, которые применяются при обработке любой информации.</p>\n<p>Безопасность и конфиденциальность лежат в основе всех наших устройств, приложений и служб, включая iCloud и новые сервисы, такие как Apple Pay. И мы продолжаем совершенствовать средства защиты. Так, все данные, которые хранятся в iCloud или синхронизируются через него, теперь защищаются при помощи проверки подлинности в два этапа. Мы всем рекомендуем пользоваться ей и обязательно хранить в тайне Apple ID и пароль.</p>\n<p>Мы считаем своей обязанностью заранее предупреждать вас о том, что может случиться с вашей личной информацией, и получать согласие на предоставление этих данных. А если вы передумаете, то в любой момент сможете отключить передачу личных данных. По этому принципу работает каждый продукт Apple. Если мы запрашиваем ваши данные, то только для того, чтобы вам было проще и удобнее пользоваться нашей продукцией.</p>\n<p>Мы создали этот веб-сайт, чтобы объяснить вам, как и почему мы используем личную информацию, какие сведения мы собираем, а какие нет. Мы обязательно будем обновлять текст Политики конфиденциальности на этом сайте как минимум раз в год, а также при внесении любых существенных изменений.</p>\n<p>Несколько лет назад пользователи некоторых интернет-сервисов стали замечать, что из клиентов они превращаются в товар. Мы в Apple убеждены, что высокое качество обслуживания не должно достигаться в ущерб конфиденциальности.</p>\n<p>Модель нашего бизнеса крайне проста: мы продаём отличные продукты. Мы не создаём досье на основе переписки, истории просмотра веб-сайтов и других действий, и мы никогда не выставим на продажу данные своих пользователей. Мы не пытаемся заработать на информации, которую вы храните на iPad и в iCloud. И мы не читаем вашу почту и сообщения, чтобы показывать вам рекламу. Наше программное обеспечение и услуги созданы для вашего удобства. И ни для чего другого.</p>\n<p>Единственное, что мы делаем для рекламодателей — это iAd. Мы создали рекламную сеть, потому что некоторые разработчики зависят от такой модели ведения бизнеса, и нам хотелось бы их поддержать. То же самое можно сказать про бесплатную службу iTunes Radio. iAd подчиняется той же политике безопасности, что и все остальные решения Apple. Она не получает информацию от приложений Здоровье, HomeKit, Карты, Siri и iMessage, не имеет доступа к истории звонков, не подключается к таким службам iCloud, как Контакты или Mail, и так далее. И вы можете полностью от неё отказаться в любой момент.</p>\n<p>Наконец, я хотел бы прямо заявить, что мы никогда не сотрудничали с государственными органами каких бы то ни было стран на предмет создания «лазеек» в наших продуктах и службах. Мы никогда не давали доступа к нашим серверам. И обязуемся не делать этого в будущем.</p>\n<p>Мы защищаем вашу личную информацию, потому что уважаем вас. Мы знаем, как непросто заслужить доверие. И именно поэтому мы всегда будем делать всё возможное, чтобы не утратить его.</p>\n<p><strong>Тим Кук</strong><br /><span class=\"attribution-title\">Генеральный директор Apple Inc.</span></p>','ru'),(3,191,'Конфиденциальность','','<h1 class=\"hero-headline\">Политика конфиденциальности Apple</h1>\n<p>Компания Apple очень дорожит вашим доверием. И мы уважаем ваше право на защиту личных данных. Чтобы обеспечить конфиденциальность, мы используем надёжное шифрование и выполняем строгие правила, которые применяются при обработке любой информации.</p>\n<p>Безопасность и конфиденциальность лежат в основе всех наших устройств, приложений и служб, включая iCloud и новые сервисы, такие как Apple Pay. И мы продолжаем совершенствовать средства защиты. Так, все данные, которые хранятся в iCloud или синхронизируются через него, теперь защищаются при помощи проверки подлинности в два этапа. Мы всем рекомендуем пользоваться ей и обязательно хранить в тайне Apple ID и пароль.</p>\n<p>Мы считаем своей обязанностью заранее предупреждать вас о том, что может случиться с вашей личной информацией, и получать согласие на предоставление этих данных. А если вы передумаете, то в любой момент сможете отключить передачу личных данных. По этому принципу работает каждый продукт Apple. Если мы запрашиваем ваши данные, то только для того, чтобы вам было проще и удобнее пользоваться нашей продукцией.</p>\n<p>Мы создали этот веб-сайт, чтобы объяснить вам, как и почему мы используем личную информацию, какие сведения мы собираем, а какие нет. Мы обязательно будем обновлять текст Политики конфиденциальности на этом сайте как минимум раз в год, а также при внесении любых существенных изменений.</p>\n<p>Несколько лет назад пользователи некоторых интернет-сервисов стали замечать, что из клиентов они превращаются в товар. Мы в Apple убеждены, что высокое качество обслуживания не должно достигаться в ущерб конфиденциальности.</p>\n<p>Модель нашего бизнеса крайне проста: мы продаём отличные продукты. Мы не создаём досье на основе переписки, истории просмотра веб-сайтов и других действий, и мы никогда не выставим на продажу данные своих пользователей. Мы не пытаемся заработать на информации, которую вы храните на iPad и в iCloud. И мы не читаем вашу почту и сообщения, чтобы показывать вам рекламу. Наше программное обеспечение и услуги созданы для вашего удобства. И ни для чего другого.</p>\n<p>Единственное, что мы делаем для рекламодателей — это iAd. Мы создали рекламную сеть, потому что некоторые разработчики зависят от такой модели ведения бизнеса, и нам хотелось бы их поддержать. То же самое можно сказать про бесплатную службу iTunes Radio. iAd подчиняется той же политике безопасности, что и все остальные решения Apple. Она не получает информацию от приложений Здоровье, HomeKit, Карты, Siri и iMessage, не имеет доступа к истории звонков, не подключается к таким службам iCloud, как Контакты или Mail, и так далее. И вы можете полностью от неё отказаться в любой момент.</p>\n<p>Наконец, я хотел бы прямо заявить, что мы никогда не сотрудничали с государственными органами каких бы то ни было стран на предмет создания «лазеек» в наших продуктах и службах. Мы никогда не давали доступа к нашим серверам. И обязуемся не делать этого в будущем.</p>\n<p>Мы защищаем вашу личную информацию, потому что уважаем вас. Мы знаем, как непросто заслужить доверие. И именно поэтому мы всегда будем делать всё возможное, чтобы не утратить его.</p>\n<p><strong>Тим Кук</strong><br /><span class=\"attribution-title\">Генеральный директор Apple Inc.</span></p>','ru'),(4,191,'Privacy','','<h1 class=\"hero-headline\">Apple’s commitment to your privacy</h1>\n<p>At Apple, your trust means everything to us. That’s why we respect your privacy and protect it with strong encryption, plus strict policies that govern how all data is handled.</p>\n<p>Security and privacy are fundamental to the design of all our hardware, software, and services, including iCloud and new services like Apple Pay. And we continue to make improvements. Two-step verification, which we encourage all our customers to use, in addition to protecting your Apple ID account information, now also protects all of the data you store and keep up to date with iCloud.</p>\n<p>We believe in telling you up front exactly what’s going to happen to your personal information and asking for your permission before you share it with us. And if you change your mind later, we make it easy to stop sharing with us. Every Apple product is designed around those principles. When we do ask to use your data, it’s to provide you with a better user experience.</p>\n<p>We’re publishing this website to explain how we handle your personal information, what we do and don’t collect, and why. We’re going to make sure you get updates here about privacy at Apple at least once a year and whenever there are significant changes to our policies.</p>\n<p>A few years ago, users of Internet services began to realize that when an online service is free, you’re not the customer. You’re the product. But at Apple, we believe a great customer experience shouldn’t come at the expense of your privacy.</p>\n<p>Our business model is very straightforward: We sell great products. We don’t build a profile based on your email content or web browsing habits to sell to advertisers. We don’t “monetize” the information you store on your iPhone or in iCloud. And we don’t read your email or your messages to get information to market to you. Our software and services are designed to make our devices better. Plain and simple.</p>\n<p>One very small part of our business does serve advertisers, and that’s iAd. We built an advertising network because some app developers depend on that business model, and we want to support them as well as a free iTunes Radio service. iAd sticks to the same privacy policy that applies to every other Apple product. It doesn’t get data from Health and HomeKit, Maps, Siri, iMessage, your call history, or any iCloud service like Contacts or Mail, and you can always just opt out altogether.</p>\n<p>Finally, I want to be absolutely clear that we have never worked with any government agency from any country to create a backdoor in any of our products or services. We have also never allowed access to our servers. And we never will.</p>\n<p>Our commitment to protecting your privacy comes from a deep respect for our customers. We know that your trust doesn’t come easy. That’s why we have and always will work as hard as we can to earn and keep it.</p>\n<p><strong>Tim Cook</strong><br /><span class=\"attribution-title\">CEO, Apple Inc.</span></p>','en');
CREATE TABLE `xlite_view_lists` (
  `list_id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT NULL,
  `list` varchar(255) CHARACTER SET latin1 NOT NULL,
  `zone` varchar(16) CHARACTER SET latin1 NOT NULL,
  `child` varchar(512) CHARACTER SET latin1 NOT NULL,
  `weight` int(11) NOT NULL,
  `tpl` varchar(512) CHARACTER SET latin1 NOT NULL,
  `version` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `preset` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `list_override` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `weight_override` int(11) NOT NULL,
  `override_mode` int(11) NOT NULL,
  `deleted` tinyint(1) NOT NULL,
  PRIMARY KEY (`list_id`),
  KEY `IDX_CDFB8F45727ACA70` (`parent_id`),
  KEY `tl` (`tpl`,`list`),
  KEY `lzv` (`list`,`zone`,`version`),
  KEY `tclz` (`tpl`,`child`,`list`,`zone`),
  CONSTRAINT `FK_CDFB8F45727ACA70` FOREIGN KEY (`parent_id`) REFERENCES `xlite_view_lists` (`list_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_view_lists` VALUES (1,NULL,'admin.center','admin','XLite\\View\\FileSelectorDialog',16777215,'',NULL,NULL,'',0,0,0),(2,NULL,'admin.main.page.header.left','admin','XLite\\View\\CoreVersion',200,'',NULL,NULL,'',0,0,0),(3,NULL,'center','customer','XLite\\View\\ShippingEstimator\\ShippingEstimate',16777215,'',NULL,NULL,'',0,0,0),(5,NULL,'page.tabs.after','admin','XLite\\View\\Button\\PrintInvoice',200,'',NULL,NULL,'',0,0,0),(6,NULL,'page.tabs.after','admin','XLite\\View\\Button\\PrintPackingSlip',100,'',NULL,NULL,'',0,0,0),(7,NULL,'marketplace.addons-filters','admin','XLite\\View\\Button\\Addon\\EnterLicenseKey',300,'',NULL,NULL,'',0,0,0),(8,NULL,'marketplace.addons-filters','admin','XLite\\View\\Button\\Addon\\ActivateLicenseKey',300,'',NULL,NULL,'',0,0,0),(9,NULL,'modules.pager.buttons','admin','XLite\\View\\Button\\AllAddons',100,'',NULL,NULL,'',0,0,0),(10,NULL,'center','customer','XLite\\View\\CheckoutCanceled',16777215,'',NULL,NULL,'',0,0,0),(11,NULL,'layout.slidebar','customer','XLite\\View\\Slidebar',10,'',NULL,NULL,'',0,0,0),(12,NULL,'admin.main.page.header','admin','XLite\\View\\QueryMarketplace',0,'',NULL,NULL,'',0,0,0),(13,NULL,'admin.main.page.header_wrapper','admin','XLite\\View\\UpgradeTopBox',1000,'',NULL,NULL,'',0,0,0),(14,NULL,'center','customer','XLite\\View\\InvoicePage',16777215,'',NULL,NULL,'',0,0,0),(15,NULL,'order','admin','XLite\\View\\OrderHistory',150,'',NULL,NULL,'',0,0,0),(16,NULL,'admin.main.page.header','admin','XLite\\View\\HeaderSearch',500,'',NULL,NULL,'',0,0,0),(17,NULL,'admin.main.page.header_wrapper','admin','XLite\\View\\ActivateTopBox',500,'',NULL,NULL,'',0,0,0),(19,NULL,'layout.header.right','customer','XLite\\View\\Minicart',100,'',NULL,NULL,'',0,0,0),(20,NULL,'admin.center','admin','XLite\\View\\RemoveData',16777215,'',NULL,NULL,'',0,0,0),(21,NULL,'admin.center','admin','XLite\\View\\Tabber',1000,'',NULL,NULL,'',0,0,0),(22,NULL,'checkout.review.surcharge.info','customer','XLite\\View\\SurchargeInfo\\CODSurchargeInfo',10,'',NULL,NULL,'',0,0,0),(23,NULL,'center','customer','XLite\\View\\BackToTop',16777215,'',NULL,NULL,'',0,0,0),(24,NULL,'dashboard-center','admin','XLite\\View\\WelcomeBlock\\RootAdmin',50,'',NULL,NULL,'',0,0,0),(25,NULL,'dashboard-center','admin','XLite\\View\\WelcomeBlock\\Admin',50,'',NULL,NULL,'',0,0,0),(26,NULL,'center.bottom','customer','XLite\\View\\Search',100,'',NULL,NULL,'',0,0,0),(27,NULL,'center','customer','XLite\\View\\AccessDenied',16777215,'',NULL,NULL,'',0,0,0),(28,NULL,'invoice.item.name','customer','XLite\\View\\InvoiceAttributeValues',50,'',NULL,NULL,'',0,0,0),(29,NULL,'invoice.item.name','admin','XLite\\View\\InvoiceAttributeValues',20,'',NULL,NULL,'',0,0,0),(30,NULL,'invoice.item.name','mail','XLite\\View\\InvoiceAttributeValues',50,'',NULL,NULL,'',0,0,0),(31,NULL,'invoice.item.name','pdf','XLite\\View\\InvoiceAttributeValues',20,'',NULL,NULL,'',0,0,0),(32,NULL,'order.items.item.name','admin','XLite\\View\\InvoiceAttributeValues',20,'',NULL,NULL,'',0,0,0),(33,NULL,'admin.center','admin','XLite\\View\\Accounting',16777215,'',NULL,NULL,'',0,0,0),(34,NULL,'center','customer','XLite\\View\\AccessControl',16777215,'',NULL,NULL,'',0,0,0),(35,NULL,'checkout.main','customer','XLite\\View\\AllInOneSolutions',1,'',NULL,NULL,'',0,0,0),(36,NULL,'center','customer','XLite\\View\\Terms',16777215,'',NULL,NULL,'',0,0,0),(37,NULL,'body','customer','XLite\\View\\Content',100,'',NULL,NULL,'',0,0,0),(38,NULL,'body','admin','XLite\\View\\Content',100,'',NULL,NULL,'',0,0,0),(39,NULL,'admin.h1.after','admin','XLite\\View\\AdsBanners',16777215,'',NULL,NULL,'',0,0,0),(40,NULL,'center','customer','XLite\\View\\Welcome',16777215,'',NULL,NULL,'',0,0,0),(41,NULL,'layout.main','customer','XLite\\View\\CategoryBanner',350,'',NULL,NULL,'',0,0,0),(42,NULL,'admin.center','admin','XLite\\View\\Attribute',16777215,'',NULL,NULL,'',0,0,0),(43,NULL,'admin.main.page.content.left','admin','XLite\\View\\Menu\\Admin\\LeftMenu',100,'',NULL,NULL,'',0,0,0),(44,NULL,'admin.main.page.header','admin','XLite\\View\\Menu\\Admin\\QuickMenu\\TopMenuNode',400,'',NULL,NULL,'',0,0,0),(45,NULL,'admin.main.page.header.right','admin','XLite\\View\\Menu\\Admin\\LanguageSelector\\TopMenuNode',200,'',NULL,NULL,'',0,0,0),(46,NULL,'admin.main.page.header.right','admin','XLite\\View\\Menu\\Admin\\Account\\TopMenuNode',300,'',NULL,NULL,'',0,0,0),(47,NULL,'slidebar.menu','customer','XLite\\View\\Menu\\Customer\\Top',50,'',NULL,NULL,'',0,0,0),(48,NULL,'header.menu','customer','XLite\\View\\Menu\\Customer\\Top',50,'',NULL,NULL,'',0,0,0),(49,NULL,'layout.main.footer','customer','XLite\\View\\Menu\\Customer\\Footer',100,'',NULL,NULL,'',0,0,0),(50,NULL,'admin.center','admin','XLite\\View\\CacheManagement',16777215,'',NULL,NULL,'',0,0,0),(51,NULL,'center','customer','XLite\\View\\Order',16777215,'',NULL,NULL,'',0,0,0),(52,NULL,'dashboard-sidebar','admin','XLite\\View\\RSS\\RSSLazyLoad',400,'',NULL,NULL,'',0,0,0),(53,NULL,'admin.center','admin','XLite\\View\\CommonResources',16777215,'',NULL,NULL,'',0,0,0),(54,NULL,'layout.main','customer','XLite\\View\\CommonResources',16777215,'',NULL,NULL,'',0,0,0),(55,NULL,'checkout.shipping.selected.sub.payment','customer','XLite\\View\\Checkout\\PaymentMethodsList',300,'',NULL,NULL,'',0,0,0),(56,NULL,'checkout.main','customer','XLite\\View\\Checkout\\Steps',200,'',NULL,NULL,'',0,0,0),(57,NULL,'checkout.review.selected.placeOrder','customer','XLite\\View\\Checkout\\Payment',100,'',NULL,NULL,'',0,0,0),(58,NULL,'checkout.review.selected','customer','XLite\\View\\Checkout\\CartItems',10,'',NULL,NULL,'',0,0,0),(59,NULL,'admin.center','admin','XLite\\View\\Login',16777215,'',NULL,NULL,'',0,0,0),(60,NULL,'layout.main.breadcrumb','admin','XLite\\View\\AdminLocation',100,'',NULL,NULL,'',0,0,0),(61,NULL,'admin.center','admin','XLite\\View\\ProductSelections',16777215,'',NULL,NULL,'',0,0,0),(62,NULL,'order.children','customer','XLite\\View\\Invoice',30,'',NULL,NULL,'',0,0,0),(63,NULL,'center','customer','XLite\\View\\Category',16777215,'',NULL,NULL,'',0,0,0),(65,NULL,'minicart.vertical.item','customer','XLite\\View\\MinicartAttributeValues',30,'',NULL,NULL,'',0,0,0),(66,NULL,'body','customer','XLite\\View\\JSContainer',999999,'',NULL,NULL,'',0,0,0),(67,NULL,'body','admin','XLite\\View\\JSContainer',10,'',NULL,NULL,'',0,0,0),(68,NULL,'admin.center','admin','XLite\\View\\MembershipsQuickData\\Main',16777215,'',NULL,NULL,'',0,0,0),(69,NULL,'center.bottom','customer','XLite\\View\\Subcategories',100,'',NULL,NULL,'',0,0,0),(71,NULL,'center','customer','XLite\\View\\CheckoutSuccess',16777215,'',NULL,NULL,'',0,0,0),(72,NULL,'admin.main.page.content.center','admin','XLite\\View\\Dashboard\\Admin\\Recommendations\\Modules',30,'',NULL,NULL,'',0,0,0),(73,NULL,'dashboard.info_block.alerts','admin','XLite\\View\\Dashboard\\Admin\\InfoBlock\\Alert\\LowStockProducts',100,'',NULL,NULL,'',0,0,0),(74,NULL,'dashboard-sidebar','admin','XLite\\View\\Dashboard\\Admin\\InfoBlock\\LazyLoad',200,'',NULL,NULL,'',0,0,0),(75,NULL,'dashboard.info_block.notifications','admin','XLite\\View\\Dashboard\\Admin\\InfoBlock\\Notification\\PendingMembership',600,'',NULL,NULL,'',0,0,0),(76,NULL,'dashboard.info_block.notifications','admin','XLite\\View\\Dashboard\\Admin\\InfoBlock\\Notification\\SpeedUp',200,'',NULL,NULL,'',0,0,0),(77,NULL,'dashboard.info_block.notifications','admin','XLite\\View\\Dashboard\\Admin\\InfoBlock\\Notification\\MarketplaceWarning',100,'',NULL,NULL,'',0,0,0),(78,NULL,'dashboard.info_block.notifications','admin','XLite\\View\\Dashboard\\Admin\\InfoBlock\\Notification\\LicenseWarning',500,'',NULL,NULL,'',0,0,0),(79,NULL,'dashboard.info_block.notifications','admin','XLite\\View\\Dashboard\\Admin\\InfoBlock\\Notification\\Upgrade',400,'',NULL,NULL,'',0,0,0),(80,NULL,'dashboard.info_block.notifications','admin','XLite\\View\\Dashboard\\Admin\\InfoBlock\\Notification\\GoogleAds',700,'',NULL,NULL,'',0,0,0),(81,NULL,'center','customer','XLite\\View\\SelectAddress',16777215,'',NULL,NULL,'',0,0,0),(82,NULL,'admin.center','admin','XLite\\View\\ModulesManager\\KeysNotice',0,'',NULL,NULL,'',0,0,0),(83,NULL,'admin.center','admin','XLite\\View\\ModulesManager\\TrialNotice',0,'',NULL,NULL,'',0,0,0),(84,NULL,'admin.center','admin','XLite\\View\\ModulesManager\\AddonKey',16777215,'',NULL,NULL,'',0,0,0),(85,NULL,'admin.center','admin','XLite\\View\\ModulesManager\\LicenseKey',16777215,'',NULL,NULL,'',0,0,0),(86,NULL,'center','customer','XLite\\View\\BackFromPayment',16777215,'',NULL,NULL,'',0,0,0),(87,NULL,'center','customer','XLite\\View\\Checkout',16777215,'',NULL,NULL,'',0,0,0),(88,NULL,'admin.center','admin','XLite\\View\\RecentLogin',16777215,'',NULL,NULL,'',0,0,0),(89,NULL,'admin.center','admin','XLite\\View\\LanguagesModify\\LanguageImport',16777215,'',NULL,NULL,'',0,0,0),(90,NULL,'admin.center','admin','XLite\\View\\RecoverPasswordAdmin',16777215,'',NULL,NULL,'',0,0,0),(91,NULL,'center','customer','XLite\\View\\Authorization',16777215,'',NULL,NULL,'',0,0,0),(92,NULL,'admin.center','admin','XLite\\View\\Promotions',16777215,'',NULL,NULL,'',0,0,0),(93,NULL,'layout.header.categories','customer','XLite\\View\\TopCategoriesSlidebar',10,'',NULL,NULL,'',0,0,0),(94,NULL,'admin.center','admin','XLite\\View\\Model\\Profile\\ForceChangePassword',16777215,'',NULL,NULL,'',0,0,0),(95,NULL,'layout.main','customer','XLite\\View\\TopMessage',100,'',NULL,NULL,'',0,0,0),(96,NULL,'carriers.before','admin','XLite\\View\\Promo\\FreeShippingHowTo',16777215,'',NULL,NULL,'',0,0,0),(97,NULL,'taxes.top.section','admin','XLite\\View\\TaxBannerAlert',10,'',NULL,NULL,'',0,0,0),(98,NULL,'admin.center','admin','XLite\\View\\ConsistencyCheck\\Page',16777215,'',NULL,NULL,'',0,0,0),(99,NULL,'admin.center','admin','XLite\\View\\Dashboard',16777215,'',NULL,NULL,'',0,0,0),(100,NULL,'layout.header.mobile','customer','XLite\\View\\MobileHeader',100,'',NULL,NULL,'',0,0,0),(101,NULL,'admin.center','admin','XLite\\View\\Page\\Admin\\Export',16777215,'',NULL,NULL,'',0,0,0),(102,NULL,'admin.center','admin','XLite\\View\\Page\\Admin\\Import',16777215,'',NULL,NULL,'',0,0,0),(103,NULL,'admin.center','admin','XLite\\View\\Page\\PaymentTransaction',16777215,'',NULL,NULL,'',0,0,0),(104,NULL,'admin.center','admin','XLite\\View\\Page\\Logs',16777215,'',NULL,NULL,'',0,0,0),(105,NULL,'admin.center','admin','XLite\\View\\Page\\Images',16777215,'',NULL,NULL,'',0,0,0),(106,NULL,'admin.center','admin','XLite\\View\\Page\\Performance',16777215,'',NULL,NULL,'',0,0,0),(107,NULL,'admin.center','admin','XLite\\View\\Page\\Layout',16777215,'',NULL,NULL,'',0,0,0),(110,NULL,'header.language.menu','customer','XLite\\View\\LanguageSelector\\Customer',100,'',NULL,NULL,'',0,0,0),(111,NULL,'center','customer','XLite\\View\\PageNotFound',16777215,'',NULL,NULL,'',0,0,0),(112,NULL,'admin.center','admin','XLite\\View\\PageNotFound',16777215,'',NULL,NULL,'',0,0,0),(113,NULL,'admin.center','admin','XLite\\View\\Shipping\\EditMethod',16777215,'',NULL,NULL,'',0,0,0),(114,NULL,'admin.center','admin','XLite\\View\\Shipping\\AddMethod',16777215,'',NULL,NULL,'',0,0,0),(115,NULL,'import.completed.content','admin','XLite\\View\\Import\\Warnings',1000,'',NULL,NULL,'',0,0,0),(116,NULL,'product.details.page.image.photo','customer','XLite\\View\\Product\\Details\\Customer\\Image',10,'',NULL,NULL,'',0,0,0),(117,NULL,'product.details.quicklook.image','customer','XLite\\View\\Product\\Details\\Customer\\Image',10,'',NULL,NULL,'',0,0,0),(119,NULL,'center','customer','XLite\\View\\Product\\Details\\Customer\\Page\\Main',16777215,'',NULL,NULL,'',0,0,0),(120,NULL,'center','customer','XLite\\View\\Product\\Details\\Customer\\Page\\QuickLook',16777215,'',NULL,NULL,'',0,0,0),(122,NULL,'dashboard-center','admin','XLite\\View\\Product\\TopSellersBlock',200,'',NULL,NULL,'',0,0,0),(123,NULL,'sidebar.footer','customer','XLite\\View\\PoweredBy',16777215,'',NULL,NULL,'',0,0,0),(124,NULL,'admin.main.page.header.right','admin','XLite\\View\\Job\\HeaderJobsState',90,'',NULL,NULL,'',0,0,0),(125,NULL,'admin.center','admin','XLite\\View\\BrowseServer',16777215,'',NULL,NULL,'',0,0,0),(126,NULL,'center','customer','XLite\\View\\RecoverPassword',16777215,'',NULL,NULL,'',0,0,0),(127,NULL,'center','customer','XLite\\View\\Cart',16777215,'',NULL,NULL,'',0,0,0),(128,NULL,'taxes.help.section','admin','XLite\\View\\TaxBanner',10,'',NULL,NULL,'',0,0,0),(129,NULL,'dashboard-sidebar','admin','XLite\\View\\Order\\Statistics\\MiniInformer',100,'',NULL,NULL,'',0,0,0),(130,NULL,'admin.center','admin','XLite\\View\\Order\\Search\\Search',16777215,'',NULL,NULL,'',0,0,0),(131,NULL,'order.details.payment_actions','admin','XLite\\View\\Order\\Details\\Admin\\PaymentActionsUnit',16777215,'',NULL,NULL,'',0,0,0),(132,NULL,'page.tabs.after','admin','XLite\\View\\Order\\Details\\Admin\\NextPrevious',200,'',NULL,NULL,'',0,0,0),(133,NULL,'order.actions','admin','XLite\\View\\Order\\Actions',200,'',NULL,NULL,'',0,0,0),(134,NULL,'center','customer','XLite\\View\\CheckoutFailed',16777215,'',NULL,NULL,'',0,0,0),(135,NULL,'sidebar.first','customer','XLite\\View\\TopCategories',100,'',NULL,NULL,'',0,0,0),(136,NULL,'cart.item.info','customer','XLite\\View\\SelectedAttributeValues',20,'',NULL,NULL,'',0,0,0),(137,NULL,'layout.main.breadcrumb','customer','XLite\\View\\Location',100,'',NULL,NULL,'',0,0,0),(138,NULL,'orders.panel','customer','XLite\\View\\Sort\\Order',20,'',NULL,NULL,'',0,0,0),(139,NULL,'admin.main.page.header.left','admin','XLite\\View\\CoreVersionPlacer',200,'',NULL,NULL,'',0,0,0),(140,NULL,'admin.main.page.header.right','admin','XLite\\View\\StorefrontStatus',100,'',NULL,NULL,'',0,0,0),(141,NULL,'add_payment','admin','XLite\\View\\Tabs\\OnlinePaymentType',10,'',NULL,NULL,'',0,0,0),(142,NULL,'admin.center','admin','XLite\\View\\Tabs\\CartCheckout',16777215,'',NULL,NULL,'',0,0,0),(143,NULL,'center','customer','XLite\\View\\Tabs\\Account',16777215,'',NULL,NULL,'',0,0,0),(144,NULL,'admin.center','admin','XLite\\View\\Tabs\\AdminProfile',16777215,'',NULL,NULL,'',0,0,0),(145,NULL,'admin.center','admin','XLite\\View\\Tabs\\Localization',16777215,'',NULL,NULL,'',0,0,0),(146,NULL,'admin.center','admin','XLite\\View\\Tabs\\Countries',16777215,'',NULL,NULL,'',0,0,0),(147,NULL,'admin.center','admin','XLite\\View\\Tabs\\ShippingSettings',16777215,'',NULL,NULL,'',0,0,0),(148,NULL,'admin.center','admin','XLite\\View\\Tabs\\FrontPage',16777215,'',NULL,NULL,'',0,0,0),(149,NULL,'admin.center','admin','XLite\\View\\Tabs\\Category',16777215,'',NULL,NULL,'',0,0,0),(150,NULL,'add_shipping','admin','XLite\\View\\Tabs\\ShippingType',10,'',NULL,NULL,'',0,0,0),(151,NULL,'admin.center','admin','XLite\\View\\Tabs\\Shipping',16777215,'',NULL,NULL,'',0,0,0),(152,NULL,'admin.center','admin','XLite\\View\\Tabs\\PaymentSettings',16777215,'',NULL,NULL,'',0,0,0),(153,NULL,'admin.center','admin','XLite\\View\\Tabs\\Taxes',20,'',NULL,NULL,'',0,0,0),(154,NULL,'admin.center','admin','XLite\\View\\Tabs\\BackupRestore',16777215,'',NULL,NULL,'',0,0,0),(155,NULL,'admin.center','admin','XLite\\View\\Tabs\\Translations',16777215,'',NULL,NULL,'',0,0,0),(156,NULL,'admin.center','admin','XLite\\View\\Tabs\\Statistics',16777215,'',NULL,NULL,'',0,0,0),(157,NULL,'admin.center','admin','XLite\\View\\Tabs\\Notifications',16777215,'',NULL,NULL,'',0,0,0),(158,NULL,'admin.center','admin','XLite\\View\\Tabs\\Notification',16777215,'',NULL,NULL,'',0,0,0),(159,NULL,'center','customer','XLite\\View\\Payment\\Iframe',16777215,'',NULL,NULL,'',0,0,0),(160,NULL,'admin.center','admin','XLite\\View\\Payment\\AddMethod',16777215,'',NULL,NULL,'',0,0,0),(161,NULL,'admin.center','admin','XLite\\View\\Payment\\Method',16777215,'',NULL,NULL,'',0,0,0),(162,NULL,'layout.main','customer','XLite\\View\\OperateAsUserNotification',0,'',NULL,NULL,'',0,0,0),(163,NULL,'order.children','admin','XLite\\View\\PackingSlip',30,'',NULL,NULL,'',0,0,0),(164,NULL,'admin.center','admin','XLite\\View\\ItemsList\\Model\\ProductClass',16777215,'',NULL,NULL,'',0,0,0),(165,NULL,'admin.center','admin','XLite\\View\\ItemsList\\Model\\AttributeGroup',16777215,'',NULL,NULL,'',0,0,0),(166,NULL,'admin.center','admin','XLite\\View\\ItemsList\\Model\\AttributeOption',16777215,'',NULL,NULL,'',0,0,0),(167,NULL,'admin.center','admin','XLite\\View\\ItemsList\\Model\\Profile',16777215,'',NULL,NULL,'',0,0,0),(168,NULL,'admin.center','admin','XLite\\View\\ItemsList\\Model\\Membership',16777215,'',NULL,NULL,'',0,0,0),(169,NULL,'admin.center','admin','XLite\\View\\ItemsList\\Model\\Product\\Admin\\Search',16777215,'',NULL,NULL,'',0,0,0),(170,NULL,'admin.center','admin','XLite\\View\\ItemsList\\Model\\Product\\Admin\\Cloned',16777215,'',NULL,NULL,'',0,0,0),(171,NULL,'pager.admin.model.table.right','admin','XLite\\View\\ItemsList\\Model\\Order\\Admin\\SearchTotal',100,'',NULL,NULL,'',0,0,0),(172,NULL,'admin.center','admin','XLite\\View\\ItemsList\\Model\\Order\\Admin\\Recent',16777215,'',NULL,NULL,'',0,0,0),(173,NULL,'dashboard-center','admin','XLite\\View\\ItemsList\\Model\\Order\\Admin\\RecentBlock',100,'',NULL,NULL,'',0,0,0),(174,NULL,'admin.center','admin','XLite\\View\\ItemsList\\Model\\Payment\\Transaction',16777215,'',NULL,NULL,'',0,0,0),(175,NULL,'order.actions','admin','XLite\\View\\ItemsList\\Model\\OrderTrackingNumber',9999,'',NULL,NULL,'',0,0,0),(176,NULL,'center.bottom','customer','XLite\\View\\ItemsList\\Product\\Customer\\Category\\Main',200,'',NULL,NULL,'',0,0,0),(177,NULL,'admin.center','admin','XLite\\View\\Attributes',16777215,'',NULL,NULL,'',0,0,0),(178,NULL,'cli.center','console','XLite\\View\\Console\\Main',16777215,'',NULL,NULL,'',0,0,0),(179,NULL,'cli.center','console','XLite\\View\\Console\\Error',16777215,'',NULL,NULL,'',0,0,0),(180,NULL,'cli.center','console','XLite\\View\\Console\\Db',16777215,'',NULL,NULL,'',0,0,0),(181,NULL,'admin.center','admin','XLite\\View\\HttpsSettings',16777215,'',NULL,NULL,'',0,0,0),(182,NULL,'center','customer','XLite\\View\\ChangeAttributeValues',16777215,'',NULL,NULL,'',0,0,0),(183,NULL,'center.top','customer','XLite\\Module\\Amazon\\PayWithAmazon\\View\\CheckoutButton',100,'',NULL,NULL,'',0,0,0),(184,NULL,'center','customer','XLite\\Module\\Amazon\\PayWithAmazon\\View\\AmazonCheckout',16777215,'',NULL,NULL,'',0,0,0),(185,NULL,'center','customer','XLite\\Module\\CDev\\Bestsellers\\View\\BestsellersPage',16777215,'',NULL,NULL,'',0,0,0),(186,NULL,'center.bottom','customer','XLite\\Module\\CDev\\Bestsellers\\View\\Bestsellers',400,'',NULL,NULL,'',0,0,0),(187,NULL,'center','customer','XLite\\Module\\CDev\\ContactUs\\View\\ContactUs',16777215,'',NULL,NULL,'',0,0,0),(188,NULL,'coupons.itemsList.footer','admin','XLite\\Module\\CDev\\Coupons\\View\\Panel\\Coupons',16777215,'',NULL,NULL,'',0,0,0),(189,NULL,'admin.center','admin','XLite\\Module\\CDev\\Coupons\\View\\ProductSelections',16777215,'',NULL,NULL,'',0,0,0),(190,NULL,'cart.panel.box','customer','XLite\\Module\\CDev\\Coupons\\View\\CartCoupons',200,'',NULL,NULL,'',0,0,0),(192,NULL,'checkout_fastlane.sections.details','customer','XLite\\Module\\CDev\\Coupons\\View\\CartCoupons',200,'',NULL,NULL,'',0,0,0),(193,NULL,'invoice.item.name','customer','XLite\\Module\\CDev\\Egoods\\View\\Order\\ItemBox',16777215,'',NULL,NULL,'',0,0,0),(194,NULL,'invoice.item.name','mail','XLite\\Module\\CDev\\Egoods\\View\\Order\\ItemBox',16777215,'',NULL,NULL,'',0,0,0),(195,NULL,'admin.center','admin','XLite\\Module\\CDev\\FeaturedProducts\\View\\ProductSelections',16777215,'',NULL,NULL,'',0,0,0),(196,NULL,'admin.center','admin','XLite\\Module\\CDev\\FeaturedProducts\\View\\FProducts',16777215,'',NULL,NULL,'',0,0,0),(197,NULL,'center.bottom','customer','XLite\\Module\\CDev\\FeaturedProducts\\View\\Customer\\FeaturedProducts',300,'',NULL,NULL,'',0,0,0),(198,NULL,'404.category','customer','XLite\\Module\\CDev\\FeaturedProducts\\View\\Customer\\FeaturedProducts404',300,'',NULL,NULL,'',0,0,0),(199,NULL,'product.details.page.tab.description.file-attachments','customer','XLite\\Module\\CDev\\FileAttachments\\View\\Product\\Customer',10,'',NULL,NULL,'',0,0,0),(200,NULL,'product.details.page.tab.comments','customer','XLite\\Module\\CDev\\GoSocial\\View\\FacebookComments',16777215,'',NULL,NULL,'',0,0,0),(201,NULL,'buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\Facebook',100,'',NULL,NULL,'',0,0,0),(202,NULL,'buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\Pinterest',400,'',NULL,NULL,'',0,0,0),(203,NULL,'buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\FacebookLike',50,'',NULL,NULL,'',0,0,0),(204,NULL,'buttons.share','customer','XLite\\Module\\CDev\\GoSocial\\View\\Button\\Tweet',200,'',NULL,NULL,'',0,0,0),(205,NULL,'body','customer','XLite\\Module\\CDev\\GoSocial\\View\\ExternalSDK\\Facebook',999998,'',NULL,NULL,'',0,0,0),(206,NULL,'product.modify.list','admin','XLite\\Module\\CDev\\GoSocial\\View\\ProductModify',1015,'',NULL,NULL,'',0,0,0),(207,NULL,'tabs.content','admin','XLite\\Module\\CDev\\GoogleAnalytics\\View\\TabberLink',16777215,'',NULL,NULL,'',0,0,0),(208,NULL,'head','customer','XLite\\Module\\CDev\\GoogleAnalytics\\View\\Header\\Traditional',0,'',NULL,NULL,'',0,0,0),(209,NULL,'head','customer','XLite\\Module\\CDev\\GoogleAnalytics\\View\\Header\\Universal',0,'',NULL,NULL,'',0,0,0),(210,NULL,'head','admin','XLite\\Module\\CDev\\GoogleAnalytics\\View\\Header\\Universal',0,'',NULL,NULL,'',0,0,0),(211,NULL,'layout.footer','customer','XLite\\Module\\CDev\\GoogleAnalytics\\View\\GAActions',16777215,'',NULL,NULL,'',0,0,0),(212,NULL,'body','admin','XLite\\Module\\CDev\\GoogleAnalytics\\View\\GAActions',16777215,'',NULL,NULL,'',0,0,0),(213,NULL,'admin.center','admin','XLite\\Module\\CDev\\PINCodes\\View\\AddPinCodesDialog',16777215,'',NULL,NULL,'',0,0,0),(214,NULL,'invoice.item.name','customer','XLite\\Module\\CDev\\PINCodes\\View\\InvoicePinCodes',200,'',NULL,NULL,'',0,0,0),(215,NULL,'invoice.item.name','admin','XLite\\Module\\CDev\\PINCodes\\View\\InvoicePinCodes',30,'',NULL,NULL,'',0,0,0),(216,NULL,'product.pinCodes','admin','XLite\\Module\\CDev\\PINCodes\\View\\ItemsList\\Model\\PinCode\\Admin\\Manage',500,'',NULL,NULL,'',0,0,0),(217,NULL,'minicart.horizontal.buttons','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Minicart\\ButtonsSeparator',90,'',NULL,NULL,'',0,0,0),(218,NULL,'minicart.horizontal.buttons','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Minicart\\ExpressCheckout',100,'',NULL,NULL,'',0,0,0),(219,NULL,'checkout.review.selected.placeOrder','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\PaypalCredit',450,'',NULL,NULL,'',0,0,0),(220,NULL,'checkout_fastlane.sections.place-order.before','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\PaypalCredit',100,'',NULL,NULL,'',0,0,0),(221,NULL,'checkout.review.selected.placeOrder','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\ExpressCheckout',450,'',NULL,NULL,'',0,0,0),(222,NULL,'checkout_fastlane.sections.place-order.before','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\ExpressCheckout',100,'',NULL,NULL,'',0,0,0),(223,NULL,'checkout.review.selected.placeOrder','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\PaypalForMarketplaces',450,'',NULL,NULL,'',0,0,0),(224,NULL,'checkout_fastlane.sections.place-order.before','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Checkout\\PaypalForMarketplaces',100,'',NULL,NULL,'',0,0,0),(225,NULL,'cart.panel.totals','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Cart\\ButtonsSeparator',90,'',NULL,NULL,'',0,0,0),(226,NULL,'cart.panel.totals','customer','XLite\\Module\\CDev\\Paypal\\View\\Button\\Cart\\ExpressCheckout',100,'',NULL,NULL,'',0,0,0),(227,NULL,'dashboard-center','admin','XLite\\Module\\CDev\\Paypal\\View\\WelcomeBlock\\Paypal',20,'',NULL,NULL,'',0,0,0),(228,NULL,'dashboard.info_block.notifications','admin','XLite\\Module\\CDev\\Paypal\\View\\Dashboard\\Admin\\InfoBlock\\Notification\\PDTNotification',200,'',NULL,NULL,'',0,0,0),(229,NULL,'admin.center','admin','XLite\\Module\\CDev\\Paypal\\View\\Tabs\\Settings',16777215,'',NULL,NULL,'',0,0,0),(230,NULL,'crud.paypalbutton.formHeader','admin','XLite\\Module\\CDev\\Paypal\\View\\ItemsList\\Model\\PaypalButton',100,'',NULL,NULL,'',0,0,0),(231,NULL,'center','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\ComingSoonPage',16777215,'',NULL,NULL,'',0,0,0),(232,NULL,'center','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\NewArrivalsPage',16777215,'',NULL,NULL,'',0,0,0),(233,NULL,'sidebar.second','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\NewArrivals',600,'',NULL,NULL,'',0,0,0),(234,NULL,'center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\BoughtBought',700,'',NULL,NULL,'',0,0,0),(235,NULL,'center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\ViewedBought',800,'',NULL,NULL,'',0,0,0),(236,NULL,'sidebar.second','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\ComingSoon',700,'',NULL,NULL,'',0,0,0),(237,NULL,'center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\RecentlyViewed',500,'',NULL,NULL,'',0,0,0),(238,NULL,'center','customer','XLite\\Module\\CDev\\Sale\\View\\SalePage',16777215,'',NULL,NULL,'',0,0,0),(239,NULL,'wholesale_prices.info_message','admin','XLite\\Module\\CDev\\Sale\\View\\WholesalePricesInfo',100,'',NULL,NULL,'',0,0,0),(240,NULL,'topCategories.linksAbove','customer','XLite\\Module\\CDev\\Sale\\View\\TopCategories\\AdditionalLinksAbove',100,'',NULL,NULL,'',0,0,0),(241,NULL,'topCategories.linksUnder','customer','XLite\\Module\\CDev\\Sale\\View\\TopCategories\\AdditionalLinksUnder',100,'',NULL,NULL,'',0,0,0),(242,NULL,'admin.center','admin','XLite\\Module\\CDev\\Sale\\View\\ProductSelections',16777215,'',NULL,NULL,'',0,0,0),(243,NULL,'admin.center','admin','XLite\\Module\\CDev\\Sale\\View\\SaleSelectedDialog',16777215,'',NULL,NULL,'',0,0,0),(244,NULL,'sidebar.first','customer','XLite\\Module\\CDev\\Sale\\View\\SaleBlock',1000,'',NULL,NULL,'',0,0,0),(245,NULL,'center','customer','XLite\\Module\\CDev\\Sale\\View\\ItemsList\\Product\\Customer\\SaleDiscount',16777215,'',NULL,NULL,'',0,0,0),(246,NULL,'admin.main.page.content.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\MenuFormattedPath',7,'',NULL,NULL,'',0,0,0),(247,NULL,'center','customer','XLite\\Module\\CDev\\SimpleCMS\\View\\CustomerPage',16777215,'',NULL,NULL,'',0,0,0),(248,NULL,'admin.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\Page',16777215,'',NULL,NULL,'',0,0,0),(249,NULL,'admin.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\Page\\LogoFavicon',16777215,'',NULL,NULL,'',0,0,0),(250,NULL,'admin.center','admin','XLite\\Module\\CDev\\SimpleCMS\\View\\ItemsList\\Model\\Page',16777215,'',NULL,NULL,'',0,0,0),(251,NULL,'admin.center','admin','XLite\\Module\\CDev\\UserPermissions\\View\\Role',16777215,'',NULL,NULL,'',0,0,0),(252,NULL,'admin.center','admin','XLite\\Module\\CDev\\UserPermissions\\View\\Roles',16777215,'',NULL,NULL,'',0,0,0),(253,NULL,'checkout.review.selected','customer','XLite\\Module\\CDev\\VolumeDiscounts\\View\\CheckoutPromo',14,'',NULL,NULL,'',0,0,0),(254,NULL,'checkout.review.inactive','customer','XLite\\Module\\CDev\\VolumeDiscounts\\View\\CheckoutPromo',14,'',NULL,NULL,'',0,0,0),(255,NULL,'admin.center','admin','XLite\\Module\\CDev\\VolumeDiscounts\\View\\VolumeDiscount',16777215,'',NULL,NULL,'',0,0,0),(256,NULL,'cart.panel.totals','customer','XLite\\Module\\CDev\\VolumeDiscounts\\View\\CartPromo',300,'',NULL,NULL,'',0,0,0),(257,NULL,'admin.center','admin','XLite\\Module\\CDev\\XMLSitemap\\View\\Admin\\SitemapTabs',16777215,'',NULL,NULL,'',0,0,0),(258,NULL,'head','customer','XLite\\Module\\Kliken\\GoogleAds\\View\\Header\\Token',16777215,'',NULL,NULL,'',0,0,0),(259,NULL,'head','customer','XLite\\Module\\Kliken\\GoogleAds\\View\\Header\\Tracker',16777215,'',NULL,NULL,'',0,0,0),(260,NULL,'admin.center','admin','XLite\\Module\\Kliken\\GoogleAds\\View\\Page\\Admin\\KgaSettings',16777215,'',NULL,NULL,'',0,0,0),(261,NULL,'cart.panel.totals','customer','XLite\\Module\\QSL\\BraintreeVZ\\View\\Button\\PayPal',100,'',NULL,NULL,'',0,0,0),(262,NULL,'minicart.horizontal.buttons','customer','XLite\\Module\\QSL\\BraintreeVZ\\View\\Button\\PayPal',100,'',NULL,NULL,'',0,0,0),(263,NULL,'add2cart_popup.item.buttons','customer','XLite\\Module\\QSL\\BraintreeVZ\\View\\Button\\PayPal',300,'',NULL,NULL,'',0,0,0),(264,NULL,'admin.center','admin','XLite\\Module\\QSL\\BraintreeVZ\\View\\Tabs\\Config',16777215,'',NULL,NULL,'',0,0,0),(265,NULL,'admin.center','admin','XLite\\Module\\QSL\\BraintreeVZ\\View\\BraintreeCreditCardsAdmin',16777215,'',NULL,NULL,'',0,0,0),(266,NULL,'layout.slidebar','customer','XLite\\Module\\QSL\\CloudSearch\\View\\CloudFilters\\Slidebar',20,'',NULL,NULL,'',0,0,0),(267,NULL,'sidebar.single','customer','XLite\\Module\\QSL\\CloudSearch\\View\\CloudFilters\\FiltersBoxPlaceholder',102,'',NULL,NULL,'',0,0,0),(268,NULL,'sidebar.first','customer','XLite\\Module\\QSL\\CloudSearch\\View\\CloudFilters\\FiltersBoxPlaceholder',102,'',NULL,NULL,'',0,0,0),(269,NULL,'admin.center','admin','XLite\\Module\\QSL\\CloudSearch\\View\\AdminSearchPopup',16777215,'',NULL,NULL,'',0,0,0),(270,NULL,'admin.center','admin','XLite\\Module\\XC\\BulkEditing\\View\\FormModel\\Product',16777215,'',NULL,NULL,'',0,0,0),(271,NULL,'admin.center','admin','XLite\\Module\\XC\\CanadaPost\\View\\ProductsReturn',16777215,'',NULL,NULL,'',0,0,0),(272,NULL,'center','customer','XLite\\Module\\XC\\CanadaPost\\View\\TrackingDetails',16777215,'',NULL,NULL,'',0,0,0),(273,NULL,'admin.center','admin','XLite\\Module\\XC\\CanadaPost\\View\\TrackingDetails',16777215,'',NULL,NULL,'',0,0,0),(274,NULL,'center','customer','XLite\\Module\\XC\\CanadaPost\\View\\ReturnProducts',16777215,'',NULL,NULL,'',0,0,0),(275,NULL,'checkout.shipping.selected.sub.payment','customer','XLite\\Module\\XC\\CanadaPost\\View\\Checkout\\PostOfficesList',210,'',NULL,NULL,'',0,0,0),(276,NULL,'invoice.bottom','customer','XLite\\Module\\XC\\CanadaPost\\View\\Invoice\\Tracking',25,'',NULL,NULL,'',0,0,0),(277,NULL,'invoice.bottom','customer','XLite\\Module\\XC\\CanadaPost\\View\\Invoice\\DeliveryToPost',15,'',NULL,NULL,'',0,0,0),(278,NULL,'admin.center','admin','XLite\\Module\\XC\\CanadaPost\\View\\ProductsReturns',16777215,'',NULL,NULL,'',0,0,0),(279,NULL,'order.children','admin','XLite\\Module\\XC\\CanadaPost\\View\\PackingSlip',30,'',NULL,NULL,'',0,0,0),(280,NULL,'head','admin','XLite\\Module\\XC\\Concierge\\View\\Initialization',16777215,'',NULL,NULL,'',0,0,0),(281,NULL,'itemsList.product.grid.customer.header','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\FiltersMobile',40,'',NULL,NULL,'',0,0,0),(282,NULL,'itemsList.product.list.customer.header','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\FiltersMobile',40,'',NULL,NULL,'',0,0,0),(283,NULL,'itemsList.product.table.customer.header','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\FiltersMobile',40,'',NULL,NULL,'',0,0,0),(284,NULL,'layout.header.bar.links.logged','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\Menu\\Customer\\OrdersList',300,'',NULL,NULL,'',0,0,0),(285,NULL,'layout.header.right','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\HeaderSettings',30,'',NULL,NULL,'',0,0,0),(286,NULL,'layout.header.bar','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\LocaleIndicator',80,'',NULL,NULL,'',0,0,0),(287,NULL,'layout.header.bar.locale.menu','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\WrapperSingle',30,'',NULL,NULL,'',0,0,0),(288,NULL,'layout.header.right.settings','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\Wrapper',200,'',NULL,NULL,'',0,0,0),(289,NULL,'slidebar.settings','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\WrapperSlidebar',200,'',NULL,NULL,'',0,0,0),(290,NULL,'slidebar.navbar.settings','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\LanguageSelector\\WrapperSlidebar',200,'',NULL,NULL,'',0,0,0),(291,NULL,'product.details.page.image','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\Product\\Details\\Customer\\GalleryMobile',11,'',NULL,NULL,'',0,0,0),(292,NULL,'contact_us.parts.last','customer','XLite\\Module\\XC\\CrispWhiteSkin\\View\\ContactsContactUsFooter',10,'',NULL,NULL,'',0,0,0),(293,NULL,'admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\ProductTabs',16777215,'',NULL,NULL,'',0,0,0),(294,NULL,'admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\ProductTab',16777215,'',NULL,NULL,'',0,0,0),(295,NULL,'admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\GlobalTabs',16777215,'',NULL,NULL,'',0,0,0),(296,NULL,'admin.center','admin','XLite\\Module\\XC\\CustomProductTabs\\View\\GlobalTab',16777215,'',NULL,NULL,'',0,0,0),(297,NULL,'invoice.item.name','admin','XLite\\Module\\XC\\CustomerAttachments\\View\\AttachmentsList',100,'',NULL,NULL,'',0,0,0),(298,NULL,'center','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\AttachmentPopup',16777215,'',NULL,NULL,'',0,0,0),(299,NULL,'product.details.page.info.form','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\Product\\CustomerAttachmentsInput',45,'',NULL,NULL,'',0,0,0),(300,NULL,'product.details.quicklook.info.form','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\Product\\CustomerAttachmentsInput',10,'',NULL,NULL,'',0,0,0),(301,NULL,'cart.item.info','customer','XLite\\Module\\XC\\CustomerAttachments\\View\\AddPopup',80,'',NULL,NULL,'',0,0,0),(302,NULL,'center.top','customer','XLite\\Module\\XC\\FacebookMarketing\\View\\PixelContentData',10,'',NULL,NULL,'',0,0,0),(303,NULL,'head','customer','XLite\\Module\\XC\\FacebookMarketing\\View\\Header\\Pixel',16777215,'',NULL,NULL,'',0,0,0),(304,NULL,'product.details.page.info','customer','XLite\\Module\\XC\\FacebookMarketing\\View\\Product\\Details\\Customer\\PixelValue',5,'',NULL,NULL,'',0,0,0),(305,NULL,'product.details.quicklook.info','customer','XLite\\Module\\XC\\FacebookMarketing\\View\\Product\\Details\\Customer\\PixelValue',5,'',NULL,NULL,'',0,0,0),(306,NULL,'admin.center','admin','XLite\\Module\\XC\\FacebookMarketing\\View\\Tabs\\FacebookMarketing',16777215,'',NULL,NULL,'',0,0,0),(307,NULL,'checkout_fastlane','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\Blocks\\AddressMetadata',99999,'',NULL,NULL,'',0,0,0),(308,NULL,'checkout_fastlane','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\Blocks\\AddressForm\\BillingMetadata',99999,'',NULL,NULL,'',0,0,0),(309,NULL,'checkout_fastlane','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\Blocks\\AddressForm\\ShippingMetadata',99999,'',NULL,NULL,'',0,0,0),(310,NULL,'center','customer','XLite\\Module\\XC\\FastLaneCheckout\\View\\CheckoutFastlane',16777215,'',NULL,NULL,'',0,0,0),(311,NULL,'crud.modulesettings.header','admin','XLite\\Module\\XC\\FreeShipping\\View\\Promo\\FreeShippingUpdate',100,'',NULL,NULL,'',0,0,0),(312,NULL,'import.failed.content','admin','XLite\\Module\\XC\\FreeShipping\\View\\Promo\\FreeShippingUpdateImport',0,'',NULL,NULL,'',0,0,0),(313,NULL,'admin.center','admin','XLite\\Module\\XC\\FroalaEditor\\View\\Settings',16777215,'',NULL,NULL,'',0,0,0),(315,NULL,'crud.modulesettings.header','admin','XLite\\Module\\XC\\Geolocation\\View\\Settings\\GeolocationHeader',100,'',NULL,NULL,'',0,0,0),(316,NULL,'admin.center','admin','XLite\\Module\\XC\\GoogleFeed\\View\\Tabs\\SettingsTabs',16777215,'',NULL,NULL,'',0,0,0),(317,NULL,'admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\MailChimpLists',200,'',NULL,NULL,'',0,0,0),(318,NULL,'admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\MailChimpSegments',200,'',NULL,NULL,'',0,0,0),(319,NULL,'admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\MailChimpSegment',200,'',NULL,NULL,'',0,0,0),(320,NULL,'admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\Tabs\\Settings',16777215,'',NULL,NULL,'',0,0,0),(321,NULL,'admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\ItemsList\\Model\\MailChimpGroupNames',16777215,'',NULL,NULL,'',0,0,0),(322,NULL,'admin.center','admin','XLite\\Module\\XC\\MailChimp\\View\\ItemsList\\Model\\MailChimpGroup',16777215,'',NULL,NULL,'',0,0,0),(323,NULL,'body','customer','XLite\\Module\\XC\\MailChimp\\View\\Body\\Mcjs',1999999,'',NULL,NULL,'',0,0,0),(324,NULL,'crud.modulesettings.header','admin','XLite\\Module\\XC\\MailChimp\\View\\Settings\\MailChimpHeader',100,'',NULL,NULL,'',0,0,0),(325,NULL,'admin.center','admin','XLite\\Module\\XC\\News\\View\\NewsMessage',16777215,'',NULL,NULL,'',0,0,0),(326,NULL,'admin.center','admin','XLite\\Module\\XC\\News\\View\\NewsMessages',16777215,'',NULL,NULL,'',0,0,0),(327,NULL,'sidebar.first','customer','XLite\\Module\\XC\\News\\View\\TopNewsSideBar',16777215,'',NULL,NULL,'',0,0,0),(328,NULL,'center','customer','XLite\\Module\\XC\\News\\View\\Page\\Customer\\NewsMessage',16777215,'',NULL,NULL,'',0,0,0),(329,NULL,'center','customer','XLite\\Module\\XC\\News\\View\\Page\\Customer\\NewsMessages',16777215,'',NULL,NULL,'',0,0,0),(331,NULL,'admin.center','admin','XLite\\Module\\XC\\NewsletterSubscriptions\\View\\ItemsList\\Subscribers',16777215,'',NULL,NULL,'',0,0,0),(332,NULL,'failed_transaction.after','mail','XLite\\Module\\XC\\NotFinishedOrders\\View\\Mail\\FailedTransactionUrl',16777215,'',NULL,NULL,'',0,0,0),(333,NULL,'admin.center','admin','XLite\\Module\\XC\\Onboarding\\View\\Wizard',16777215,'',NULL,NULL,'',0,0,0),(334,NULL,'dashboard-sidebar','admin','XLite\\Module\\XC\\Onboarding\\View\\Dashboard\\WizardStatus',50,'',NULL,NULL,'',0,0,0),(335,NULL,'admin.center','admin','XLite\\Module\\XC\\Onboarding\\View\\MiniWizardStatus',100,'',NULL,NULL,'',0,0,0),(336,NULL,'center','customer','XLite\\Module\\XC\\ProductComparison\\View\\ComparisonTable',16777215,'',NULL,NULL,'',0,0,0),(338,NULL,'comparison_table.data','customer','XLite\\Module\\XC\\ProductComparison\\View\\ComparisonTable\\Attributes',300,'',NULL,NULL,'',0,0,0),(340,NULL,'product.details.page.info.form.buttons.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',120,'',NULL,NULL,'',0,0,0),(341,NULL,'product.details.page.info.form.buttons-added.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',120,'',NULL,NULL,'',0,0,0),(342,NULL,'sidebar.first','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter',300,'',NULL,NULL,'',0,0,0),(343,NULL,'sidebar.filter','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter\\InStockOnly',200,'',NULL,NULL,'',0,0,0),(344,NULL,'sidebar.filter','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter\\PriceRange',100,'',NULL,NULL,'',0,0,0),(345,NULL,'sidebar.filter','customer','XLite\\Module\\XC\\ProductFilter\\View\\Filter\\Attributes',300,'',NULL,NULL,'',0,0,0),(346,NULL,'center.bottom','customer','XLite\\Module\\XC\\ProductFilter\\View\\ItemsList\\Product\\Customer\\Category\\CategoryFilter',200,'',NULL,NULL,'',0,0,0),(347,NULL,'sidebar.first','customer','XLite\\Module\\XC\\ProductTags\\View\\TagsBox',200,'',NULL,NULL,'',0,0,0),(348,NULL,'admin.center','admin','XLite\\Module\\XC\\ProductTags\\View\\Tags',16777215,'',NULL,NULL,'',0,0,0),(349,NULL,'product.details.page.info','customer','XLite\\Module\\XC\\ProductTags\\View\\TagsList',90,'',NULL,NULL,'',0,0,0),(350,NULL,'sidebar.filter','customer','XLite\\Module\\XC\\ProductTags\\View\\Filter\\Tags',400,'',NULL,NULL,'',0,0,0),(351,NULL,'crud.modulesettings.header','admin','XLite\\Module\\XC\\RESTAPI\\View\\Warning',100,'',NULL,NULL,'',0,0,0),(352,NULL,'admin.center','admin','XLite\\Module\\XC\\Reviews\\View\\Review',16777215,'',NULL,NULL,'',0,0,0),(353,NULL,'dashboard.info_block.alerts','admin','XLite\\Module\\XC\\Reviews\\View\\Dashboard\\Admin\\InfoBlock\\Alert\\Reviews',200,'',NULL,NULL,'',0,0,0),(354,NULL,'product.details.page.tab.reviews','customer','XLite\\Module\\XC\\Reviews\\View\\Product\\ReviewsTab',16777215,'',NULL,NULL,'',0,0,0),(355,NULL,'center','customer','XLite\\Module\\XC\\Reviews\\View\\Customer\\ProductReviews',16777215,'',NULL,NULL,'',0,0,0),(356,NULL,'product.reviews.tab','customer','XLite\\Module\\XC\\Reviews\\View\\Customer\\ReviewsTab',300,'',NULL,NULL,'',0,0,0),(357,NULL,'admin.center','admin','XLite\\Module\\XC\\Reviews\\View\\ItemsList\\Model\\Review',16777215,'',NULL,NULL,'',0,0,0),(358,NULL,'center','customer','XLite\\Module\\XC\\Sitemap\\View\\Page\\Customer\\Map',16777215,'',NULL,NULL,'',0,0,0),(359,NULL,'admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweakerTemplates',16777215,'',NULL,NULL,'',0,0,0),(360,NULL,'layout_settings.settings','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\PanelHelp',50,'',NULL,NULL,'',0,0,0),(361,NULL,'layout.main','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweakerPanel',0,'',NULL,NULL,'',0,0,0),(362,NULL,'admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\FlexyToTwig',16777215,'',NULL,NULL,'',0,0,0),(363,NULL,'themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\CssEditor',100,'',NULL,NULL,'',0,0,0),(364,NULL,'themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\InlineEditor',100,'',NULL,NULL,'',0,0,0),(365,NULL,'themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\WebmasterMode',100,'',NULL,NULL,'',0,0,0),(366,NULL,'themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\LabelsEditor',100,'',NULL,NULL,'',0,0,0),(367,NULL,'themetweaker-panel--content','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\LayoutEditor',100,'',NULL,NULL,'',0,0,0),(368,NULL,'themetweaker-panel-extensions','customer','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweaker\\Modal',999,'',NULL,NULL,'',0,0,0),(369,NULL,'admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\ThemeTweakerTemplate',16777215,'',NULL,NULL,'',0,0,0),(370,NULL,'body','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\NotificationEditor\\Header',50,'',NULL,NULL,'',0,0,0),(371,NULL,'admin.main.page.content.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\NotificationEditor\\Sidebar',16777215,'',NULL,NULL,'',0,0,0),(372,NULL,'admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\NotificationEditor',16777215,'',NULL,NULL,'',0,0,0),(373,NULL,'admin.center','admin','XLite\\Module\\XC\\ThemeTweaker\\View\\Tabs\\CustomCssJS',16777215,'',NULL,NULL,'',0,0,0),(374,NULL,'admin.center','admin','XLite\\Module\\XC\\UpdateInventory\\View\\UpdateInventory',16777215,'',NULL,NULL,'',0,0,0),(375,NULL,'admin.center','admin','XLite\\Module\\XC\\Upselling\\View\\ProductSelections',16777215,'',NULL,NULL,'',0,0,0),(376,NULL,'center.bottom','customer','XLite\\Module\\XC\\Upselling\\View\\ItemsList\\UpsellingProducts',700,'',NULL,NULL,'',0,0,0),(377,NULL,'404.product','customer','XLite\\Module\\XC\\Upselling\\View\\ItemsList\\UpsellingProducts404',300,'',NULL,NULL,'',0,0,0),(378,NULL,'layout.header.bar.links.logged','customer','XLite\\Module\\XC\\VendorMessages\\View\\CustomerTopLink',100,'',NULL,NULL,'',0,0,0),(379,NULL,'dashboard.info_block.alerts','admin','XLite\\Module\\XC\\VendorMessages\\View\\Dashboard\\Admin\\InfoBlock\\Alert\\Messages',200,'',NULL,NULL,'',0,0,0),(380,NULL,'admin.center','admin','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Conversation',16777215,'',NULL,NULL,'',0,0,0),(381,NULL,'center','customer','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Conversation',16777215,'',NULL,NULL,'',0,0,0),(382,NULL,'admin.center','admin','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Admin\\Messages',16777215,'',NULL,NULL,'',0,0,0),(383,NULL,'center','customer','XLite\\Module\\XC\\VendorMessages\\View\\Page\\Customer\\OrderMessages',16777215,'',NULL,NULL,'',0,0,0),(384,NULL,'product.vendor_info.popover_content','customer','XLite\\Module\\XC\\VendorMessages\\View\\ContactNow',40,'',NULL,NULL,'',0,0,0),(385,NULL,'vendorpage.vendor_info','customer','XLite\\Module\\XC\\VendorMessages\\View\\ContactNow',2000,'',NULL,NULL,'',0,0,0),(386,NULL,'admin.center','admin','XLite\\Module\\XPay\\XPaymentsCloud\\View\\PopupXpaymentsInfo',16777215,'',NULL,NULL,'',0,0,0),(387,NULL,'center','customer','XLite\\Module\\XPay\\XPaymentsCloud\\View\\XPaymentsCloud',16777215,'',NULL,NULL,'',0,0,0),(388,233,'center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\NewArrivals',480,'',NULL,'one','',0,0,0),(389,236,'center.bottom','customer','XLite\\Module\\CDev\\ProductAdvisor\\View\\ComingSoon',490,'',NULL,'one','',0,0,0),(390,244,'center.bottom','customer','XLite\\Module\\CDev\\Sale\\View\\SaleBlock',350,'',NULL,'one','',0,0,0),(391,NULL,'customer.account.details.before','customer','',10,'modules/Amazon/PayWithAmazon/account/login.twig',NULL,NULL,'',0,0,0),(392,NULL,'add2cart_popup.item.buttons','customer','',1000,'modules/Amazon/PayWithAmazon/checkout_button/add2cart_popup.twig',NULL,NULL,'',0,0,0),(393,NULL,'cart.panel.totals.modifier','customer','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL,NULL,'',0,0,0),(394,NULL,'checkout.review.selected.items.modifier','customer','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL,NULL,'',0,0,0),(395,NULL,'invoice.base.totals.modifier.name','customer','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL,NULL,'',0,0,0),(396,NULL,'slidebar.navbar.account.first-additional-menu','customer','',100,'modules/XC/ProductComparison/mobile_header_parts/navbar/account/additional/compare.twig',NULL,NULL,'',0,0,0),(397,NULL,'product.reviews.tab','customer','',200,'modules/XC/Reviews/reviews_tab/parts/tab.reviews_list_header.twig',NULL,NULL,'',0,0,0),(398,NULL,'reviews.product.rating.average','customer','',100,'modules/XC/Reviews/product/details/rating.twig',NULL,NULL,'',0,0,0),(399,NULL,'reviews','customer','',16777215,'modules/XC/Reviews/reviews_page/reviews.twig',NULL,NULL,'',0,0,0),(400,NULL,'reviews.review.title','customer','',200,'modules/XC/Reviews/reviews_page/parts/title.right.twig',NULL,NULL,'',0,0,0),(401,NULL,'product.reviews.page','customer','',200,'modules/XC/Reviews/reviews_page/parts/page.reviews_list_header.twig',NULL,NULL,'',0,0,0),(402,NULL,'slidebar.navbar.account','customer','',50,'modules/XC/VendorMessages/mobile_header_parts/navbar/account/messages.twig',NULL,NULL,'',0,0,0),(403,NULL,'customer.account.details.after','customer','',100,'account/parts/link.login.twig',NULL,NULL,'',0,0,0),(404,NULL,'signin.main.wrapper','customer','',300,'signin/parts/anonymous.twig',NULL,NULL,'',0,0,0),(405,NULL,'signin.main.wrapper','customer','',100,'signin/parts/login.twig',NULL,NULL,'',0,0,0),(406,NULL,'signin.main.wrapper','customer','',200,'signin/parts/or.twig',NULL,NULL,'',0,0,0),(407,NULL,'signin-anonymous-title.continue','customer','',100,'signin/parts/continue/email.twig',NULL,NULL,'',0,0,0),(408,NULL,'signin-anonymous-title.continue','customer','',110,'signin/parts/continue/button.twig',NULL,NULL,'',0,0,0),(409,NULL,'signin-anonymous-title','customer','',200,'signin/signin_anonymous_box.twig',NULL,NULL,'',0,0,0),(410,NULL,'signin.main','customer','',10,'signin/signin.twig',NULL,NULL,'',0,0,0),(411,NULL,'contact_us.parts','customer','',10,'contact_us/parts/contact_us.address.twig',NULL,NULL,'',0,0,0),(412,NULL,'product.details.page','customer','',20,'product/details/parts/page.image.twig',NULL,NULL,'',0,0,0),(413,NULL,'product.details.quicklook.info','customer','',10,'product/details/parts/common.product-title-link.twig',NULL,NULL,'',0,0,0),(415,NULL,'product.details.page','customer','',40,'product/details/parts/page.tabs.twig',NULL,NULL,'',0,0,0),(416,NULL,'recover.password.fields','customer','',100,'recover_password/parts/form.email.twig',NULL,NULL,'',0,0,0),(417,NULL,'recover.password.fields','customer','',300,'recover_password/parts/form.button.twig',NULL,NULL,'',0,0,0),(418,NULL,'recover.password.fields','customer','',200,'recover_password/parts/form.user.twig',NULL,NULL,'',0,0,0),(419,NULL,'customer.signin.fields','customer','',500,'authorization/parts/field.links.twig',NULL,NULL,'',0,0,0),(420,NULL,'customer.signin.fields','customer','',100,'authorization/parts/field.name.twig',NULL,NULL,'',0,0,0),(421,NULL,'customer.signin.popup.fields','customer','',100,'authorization/parts/field.name.twig',NULL,NULL,'',0,0,0),(422,NULL,'customer.signin.links','customer','',100,'authorization/parts/link.create.twig',NULL,NULL,'',0,0,0),(423,NULL,'customer.signin.fields','customer','',200,'authorization/parts/field.password.twig',NULL,NULL,'',0,0,0),(424,NULL,'customer.signin.popup.fields','customer','',200,'authorization/parts/field.password.twig',NULL,NULL,'',0,0,0),(425,NULL,'customer.signin.fields','customer','',400,'authorization/parts/field.button.twig',NULL,NULL,'',0,0,0),(426,NULL,'customer.signin.popup.fields','customer','',400,'authorization/parts/field.button.twig',NULL,NULL,'',0,0,0),(427,NULL,'customer.signin.links','customer','',200,'authorization/parts/link.forgot.twig',NULL,NULL,'',0,0,0),(428,NULL,'customer.signin.fields','customer','',300,'authorization/parts/field.message.twig',NULL,NULL,'',0,0,0),(429,NULL,'customer.signin.popup.fields','customer','',300,'authorization/parts/field.message.twig',NULL,NULL,'',0,0,0),(431,NULL,'cart.panel.totals.modifier','customer','',16777215,'shopping_cart/parts/item.shipping.estimator.twig',NULL,NULL,'',0,0,0),(432,NULL,'cart.panel.totals','customer','',30,'shopping_cart/parts/total.total.twig',NULL,NULL,'',0,0,0),(433,NULL,'cart.panel','customer','',10,'shopping_cart/parts/button.continue.twig',NULL,NULL,'',0,0,0),(434,NULL,'cart.children','customer','',10,'shopping_cart/parts/button.continue.twig',NULL,NULL,'',0,0,0),(435,NULL,'cart.panel.totals','customer','',25,'shopping_cart/parts/total.separator.twig',NULL,NULL,'',0,0,0),(436,NULL,'cart.buttons','customer','',20,'shopping_cart/parts/button.clear.twig',NULL,NULL,'',0,0,0),(437,NULL,'minicart.horizontal.item','customer','',18,'mini_cart/horizontal/parts/item.amount.twig',NULL,NULL,'',0,0,0),(438,NULL,'minicart.horizontal.item','customer','',10,'mini_cart/horizontal/parts/item.name.twig',NULL,NULL,'',0,0,0),(439,NULL,'minicart.horizontal.children','customer','',10,'mini_cart/horizontal/parts/items.twig',NULL,NULL,'',0,0,0),(440,NULL,'minicart.horizontal.item','customer','',20,'mini_cart/horizontal/parts/item.price.twig',NULL,NULL,'',0,0,0),(441,NULL,'minicart.horizontal.item','customer','',5,'mini_cart/horizontal/parts/item.image.twig',NULL,NULL,'',0,0,0),(442,NULL,'layout.header.bar.links.logged','customer','',-100,'layout/header/header.bar.links.logged.email.twig',NULL,NULL,'',0,0,0),(443,NULL,'layout.header.bar.locale','customer','',10,'layout/header/locale/country.twig',NULL,NULL,'',0,0,0),(444,NULL,'layout.header.bar.locale','customer','',20,'layout/header/locale/language.twig',NULL,NULL,'',0,0,0),(445,NULL,'layout.header.bar.locale','customer','',30,'layout/header/locale/currency.twig',NULL,NULL,'',0,0,0),(446,NULL,'layout.header.bar','customer','',100,'layout/header/header.bar.links.twig',NULL,NULL,'',0,0,0),(447,NULL,'layout.header.bar.links.logged','customer','',500,'layout/header/header.bar.links.logged.logout.twig',NULL,NULL,'',0,0,0),(448,NULL,'layout.header.right','customer','',10,'layout/header/header.right.search.twig',NULL,NULL,'',0,0,0),(449,NULL,'layout.header.right.mobile','customer','',10,'layout/header/header.right.search.twig',NULL,NULL,'',0,0,0),(450,NULL,'layout.header.bar','customer','',100,'layout/header/header.bar.links.logged.twig',NULL,NULL,'',0,0,0),(451,NULL,'layout.header','customer','',200,'layout/header/header.bar.twig',NULL,NULL,'',0,0,0),(452,NULL,'layout.header.bar.links.logged','customer','',200,'layout/header/header.bar.links.logged.account.twig',NULL,NULL,'',0,0,0),(453,NULL,'layout.header.right.mobile','customer','',100,'layout/header/header.right.mobile.minicart.twig',NULL,NULL,'',0,0,0),(454,NULL,'layout.main','customer','',200,'layout/header/main.header.twig',NULL,NULL,'',0,0,0),(455,NULL,'slidebar.navbar.account','customer','',10,'layout/header/mobile_header_parts/navbar/account/orders.twig',NULL,NULL,'',0,0,0),(456,NULL,'slidebar.navbar.account','customer','',20,'layout/header/mobile_header_parts/navbar/account/address_book.twig',NULL,NULL,'',0,0,0),(457,NULL,'slidebar.navbar.account','customer','',30,'layout/header/mobile_header_parts/navbar/account/profile.twig',NULL,NULL,'',0,0,0),(458,NULL,'slidebar.navbar.account.additional-menu','customer','',2000,'layout/header/mobile_header_parts/navbar/second_additional_menu.twig',NULL,NULL,'',0,0,0),(459,NULL,'slidebar.navbar.account.additional-menu','customer','',1000,'layout/header/mobile_header_parts/navbar/first_additional_menu.twig',NULL,NULL,'',0,0,0),(460,NULL,'header.menu','customer','',2000,'layout/header/mobile_header_parts/navbar_menu.twig',NULL,NULL,'',0,0,0),(461,NULL,'layout.header.mobile.menu','customer','',10,'layout/header/mobile_header_parts/logo.twig',NULL,NULL,'',0,0,0),(462,NULL,'layout.header.mobile.menu','customer','',1000,'layout/header/mobile_header_parts/right_menu.twig',NULL,NULL,'',0,0,0),(463,NULL,'slidebar.additional-menu','customer','',390,'layout/header/header_settings/settings.twig',NULL,NULL,'',0,0,0),(464,NULL,'slidebar.navbar.account.second-additional-menu','customer','',400,'layout/header/header_settings/login.twig',NULL,NULL,'',0,0,0),(465,NULL,'layout.header.right.settings','customer','',400,'layout/header/header_settings/login.twig',NULL,NULL,'',0,0,0),(466,NULL,'slidebar.navbar.account.second-additional-menu','customer','',1000,'layout/header/header_settings/logout.twig',NULL,NULL,'',0,0,0),(467,NULL,'layout.header.right.settings','customer','',1000,'layout/header/header_settings/logout.twig',NULL,NULL,'',0,0,0),(468,NULL,'layout.header.right.settings','customer','',-100,'layout/header/header_settings/email.twig',NULL,NULL,'',0,0,0),(469,NULL,'slidebar.additional-menu','customer','',100,'layout/header/header_settings/links.twig',NULL,NULL,'',0,0,0),(470,NULL,'layout.header.right.settings','customer','',100,'layout/header/header_settings/links.twig',NULL,NULL,'',0,0,0),(471,NULL,'layout.footer','customer','',500,'layout/footer/main.footer.twig',NULL,NULL,'',0,0,0),(472,NULL,'layout.main.footer','customer','',50,'layout/footer/main.footer.contacts.twig',NULL,NULL,'',0,0,0),(473,NULL,'itemsList.product.table.customer.columns','customer','',9999999,'items_list/product/parts/table.product-representation.twig',NULL,NULL,'',0,0,0),(477,NULL,'itemsList.product.grid.customer.info','customer','',31,'items_list/product/parts/out-of-stock.label.twig',NULL,NULL,'',0,0,0),(478,NULL,'itemsList.product.list.customer.info','customer','',50,'items_list/product/parts/out-of-stock.label.twig',NULL,NULL,'',0,0,0),(479,NULL,'itemsList.product.grid.customer.info','customer','',998,'items_list/product/parts/common.marks.twig',NULL,NULL,'',0,0,0),(480,NULL,'itemsList.product.list.customer.photo','customer','',998,'items_list/product/parts/common.marks.twig',NULL,NULL,'',0,0,0),(481,NULL,'itemsList.product.table.customer.columns','customer','',45,'items_list/product/parts/common.marks.twig',NULL,NULL,'',0,0,0),(482,NULL,'invoice.bottom.address.billing','customer','',30,'modules/XPay/XPaymentsCloud/invoice/invoice.twig',NULL,NULL,'',0,0,0),(484,NULL,'customer.signin','customer','',100,'modules/Amazon/PayWithAmazon/login/signin/signin.twig',NULL,NULL,'',0,0,0),(485,NULL,'minicart.horizontal.buttons','customer','',1000,'modules/Amazon/PayWithAmazon/checkout_button/mini_cart.twig',NULL,NULL,'',0,0,0),(486,NULL,'cart.panel.totals','customer','',1000,'modules/Amazon/PayWithAmazon/checkout_button/cart.twig',NULL,NULL,'',0,0,0),(487,NULL,'head','customer','',1310,'modules/Amazon/PayWithAmazon/header/parts/amazon_config.twig',NULL,NULL,'',0,0,0),(488,NULL,'itemsList.product.text_links.customer.recently.info','customer','',100,'modules/CDev/ProductAdvisor/parts/info_textlinks.twig',NULL,NULL,'',0,0,0),(489,NULL,'itemsList.product.grid.customer.recently.info','customer','',100,'modules/CDev/ProductAdvisor/parts/info.twig',NULL,NULL,'',0,0,0),(492,NULL,'cart.item.info','customer','',1000,'modules/CDev/Coupons/item.freeship.twig',NULL,NULL,'',0,0,0),(494,NULL,'customer.signin','customer','',100,'modules/CDev/Paypal/login/signin/signin.paypal.twig',NULL,NULL,'',0,0,0),(495,NULL,'customer.account.details.before','customer','',100,'modules/CDev/Paypal/login/signin/signin.paypal.twig',NULL,NULL,'',0,0,0),(496,NULL,'product.details.page.info.form.buttons-added.cart-buttons','customer','',40,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL,NULL,'',0,0,0),(497,NULL,'product.details.quicklook.info.form.buttons-added.cart-buttons','customer','',40,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL,NULL,'',0,0,0),(498,NULL,'product.details.page.info.form.buttons.cart-buttons','customer','',30,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL,NULL,'',0,0,0),(499,NULL,'product.details.quicklook.info.form.buttons.cart-buttons','customer','',30,'modules/CDev/Paypal/product/details/parts/express_checkout.twig',NULL,NULL,'',0,0,0),(500,NULL,'itemsList.product.list.customer.info','customer','',1100,'modules/CDev/Paypal/item_list/product/parts/express_checkout.twig',NULL,NULL,'',0,0,0),(501,NULL,'add2cart_popup.item.buttons','customer','',300,'modules/CDev/Paypal/add2cart_popup/express_checkout.twig',NULL,NULL,'',0,0,0),(502,NULL,'center.top','customer','',100,'modules/CDev/Paypal/banner/categoryPages/aboveProducts.twig',NULL,NULL,'',0,0,0),(503,NULL,'center.bottom','customer','',99999,'modules/CDev/Paypal/banner/categoryPages/belowProducts.twig',NULL,NULL,'',0,0,0),(504,NULL,'product.details.page.info','customer','',105,'modules/CDev/Paypal/banner/ProductDetailsPages/nearAddToCartButton.twig',NULL,NULL,'',0,0,0),(505,NULL,'cart.panel','customer','',15,'modules/CDev/Paypal/banner/cartPage/nearCheckoutButton.twig',NULL,NULL,'',0,0,0),(506,NULL,'center','customer','',10,'modules/CDev/Paypal/banner/homePage/aboveProducts.twig',NULL,NULL,'',0,0,0),(507,NULL,'center.bottom','customer','',99999,'modules/CDev/Paypal/banner/homePage/belowProducts.twig',NULL,NULL,'',0,0,0),(508,NULL,'static_page.info','customer','',100,'modules/CDev/SimpleCMS/page/parts/content.twig',NULL,NULL,'',0,0,0),(510,NULL,'static_page.info','customer','',100000,'modules/CDev/GoSocial/page/parts/share.twig',NULL,NULL,'',0,0,0),(511,NULL,'product.plain_price.before.sale_price.text','customer','',100,'modules/CDev/Sale/details/sale_price.twig',NULL,NULL,'',0,0,0),(512,NULL,'product.plain_price.before.sale_price.text','customer','',200,'modules/CDev/Sale/details/you_save.twig',NULL,NULL,'',0,0,0),(513,NULL,'product.plain_price.before','customer','',15,'modules/CDev/Sale/details/label.twig',NULL,NULL,'',0,0,0),(514,NULL,'product.plain_price.before','customer','',40,'modules/CDev/Sale/label.twig',NULL,NULL,'',0,0,0),(515,NULL,'product.details.quicklook.info','customer','',20,'modules/CDev/GoogleAnalytics/quick-look-data.twig',NULL,NULL,'',0,0,0),(516,NULL,'itemsList.product.grid.customer.info','customer','',20,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL,NULL,'',0,0,0),(517,NULL,'itemsList.product.list.customer.info','customer','',20,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL,NULL,'',0,0,0),(518,NULL,'itemsList.product.small_thumbnails.customer.details','customer','',20,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL,NULL,'',0,0,0),(519,NULL,'itemsList.product.big_thumbnails.customer.info','customer','',200,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL,NULL,'',0,0,0),(520,NULL,'itemsList.product.text_links.customer.info','customer','',100,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL,NULL,'',0,0,0),(521,NULL,'itemsList.product.table.customer.add2cart','customer','',10,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL,NULL,'',0,0,0),(522,NULL,'productBlock.info','customer','',200,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL,NULL,'',0,0,0),(523,NULL,'itemsList.product.grid.customer.recently.info','customer','',10,'modules/CDev/GoogleAnalytics/impression-block.twig',NULL,NULL,'',0,0,0),(524,NULL,'product.plain_price.before','customer','',45,'modules/CDev/MarketPrice/details.twig',NULL,NULL,'',0,0,0),(525,NULL,'product.plain_price.before.market_price.text','customer','',100,'modules/CDev/MarketPrice/details/market_price.twig',NULL,NULL,'',0,0,0),(526,NULL,'product.plain_price.before.market_price.text','customer','',200,'modules/CDev/MarketPrice/details/you_save.twig',NULL,NULL,'',0,0,0),(527,NULL,'product.plain_price.before','customer','',15,'modules/CDev/MarketPrice/details/label.twig',NULL,NULL,'',0,0,0),(528,NULL,'product.details.page.tab.description','customer','',50,'modules/CDev/FileAttachments/file_attachments.twig',NULL,NULL,'',0,0,0),(529,NULL,'itemsList.product.grid.customer.header','customer','',100,'modules/QSL/CloudSearch/cloud_filters/items_list/product/parts/common.filters.twig',NULL,NULL,'',0,0,0),(530,NULL,'itemsList.product.list.customer.header','customer','',100,'modules/QSL/CloudSearch/cloud_filters/items_list/product/parts/common.filters.twig',NULL,NULL,'',0,0,0),(531,NULL,'itemsList.product.table.customer.header','customer','',100,'modules/QSL/CloudSearch/cloud_filters/items_list/product/parts/common.filters.twig',NULL,NULL,'',0,0,0),(532,NULL,'invoice.bottom.address.billing','customer','',30,'modules/QSL/BraintreeVZ/invoice/credit_card.twig',NULL,NULL,'',0,0,0),(533,NULL,'product.stock.info','customer','',20,'modules/XC/FreeShipping/free_ship.label.twig',NULL,NULL,'',0,0,0),(534,NULL,'checkout.review.selected.placeOrder','customer','',350,'modules/XC/MailChimp/model/profile/subscriptions_list.twig',NULL,NULL,'',0,0,0),(535,NULL,'checkout_fastlane.sections.place-order.before','customer','',100,'modules/XC/MailChimp/model/profile/subscriptions_list.twig',NULL,NULL,'',0,0,0),(536,NULL,'checkout.review.selected.items','customer','',2000,'modules/XC/MailChimp/model/profile/subscriptions_list.twig',NULL,NULL,'',0,0,0),(537,NULL,'newsMessage.details','customer','',200,'modules/XC/News/page/news_message/parts/date.twig',NULL,NULL,'',0,0,0),(538,NULL,'newsMessage.details','customer','',400,'modules/XC/News/page/news_message/parts/link.twig',NULL,NULL,'',0,0,0),(539,NULL,'newsMessage.details','customer','',300,'modules/XC/News/page/news_message/parts/body.twig',NULL,NULL,'',0,0,0),(540,NULL,'itemsList.newsMessages.customer.center.row','customer','',100,'modules/XC/News/news_messages/list/parts/cell.date.twig',NULL,NULL,'',0,0,0),(541,NULL,'itemsList.newsMessages.customer.center.row','customer','',200,'modules/XC/News/news_messages/list/parts/cell.name.twig',NULL,NULL,'',0,0,0),(542,NULL,'itemsList.newsMessages.customer.center.row','customer','',250,'modules/XC/News/news_messages/list/parts/cell.brief.twig',NULL,NULL,'',0,0,0),(543,NULL,'itemsList.newsMessages.customer.top.row','customer','',100,'modules/XC/News/top_news_messages/list/parts/cell.date.twig',NULL,NULL,'',0,0,0),(544,NULL,'itemsList.newsMessages.customer.top.row','customer','',200,'modules/XC/News/top_news_messages/list/parts/cell.name.twig',NULL,NULL,'',0,0,0),(545,NULL,'itemsList.newsMessages.customer.top.row','customer','',250,'modules/XC/News/top_news_messages/list/parts/cell.brief.twig',NULL,NULL,'',0,0,0),(546,NULL,'NewsletterSubscriptions.footer.error-block','customer','',100,'modules/XC/NewsletterSubscriptions/form/parts/error.twig',NULL,NULL,'',0,0,0),(547,NULL,'NewsletterSubscriptions.footer.form-block','customer','',100,'modules/XC/NewsletterSubscriptions/form/parts/form.twig',NULL,NULL,'',0,0,0),(548,NULL,'NewsletterSubscriptions.footer.success-block','customer','',100,'modules/XC/NewsletterSubscriptions/form/parts/success.twig',NULL,NULL,'',0,0,0),(549,NULL,'comparison_table.header_fixed','customer','',100,'modules/XC/ProductComparison/comparison_table/parts/product_name.twig',NULL,NULL,'',0,0,0),(550,NULL,'comparison_table.data','customer','',200,'modules/XC/ProductComparison/comparison_table/parts/weight.twig',NULL,NULL,'',0,0,0),(551,NULL,'comparison_table.header_fixed','customer','',200,'modules/XC/ProductComparison/comparison_table/parts/buttons.twig',NULL,NULL,'',0,0,0),(552,NULL,'comparison_table.data','customer','',100,'modules/XC/ProductComparison/comparison_table/parts/prices.twig',NULL,NULL,'',0,0,0),(553,NULL,'comparison_table.header','customer','',100,'modules/XC/ProductComparison/comparison_table/parts/images.twig',NULL,NULL,'',0,0,0),(554,NULL,'checkout_fastlane','customer','',5,'modules/XC/FacebookMarketing/checkout/initiate_checkout_data.twig',NULL,NULL,'',0,0,0),(555,NULL,'checkout.main','customer','',5,'modules/XC/FacebookMarketing/checkout/initiate_checkout_data.twig',NULL,NULL,'',0,0,0),(556,NULL,'order.links','customer','',30,'modules/XC/CanadaPost/order/parts/link.return.twig',NULL,NULL,'',0,0,0),(557,NULL,'invoice.bottom.d2po','customer','',10,'modules/XC/CanadaPost/order/invoice/parts/bottom.d2po.details.twig',NULL,NULL,'',0,0,0),(558,NULL,'capost_create_return.form.columns','customer','',10,'modules/XC/CanadaPost/products_return/create/parts/table.common.sku.twig',NULL,NULL,'',0,0,0),(559,NULL,'capost_create_return','customer','',200,'modules/XC/CanadaPost/products_return/create/parts/main.form.twig',NULL,NULL,'',0,0,0),(560,NULL,'capost_create_return.form.columns','customer','',10,'modules/XC/CanadaPost/products_return/create/parts/table.common.field.twig',NULL,NULL,'',0,0,0),(561,NULL,'capost_create_return.form.captions','customer','',20,'modules/XC/CanadaPost/products_return/create/parts/table.captions.name.twig',NULL,NULL,'',0,0,0),(562,NULL,'capost_create_return.form.captions','customer','',30,'modules/XC/CanadaPost/products_return/create/parts/table.captions.ret_amount.twig',NULL,NULL,'',0,0,0),(563,NULL,'capost_create_return.form.columns','customer','',25,'modules/XC/CanadaPost/products_return/create/parts/table.common.amount.twig',NULL,NULL,'',0,0,0),(564,NULL,'capost_create_return.form','customer','',300,'modules/XC/CanadaPost/products_return/create/parts/main.form.button.twig',NULL,NULL,'',0,0,0),(565,NULL,'capost_create_return.form','customer','',100,'modules/XC/CanadaPost/products_return/create/parts/main.form.products.twig',NULL,NULL,'',0,0,0),(566,NULL,'capost_create_return.form','customer','',200,'modules/XC/CanadaPost/products_return/create/parts/main.form.message.twig',NULL,NULL,'',0,0,0),(567,NULL,'capost_create_return.form.captions','customer','',25,'modules/XC/CanadaPost/products_return/create/parts/table.captions.amount.twig',NULL,NULL,'',0,0,0),(568,NULL,'capost_create_return.form.columns','customer','',15,'modules/XC/CanadaPost/products_return/create/parts/table.common.image.twig',NULL,NULL,'',0,0,0),(569,NULL,'capost_create_return.form.columns','customer','',20,'modules/XC/CanadaPost/products_return/create/parts/table.common.name.twig',NULL,NULL,'',0,0,0),(570,NULL,'capost_create_return','customer','',100,'modules/XC/CanadaPost/products_return/create/parts/main.info.twig',NULL,NULL,'',0,0,0),(571,NULL,'capost_create_return.form.captions','customer','',5,'modules/XC/CanadaPost/products_return/create/parts/table.captions.field.twig',NULL,NULL,'',0,0,0),(572,NULL,'capost_create_return.form.captions','customer','',10,'modules/XC/CanadaPost/products_return/create/parts/table.captions.sku.twig',NULL,NULL,'',0,0,0),(573,NULL,'capost_create_return.form.captions','customer','',15,'modules/XC/CanadaPost/products_return/create/parts/table.captions.image.twig',NULL,NULL,'',0,0,0),(574,NULL,'capost_create_return.form.columns','customer','',30,'modules/XC/CanadaPost/products_return/create/parts/table.common.ret_amount.twig',NULL,NULL,'',0,0,0),(575,NULL,'themetweaker-panel-extensions','customer','',210,'modules/XC/ThemeTweaker/themetweaker_panel/panel_extensions/confirm_save_modal.twig',NULL,NULL,'',0,0,0),(576,NULL,'themetweaker-panel-extensions','customer','',200,'modules/XC/ThemeTweaker/themetweaker_panel/panel_extensions/confirm_reset_layout_modal.twig',NULL,NULL,'',0,0,0),(577,NULL,'themetweaker-panel-extensions','customer','',200,'modules/XC/ThemeTweaker/themetweaker_panel/panel_extensions/confirm_exit_modal.twig',NULL,NULL,'',0,0,0),(578,NULL,'themetweaker-panel-extensions','customer','',220,'modules/XC/ThemeTweaker/themetweaker_panel/panel_extensions/code_error_modal.twig',NULL,NULL,'',0,0,0),(579,NULL,'themetweaker-panel--body','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel/content.twig',NULL,NULL,'',0,0,0),(580,NULL,'themetweaker-panel--header','customer','',200,'modules/XC/ThemeTweaker/themetweaker_panel/panel/actions.twig',NULL,NULL,'',0,0,0),(581,NULL,'themetweaker-panel--header','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.twig',NULL,NULL,'',0,0,0),(582,NULL,'themetweaker-panel--actions','customer','',999,'modules/XC/ThemeTweaker/themetweaker_panel/panel/actions.save.twig',NULL,NULL,'',0,0,0),(583,NULL,'themetweaker-panel--actions','customer','',100,'modules/XC/ThemeTweaker/themetweaker_panel/panel/actions.switcher.twig',NULL,NULL,'',0,0,0),(584,NULL,'themetweaker-panel--tabs','customer','',0,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.hide.twig',NULL,NULL,'',0,0,0),(585,NULL,'themetweaker-panel--tabs','customer','',30,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.inline_editor.twig',NULL,NULL,'',0,0,0),(586,NULL,'themetweaker-panel--tabs','customer','',50,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.webmaster.twig',NULL,NULL,'',0,0,0),(587,NULL,'themetweaker-panel--tabs','customer','',20,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.labels_editor.twig',NULL,NULL,'',0,0,0),(588,NULL,'themetweaker-panel--tabs','customer','',10,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.layout_editor.twig',NULL,NULL,'',0,0,0),(589,NULL,'themetweaker-panel--tabs','customer','',40,'modules/XC/ThemeTweaker/themetweaker_panel/panel/tabs.custom_css.twig',NULL,NULL,'',0,0,0),(590,NULL,'list-item.actions','customer','',10,'modules/XC/ThemeTweaker/themetweaker/layout_editor/list_item_parts/action_unhide.twig',NULL,NULL,'',0,0,0),(591,NULL,'list-item.actions','customer','',10,'modules/XC/ThemeTweaker/themetweaker/layout_editor/list_item_parts/action_hide.twig',NULL,NULL,'',0,0,0),(592,NULL,'layout_editor','customer','',100,'modules/XC/ThemeTweaker/themetweaker/layout_editor/panel_parts/help_message.twig',NULL,NULL,'',0,0,0),(593,NULL,'layout_editor.sidebar','customer','',10,'modules/XC/ThemeTweaker/themetweaker/layout_editor/panel_parts/layout_options.twig',NULL,NULL,'',0,0,0),(594,NULL,'layout_editor','customer','',10,'modules/XC/ThemeTweaker/themetweaker/layout_editor/panel_parts/hidden_count.twig',NULL,NULL,'',0,0,0),(595,NULL,'layout_editor','customer','',20,'modules/XC/ThemeTweaker/themetweaker/layout_editor/panel_parts/hidden_blocks.twig',NULL,NULL,'',0,0,0),(596,NULL,'head.css','customer','',9999,'modules/XC/ThemeTweaker/themetweaker/custom_css/css.twig',NULL,NULL,'',0,0,0),(597,NULL,'inline_editor','customer','',200,'modules/XC/ThemeTweaker/themetweaker/inline_editable/tinymce_warning_modal.twig',NULL,NULL,'',0,0,0),(598,NULL,'layout.main.center','customer','',0,'modules/XC/ThemeTweaker/layout/content/main.center.hidden.twig',NULL,NULL,'',0,0,0),(599,NULL,'checkout_fastlane','customer','',10,'modules/XC/FastLaneCheckout/checkout_fastlane/header.twig',NULL,NULL,'',0,0,0),(600,NULL,'checkout_fastlane.header.left','customer','',10,'modules/XC/FastLaneCheckout/checkout_fastlane/header/title.twig',NULL,NULL,'',0,0,0),(601,NULL,'checkout_fastlane.header.right','customer','',10,'modules/XC/FastLaneCheckout/checkout_fastlane/header/navigation.twig',NULL,NULL,'',0,0,0),(603,NULL,'checkout_fastlane','customer','',20,'modules/XC/FastLaneCheckout/checkout_fastlane/sections.twig',NULL,NULL,'',0,0,0),(604,NULL,'select-address.after','customer','',100,'modules/XC/FastLaneCheckout/select_address/add_button.twig',NULL,NULL,'',0,0,0),(605,NULL,'checkout_fastlane.sections.details.right','customer','',10,'modules/XC/FastLaneCheckout/sections/details/order_total.twig',NULL,NULL,'',0,0,0),(606,NULL,'checkout_fastlane.sections.details.left','customer','',10,'modules/XC/FastLaneCheckout/sections/details/order_details.twig',NULL,NULL,'',0,0,0),(607,NULL,'checkout_fastlane.sections.details.right','customer','',13,'modules/XC/FastLaneCheckout/sections/details/included_modifiers.twig',NULL,NULL,'',0,0,0),(608,NULL,'checkout_fastlane.sections.details.left','customer','',15,'modules/XC/FastLaneCheckout/sections/details/shipping_details.twig',NULL,NULL,'',0,0,0),(609,NULL,'checkout_fastlane.sections.after','customer','',10,'modules/XC/FastLaneCheckout/sections/details_box.twig',NULL,NULL,'',0,0,0),(610,NULL,'checkout_fastlane.sections.address','customer','',20,'modules/XC/FastLaneCheckout/sections/address/billing.twig',NULL,NULL,'',0,0,0),(611,NULL,'checkout_fastlane.sections.address','customer','',10,'modules/XC/FastLaneCheckout/sections/address/shipping.twig',NULL,NULL,'',0,0,0),(612,NULL,'checkout_fastlane.sections.payment.left','customer','',20,'modules/XC/FastLaneCheckout/sections/payment/billing.twig',NULL,NULL,'',0,0,0),(613,NULL,'checkout_fastlane.sections.payment','customer','',10,'modules/XC/FastLaneCheckout/sections/payment/columns.twig',NULL,NULL,'',0,0,0),(614,NULL,'checkout_fastlane.sections.payment.left','customer','',30,'modules/XC/FastLaneCheckout/sections/payment/note.twig',NULL,NULL,'',0,0,0),(615,NULL,'checkout_fastlane.sections.payment.right','customer','',0,'modules/XC/FastLaneCheckout/sections/payment/heading.right.twig',NULL,NULL,'',0,0,0),(616,NULL,'checkout_fastlane.sections.payment.left','customer','',0,'modules/XC/FastLaneCheckout/sections/payment/heading.left.twig',NULL,NULL,'',0,0,0),(617,NULL,'checkout_fastlane.sections.payment.right','customer','',10,'modules/XC/FastLaneCheckout/sections/payment/methods.twig',NULL,NULL,'',0,0,0),(618,NULL,'checkout_fastlane.sections.details.right','customer','',20,'modules/XC/FastLaneCheckout/sections/section_change_button.twig',NULL,NULL,'',0,0,0),(619,NULL,'checkout_fastlane.sections.shipping','customer','',10,'modules/XC/FastLaneCheckout/sections/shipping/columns.twig',NULL,NULL,'',0,0,0),(620,NULL,'checkout_fastlane.sections.shipping.left','customer','',30,'modules/XC/FastLaneCheckout/sections/shipping/note.twig',NULL,NULL,'',0,0,0),(621,NULL,'checkout_fastlane.sections.shipping.left','customer','',10,'modules/XC/FastLaneCheckout/sections/shipping/email.twig',NULL,NULL,'',0,0,0),(622,NULL,'checkout_fastlane.sections.shipping.right','customer','',0,'modules/XC/FastLaneCheckout/sections/shipping/heading.right.twig',NULL,NULL,'',0,0,0),(623,NULL,'checkout_fastlane.sections.shipping.left','customer','',20,'modules/XC/FastLaneCheckout/sections/shipping/address.twig',NULL,NULL,'',0,0,0),(624,NULL,'checkout_fastlane.sections.shipping.left','customer','',0,'modules/XC/FastLaneCheckout/sections/shipping/heading.left.twig',NULL,NULL,'',0,0,0),(625,NULL,'checkout_fastlane.sections.shipping.right','customer','',10,'modules/XC/FastLaneCheckout/sections/shipping/methods.twig',NULL,NULL,'',0,0,0),(626,NULL,'checkout_fastlane.blocks.payment_methods.available','customer','',10,'modules/XC/FastLaneCheckout/blocks/payment_methods/available/payment_tpl.twig',NULL,NULL,'',0,0,0),(627,NULL,'checkout_fastlane.blocks.address.billing.prepend','customer','',10,'modules/XC/FastLaneCheckout/blocks/address_form/address_book.twig',NULL,NULL,'',0,0,0),(628,NULL,'checkout_fastlane.blocks.address.shipping.prepend','customer','',10,'modules/XC/FastLaneCheckout/blocks/address_form/address_book.twig',NULL,NULL,'',0,0,0),(629,NULL,'checkout_fastlane.blocks.address.billing.email','customer','',100,'modules/XC/FastLaneCheckout/blocks/address_form/billing/address.create.twig',NULL,NULL,'',0,0,0),(630,NULL,'checkout_fastlane.blocks.address.billing.before','customer','',10,'modules/XC/FastLaneCheckout/blocks/address_form/billing/same.twig',NULL,NULL,'',0,0,0),(631,NULL,'checkout_fastlane.blocks.address.shipping.email','customer','',100,'modules/XC/FastLaneCheckout/blocks/address_form/shipping/address.create.twig',NULL,NULL,'',0,0,0),(632,NULL,'checkout_fastlane.blocks.popup_address_form.billing','customer','',999,'modules/XC/FastLaneCheckout/blocks/popup_address_form/apply_to_shipping.twig',NULL,NULL,'',0,0,0),(633,NULL,'checkout_fastlane.blocks.popup_address_form.shipping','customer','',999,'modules/XC/FastLaneCheckout/blocks/popup_address_form/apply_to_billing.twig',NULL,NULL,'',0,0,0),(634,NULL,'customer.attachments.popup.item','customer','',90,'modules/XC/CustomerAttachments/parts/file_name.twig',NULL,NULL,'',0,0,0),(635,NULL,'customer.attachments.popup.item','customer','',40,'modules/XC/CustomerAttachments/parts/delete_btn.twig',NULL,NULL,'',0,0,0),(636,NULL,'customer.attachments.popup','customer','',100,'modules/XC/CustomerAttachments/parts/add_files.twig',NULL,NULL,'',0,0,0),(637,NULL,'customer.attachments.popup','customer','',50,'modules/XC/CustomerAttachments/parts/files_table.twig',NULL,NULL,'',0,0,0),(638,NULL,'invoice.item.name','customer','',100,'modules/XC/CustomerAttachments/order/invoice/parts/items/item.attachments.twig',NULL,NULL,'',0,0,0),(639,NULL,'reviews.page.rating','customer','',200,'modules/XC/Reviews/average_rating/text.twig',NULL,NULL,'',0,0,0),(640,NULL,'reviews.tooltip.rating','customer','',200,'modules/XC/Reviews/average_rating/text.twig',NULL,NULL,'',0,0,0),(641,NULL,'reviews.page.rating','customer','',300,'modules/XC/Reviews/average_rating/details.twig',NULL,NULL,'',0,0,0),(642,NULL,'reviews.rating.details','customer','',200,'modules/XC/Reviews/average_rating/details.twig',NULL,NULL,'',0,0,0),(643,NULL,'reviews.product.rating.form.content','customer','',100,'modules/XC/Reviews/average_rating/rating.twig',NULL,NULL,'',0,0,0),(644,NULL,'reviews.product.rating','customer','',100,'modules/XC/Reviews/average_rating/form.twig',NULL,NULL,'',0,0,0),(646,NULL,'reviews.tab.rating','customer','',200,'modules/XC/Reviews/average_rating/form.twig',NULL,NULL,'',0,0,0),(647,NULL,'reviews.page.rating','customer','',200,'modules/XC/Reviews/average_rating/separator.twig',NULL,NULL,'',0,0,0),(648,NULL,'review.add.fields','customer','',100,'modules/XC/Reviews/review/parts/field.rating.twig',NULL,NULL,'',0,0,0),(649,NULL,'review.add.fields','customer','',300,'modules/XC/Reviews/review/parts/field.email.twig',NULL,NULL,'',0,0,0),(650,NULL,'review.add.fields','customer','',400,'modules/XC/Reviews/review/parts/field.review.twig',NULL,NULL,'',0,0,0),(651,NULL,'review.add.buttons','customer','',500,'modules/XC/Reviews/review/parts/buttons.twig',NULL,NULL,'',0,0,0),(652,NULL,'review.add.fields','customer','',200,'modules/XC/Reviews/review/parts/field.reviewer_name.twig',NULL,NULL,'',0,0,0),(653,NULL,'product.reviews.tab','customer','',500,'modules/XC/Reviews/reviews_tab/parts/tab.all_reviews_link.twig',NULL,NULL,'',0,0,0),(655,NULL,'reviews.review','customer','',200,'modules/XC/Reviews/reviews_page/parts/review.rating.twig',NULL,NULL,'',0,0,0),(656,NULL,'product.reviews.page','customer','',300,'modules/XC/Reviews/reviews_page/parts/page.reviews_list.twig',NULL,NULL,'',0,0,0),(657,NULL,'reviews.review.response','customer','',300,'modules/XC/Reviews/reviews_page/parts/response.text.twig',NULL,NULL,'',0,0,0),(658,NULL,'reviews.review.title','customer','',100,'modules/XC/Reviews/reviews_page/parts/title.left.twig',NULL,NULL,'',0,0,0),(659,NULL,'reviews.review.response','customer','',100,'modules/XC/Reviews/reviews_page/parts/response.title.twig',NULL,NULL,'',0,0,0),(660,NULL,'reviews.review','customer','',300,'modules/XC/Reviews/reviews_page/parts/review.text.twig',NULL,NULL,'',0,0,0),(661,NULL,'reviews.review','customer','',500,'modules/XC/Reviews/reviews_page/parts/review.response.twig',NULL,NULL,'',0,0,0),(662,NULL,'reviews.review','customer','',100,'modules/XC/Reviews/reviews_page/parts/review.title.twig',NULL,NULL,'',0,0,0),(663,NULL,'product.reviews.page','customer','',100,'modules/XC/Reviews/reviews_page/parts/page.product.twig',NULL,NULL,'',0,0,0),(666,NULL,'reviews.general','customer','',20,'modules/XC/Reviews/button/add_review.twig',NULL,NULL,'',0,0,0),(667,NULL,'location-select.main','customer','',10,'modules/XC/Geolocation/location_popup/parts/main.address.twig',NULL,NULL,'',0,0,0),(668,NULL,'location-select.address','customer','',40,'modules/XC/Geolocation/location_popup/parts/address.type.twig',NULL,NULL,'',0,0,0),(669,NULL,'location-select.address','customer','',30,'modules/XC/Geolocation/location_popup/parts/address.zipcode.twig',NULL,NULL,'',0,0,0),(670,NULL,'location-select.address','customer','',10,'modules/XC/Geolocation/location_popup/parts/address.country.twig',NULL,NULL,'',0,0,0),(671,NULL,'location-select.address','customer','',20,'modules/XC/Geolocation/location_popup/parts/address.state.twig',NULL,NULL,'',0,0,0),(672,NULL,'product.details.page.info','customer','',105,'modules/XC/CustomProductTabs/product/brief_info.twig',NULL,NULL,'',0,0,0),(673,NULL,'products.search.conditions.advanced.options','customer','',400,'modules/XC/ProductTags/product/search/parts/advanced.options.tag.twig',NULL,NULL,'',0,0,0),(674,NULL,'order.links','customer','',10,'modules/XC/VendorMessages/order/parts/link.messages.twig',NULL,NULL,'',0,0,0),(675,NULL,'orders.children.spec','customer','',350,'modules/XC/VendorMessages/order/list/parts/spec.messages.twig',NULL,NULL,'',0,0,0),(676,NULL,'checkout.signin.form','customer','',20,'signin/parts/login_form/password.twig',NULL,NULL,'',0,0,0),(677,NULL,'checkout.signin.form','customer','',10,'signin/parts/login_form/email.twig',NULL,NULL,'',0,0,0),(678,NULL,'checkout.signin.form','customer','',30,'signin/parts/login_form/button.twig',NULL,NULL,'',0,0,0),(679,NULL,'customer.checkout.signin','customer','',10,'signin/signin_login_form.twig',NULL,NULL,'',0,0,0),(680,NULL,'signin-anonymous-title','customer','',20,'signin/signin_title.twig',NULL,NULL,'',0,0,0),(681,NULL,'products.search.conditions.phrase','customer','',200,'product/search/parts/phrase.any.twig',NULL,NULL,'',0,0,0),(682,NULL,'products.search.conditions.advanced.options','customer','',300,'product/search/parts/advanced.options.sku.twig',NULL,NULL,'',0,0,0),(683,NULL,'products.search.conditions.phrase','customer','',300,'product/search/parts/phrase.phrase.twig',NULL,NULL,'',0,0,0),(684,NULL,'products.search.conditions.advanced','customer','',100,'product/search/parts/advanced.options.twig',NULL,NULL,'',0,0,0),(685,NULL,'products.search.conditions.advanced.options','customer','',100,'product/search/parts/advanced.options.title.twig',NULL,NULL,'',0,0,0),(686,NULL,'products.search.conditions.advanced.options','customer','',200,'product/search/parts/advanced.options.descr.twig',NULL,NULL,'',0,0,0),(687,NULL,'products.search.conditions.phrase','customer','',100,'product/search/parts/phrase.all.twig',NULL,NULL,'',0,0,0),(688,NULL,'products.search.conditions.advanced','customer','',200,'product/search/parts/advanced.category.twig',NULL,NULL,'',0,0,0),(689,NULL,'products.search.conditions.substring','customer','',200,'product/search/parts/substring.button.twig',NULL,NULL,'',0,0,0),(690,NULL,'products.search.conditions-responsive.substring','customer','',200,'product/search/parts/substring.button.twig',NULL,NULL,'',0,0,0),(691,NULL,'products.search.conditions.substring','customer','',100,'product/search/parts/substring.input.twig',NULL,NULL,'',0,0,0),(692,NULL,'product.simple-search-form.simple-box.elements','customer','',20,'product/search/simple-search-parts/submit.twig',NULL,NULL,'',0,0,0),(693,NULL,'product.simple-search-form.simple-box','customer','',10,'product/search/simple-search-parts/simple-box.twig',NULL,NULL,'',0,0,0),(694,NULL,'product.simple-search-form.simple-box.elements','customer','',10,'product/search/simple-search-parts/input.twig',NULL,NULL,'',0,0,0),(695,NULL,'product.quantity-box','customer','',20,'product/quantity_box/parts/quantity_box.twig',NULL,NULL,'',0,0,0),(696,NULL,'product.details.common.product-attributes.elements','customer','',200,'product/details/common_attributes/common.product-attributes.sku.twig',NULL,NULL,'',0,0,0),(697,NULL,'product.details.common.product-attributes.elements','customer','',100,'product/details/common_attributes/common.product-attributes.weight.twig',NULL,NULL,'',0,0,0),(698,NULL,'product.details.page.info.form','customer','',100,'product/details/parts/common.info.buttons.twig',NULL,NULL,'',0,0,0),(699,NULL,'product.details.quicklook.info.form','customer','',100,'product/details/parts/common.info.buttons.twig',NULL,NULL,'',0,0,0),(700,NULL,'product.details.page.info.form.buttons.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL,NULL,'',0,0,0),(701,NULL,'product.details.page.info.form.buttons-added.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL,NULL,'',0,0,0),(702,NULL,'product.details.quicklook.info.form.buttons.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL,NULL,'',0,0,0),(703,NULL,'product.details.quicklook.info.form.buttons-added.cart-buttons','customer','',10,'product/details/parts/common.qty.twig',NULL,NULL,'',0,0,0),(704,NULL,'product.details.quicklook.info','customer','',100,'product/details/parts/common.quicklook.form.twig',NULL,NULL,'',0,0,0),(705,NULL,'product.details.page.info.form.buttons.cart-buttons','customer','',13,'product/details/parts/common.stock.twig',NULL,NULL,'',0,0,0),(706,NULL,'product.details.page.info.form.buttons-added.cart-buttons','customer','',13,'product/details/parts/common.stock.twig',NULL,NULL,'',0,0,0),(707,NULL,'product.details.quicklook.info.form.buttons.cart-buttons','customer','',13,'product/details/parts/common.stock.twig',NULL,NULL,'',0,0,0),(708,NULL,'product.details.quicklook.info.form.buttons-added.cart-buttons','customer','',13,'product/details/parts/common.stock.twig',NULL,NULL,'',0,0,0),(709,NULL,'product.details.page.info.form.buttons-added.cart-buttons','customer','',30,'product/details/parts/common.add-button.twig',NULL,NULL,'',0,0,0),(710,NULL,'product.details.quicklook.info.form.buttons-added.cart-buttons','customer','',30,'product/details/parts/common.add-button.twig',NULL,NULL,'',0,0,0),(711,NULL,'product.details.page.info.form.buttons.cart-buttons','customer','',20,'product/details/parts/common.add-button.twig',NULL,NULL,'',0,0,0),(712,NULL,'product.details.quicklook.info.form.buttons.cart-buttons','customer','',20,'product/details/parts/common.add-button.twig',NULL,NULL,'',0,0,0),(713,NULL,'product.details.page','customer','',30,'product/details/parts/page.info.twig',NULL,NULL,'',0,0,0),(714,NULL,'product.details.page.info','customer','',10,'product/details/parts/common.product-title.twig',NULL,NULL,'',0,0,0),(716,NULL,'product.details.page.info','customer','',50,'product/details/parts/common.form.twig',NULL,NULL,'',0,0,0),(717,NULL,'product.details.page.tab.attributes','customer','',10,'product/details/parts/page.tabs.attributes.twig',NULL,NULL,'',0,0,0),(718,NULL,'product.details.page.info.form.buttons','customer','',10,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL,NULL,'',0,0,0),(719,NULL,'product.details.page.info.form.buttons-added','customer','',10,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL,NULL,'',0,0,0),(720,NULL,'product.details.quicklook.info.form.buttons','customer','',20,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL,NULL,'',0,0,0),(721,NULL,'product.details.quicklook.info.form.buttons-added','customer','',20,'product/details/parts/common.info.buttons.cart-buttons.twig',NULL,NULL,'',0,0,0),(724,NULL,'product.details.common.product-attributes.attributes','customer','',10,'product/details/parts/common.product-attributes-list.twig',NULL,NULL,'',0,0,0),(727,NULL,'product.details.quicklook','customer','',30,'product/details/parts/quicklook.info.twig',NULL,NULL,'',0,0,0),(729,NULL,'product.details.page.info','customer','',42,'product/details/parts/common.notify-on-price-drop.twig',NULL,NULL,'',0,0,0),(730,NULL,'product.details.quicklook.rotator','customer','',20,'product/details/parts/quicklook.rotator.twig',NULL,NULL,'',0,0,0),(731,NULL,'product.details.page.info','customer','',40,'product/details/parts/common.price.twig',NULL,NULL,'',0,0,0),(732,NULL,'product.details.quicklook.info','customer','',40,'product/details/parts/common.price.twig',NULL,NULL,'',0,0,0),(733,NULL,'product.details.quicklook','customer','',20,'product/details/parts/quicklook.image.twig',NULL,NULL,'',0,0,0),(735,NULL,'product.details.page.tab.description','customer','',100,'product/details/parts/common.product-description.twig',NULL,NULL,'',0,0,0),(736,NULL,'product.details.page.tab.description','customer','',100,'product/details/parts/common.product-main-attributes.twig',NULL,NULL,'',0,0,0),(739,NULL,'order.status','customer','',10,'order/parts/status.payment.twig',NULL,NULL,'',0,0,0),(740,NULL,'order.status','customer','',20,'order/parts/status.shipping.twig',NULL,NULL,'',0,0,0),(741,NULL,'order.links','customer','',100,'order/parts/link.print.twig',NULL,NULL,'',0,0,0),(742,NULL,'order.children','customer','',10,'order/parts/status.twig',NULL,NULL,'',0,0,0),(743,NULL,'order.children','customer','',20,'order/parts/links.twig',NULL,NULL,'',0,0,0),(744,NULL,'invoice.base.totals.after','customer','',20,'order/invoice/parts/totals.includedModifiers.twig',NULL,NULL,'',0,0,0),(745,NULL,'invoice.item','customer','',20,'order/invoice/parts/items/item.price.twig',NULL,NULL,'',0,0,0),(746,NULL,'invoice.item','customer','',40,'order/invoice/parts/items/item.total.twig',NULL,NULL,'',0,0,0),(747,NULL,'invoice.base','customer','',10,'order/invoice/parts/head.twig',NULL,NULL,'',0,0,0),(748,NULL,'order_status.wrapper','customer','',10,'common/order_status_wrapper.twig',NULL,NULL,'',0,0,0),(749,NULL,'product.plain_price','customer','',10,'common/price_parts/price.twig',NULL,NULL,'',0,0,0),(750,NULL,'product.plain_price_only','customer','',10,'common/price_parts/price.twig',NULL,NULL,'',0,0,0),(751,NULL,'surcharge.common','customer','',100,'common/surcharge_parts/surcharge.twig',NULL,NULL,'',0,0,0),(752,NULL,'order_status.nowrapper','customer','',10,'common/order_status_nowrapper.twig',NULL,NULL,'',0,0,0),(753,NULL,'recover.password','customer','',200,'recover_password/parts/form.twig',NULL,NULL,'',0,0,0),(754,NULL,'recover.password','customer','',100,'recover_password/parts/note.twig',NULL,NULL,'',0,0,0),(755,NULL,'head','customer','',200,'header/parts/meta_content_type.twig',NULL,NULL,'',0,0,0),(756,NULL,'head.css','customer','',200,'header/parts/parts.css/css_aggregation.twig',NULL,NULL,'',0,0,0),(757,NULL,'head.css','customer','',100,'header/parts/parts.css/css.twig',NULL,NULL,'',0,0,0),(758,NULL,'head','customer','',1300,'header/parts/script_config.twig',NULL,NULL,'',0,0,0),(759,NULL,'head','customer','',500,'header/parts/meta_generator.twig',NULL,NULL,'',0,0,0),(760,NULL,'head','customer','',550,'header/parts/meta_title.twig',NULL,NULL,'',0,0,0),(761,NULL,'head','customer','',3,'header/parts/alternate_lang.twig',NULL,NULL,'',0,0,0),(762,NULL,'head','customer','',1500,'header/parts/preloaded_labels.twig',NULL,NULL,'',0,0,0),(763,NULL,'head','customer','',2,'header/parts/canonical.twig',NULL,NULL,'',0,0,0),(764,NULL,'head','customer','',1310,'header/parts/layout_options.twig',NULL,NULL,'',0,0,0),(765,NULL,'head','customer','',1100,'header/parts/link_css.twig',NULL,NULL,'',0,0,0),(766,NULL,'head','customer','',1000,'header/parts/link_favicon.twig',NULL,NULL,'',0,0,0),(767,NULL,'head','customer','',1,'header/parts/base.twig',NULL,NULL,'',0,0,0),(768,NULL,'head','customer','',800,'header/parts/meta_compat_ie.twig',NULL,NULL,'',0,0,0),(769,NULL,'head','customer','',700,'header/parts/meta_upgrade_insecure.twig',NULL,NULL,'',0,0,0),(770,NULL,'head','customer','',100,'header/parts/title.twig',NULL,NULL,'',0,0,0),(771,NULL,'head','customer','',650,'header/parts/meta_viewport.twig',NULL,NULL,'',0,0,0),(772,NULL,'head','customer','',700,'header/parts/meta_mobile_capable.twig',NULL,NULL,'',0,0,0),(773,NULL,'head','customer','',600,'header/parts/meta_description.twig',NULL,NULL,'',0,0,0),(774,NULL,'head','customer','',700,'header/parts/meta_keywords.twig',NULL,NULL,'',0,0,0),(775,NULL,'head','customer','',900,'header/meta.twig',NULL,NULL,'',0,0,0),(776,NULL,'customer.signin.links','customer','',200,'authorization/parts/link.bullet.twig',NULL,NULL,'',0,0,0),(777,NULL,'cart.bottom.right','customer','',20,'shopping_cart/checkout_buttons.twig',NULL,NULL,'',0,0,0),(778,NULL,'cart.panel.totals','customer','',35,'shopping_cart/parts/total.includedModifiers.twig',NULL,NULL,'',0,0,0),(779,NULL,'cart.totals','customer','',10,'shopping_cart/parts/total.subtotal.twig',NULL,NULL,'',0,0,0),(780,NULL,'cart.panel.totals','customer','',10,'shopping_cart/parts/total.subtotal.twig',NULL,NULL,'',0,0,0),(781,NULL,'cart.panel.totals','customer','',50,'shopping_cart/parts/total.disabled.reason.twig',NULL,NULL,'',0,0,0),(782,NULL,'cart.children','customer','',10,'shopping_cart/parts/items.twig',NULL,NULL,'',0,0,0),(783,NULL,'checkout.cart','customer','',10,'shopping_cart/parts/items.twig',NULL,NULL,'',0,0,0),(784,NULL,'cart.children','customer','',30,'shopping_cart/parts/totals.twig',NULL,NULL,'',0,0,0),(786,NULL,'cart.item','customer','',40,'shopping_cart/parts/item.price.twig',NULL,NULL,'',0,0,0),(787,NULL,'cart.item.info','customer','',100,'shopping_cart/parts/item.info.out.twig',NULL,NULL,'',0,0,0),(788,NULL,'cart.panel','customer','',10,'shopping_cart/parts/panel.totals.twig',NULL,NULL,'',0,0,0),(789,NULL,'cart.item.info','customer','',10,'shopping_cart/parts/item.info.name.twig',NULL,NULL,'',0,0,0),(790,NULL,'cart.item','customer','',30,'shopping_cart/parts/item.info.twig',NULL,NULL,'',0,0,0),(791,NULL,'cart.group','customer','',10,'shopping_cart/parts/group.title.twig',NULL,NULL,'',0,0,0),(792,NULL,'cart.panel.totals','customer','',40,'shopping_cart/parts/total.button.twig',NULL,NULL,'',0,0,0),(793,NULL,'cart.children','customer','',20,'shopping_cart/parts/buttons.twig',NULL,NULL,'',0,0,0),(794,NULL,'cart.item','customer','',50,'shopping_cart/parts/item.qty.twig',NULL,NULL,'',0,0,0),(795,NULL,'cart.panel.totals','customer','',20,'shopping_cart/parts/total.modifiers.twig',NULL,NULL,'',0,0,0),(796,NULL,'cart.item','customer','',60,'shopping_cart/parts/item.subtotal.twig',NULL,NULL,'',0,0,0),(797,NULL,'cart.panel','customer','',20,'shopping_cart/parts/panel.box.twig',NULL,NULL,'',0,0,0),(798,NULL,'cart.totals','customer','',30,'shopping_cart/parts/cartItems.includedModifiers.twig',NULL,NULL,'',0,0,0),(799,NULL,'cart.item','customer','',20,'shopping_cart/parts/item.image.twig',NULL,NULL,'',0,0,0),(800,NULL,'shippingEstimator.main','customer','',10,'shopping_cart/shipping_estimator/parts/main.address.twig',NULL,NULL,'',0,0,0),(801,NULL,'shippingEstimator.address','customer','',40,'shopping_cart/shipping_estimator/parts/address.type.twig',NULL,NULL,'',0,0,0),(802,NULL,'shippingEstimator.address','customer','',25,'shopping_cart/shipping_estimator/parts/address.city.twig',NULL,NULL,'',0,0,0),(803,NULL,'shippingEstimator.address','customer','',30,'shopping_cart/shipping_estimator/parts/address.zipcode.twig',NULL,NULL,'',0,0,0),(804,NULL,'shippingEstimator.address','customer','',10,'shopping_cart/shipping_estimator/parts/address.country.twig',NULL,NULL,'',0,0,0),(805,NULL,'shippingEstimator.address','customer','',20,'shopping_cart/shipping_estimator/parts/address.state.twig',NULL,NULL,'',0,0,0),(806,NULL,'shippingEstimator.main','customer','',20,'shopping_cart/shipping_estimator/parts/main.methods.twig',NULL,NULL,'',0,0,0),(807,NULL,'404.product','customer','',100,'404/parts/product/product_text.twig',NULL,NULL,'',0,0,0),(808,NULL,'404.default','customer','',500,'404/parts/contact_info.twig',NULL,NULL,'',0,0,0),(809,NULL,'404.product','customer','',500,'404/parts/contact_info.twig',NULL,NULL,'',0,0,0),(810,NULL,'404.category','customer','',500,'404/parts/contact_info.twig',NULL,NULL,'',0,0,0),(811,NULL,'404.category','customer','',100,'404/parts/category/category_text.twig',NULL,NULL,'',0,0,0),(812,NULL,'404.default','customer','',100,'404/parts/default/default_text.twig',NULL,NULL,'',0,0,0),(813,NULL,'404.default','customer','',400,'404/parts/links.twig',NULL,NULL,'',0,0,0),(814,NULL,'404.product','customer','',400,'404/parts/links.twig',NULL,NULL,'',0,0,0),(815,NULL,'404.category','customer','',400,'404/parts/links.twig',NULL,NULL,'',0,0,0),(816,NULL,'checkout.success.panel','customer','',100,'checkout/success_message.twig',NULL,NULL,'',0,0,0),(817,NULL,'checkout.cart','customer','',20,'checkout/parts/cart.totals.twig',NULL,NULL,'',0,0,0),(818,NULL,'checkout.review.selected.placeOrder','customer','',200,'checkout/steps/review/parts/place_order.note.twig',NULL,NULL,'',0,0,0),(819,NULL,'checkout.review.selected.items','customer','',45,'checkout/steps/review/parts/items.includedModifiers.twig',NULL,NULL,'',0,0,0),(820,NULL,'checkout.review.selected.items','customer','',30,'checkout/steps/review/parts/items.modifiers.twig',NULL,NULL,'',0,0,0),(821,NULL,'checkout.review.selected','customer','',20,'checkout/steps/review/parts/place_order.twig',NULL,NULL,'',0,0,0),(822,NULL,'checkout.review.selected.items','customer','',40,'checkout/steps/review/parts/items.total.twig',NULL,NULL,'',0,0,0),(823,NULL,'checkout.review.inactive.items','customer','',40,'checkout/steps/review/parts/items.total.twig',NULL,NULL,'',0,0,0),(824,NULL,'checkout.review.selected.placeOrder','customer','',400,'checkout/steps/review/parts/place_order.button.twig',NULL,NULL,'',0,0,0),(825,NULL,'checkout.review.selected.items','customer','',20,'checkout/steps/review/parts/items.list.twig',NULL,NULL,'',0,0,0),(826,NULL,'checkout.review.inactive.items','customer','',20,'checkout/steps/review/parts/items.list.twig',NULL,NULL,'',0,0,0),(827,NULL,'checkout.review.selected.items','customer','',10,'checkout/steps/review/parts/items.subtotal.twig',NULL,NULL,'',0,0,0),(828,NULL,'checkout.review.inactive.items','customer','',10,'checkout/steps/review/parts/items.subtotal.twig',NULL,NULL,'',0,0,0),(829,NULL,'checkout.review.selected.placeOrder','customer','',500,'checkout/steps/review/parts/place_order.agree_note.twig',NULL,NULL,'',0,0,0),(830,NULL,'checkout.review.selected.items','customer','',35,'checkout/steps/review/parts/items.separator.twig',NULL,NULL,'',0,0,0),(831,NULL,'checkout.review.inactive.items','customer','',35,'checkout/steps/review/parts/items.separator.twig',NULL,NULL,'',0,0,0),(832,NULL,'checkout.review.selected.items','customer','',50,'checkout/steps/review/parts/items.paid.twig',NULL,NULL,'',0,0,0),(833,NULL,'checkout.review.inactive.items','customer','',50,'checkout/steps/review/parts/items.paid.twig',NULL,NULL,'',0,0,0),(834,NULL,'checkout.shipping.selected.sub.payment','customer','',100,'checkout/steps/shipping/parts/address.second.twig',NULL,NULL,'',0,0,0),(835,NULL,'checkout.shipping.address.email','customer','',100,'checkout/steps/shipping/parts/address.shipping.create.twig',NULL,NULL,'',0,0,0),(836,NULL,'checkout.payment.address.email','customer','',100,'checkout/steps/shipping/parts/address.billing.create.twig',NULL,NULL,'',0,0,0),(837,NULL,'checkout.shipping.selected','customer','',200,'checkout/steps/shipping/parts/subsection.payment.twig',NULL,NULL,'',0,0,0),(838,NULL,'checkout.shipping.selected.sub.payment','customer','',200,'checkout/steps/shipping/parts/shippingMethods.twig',NULL,NULL,'',0,0,0),(839,NULL,'checkout.shipping.selected.sub.shipping','customer','',100,'checkout/steps/shipping/parts/address.first.twig',NULL,NULL,'',0,0,0),(841,NULL,'checkout.shipping.selected','customer','',100,'checkout/steps/shipping/parts/subsection.shipping.twig',NULL,NULL,'',0,0,0),(842,NULL,'checkout.success.panel','customer','',300,'checkout/success/parts/panel_line.twig',NULL,NULL,'',0,0,0),(843,NULL,'checkout.success.panel.buttons','customer','',200,'checkout/success/parts/button.print.twig',NULL,NULL,'',0,0,0),(844,NULL,'checkout.success.panel','customer','',200,'checkout/success/parts/buttons.twig',NULL,NULL,'',0,0,0),(845,NULL,'checkout.success','customer','',100,'checkout/success/parts/panel.twig',NULL,NULL,'',0,0,0),(846,NULL,'checkout.success','customer','',200,'checkout/success/parts/invoice.twig',NULL,NULL,'',0,0,0),(847,NULL,'pager.itemsTotal','customer','',20,'pager/parts/items_total.twig',NULL,NULL,'',0,0,0),(848,NULL,'productBlock.info','customer','',400,'product_box/parts/add2cart.twig',NULL,NULL,'',0,0,0),(849,NULL,'productBlock.info','customer','',100,'product_box/parts/photo.twig',NULL,NULL,'',0,0,0),(850,NULL,'operate_as_user','customer','',40,'operate_as_user/parts/finish-button.twig',NULL,NULL,'',0,0,0),(851,NULL,'operate_as_user','customer','',10,'operate_as_user/parts/desc.twig',NULL,NULL,'',0,0,0),(852,NULL,'operate_as_user','customer','',30,'operate_as_user/parts/login.twig',NULL,NULL,'',0,0,0),(853,NULL,'operate_as_user','customer','',20,'operate_as_user/parts/name.twig',NULL,NULL,'',0,0,0),(854,NULL,'minicart.horizontal.buttons','customer','',20,'mini_cart/horizontal/parts/disabled_reason.twig',NULL,NULL,'',0,0,0),(855,NULL,'minicart.horizontal.children','customer','',5,'mini_cart/horizontal/parts/link.twig',NULL,NULL,'',0,0,0),(856,NULL,'minicart.horizontal.buttons','customer','',5,'mini_cart/horizontal/parts/cart.twig',NULL,NULL,'',0,0,0),(857,NULL,'minicart.horizontal.buttons','customer','',10,'mini_cart/horizontal/parts/checkout.twig',NULL,NULL,'',0,0,0),(861,NULL,'layout.header.bar.links.newby','customer','',200,'layout/header/header.bar.links.newby.register.twig',NULL,NULL,'',0,0,0),(862,NULL,'layout.header.bar.links.newby','customer','',100,'layout/header/header.bar.links.newby.login.twig',NULL,NULL,'',0,0,0),(863,NULL,'layout.header','customer','',190,'layout/header/header.bar.checkout.logos.twig',NULL,NULL,'',0,0,0),(865,NULL,'layout.header','customer','',100,'layout/header/header.logo.twig',NULL,NULL,'',0,0,0),(866,NULL,'layout.responsive.search','customer','',200,'layout/header/header.bar.mobilesearch.twig',NULL,NULL,'',0,0,0),(872,NULL,'layout.main.center','customer','',200,'layout/content/main.center.center.twig',NULL,NULL,'',0,0,0),(873,NULL,'layout.main','customer','',400,'layout/content/main.center.twig',NULL,NULL,'',0,0,0),(874,NULL,'layout.main.center','customer','',300,'layout/content/main.center.right.twig',NULL,NULL,'',0,0,0),(875,NULL,'layout.main.center','customer','',100,'layout/content/main.center.left.twig',NULL,NULL,'',0,0,0),(876,NULL,'layout.main.footer','customer','',1000,'layout/footer/main.footer.section.twig',NULL,NULL,'',0,0,0),(877,NULL,'itemsList.product.list.customer.body','customer','',40,'items_list/product/center/list/parts/body/body.twig',NULL,NULL,'',0,0,0),(878,NULL,'itemsList.product.list.customer.body','customer','',20,'items_list/product/center/list/parts/body/thumbnail.twig',NULL,NULL,'',0,0,0),(879,NULL,'itemsList.product.small_thumbnails.customer.info','customer','',20,'items_list/product/parts/small-thumbnails.details.twig',NULL,NULL,'',0,0,0),(887,NULL,'itemsList.product.small_thumbnails.customer.details','customer','',20,'items_list/product/parts/common.product-name.twig',NULL,NULL,'',0,0,0),(888,NULL,'itemsList.product.big_thumbnails.customer.info','customer','',200,'items_list/product/parts/common.product-name.twig',NULL,NULL,'',0,0,0),(889,NULL,'itemsList.product.text_links.customer.info','customer','',100,'items_list/product/parts/common.product-name.twig',NULL,NULL,'',0,0,0),(890,NULL,'productBlock.info','customer','',200,'items_list/product/parts/common.product-name.twig',NULL,NULL,'',0,0,0),(891,NULL,'itemsList.product.table.customer.captions','customer','',40,'items_list/product/parts/table.captions.price.twig',NULL,NULL,'',0,0,0),(892,NULL,'itemsList.product.table.customer.captions','customer','',20,'items_list/product/parts/table.captions.name.twig',NULL,NULL,'',0,0,0),(896,NULL,'itemsList.product.table.customer.columns','customer','',20,'items_list/product/parts/common.product-link.twig',NULL,NULL,'',0,0,0),(897,NULL,'itemsList.product.list.customer.info','customer','',1000,'items_list/product/parts/list.button-add2cart.twig',NULL,NULL,'',0,0,0),(898,NULL,'itemsList.product.table.customer.captions','customer','',50,'items_list/product/parts/table.captions.add2cart-button.twig',NULL,NULL,'',0,0,0),(899,NULL,'itemsList.product.table.customer.captions','customer','',25,'items_list/product/parts/table.captions.labels.twig',NULL,NULL,'',0,0,0),(900,NULL,'itemsList.product.table.customer.buttons','customer','',50,'items_list/product/parts/common.button-buy-selected.twig',NULL,NULL,'',0,0,0),(902,NULL,'itemsList.product.grid.customer.info','customer','',998,'items_list/product/parts/common.labels.twig',NULL,NULL,'',0,0,0),(904,NULL,'itemsList.product.list.customer.photo','customer','',998,'items_list/product/parts/common.labels.twig',NULL,NULL,'',0,0,0),(905,NULL,'itemsList.product.table.customer.columns','customer','',25,'items_list/product/parts/common.labels.twig',NULL,NULL,'',0,0,0),(906,NULL,'itemsList.product.big_thumbnails.customer.info','customer','',998,'items_list/product/parts/common.labels.twig',NULL,NULL,'',0,0,0),(907,NULL,'productBlock.info.photo','customer','',998,'items_list/product/parts/common.labels.twig',NULL,NULL,'',0,0,0),(908,NULL,'product.details.page.image','customer','',17,'items_list/product/parts/common.labels.twig',NULL,NULL,'',0,0,0),(909,NULL,'itemsList.product.table.customer.captions','customer','',30,'items_list/product/parts/table.captions.qty.twig',NULL,NULL,'',0,0,0),(911,NULL,'itemsList.product.small_thumbnails.customer.info.photo','customer','',10,'items_list/product/parts/common.product-thumbnail.twig',NULL,NULL,'',0,0,0),(912,NULL,'itemsList.product.big_thumbnails.customer.info.photo','customer','',10,'items_list/product/parts/common.product-thumbnail.twig',NULL,NULL,'',0,0,0),(913,NULL,'productBlock.info.photo','customer','',100,'items_list/product/parts/common.product-thumbnail.twig',NULL,NULL,'',0,0,0),(914,NULL,'itemsList.product.table.customer.captions','customer','',10,'items_list/product/parts/table.captions.sku.twig',NULL,NULL,'',0,0,0),(916,NULL,'itemsList.product.grid.customer.info.photo','customer','',999,'items_list/product/parts/common.quicklook-button.twig',NULL,NULL,'',0,0,0),(917,NULL,'itemsList.product.list.customer.quicklook','customer','',999,'items_list/product/parts/common.quicklook-button.twig',NULL,NULL,'',0,0,0),(918,NULL,'productBlock.info','customer','',999,'items_list/product/parts/common.quicklook-button.twig',NULL,NULL,'',0,0,0),(920,NULL,'itemsList.product.small_thumbnails.customer.info','customer','',10,'items_list/product/parts/grid.photo.twig',NULL,NULL,'',0,0,0),(921,NULL,'itemsList.product.big_thumbnails.customer.info','customer','',100,'items_list/product/parts/grid.photo.twig',NULL,NULL,'',0,0,0),(922,NULL,'itemsList.product.table.customer.columns','customer','',10,'items_list/product/parts/common.product-sku.twig',NULL,NULL,'',0,0,0),(923,NULL,'itemsList.product.list.customer.photo','customer','',10,'items_list/product/parts/common.product-thumbnail-aligned-top.twig',NULL,NULL,'',0,0,0),(924,NULL,'itemsList.product.grid.customer.info','customer','',30,'items_list/product/parts/common.product-price.twig',NULL,NULL,'',0,0,0),(925,NULL,'itemsList.product.small_thumbnails.customer.details','customer','',25,'items_list/product/parts/common.product-price.twig',NULL,NULL,'',0,0,0),(926,NULL,'itemsList.product.list.customer.info','customer','',40,'items_list/product/parts/common.product-price.twig',NULL,NULL,'',0,0,0),(927,NULL,'itemsList.product.table.customer.columns','customer','',40,'items_list/product/parts/common.product-price.twig',NULL,NULL,'',0,0,0),(928,NULL,'productBlock.info','customer','',300,'items_list/product/parts/common.product-price.twig',NULL,NULL,'',0,0,0),(929,NULL,'itemsList.product.table.customer.columns','customer','',50,'items_list/product/parts/common.button-add2cart.twig',NULL,NULL,'',0,0,0),(931,NULL,'itemsList.product.list.customer.info','customer','',30,'items_list/product/parts/common.product-description.twig',NULL,NULL,'',0,0,0),(932,NULL,'orders.children.shipping','customer','',100,'items_list/order/parts/shipping.name.twig',NULL,NULL,'',0,0,0),(933,NULL,'orders.children.spec','customer','',300,'items_list/order/parts/spec.date.twig',NULL,NULL,'',0,0,0),(934,NULL,'orders.children.spec','customer','',200,'items_list/order/parts/spec.number.twig',NULL,NULL,'',0,0,0),(935,NULL,'orders.children.spec','customer','',600,'items_list/order/parts/spec.count.twig',NULL,NULL,'',0,0,0),(936,NULL,'orders.children.view_all_items_link','customer','',10,'items_list/order/parts/view_all_items_link.twig',NULL,NULL,'',0,0,0),(937,NULL,'orders.children.spec','customer','',100,'items_list/order/parts/spec.switcher.twig',NULL,NULL,'',0,0,0),(938,NULL,'orders.children.spec','customer','',400,'items_list/order/parts/spec.break.twig',NULL,NULL,'',0,0,0),(939,NULL,'orders.children.spec','customer','',500,'items_list/order/parts/spec.total.twig',NULL,NULL,'',0,0,0),(940,NULL,'orders.children.actions','customer','',100,'items_list/order/parts/actions.reorder.twig',NULL,NULL,'',0,0,0),(941,NULL,'footer','customer','',100,'footer/parts/css_aggregation.twig',NULL,NULL,'',0,0,0),(942,NULL,'jscontainer.js','customer','',100,'jscontainer/parts/js.twig',NULL,NULL,'',0,0,0),(943,NULL,'jscontainer.js','customer','',50,'jscontainer/parts/register_resources.twig',NULL,NULL,'',0,0,0),(944,NULL,'jscontainer.js','customer','',200,'jscontainer/parts/js_aggregation.twig',NULL,NULL,'',0,0,0),(945,NULL,'invoice.subhead.companyAddress','common','',200,'order/invoice/parts/head.companyAddress.address.twig',NULL,NULL,'',0,0,0),(946,NULL,'invoice.subhead.companyAddress','common','',100,'order/invoice/parts/head.companyAddress.name.twig',NULL,NULL,'',0,0,0),(947,NULL,'invoice.head','common','',20,'order/invoice/parts/head.logo.twig',NULL,NULL,'',0,0,0),(948,NULL,'invoice.base.totals','common','',100,'order/invoice/parts/totals.subtotal.twig',NULL,NULL,'',0,0,0),(949,NULL,'invoice.base.totals.after','common','',20,'order/invoice/parts/totals.includedModifiers.twig',NULL,NULL,'',0,0,0),(950,NULL,'invoice.bottom.address.shipping','common','',20,'order/invoice/parts/bottom.address.shipping.twig',NULL,NULL,'',0,0,0),(951,NULL,'invoice.bottom.method.payment','common','',20,'order/invoice/parts/bottom.methods.payment.twig',NULL,NULL,'',0,0,0),(952,NULL,'invoice.subhead.companyAddress','common','',400,'order/invoice/parts/head.companyAddress.fax.twig',NULL,NULL,'',0,0,0),(953,NULL,'invoice.base','common','',55,'order/invoice/parts/instruction.twig',NULL,NULL,'',0,0,0),(954,NULL,'invoice.items.head','common','',40,'order/invoice/parts/items/items.head.total.twig',NULL,NULL,'',0,0,0),(955,NULL,'invoice.items.head','common','',20,'order/invoice/parts/items/items.head.price.twig',NULL,NULL,'',0,0,0),(956,NULL,'invoice.items.head','common','',30,'order/invoice/parts/items/items.head.qty.twig',NULL,NULL,'',0,0,0),(957,NULL,'invoice.item','common','',10,'order/invoice/parts/items/item.name.twig',NULL,NULL,'',0,0,0),(958,NULL,'invoice.base','common','',50,'order/invoice/parts/items/items.twig',NULL,NULL,'',0,0,0),(959,NULL,'invoice.items.head','common','',10,'order/invoice/parts/items/items.head.item.twig',NULL,NULL,'',0,0,0),(960,NULL,'invoice.item','common','',20,'order/invoice/parts/items/item.price.twig',NULL,NULL,'',0,0,0),(961,NULL,'invoice.item','common','',40,'order/invoice/parts/items/item.total.twig',NULL,NULL,'',0,0,0),(962,NULL,'invoice.item','common','',30,'order/invoice/parts/items/item.qty.twig',NULL,NULL,'',0,0,0),(963,NULL,'invoice.item.name','common','',10,'order/invoice/parts/items/item.sku.twig',NULL,NULL,'',0,0,0),(964,NULL,'invoice.subhead.companyAddress','common','',300,'order/invoice/parts/head.companyAddress.phone.twig',NULL,NULL,'',0,0,0),(965,NULL,'invoice.bottom.address.billing','common','',10,'order/invoice/parts/bottom.address.billing.twig',NULL,NULL,'',0,0,0),(966,NULL,'invoice.bottom.method.shipping','common','',20,'order/invoice/parts/bottom.methods.shipping.twig',NULL,NULL,'',0,0,0),(967,NULL,'invoice.base','common','',60,'order/invoice/parts/totals.twig',NULL,NULL,'',0,0,0),(968,NULL,'invoice.subhead','common','',10,'order/invoice/parts/bottom.twig',NULL,NULL,'',0,0,0),(969,NULL,'invoice.subhead.companyAddress','common','',500,'order/invoice/parts/head.companyAddress.website.twig',NULL,NULL,'',0,0,0),(970,NULL,'invoice.head','common','',10,'order/invoice/parts/title.twig',NULL,NULL,'',0,0,0),(971,NULL,'invoice.base','common','',40,'order/invoice/parts/note.twig',NULL,NULL,'',0,0,0),(972,NULL,'invoice.base.totals','common','',200,'order/invoice/parts/totals.modifiers.twig',NULL,NULL,'',0,0,0),(973,NULL,'invoice.subhead','common','',20,'order/invoice/parts/head.address.twig',NULL,NULL,'',0,0,0),(974,NULL,'invoice.base','common','',10,'order/invoice/parts/head.twig',NULL,NULL,'',0,0,0),(975,NULL,'invoice.base','common','',20,'order/invoice/parts/subhead.twig',NULL,NULL,'',0,0,0),(976,NULL,'invoice.bottom.lines','common','',10,'order/invoice/parts/bottom.methods.twig',NULL,NULL,'',0,0,0),(977,NULL,'invoice.base.totals.after','common','',10,'order/invoice/parts/totals.total.twig',NULL,NULL,'',0,0,0),(978,NULL,'product.plain_price','common','',10,'common/price_parts/price.twig',NULL,NULL,'',0,0,0),(979,NULL,'product.plain_price_only','common','',10,'common/price_parts/price.twig',NULL,NULL,'',0,0,0),(980,NULL,'file-uploader.menu','common','',100,'file_uploader/parts/menu.delete.twig',NULL,NULL,'',0,0,0),(981,NULL,'file-uploader.menu','common','',30,'file_uploader/parts/menu.upload.twig',NULL,NULL,'',0,0,0),(982,NULL,'file-uploader.menu','common','',50,'file_uploader/parts/menu.alt.twig',NULL,NULL,'',0,0,0),(983,NULL,'file-uploader.menu','common','',20,'file_uploader/parts/menu.view.twig',NULL,NULL,'',0,0,0),(984,NULL,'file-uploader.menu','common','',10,'file_uploader/parts/menu.message.twig',NULL,NULL,'',0,0,0),(985,NULL,'invoice.base.totals.modifier.name','mail','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL,NULL,'',0,0,0),(986,NULL,'invoice.item.name','mail','',10,'modules/CDev/PINCodes/invoice_item_pin_codes.twig',NULL,NULL,'',0,0,0),(987,NULL,'invoice.item.name','mail','',100,'modules/XC/CustomerAttachments/order/invoice/parts/items/item.attachments.twig',NULL,NULL,'',0,0,0),(988,NULL,'product_mail_box','mail','',300,'modules/XC/Reviews/product/mailbox/parts/add_review.twig',NULL,NULL,'',0,0,0),(989,NULL,'product_mail_box','mail','',200,'product/mailbox/parts/name.twig',NULL,NULL,'',0,0,0),(990,NULL,'product_mail_box','mail','',400,'product/mailbox/parts/left_in_stock.twig',NULL,NULL,'',0,0,0),(991,NULL,'product_mail_box','mail','',300,'product/mailbox/parts/price.twig',NULL,NULL,'',0,0,0),(992,NULL,'product_mail_box','mail','',100,'product/mailbox/parts/image.twig',NULL,NULL,'',0,0,0),(993,NULL,'invoice.bottom.lines','mail','',20,'order/invoice/parts/bottom.statuses.twig',NULL,NULL,'',0,0,0),(994,NULL,'invoice.head','mail','',10,'order/invoice/parts/title.twig',NULL,NULL,'',0,0,0),(996,NULL,'tracking.info','mail','',10,'order_tracking_information/parts/tracking_info.twig',NULL,NULL,'',0,0,0),(997,NULL,'invoice.base.totals.after','pdf','',20,'order/invoice/parts/totals.includedModifiers.twig',NULL,NULL,'',0,0,0),(998,NULL,'invoice.item','pdf','',20,'order/invoice/parts/items/item.price.twig',NULL,NULL,'',0,0,0),(999,NULL,'invoice.item','pdf','',40,'order/invoice/parts/items/item.total.twig',NULL,NULL,'',0,0,0),(1000,NULL,'order','admin','',1100,'modules/XPay/XPaymentsCloud/order/fraud_status/check.twig',NULL,NULL,'',0,0,0),(1001,NULL,'order.actions.paymentActionsRow','admin','',150,'modules/XPay/XPaymentsCloud/order/page/parts/action.payment_status.twig',NULL,NULL,'',0,0,0),(1002,NULL,'order.operations','admin','',290,'modules/XPay/XPaymentsCloud/order/transactions/list.twig',NULL,NULL,'',0,0,0),(1003,NULL,'payment.methods.list.header','admin','',9999,'modules/Amazon/PayWithAmazon/method_style.twig',NULL,NULL,'',0,0,0),(1004,NULL,'itemsList.volumeDiscounts.cell.subtotalRangeBegin','admin','',16777215,'modules/CDev/VolumeDiscounts/discounts/list/subtotalRangeBegin.twig',NULL,NULL,'',0,0,0),(1005,NULL,'itemsList.product.admin.featured.header','admin','',30,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/name.twig',NULL,NULL,'',0,0,0),(1006,NULL,'itemsList.product.admin.featured.header','admin','',40,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/category.twig',NULL,NULL,'',0,0,0),(1007,NULL,'itemsList.product.admin.featured.header','admin','',20,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/sku.twig',NULL,NULL,'',0,0,0),(1008,NULL,'itemsList.product.admin.featured.header','admin','',10,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/header/checkbox.twig',NULL,NULL,'',0,0,0),(1009,NULL,'itemsList.product.admin.featured.columns','admin','',30,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/name.twig',NULL,NULL,'',0,0,0),(1010,NULL,'itemsList.product.admin.featured.columns','admin','',40,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/category.twig',NULL,NULL,'',0,0,0),(1011,NULL,'itemsList.product.admin.featured.columns','admin','',20,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/sku.twig',NULL,NULL,'',0,0,0),(1012,NULL,'itemsList.product.admin.featured.columns','admin','',10,'modules/CDev/FeaturedProducts/items_list/product/featured/parts/columns/checkbox.twig',NULL,NULL,'',0,0,0),(1013,NULL,'itemsList.category.cell.featured_products','admin','',100,'modules/CDev/FeaturedProducts/items_list/category/parts/info.featured_products.twig',NULL,NULL,'',0,0,0),(1014,NULL,'browseServer.item','admin','',200,'modules/CDev/Egoods/encrypt_mark.twig',NULL,NULL,'',0,0,0),(1015,NULL,'product.modify.list','admin','',832,'modules/CDev/ProductAdvisor/product/parts/coming_soon.twig',NULL,NULL,'',0,0,0),(1016,NULL,'product.modify.list','admin','',832,'modules/CDev/ProductAdvisor/product/parts/new_arrival.twig',NULL,NULL,'',0,0,0),(1017,NULL,'itemsList.shipping-methods.header','admin','',20,'modules/CDev/USPS/refresh.twig',NULL,NULL,'',0,0,0),(1018,NULL,'invoice.base.totals.modifier.name','admin','',16777215,'modules/CDev/Coupons/coupons_minilist.twig',NULL,NULL,'',0,0,0),(1019,NULL,'coupons.itemsList.header','admin','',100,'modules/CDev/Coupons/coupons/list/add.twig',NULL,NULL,'',0,0,0),(1020,NULL,'itemsList.coupons.cell.code','admin','',16777215,'modules/CDev/Coupons/coupons/list/code.twig',NULL,NULL,'',0,0,0),(1021,NULL,'order.actions.paymentActionsRow','admin','',100,'modules/CDev/Paypal/order/refund_in_progress.twig',NULL,NULL,'',0,0,0),(1022,NULL,'welcome-block.paypal.content','admin','',10,'modules/CDev/Paypal/welcome_block/paypal/block.content.twig',NULL,NULL,'',0,0,0),(1023,NULL,'welcome-block.paypal','admin','',100,'modules/CDev/Paypal/welcome_block/paypal/block.twig',NULL,NULL,'',0,0,0),(1024,NULL,'welcome-block.paypal.content','admin','',20,'modules/CDev/Paypal/welcome_block/paypal/block.footer.twig',NULL,NULL,'',0,0,0),(1025,NULL,'payment.methods.list.row.after.ExpressCheckout','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.expressCheckout.twig',NULL,NULL,'',0,0,0),(1026,NULL,'payment.methods.list.row.after.PayflowLink','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.twig',NULL,NULL,'',0,0,0),(1027,NULL,'payment.methods.list.row.after.PaypalAdvanced','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.twig',NULL,NULL,'',0,0,0),(1028,NULL,'payment.methods.list.row.after.PaypalWPS','admin','',100,'modules/CDev/Paypal/items_list/payment/methods/parts/action.right.after.twig',NULL,NULL,'',0,0,0),(1029,NULL,'payment_status.after.ExpressCheckout','admin','',100,'modules/CDev/Paypal/settings/ExpressCheckout/payment_status.twig',NULL,NULL,'',0,0,0),(1030,NULL,'itemsList.cdev.simplecms.menu.header','admin','',10,'modules/CDev/SimpleCMS/menus/default_option.twig',NULL,NULL,'',0,0,0),(1031,NULL,'product.pinCodes','admin','',10,'modules/CDev/PINCodes/product/script_init.twig',NULL,NULL,'',0,0,0),(1032,NULL,'product.pinCodes','admin','',400,'modules/CDev/PINCodes/product/actions.twig',NULL,NULL,'',0,0,0),(1033,NULL,'product.pinCodes','admin','',200,'modules/CDev/PINCodes/product/auto_generate.twig',NULL,NULL,'',0,0,0),(1034,NULL,'product.pinCodes','admin','',100,'modules/CDev/PINCodes/product/enabled_checkbox.twig',NULL,NULL,'',0,0,0),(1035,NULL,'product.pinCodes','admin','',300,'modules/CDev/PINCodes/product/pins_status.twig',NULL,NULL,'',0,0,0),(1036,NULL,'product.inventory.parts','admin','',10,'modules/CDev/PINCodes/inv_track_selector.twig',NULL,NULL,'',0,0,0),(1037,NULL,'backstock_status_change_notification.after','admin','',500,'modules/CDev/PINCodes/popup/backstock_status_change_notification/pin_codes_notice.twig',NULL,NULL,'',0,0,0),(1038,NULL,'product.inventory.parts','admin','',20,'modules/CDev/PINCodes/inv_track_amount.twig',NULL,NULL,'',0,0,0),(1039,NULL,'itemsList.orderitem.cell.name','admin','',100,'modules/CDev/PINCodes/items_list/model/table/order_item/cell.backordered_codes.twig',NULL,NULL,'',0,0,0),(1040,NULL,'itemsList.products.search.cell.name','admin','',10,'modules/CDev/Sale/product/sale_label.twig',NULL,NULL,'',0,0,0),(1041,NULL,'itemsList.product_selector.cell.name','admin','',10,'modules/CDev/Sale/product/sale_label.twig',NULL,NULL,'',0,0,0),(1042,NULL,'itemsList.category.cell.name','admin','',10,'modules/CDev/Sale/category/sale_label.twig',NULL,NULL,'',0,0,0),(1043,NULL,'itemsList.sale_discounts.cell.name','admin','',16777215,'modules/CDev/Sale/sale_discounts/list/name.twig',NULL,NULL,'',0,0,0),(1044,NULL,'sale_discount_types','admin','',10,'modules/CDev/Sale/sale_discount_types/parts/price.twig',NULL,NULL,'',0,0,0),(1045,NULL,'sale_discount_types','admin','',20,'modules/CDev/Sale/sale_discount_types/parts/percent.twig',NULL,NULL,'',0,0,0),(1046,NULL,'sale_discount_types','admin','',40,'modules/CDev/Sale/sale_discount_types/parts/hidden_percent.twig',NULL,NULL,'',0,0,0),(1047,NULL,'sale_discount_types','admin','',30,'modules/CDev/Sale/sale_discount_types/parts/hidden_price.twig',NULL,NULL,'',0,0,0),(1048,NULL,'product.modify.list','admin','',550,'modules/CDev/MarketPrice/price.twig',NULL,NULL,'',0,0,0),(1049,NULL,'order.payment','admin','',120,'modules/QSL/BraintreeVZ/order/credit_card.twig',NULL,NULL,'',0,0,0),(1050,NULL,'payment_status.after.PayPal_powered_by_Braintree','admin','',20,'modules/QSL/BraintreeVZ/config/status.twig',NULL,NULL,'',0,0,0),(1051,NULL,'payment.methods.list.header','admin','',400,'modules/XC/SagePay/sagepay_description.twig',NULL,NULL,'',0,0,0),(1052,NULL,'payment_status.after.SagePay_form_protocol','admin','',100,'modules/XC/SagePay/payment_status.twig',NULL,NULL,'',0,0,0),(1053,NULL,'order.shipping.address','admin','',250,'modules/XC/CanadaPost/order/page/parts/shipping.d2po.twig',NULL,NULL,'',0,0,0),(1054,NULL,'capost_return.form','admin','',400,'modules/XC/CanadaPost/products_return/parts/form.notes.twig',NULL,NULL,'',0,0,0),(1055,NULL,'capost_return.form.actions.left','admin','',100,'modules/XC/CanadaPost/products_return/parts/form.action.left.status.twig',NULL,NULL,'',0,0,0),(1056,NULL,'capost_return.form.actions.right','admin','',100,'modules/XC/CanadaPost/products_return/parts/form.action.right.note.twig',NULL,NULL,'',0,0,0),(1057,NULL,'capost_return','admin','',200,'modules/XC/CanadaPost/products_return/parts/form.twig',NULL,NULL,'',0,0,0),(1058,NULL,'capost_return.form','admin','',200,'modules/XC/CanadaPost/products_return/parts/form.products.twig',NULL,NULL,'',0,0,0),(1059,NULL,'capost_return.form','admin','',300,'modules/XC/CanadaPost/products_return/parts/form.files.twig',NULL,NULL,'',0,0,0),(1060,NULL,'capost_return.form','admin','',100,'modules/XC/CanadaPost/products_return/parts/form.actions.twig',NULL,NULL,'',0,0,0),(1061,NULL,'capost_return','admin','',100,'modules/XC/CanadaPost/products_return/parts/created.twig',NULL,NULL,'',0,0,0),(1062,NULL,'searchPanel.xc.canadapost.productsreturn.admin.main.actions','admin','',16777215,'modules/XC/CanadaPost/search_panel/return/clear_search.twig',NULL,NULL,'',0,0,0),(1063,NULL,'images_settings','admin','',100,'modules/XC/ThemeTweaker/images_settings/parts/custom_images.twig',NULL,NULL,'',0,0,0),(1064,NULL,'crud.review.footer','admin','',100,'modules/XC/Reviews/review/promo.twig',NULL,NULL,'',0,0,0),(1065,NULL,'crud.modulesettings.formHeader','admin','',50,'modules/XC/Reviews/review/promo_settings.twig',NULL,NULL,'',0,0,0),(1066,NULL,'itemsList.xc.reviews.review.header','admin','',16777215,'modules/XC/Reviews/reviews/buttons/addReview.twig',NULL,NULL,'',0,0,0),(1067,NULL,'itemsList.xc.reviews.productreview.header','admin','',16777215,'modules/XC/Reviews/reviews/buttons/addReview.twig',NULL,NULL,'',0,0,0),(1068,NULL,'form_model.xc.bulkediting.product.after','admin','',100,'modules/XC/BulkEditing/bulk_edit/selected.twig',NULL,NULL,'',0,0,0),(1069,NULL,'itemsList.xc.bulkediting.category.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL,NULL,'',0,0,0),(1070,NULL,'itemsList.xc.bulkediting.inventory.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL,NULL,'',0,0,0),(1071,NULL,'itemsList.xc.bulkediting.priceandmembership.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL,NULL,'',0,0,0),(1072,NULL,'itemsList.xc.bulkediting.shippinginfo.header','admin','',100,'modules/XC/BulkEditing/items_list/selected/count.twig',NULL,NULL,'',0,0,0),(1073,NULL,'onboarding-wizard.header','admin','',100,'modules/XC/Onboarding/wizard/header.twig',NULL,NULL,'',0,0,0),(1074,NULL,'onboarding-wizard.header','admin','',50,'modules/XC/Onboarding/wizard/close_button.twig',NULL,NULL,'',0,0,0),(1075,NULL,'import.begin.options','admin','',400,'import/parts/option.delimiter.twig',NULL,NULL,'',0,0,0),(1076,NULL,'import.completed.content','admin','',100,'import/parts/completed.messages.twig',NULL,NULL,'',0,0,0),(1077,NULL,'import.begin.content','admin','',100,'import/parts/begin.files.twig',NULL,NULL,'',0,0,0),(1078,NULL,'import.begin.options','admin','',200,'import/parts/option.delete_temporary_files.twig',NULL,NULL,'',0,0,0),(1079,NULL,'import.begin.options','admin','',50,'import/parts/option.ignore_images_verification.twig',NULL,NULL,'',0,0,0),(1080,NULL,'import.begin.content.files','admin','',100,'import/parts/begin.files.orders_note.twig',NULL,NULL,'',0,0,0),(1081,NULL,'import.begin.options','admin','',100,'import/parts/option.update_only.twig',NULL,NULL,'',0,0,0),(1082,NULL,'import.begin.options','admin','',300,'import/parts/option.charset.twig',NULL,NULL,'',0,0,0),(1083,NULL,'import.failed.content','admin','',100,'import/parts/failed.errors.twig',NULL,NULL,'',0,0,0),(1084,NULL,'import.failed.content.errors','admin','',100,'import/parts/common.errors.twig',NULL,NULL,'',0,0,0),(1085,NULL,'import.completed.content.errors','admin','',100,'import/parts/common.errors.twig',NULL,NULL,'',0,0,0),(1086,NULL,'import.begin.content','admin','',200,'import/parts/begin.options.twig',NULL,NULL,'',0,0,0),(1087,NULL,'dashboard','admin','',100,'dashboard/parts/body_markup.twig',NULL,NULL,'',0,0,0),(1088,NULL,'dashboard.info_block','admin','',100,'dashboard/info_block/alerts.twig',NULL,NULL,'',0,0,0),(1089,NULL,'dashboard.info_block','admin','',200,'dashboard/info_block/notifications.twig',NULL,NULL,'',0,0,0),(1090,NULL,'itemsList.state.header.before','admin','',10,'states/header.twig',NULL,NULL,'',0,0,0),(1091,NULL,'admin.main.page.header.left','admin','',100,'main_center/page_container_parts/header_parts/logo.twig',NULL,NULL,'',0,0,0),(1092,NULL,'admin.main.page.header','admin','',100,'main_center/page_container_parts/header_parts/menu_control.twig',NULL,NULL,'',0,0,0),(1093,NULL,'crud.notificationattachments.formHeader','admin','',100,'notifications/parts/warning.twig',NULL,NULL,'',0,0,0),(1094,NULL,'itemsList.notification.cell.name','admin','',100,'notifications/cell.name.twig',NULL,NULL,'',0,0,0),(1095,NULL,'itemsList.notification.header','admin','',100,'notifications/list.twig',NULL,NULL,'',0,0,0),(1096,NULL,'itemsList.notification.cell.enabledForAdmin','admin','',100,'notifications/cell.enabledForAdmin.twig',NULL,NULL,'',0,0,0),(1097,NULL,'product.inventory.parts','admin','',40,'product/inventory/low_limit_amount.twig',NULL,NULL,'',0,0,0),(1098,NULL,'product.inventory.parts','admin','',30,'product/inventory/low_limit_selector.twig',NULL,NULL,'',0,0,0),(1101,NULL,'product.inventory.parts','admin','',100,'product/inventory/buttons.twig',NULL,NULL,'',0,0,0),(1102,NULL,'product.attributes.actions','admin','',10,'product/attributes/parts/action.remove.twig',NULL,NULL,'',0,0,0),(1103,NULL,'order.operations','admin','',100,'order/page/parts/line1.twig',NULL,NULL,'',0,0,0),(1104,NULL,'order.payment.address','admin','',200,'order/page/parts/payment.address.twig',NULL,NULL,'',0,0,0),(1105,NULL,'order.base.totals','admin','',100,'order/page/parts/totals.subtotal.twig',NULL,NULL,'',0,0,0),(1106,NULL,'order.shipping.method','admin','',100,'order/page/parts/shipping.method.twig',NULL,NULL,'',0,0,0),(1107,NULL,'order.shipping.address','admin','',200,'order/page/parts/shipping.address.twig',NULL,NULL,'',0,0,0),(1108,NULL,'order','admin','',100,'order/page/parts/title.row.twig',NULL,NULL,'',0,0,0),(1109,NULL,'order.actions.statuses','admin','',1000,'order/page/parts/action.row.twig',NULL,NULL,'',0,0,0),(1110,NULL,'order','admin','',400,'order/page/parts/operations.twig',NULL,NULL,'',0,0,0),(1111,NULL,'order.operations','admin','',300,'order/page/parts/line3.twig',NULL,NULL,'',0,0,0),(1112,NULL,'order.items.head','admin','',40,'order/page/parts/items/items.head.total.twig',NULL,NULL,'',0,0,0),(1113,NULL,'order.items.head','admin','',20,'order/page/parts/items/items.head.price.twig',NULL,NULL,'',0,0,0),(1114,NULL,'order.items.head','admin','',30,'order/page/parts/items/items.head.qty.twig',NULL,NULL,'',0,0,0),(1115,NULL,'order.items.head','admin','',10,'order/page/parts/items/items.head.name.twig',NULL,NULL,'',0,0,0),(1116,NULL,'order.item','admin','',10,'order/page/parts/items/item.name.twig',NULL,NULL,'',0,0,0),(1117,NULL,'order.items.wrapper','admin','',10,'order/page/parts/items/items.twig',NULL,NULL,'',0,0,0),(1118,NULL,'order.item','admin','',20,'order/page/parts/items/item.price.twig',NULL,NULL,'',0,0,0),(1119,NULL,'order.item','admin','',40,'order/page/parts/items/item.total.twig',NULL,NULL,'',0,0,0),(1120,NULL,'order.item','admin','',30,'order/page/parts/items/item.qty.twig',NULL,NULL,'',0,0,0),(1121,NULL,'order.item.name','admin','',10,'order/page/parts/items/item.sku.twig',NULL,NULL,'',0,0,0),(1122,NULL,'order.items.bottom','admin','',100,'order/page/parts/totals.twig',NULL,NULL,'',0,0,0),(1123,NULL,'order.title.row','admin','',200,'order/page/parts/title.box.twig',NULL,NULL,'',0,0,0),(1124,NULL,'order.actions.statuses','admin','',200,'order/page/parts/action.payment_status.twig',NULL,NULL,'',0,0,0),(1125,NULL,'order.operations','admin','',30,'order/page/parts/placed.twig',NULL,NULL,'',0,0,0),(1126,NULL,'order.actions','admin','',1000,'order/page/parts/action.statuses.twig',NULL,NULL,'',0,0,0),(1127,NULL,'order.operations','admin','',50,'order/page/parts/staff_note.twig',NULL,NULL,'',0,0,0),(1128,NULL,'order.base.totals','admin','',200,'order/page/parts/totals.modifiers.twig',NULL,NULL,'',0,0,0),(1129,NULL,'order.items.bottom','admin','',200,'order/page/parts/customerNotes.twig',NULL,NULL,'',0,0,0),(1130,NULL,'order.note','admin','',100,'order/page/parts/note.note.twig',NULL,NULL,'',0,0,0),(1131,NULL,'order.title.box','admin','',200,'order/page/parts/title.box.history.twig',NULL,NULL,'',0,0,0),(1132,NULL,'order.actions.statuses','admin','',100,'order/page/parts/action.shipping_status.twig',NULL,NULL,'',0,0,0),(1133,NULL,'order.payment.method','admin','',100,'order/page/parts/payment.method.twig',NULL,NULL,'',0,0,0),(1134,NULL,'order.actions.paymentActionsRow','admin','',100,'order/page/parts/action.transactions.twig',NULL,NULL,'',0,0,0),(1135,NULL,'order.items.wrapper','admin','',100,'order/page/parts/items_bottom_box.twig',NULL,NULL,'',0,0,0),(1136,NULL,'order.actions.paymentActionsRow','admin','',200,'order/page/parts/action.payment_actions.twig',NULL,NULL,'',0,0,0),(1137,NULL,'order.base.totals','admin','',300,'order/page/parts/totals.total.twig',NULL,NULL,'',0,0,0),(1138,NULL,'order.history.base.events.details','admin','',150,'order/history/parts/event_details_author.twig',NULL,NULL,'',0,0,0),(1139,NULL,'order.history.base.events','admin','',20,'order/history/parts/event.twig',NULL,NULL,'',0,0,0),(1140,NULL,'order.history.base.events.details.info','admin','',30,'order/history/parts/event_details_data.twig',NULL,NULL,'',0,0,0),(1141,NULL,'order.history.base.events.details','admin','',20,'order/history/parts/event_details_action.twig',NULL,NULL,'',0,0,0),(1142,NULL,'order.history.base.events','admin','',10,'order/history/parts/event_block_header.twig',NULL,NULL,'',0,0,0),(1143,NULL,'order.history.base.events.details','admin','',10,'order/history/parts/event_date.twig',NULL,NULL,'',0,0,0),(1144,NULL,'order.history.base.events.details.info','admin','',10,'order/history/parts/event_details.twig',NULL,NULL,'',0,0,0),(1145,NULL,'order.history.base.events.details.info','admin','',20,'order/history/parts/event_details_comment.twig',NULL,NULL,'',0,0,0),(1146,NULL,'order.history.base.events.details','admin','',30,'order/history/parts/event_description.twig',NULL,NULL,'',0,0,0),(1147,NULL,'order.history.base','admin','',10,'order/history/parts/block.twig',NULL,NULL,'',0,0,0),(1148,NULL,'packing_slip.base','admin','',30,'order/packing_slip/parts/body/items.twig',NULL,NULL,'',0,0,0),(1149,NULL,'packing_slip.items.head','admin','',30,'order/packing_slip/parts/body/items/items.head.qty.twig',NULL,NULL,'',0,0,0),(1150,NULL,'packing_slip.items.head','admin','',20,'order/packing_slip/parts/body/items/items.head.name.twig',NULL,NULL,'',0,0,0),(1151,NULL,'packing_slip.item','admin','',20,'order/packing_slip/parts/body/items/item.name.twig',NULL,NULL,'',0,0,0),(1152,NULL,'packing_slip.item','admin','',10,'order/packing_slip/parts/body/items/item.name.sku.twig',NULL,NULL,'',0,0,0),(1153,NULL,'packing_slip.items.head','admin','',40,'order/packing_slip/parts/body/items/items.head.qty_ship.twig',NULL,NULL,'',0,0,0),(1154,NULL,'packing_slip.item','admin','',40,'order/packing_slip/parts/body/items/item.qty_ship.twig',NULL,NULL,'',0,0,0),(1155,NULL,'packing_slip.item','admin','',30,'order/packing_slip/parts/body/items/item.qty.twig',NULL,NULL,'',0,0,0),(1156,NULL,'packing_slip.items.head','admin','',10,'order/packing_slip/parts/body/items/items.head.sku.twig',NULL,NULL,'',0,0,0),(1157,NULL,'packing_slip.items','admin','',10,'order/packing_slip/parts/body/totals.twig',NULL,NULL,'',0,0,0),(1158,NULL,'packing_slip.base','admin','',25,'order/packing_slip/parts/body/body.note.twig',NULL,NULL,'',0,0,0),(1159,NULL,'packing_slip.head','admin','',20,'order/packing_slip/parts/head/head.logo.twig',NULL,NULL,'',0,0,0),(1160,NULL,'packing_slip.head','admin','',10,'order/packing_slip/parts/head/head.title.twig',NULL,NULL,'',0,0,0),(1161,NULL,'packing_slip.base','admin','',10,'order/packing_slip/parts/head/head.twig',NULL,NULL,'',0,0,0),(1162,NULL,'packing_slip.addresses','admin','',10,'order/packing_slip/parts/addresses/addresses.purchaser.twig',NULL,NULL,'',0,0,0),(1163,NULL,'packing_slip.addresses.billing','admin','',10,'order/packing_slip/parts/addresses/purchaser.address.billing.twig',NULL,NULL,'',0,0,0),(1164,NULL,'packing_slip.addresses','admin','',20,'order/packing_slip/parts/addresses/addresses.merchant.twig',NULL,NULL,'',0,0,0),(1165,NULL,'packing_slip.addresses.shipping','admin','',10,'order/packing_slip/parts/addresses/purchaser.address.shipping.twig',NULL,NULL,'',0,0,0),(1166,NULL,'packing_slip.base','admin','',20,'order/packing_slip/parts/addresses/addresses.twig',NULL,NULL,'',0,0,0),(1167,NULL,'packing_slip.footer','admin','',20,'order/packing_slip/parts/footer/footer.additional.twig',NULL,NULL,'',0,0,0),(1168,NULL,'packing_slip.base','admin','',60,'order/packing_slip/parts/footer/footer.twig',NULL,NULL,'',0,0,0),(1169,NULL,'product.plain_price','admin','',10,'common/price_parts/price.twig',NULL,NULL,'',0,0,0),(1170,NULL,'product.plain_price_only','admin','',10,'common/price_parts/price.twig',NULL,NULL,'',0,0,0),(1171,NULL,'tabs.after.items','admin','',100,'profiles/parts/actions.twig',NULL,NULL,'',0,0,0),(1172,NULL,'profiles.search.dateTypes','admin','',100,'profiles/parts/search_form/date_type.registered.twig',NULL,NULL,'',0,0,0),(1173,NULL,'profiles.search.dateTypes','admin','',200,'profiles/parts/search_form/date_type.logged.twig',NULL,NULL,'',0,0,0),(1174,NULL,'itemsList.attributegroup.header.before','admin','',10,'attribute_groups/note.twig',NULL,NULL,'',0,0,0),(1175,NULL,'admin.main.page.header','admin','',16777215,'top_links/version_notes/parts/key_notice.twig',NULL,NULL,'',0,0,0),(1176,NULL,'admin.main.page.header','admin','',20,'top_links/version_notes/parts/base.twig',NULL,NULL,'',0,0,0),(1177,NULL,'itemsList.removedata.header','admin','',100,'page/remove_data/parts/remove.twig',NULL,NULL,'',0,0,0),(1178,NULL,'images_settings','admin','',40,'images_settings/parts/layout_settings.cloud_zoom.twig',NULL,NULL,'',0,0,0),(1179,NULL,'images_settings','admin','',60,'images_settings/parts/default_settings.twig',NULL,NULL,'',0,0,0),(1180,NULL,'images_settings','admin','',55,'images_settings/parts/lazy_load.twig',NULL,NULL,'',0,0,0),(1181,NULL,'images_settings','admin','',35,'images_settings/parts/unsharp_mask.twig',NULL,NULL,'',0,0,0),(1182,NULL,'images_settings','admin','',50,'images_settings/parts/layout_settings.cloud_zoom_mode.twig',NULL,NULL,'',0,0,0),(1183,NULL,'images_settings','admin','',20,'images_settings/parts/resize_images.twig',NULL,NULL,'',0,0,0),(1184,NULL,'images_settings','admin','',30,'images_settings/parts/resize_quality.twig',NULL,NULL,'',0,0,0),(1185,NULL,'file_select_dialog.file_selections','admin','',100,'file_selector/parts/local_computer_label.twig',NULL,NULL,'',0,0,0),(1186,NULL,'file_select_dialog.actions','admin','',100,'file_selector/parts/file_select_actions.twig',NULL,NULL,'',0,0,0),(1187,NULL,'file_select_dialog.file_selections','admin','',400,'file_selector/parts/local_server_input.twig',NULL,NULL,'',0,0,0),(1188,NULL,'file_select_dialog.file_selections','admin','',500,'file_selector/parts/url_label.twig',NULL,NULL,'',0,0,0),(1189,NULL,'file_select_dialog.file_selections_url','admin','',500,'file_selector/parts/url_label.twig',NULL,NULL,'',0,0,0),(1190,NULL,'file_select_dialog.file_selections','admin','',200,'file_selector/parts/local_computer_input.twig',NULL,NULL,'',0,0,0),(1191,NULL,'file_select_dialog.file_selections','admin','',700,'file_selector/parts/url_copy_to_local.twig',NULL,NULL,'',0,0,0),(1192,NULL,'file_select_dialog.file_selections_url','admin','',700,'file_selector/parts/url_copy_to_local.twig',NULL,NULL,'',0,0,0),(1193,NULL,'file_select_dialog.file_selections','admin','',300,'file_selector/parts/local_server_label.twig',NULL,NULL,'',0,0,0),(1194,NULL,'file_select_dialog.file_selections','admin','',600,'file_selector/parts/url_input.twig',NULL,NULL,'',0,0,0),(1195,NULL,'file_select_dialog.file_selections_url','admin','',600,'file_selector/parts/url_input.twig',NULL,NULL,'',0,0,0),(1196,NULL,'crud.currency.currency.formHeader','admin','',50,'promotions/simple_blocks/multicurrency.twig',NULL,NULL,'',0,0,0),(1197,NULL,'crud.notificationattachments.formHeader','admin','',50,'promotions/simple_blocks/pdf_invoice.twig',NULL,NULL,'',0,0,0),(1198,NULL,'crud.bannerrotation.formHeader','admin','',50,'promotions/simple_blocks/banner_system.twig',NULL,NULL,'',0,0,0),(1199,NULL,'crud.modulesettings.formHeader','admin','',50,'promotions/simple_blocks/modules_settings.twig',NULL,NULL,'',0,0,0),(1200,NULL,'form_model.product.inventory.before','admin','',5,'promotions/simple_blocks/wholesale.twig',NULL,NULL,'',0,0,0),(1201,NULL,'head.css','admin','',200,'header/parts/parts.css/css_aggregation.twig',NULL,NULL,'',0,0,0),(1202,NULL,'head.css','admin','',100,'header/parts/parts.css/css.twig',NULL,NULL,'',0,0,0),(1203,NULL,'head','admin','',20,'header/parts/content-type.twig',NULL,NULL,'',0,0,0),(1204,NULL,'head','admin','',1500,'header/parts/preloaded_labels.twig',NULL,NULL,'',0,0,0),(1205,NULL,'head','admin','',40,'header/parts/noindex.twig',NULL,NULL,'',0,0,0),(1206,NULL,'head','admin','',10,'header/parts/title.twig',NULL,NULL,'',0,0,0),(1207,NULL,'head','admin','',40,'header/parts/ie.twig',NULL,NULL,'',0,0,0),(1208,NULL,'head','admin','',700,'header/parts/meta_mobile-capable.twig',NULL,NULL,'',0,0,0),(1209,NULL,'head','admin','',100,'header/parts/js_static.twig',NULL,NULL,'',0,0,0),(1210,NULL,'head','admin','',90,'header/parts/css.twig',NULL,NULL,'',0,0,0),(1211,NULL,'head','admin','',80,'header/parts/favicon.twig',NULL,NULL,'',0,0,0),(1212,NULL,'backstock_status_change_notification.after','admin','',1000,'popup/backstock_status_change_notification/buttons.twig',NULL,NULL,'',0,0,0),(1213,NULL,'top_sellers.selectors','admin','',20,'top_sellers/parts/period_selector.twig',NULL,NULL,'',0,0,0),(1214,NULL,'top_sellers.selectors','admin','',10,'top_sellers/parts/availability_selector.twig',NULL,NULL,'',0,0,0),(1215,NULL,'searchPanel.order.admin.main.actions','admin','',16777215,'search_panel/order/clear_search.twig',NULL,NULL,'',0,0,0),(1216,NULL,'itemsList.productclass.header.before','admin','',10,'product_classes/header_note.twig',NULL,NULL,'',0,0,0),(1217,NULL,'address.text.main','admin','',100,'address/text/parts/field.twig',NULL,NULL,'',0,0,0),(1218,NULL,'address.order.main','admin','',200,'address/order/parts/billing.twig',NULL,NULL,'',0,0,0),(1219,NULL,'address.order.main','admin','',400,'address/order/parts/buttons.twig',NULL,NULL,'',0,0,0),(1220,NULL,'address.order.main','admin','',100,'address/order/parts/info.twig',NULL,NULL,'',0,0,0),(1221,NULL,'address.order.main','admin','',300,'address/order/parts/shipping.twig',NULL,NULL,'',0,0,0),(1222,NULL,'browseServer.item','admin','',100,'browse_server/parts/item.name.twig',NULL,NULL,'',0,0,0),(1223,NULL,'browseServer','admin','',100,'browse_server/parts/items.twig',NULL,NULL,'',0,0,0),(1224,NULL,'browseServer','admin','',200,'browse_server/parts/buttons.twig',NULL,NULL,'',0,0,0),(1225,NULL,'pager.itemsTotal','admin','',20,'pager/parts/items_total.twig',NULL,NULL,'',0,0,0),(1226,NULL,'pager.admin.model.table.left','admin','',400,'pager/model/table/parts/items_per_page.twig',NULL,NULL,'',0,0,0),(1227,NULL,'pager.admin.model.table.left','admin','',300,'pager/model/table/parts/more.twig',NULL,NULL,'',0,0,0),(1228,NULL,'pager.admin.model.table.left','admin','',100,'pager/model/table/parts/page.twig',NULL,NULL,'',0,0,0),(1229,NULL,'itemsList.onlinemethods.header','admin','',10,'payment/add_method/parts/payment_gateways.note.twig',NULL,NULL,'',0,0,0),(1230,NULL,'payment.method.add.offline','admin','',16777215,'payment/add_method/parts/add_offline_method.twig',NULL,NULL,'',0,0,0),(1231,NULL,'itemsList.profile.search.footer','admin','',10,'profile/delete_user.twig',NULL,NULL,'',0,0,0),(1232,NULL,'itemsList.profile.search.footer','admin','',20,'profile/add_user.twig',NULL,NULL,'',0,0,0),(1233,NULL,'crud.settings.field','admin','',100,'email_settings/queues_note.twig',NULL,NULL,'',0,0,0),(1234,NULL,'admin.main.page.content.center','admin','',10,'center.twig',NULL,NULL,'',0,0,0),(1235,NULL,'crud.bannerrotation.formFooter','admin','',200,'banner_rotation/parts/images.twig',NULL,NULL,'',0,0,0),(1236,NULL,'welcome-block.root.content','admin','',10,'welcome_block/root_admin/block.items.twig',NULL,NULL,'',0,0,0),(1237,NULL,'welcome-block.root.title','admin','',10,'welcome_block/root_admin/title.twig',NULL,NULL,'',0,0,0),(1238,NULL,'welcome-block.root','admin','',100,'welcome_block/root_admin/block.twig',NULL,NULL,'',0,0,0),(1239,NULL,'welcome-block.root.content','admin','',20,'welcome_block/root_admin/block.footer.twig',NULL,NULL,'',0,0,0),(1240,NULL,'welcome-block.non-root.content','admin','',10,'welcome_block/admin/block.items.twig',NULL,NULL,'',0,0,0),(1241,NULL,'welcome-block.non-root.title','admin','',10,'welcome_block/admin/title.twig',NULL,NULL,'',0,0,0),(1242,NULL,'welcome-block.non-root','admin','',100,'welcome_block/admin/block.twig',NULL,NULL,'',0,0,0),(1243,NULL,'welcome-block.non-root.content','admin','',20,'welcome_block/admin/block.footer.twig',NULL,NULL,'',0,0,0),(1244,NULL,'languages.add-language','admin','',300,'languages/languages/parts/import_language.twig',NULL,NULL,'',0,0,0),(1245,NULL,'itemsList.product.table.admin.search.header','admin','',30,'items_list/product/table/parts/header/name.twig',NULL,NULL,'',0,0,0),(1246,NULL,'itemsList.product.table.admin.search.header','admin','',60,'items_list/product/table/parts/header/price.twig',NULL,NULL,'',0,0,0),(1247,NULL,'itemsList.product.table.admin.search.header','admin','',20,'items_list/product/table/parts/header/sku.twig',NULL,NULL,'',0,0,0),(1248,NULL,'itemsList.product.table.admin.search.header','admin','',70,'items_list/product/table/parts/header/inventory.twig',NULL,NULL,'',0,0,0),(1249,NULL,'itemsList.product.table.admin.search.header','admin','',50,'items_list/product/table/parts/header/position.twig',NULL,NULL,'',0,0,0),(1250,NULL,'itemsList.product.table.admin.search.header','admin','',10,'items_list/product/table/parts/header/checkbox.twig',NULL,NULL,'',0,0,0),(1251,NULL,'itemsList.product.table.admin.search.columns','admin','',30,'items_list/product/table/parts/columns/name.twig',NULL,NULL,'',0,0,0),(1252,NULL,'itemsList.product.table.admin.search.columns','admin','',60,'items_list/product/table/parts/columns/price.twig',NULL,NULL,'',0,0,0),(1253,NULL,'itemsList.product.table.admin.search.columns','admin','',20,'items_list/product/table/parts/columns/sku.twig',NULL,NULL,'',0,0,0),(1254,NULL,'itemsList.product.table.admin.search.columns','admin','',70,'items_list/product/table/parts/columns/inventory.twig',NULL,NULL,'',0,0,0),(1255,NULL,'itemsList.product.table.admin.search.columns','admin','',50,'items_list/product/table/parts/columns/position.twig',NULL,NULL,'',0,0,0),(1256,NULL,'itemsList.product.table.admin.search.columns','admin','',10,'items_list/product/table/parts/columns/checkbox.twig',NULL,NULL,'',0,0,0),(1257,NULL,'itemsList.product.modify.common.admin.header','admin','',30,'items_list/product/modify/common/parts/header/name.twig',NULL,NULL,'',0,0,0),(1258,NULL,'itemsList.product.modify.common.admin.header','admin','',60,'items_list/product/modify/common/parts/header/price.twig',NULL,NULL,'',0,0,0),(1259,NULL,'itemsList.product.modify.common.admin.header','admin','',20,'items_list/product/modify/common/parts/header/sku.twig',NULL,NULL,'',0,0,0),(1260,NULL,'itemsList.product.modify.common.admin.header','admin','',70,'items_list/product/modify/common/parts/header/inventory.twig',NULL,NULL,'',0,0,0),(1261,NULL,'itemsList.product.modify.common.admin.header','admin','',10,'items_list/product/modify/common/parts/header/checkbox.twig',NULL,NULL,'',0,0,0),(1262,NULL,'itemsList.product.modify.common.admin.columns','admin','',30,'items_list/product/modify/common/parts/columns/name.twig',NULL,NULL,'',0,0,0),(1263,NULL,'itemsList.product.modify.common.admin.columns','admin','',60,'items_list/product/modify/common/parts/columns/price.twig',NULL,NULL,'',0,0,0),(1264,NULL,'itemsList.product.modify.common.admin.columns','admin','',20,'items_list/product/modify/common/parts/columns/sku.twig',NULL,NULL,'',0,0,0),(1265,NULL,'itemsList.product.modify.common.admin.columns','admin','',70,'items_list/product/modify/common/parts/columns/inventory.twig',NULL,NULL,'',0,0,0),(1266,NULL,'itemsList.product.modify.common.admin.columns','admin','',10,'items_list/product/modify/common/parts/columns/checkbox.twig',NULL,NULL,'',0,0,0),(1267,NULL,'itemsList.product.modify.brief.admin.header','admin','',30,'items_list/product/modify/brief/parts/header/name.twig',NULL,NULL,'',0,0,0),(1268,NULL,'itemsList.product.modify.brief.admin.header','admin','',60,'items_list/product/modify/brief/parts/header/price.twig',NULL,NULL,'',0,0,0),(1269,NULL,'itemsList.product.modify.brief.admin.header','admin','',20,'items_list/product/modify/brief/parts/header/sku.twig',NULL,NULL,'',0,0,0),(1270,NULL,'itemsList.product.modify.brief.admin.header','admin','',70,'items_list/product/modify/brief/parts/header/inventory.twig',NULL,NULL,'',0,0,0),(1271,NULL,'itemsList.product.modify.brief.admin.columns','admin','',30,'items_list/product/modify/brief/parts/columns/name.twig',NULL,NULL,'',0,0,0),(1272,NULL,'itemsList.product.modify.brief.admin.columns','admin','',60,'items_list/product/modify/brief/parts/columns/price.twig',NULL,NULL,'',0,0,0),(1273,NULL,'itemsList.product.modify.brief.admin.columns','admin','',20,'items_list/product/modify/brief/parts/columns/sku.twig',NULL,NULL,'',0,0,0),(1274,NULL,'itemsList.product.modify.brief.admin.columns','admin','',70,'items_list/product/modify/brief/parts/columns/inventory.twig',NULL,NULL,'',0,0,0),(1275,NULL,'itemsList.orders.search.cell.status','admin','',16777215,'items_list/model/table/order/cell.payment_actions.twig',NULL,NULL,'',0,0,0),(1276,NULL,'itemsList.orders.search.cell.status','admin','',16777215,'items_list/model/table/order/cell.actions.twig',NULL,NULL,'',0,0,0),(1277,NULL,'itemsList.country.cell.states','admin','',100,'items_list/model/table/countries/parts/cell.states.twig',NULL,NULL,'',0,0,0),(1278,NULL,'itemsList.category.cell.info','admin','',100,'items_list/model/table/category/parts/info.products.twig',NULL,NULL,'',0,0,0),(1279,NULL,'itemsList.category.cell.subcategories','admin','',100,'items_list/model/table/category/parts/info.subcategories.twig',NULL,NULL,'',0,0,0),(1280,NULL,'itemsList.orderitem.cell.price','admin','',100,'items_list/model/table/order_item/restore.twig',NULL,NULL,'',0,0,0),(1281,NULL,'itemsList.orderitem.dumpCell.price','admin','',100,'items_list/model/table/order_item/restore.twig',NULL,NULL,'',0,0,0),(1282,NULL,'itemsList.shipping-methods.cell.rates','admin','',100,'items_list/model/table/shipping/methods/cell.rates.twig',NULL,NULL,'',0,0,0),(1283,NULL,'payment.methods.list.header','admin','',200,'items_list/payment/methods/parts/header.title.twig',NULL,NULL,'',0,0,0),(1284,NULL,'payment.offline-methods.list.line','admin','',100,'items_list/payment/methods/parts/header.title.twig',NULL,NULL,'',0,0,0),(1285,NULL,'payment.methods.list.line','admin','',200,'items_list/payment/methods/parts/line.row.twig',NULL,NULL,'',0,0,0),(1286,NULL,'payment.methods.list.header','admin','',400,'items_list/payment/methods/parts/header.description.twig',NULL,NULL,'',0,0,0),(1287,NULL,'payment.methods.list.row','admin','',300,'items_list/payment/methods/parts/action.right.twig',NULL,NULL,'',0,0,0),(1288,NULL,'payment.methods.list.header','admin','',100,'items_list/payment/methods/parts/header.icon.twig',NULL,NULL,'',0,0,0),(1289,NULL,'payment.methods.list.line','admin','',100,'items_list/payment/methods/parts/line.header.twig',NULL,NULL,'',0,0,0),(1290,NULL,'payment.methods.list.header','admin','',300,'items_list/payment/methods/parts/header.switcher.twig',NULL,NULL,'',0,0,0),(1291,NULL,'payment.methods.list.header','admin','',500,'items_list/payment/methods/parts/header.alt_icon.twig',NULL,NULL,'',0,0,0),(1292,NULL,'payment.offline-methods.list.line','admin','',200,'items_list/payment/methods/parts/offline.actions.right.twig',NULL,NULL,'',0,0,0),(1293,NULL,'layout_settings','admin','',20,'layout_settings/parts/layout_settings.change_template.twig',NULL,NULL,'',0,0,0),(1294,NULL,'layout_settings','admin','',10,'layout_settings/parts/layout_settings.settings.twig',NULL,NULL,'',0,0,0),(1295,NULL,'layout_settings.settings','admin','',20,'layout_settings/settings/parts/settings.current_template.twig',NULL,NULL,'',0,0,0),(1296,NULL,'layout_settings.settings','admin','',30,'layout_settings/settings/parts/settings.layout_type.twig',NULL,NULL,'',0,0,0),(1297,NULL,'admin.main.page.footer.left','admin','',100,'footer/right/marketplace_terms.twig',NULL,NULL,'',0,0,0),(1298,NULL,'admin.main.page.footer.right','admin','',300,'footer/right/social_link.twig',NULL,NULL,'',0,0,0),(1299,NULL,'admin.main.page.footer.right','admin','',100,'footer/right/site.twig',NULL,NULL,'',0,0,0),(1300,NULL,'jscontainer.js','admin','',100,'jscontainer/parts/js.twig',NULL,NULL,'',0,0,0),(1301,NULL,'jscontainer.js','admin','',50,'jscontainer/parts/register_resources.twig',NULL,NULL,'',0,0,0),(1302,NULL,'jscontainer.js','admin','',200,'jscontainer/parts/js_aggregation.twig',NULL,NULL,'',0,0,0),(1303,NULL,'export.begin.options','admin','',400,'export/parts/option.delimiter.twig',NULL,NULL,'',0,0,0),(1304,NULL,'export.failed.buttons','admin','',100,'export/parts/failed.buttons.export.twig',NULL,NULL,'',0,0,0),(1305,NULL,'export.completed.content','admin','',100,'export/parts/completed.download.twig',NULL,NULL,'',0,0,0),(1306,NULL,'export.popup.completed.content','admin','',100,'export/parts/completed.download.twig',NULL,NULL,'',0,0,0),(1307,NULL,'export.popup.completed.content','admin','',100,'export/parts/popup.completed.message.twig',NULL,NULL,'',0,0,0),(1308,NULL,'export.begin.content','admin','',100,'export/parts/begin.sections.twig',NULL,NULL,'',0,0,0),(1309,NULL,'export.completed.content','admin','',200,'export/parts/completed.downloadLarge.twig',NULL,NULL,'',0,0,0),(1310,NULL,'export.begin.buttons','admin','',100,'export/parts/begin.buttons.export.twig',NULL,NULL,'',0,0,0),(1311,NULL,'export.begin.options','admin','',300,'export/parts/option.charset.twig',NULL,NULL,'',0,0,0),(1312,NULL,'export.begin.options','admin','',100,'export/parts/option.files.twig',NULL,NULL,'',0,0,0),(1313,NULL,'export.failed.content','admin','',100,'export/parts/failed.errors.twig',NULL,NULL,'',0,0,0),(1314,NULL,'export.begin.content','admin','',200,'export/parts/begin.options.twig',NULL,NULL,'',0,0,0),(1315,NULL,'export.completed.buttons','admin','',100,'export/parts/completed.buttons.export.twig',NULL,NULL,'',0,0,0),(1316,NULL,'export.begin.options','admin','',200,'export/parts/option.attrs.twig',NULL,NULL,'',0,0,0),(1317,NULL,'zones.zone.details','admin','',400,'zones/details/parts/field.zipcode.twig',NULL,NULL,'',0,0,0),(1318,NULL,'zones.zone','admin','',200,'zones/details/parts/details.twig',NULL,NULL,'',0,0,0),(1319,NULL,'zones.zone.details','admin','',100,'zones/details/parts/field.country.twig',NULL,NULL,'',0,0,0),(1320,NULL,'zones.zone.details','admin','',300,'zones/details/parts/field.city.twig',NULL,NULL,'',0,0,0),(1321,NULL,'zones.zone','admin','',300,'zones/details/parts/actions.twig',NULL,NULL,'',0,0,0),(1322,NULL,'zones.zone.details','admin','',50,'zones/details/parts/field.name.twig',NULL,NULL,'',0,0,0),(1323,NULL,'zones.zone.details','admin','',200,'zones/details/parts/field.state.twig',NULL,NULL,'',0,0,0),(1324,NULL,'zones.zone.details','admin','',500,'zones/details/parts/field.address.twig',NULL,NULL,'',0,0,0),(1325,NULL,'crud.settings.field','admin','',100,'settings/contacts/anchor.twig',NULL,NULL,'',0,0,0),(1326,NULL,'admin.center','admin','',16777215,'settings/module.twig',NULL,NULL,'',0,0,0),(1327,NULL,'crud.shipping.offline.formFooter','admin','',16777215,'shipping/add_method/parts/rates.twig',NULL,NULL,'',0,0,0),(1328,NULL,'edit_shipping','admin','',16777215,'shipping/add_method/parts/offline_create.twig',NULL,NULL,'',0,0,0),(1329,NULL,'itemsList.shipping-methods.header','admin','',10,'shipping/methods.status.twig',NULL,NULL,'',0,0,0),(1330,NULL,'minicart.horizontal.item.name','customer','XLite\\View\\MinicartAttributeValues',10,'',NULL,NULL,'',0,0,0),(1331,NULL,'product.details.page.image','customer','XLite\\View\\Product\\Details\\Customer\\PhotoBox',5,'',NULL,NULL,'',0,0,0),(1332,NULL,'product.details.page','customer','XLite\\View\\Product\\Details\\Customer\\Gallery',15,'',NULL,NULL,'',0,0,0),(1333,NULL,'product.details.quicklook','customer','XLite\\View\\Product\\Details\\Customer\\Gallery',15,'',NULL,NULL,'',0,0,0),(1334,NULL,'layout.main','customer','XLite\\View\\BannerRotation\\BannerRotation',350,'',NULL,NULL,'',0,0,0),(1335,NULL,'checkout.review.selected','customer','XLite\\Module\\CDev\\Coupons\\View\\CartCoupons',200,'',NULL,NULL,'',0,0,0),(1336,NULL,'layout.main.footer.before','customer','XLite\\Module\\XC\\NewsletterSubscriptions\\View\\SubscribeBlock',10,'',NULL,NULL,'',0,0,0),(1337,NULL,'product.details.quicklook.info.form.buttons.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',120,'',NULL,NULL,'',0,0,0),(1338,NULL,'product.details.quicklook.info.form.buttons-added.cart-buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Product',129,'',NULL,NULL,'',0,0,0),(1339,NULL,'layout.header.right','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\ProductCompareIndicator',50,'',NULL,NULL,'',0,0,0),(1340,NULL,'layout.header.right.mobile','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\ProductCompareIndicator',50,'',NULL,NULL,'',0,0,0),(1341,NULL,'slidebar.additional-menu.links','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\ProductCompareLink',20,'',NULL,NULL,'',0,0,0),(1342,NULL,'itemsList.product.grid.customer.buttons','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Products',200,'',NULL,NULL,'',0,0,0),(1343,NULL,'itemsList.product.list.customer.info','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Products',1200,'',NULL,NULL,'',0,0,0),(1344,NULL,'itemsList.product.table.customer.columns','customer','XLite\\Module\\XC\\ProductComparison\\View\\AddToCompare\\Products',47,'',NULL,NULL,'',0,0,0),(1345,NULL,'customer.signin.popup.fields','customer','',500,'authorization/parts/field.links.twig',NULL,NULL,'',0,0,0),(1346,NULL,'center.top','customer','',1000,'layout/content/main.location.twig',NULL,NULL,'',0,0,0),(1347,NULL,'product.details.page.info','customer','',5,'layout/content/product.location.twig',NULL,NULL,'',0,0,0),(1348,NULL,'layout.header','customer','',300,'layout/header/top_menu.twig',NULL,NULL,'',0,0,0),(1349,NULL,'layout.header','customer','',350,'layout/header/header.right.twig',NULL,NULL,'',0,0,0),(1350,NULL,'layout.header.bar','customer','',50,'layout/header/header.bar.search.twig',NULL,NULL,'',0,0,0),(1351,NULL,'layout.header.right.mobile','customer','',1100,'layout/header/header.bar.checkout.logos.twig',NULL,NULL,'',0,0,0),(1352,NULL,'layout.header.mobile.menu','customer','',2000,'layout/header/mobile_header_parts/slidebar_menu.twig',NULL,NULL,'',0,0,0),(1353,NULL,'itemsList.product.small_thumbnails.customer.info.photo','customer','',30,'items_list/product/parts/common.labels.twig',NULL,NULL,'',0,0,0),(1354,NULL,'product.details.quicklook.image','customer','',17,'items_list/product/parts/common.labels.twig',NULL,NULL,'',0,0,0),(1355,NULL,'cart.item','customer','',100,'shopping_cart/parts/item.remove.twig',NULL,NULL,'',0,0,0),(1356,NULL,'cart.item.info','customer','',15,'shopping_cart/parts/item.info.weight.twig',NULL,NULL,'',0,0,0),(1357,NULL,'itemsList.product.grid.customer.info','customer','',50,'product/details/stock/label.twig',NULL,NULL,'',0,0,0),(1358,NULL,'itemsList.product.list.customer.info','customer','',50,'product/details/stock/label.twig',NULL,NULL,'',0,0,0),(1359,NULL,'itemsList.product.grid.customer.header','customer','',10,'items_list/product/parts/common.sort-options.twig',NULL,NULL,'',0,0,0),(1360,NULL,'itemsList.product.list.customer.header','customer','',10,'items_list/product/parts/common.sort-options.twig',NULL,NULL,'',0,0,0),(1361,NULL,'itemsList.product.table.customer.header','customer','',10,'items_list/product/parts/common.sort-options.twig',NULL,NULL,'',0,0,0),(1362,NULL,'itemsList.product.grid.customer.header','customer','',20,'items_list/product/parts/common.display-modes.twig',NULL,NULL,'',0,0,0),(1363,NULL,'itemsList.product.list.customer.header','customer','',20,'items_list/product/parts/common.display-modes.twig',NULL,NULL,'',0,0,0),(1364,NULL,'itemsList.product.table.customer.header','customer','',20,'items_list/product/parts/common.display-modes.twig',NULL,NULL,'',0,0,0),(1365,NULL,'itemsList.product.grid.customer.mainBlock','customer','',200,'items_list/product/parts/common.product-name.twig',NULL,NULL,'',0,0,0),(1366,NULL,'itemsList.product.list.customer.info','customer','',20,'items_list/product/center/list/parts/common.product-name.twig',NULL,NULL,'',0,0,0),(1367,NULL,'itemsList.product.grid.customer.mainBlock','customer','',100,'items_list/product/parts/grid.photo.twig',NULL,NULL,'',0,0,0),(1368,NULL,'itemsList.product.grid.customer.mainBlock.photo','customer','',10,'items_list/product/parts/common.product-thumbnail.twig',NULL,NULL,'',0,0,0),(1369,NULL,'itemsList.product.grid.customer.marks','customer','',100,'items_list/product/parts/common.added-mark.twig',NULL,NULL,'',0,0,0),(1370,NULL,'itemsList.product.list.customer.marks','customer','',100,'items_list/product/parts/common.added-mark.twig',NULL,NULL,'',0,0,0),(1371,NULL,'itemsList.product.table.customer.marks','customer','',100,'items_list/product/parts/common.added-mark.twig',NULL,NULL,'',0,0,0),(1372,NULL,'product.details.page.image.photo','customer','',100,'product/details/parts/common.loupe.twig',NULL,NULL,'',0,0,0),(1373,NULL,'product.details.page.info','customer','',19,'product/details/parts/common.briefDescription.twig',NULL,NULL,'',0,0,0),(1374,NULL,'product.details.page.info','customer','',35,'product/details/parts/common.product-editable-attributes.twig',NULL,NULL,'',0,0,0),(1375,NULL,'product.details.quicklook.info','customer','',30,'product/details/parts/common.product-editable-attributes.twig',NULL,NULL,'',0,0,0),(1376,NULL,'product.details.quicklook.image','customer','',30,'product/details/parts/common.more-info-link.twig',NULL,NULL,'',0,0,0),(1377,NULL,'itemsList.product.grid.customer.buttons','customer','',100,'items_list/product/parts/grid.button-add2cart-wrapper.twig',NULL,NULL,'',0,0,0),(1378,NULL,'checkout.payment.address.before','customer','',10,'checkout/steps/shipping/parts/address.billing.same.twig',NULL,NULL,'',0,0,0),(1379,NULL,'product.details.page.image','customer','',20,'modules/CDev/GoSocial/product/details/parts/common.share.twig',NULL,NULL,'',0,0,0),(1380,NULL,'product.details.page.info','customer','',16,'modules/CDev/ProductAdvisor/product/details/parts/common.coming_soon.twig',NULL,NULL,'',0,0,0),(1381,NULL,'product.details.quicklook.info','customer','',16,'modules/CDev/ProductAdvisor/product/details/parts/common.coming_soon.twig',NULL,NULL,'',0,0,0),(1382,NULL,'itemsList.product.grid.customer.info','customer','',27,'modules/CDev/ProductAdvisor/expected.twig',NULL,NULL,'',0,0,0),(1383,NULL,'itemsList.product.list.customer.info','customer','',33,'modules/CDev/ProductAdvisor/expected.twig',NULL,NULL,'',0,0,0),(1384,NULL,'itemsList.product.grid.customer.info','customer','',26,'modules/XC/Reviews/product.items_list.rating.twig',NULL,NULL,'',0,0,0),(1385,NULL,'itemsList.product.list.customer.info','customer','',35,'modules/XC/Reviews/product.items_list.rating.twig',NULL,NULL,'',0,0,0),(1386,NULL,'product.details.quicklook.image','customer','',20,'modules/XC/Reviews/product_details.rating.twig',NULL,NULL,'',0,0,0),(1387,NULL,'product.details.page.info','customer','',18,'modules/XC/Reviews/product_details.rating.twig',NULL,NULL,'',0,0,0),(1388,NULL,'reviews.page.rating','customer','',100,'modules/XC/Reviews/reviews_page/parts/average_rating.form.twig',NULL,NULL,'',0,0,0),(1389,NULL,'signin.main','customer','',30,'modules/Amazon/PayWithAmazon/login/signin/signin.checkout.twig',NULL,NULL,'',0,0,0),(1390,NULL,'signin.main','customer','',40,'modules/CDev/Paypal/login/signin/signin.checkout.paypal.twig',NULL,NULL,'',0,0,0),(1391,NULL,'itemsList.product.grid.customer.info','customer','',1100,'items_list/product/parts/grid.buttons-container.twig',NULL,NULL,'',0,0,0),(1392,NULL,'checkout_fastlane.header.top','customer','XLite\\View\\AllInOneSolutions',100,'',NULL,NULL,'',0,0,0),(1393,NULL,'checkout_fastlane.header.top','customer','',100,'layout/header/header.bar.checkout.logos.twig',NULL,NULL,'',0,0,0);
CREATE TABLE `xlite_payment_method_settings` (
  `setting_id` int(11) NOT NULL AUTO_INCREMENT,
  `method_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`setting_id`),
  UNIQUE KEY `mn` (`method_id`,`name`),
  KEY `IDX_33B9DA0019883967` (`method_id`),
  CONSTRAINT `FK_33B9DA0019883967` FOREIGN KEY (`method_id`) REFERENCES `xlite_payment_methods` (`method_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_payment_method_settings` VALUES (1,7,'merchant_id',''),(2,7,'mode',''),(3,7,'access_key',''),(4,7,'secret_key',''),(5,7,'client_id',''),(6,7,'region','USD'),(7,7,'capture_mode','C'),(8,7,'sync_mode','S'),(9,7,'order_id_prefix',''),(10,8,'login',''),(11,8,'key',''),(12,8,'signature',''),(13,8,'type','sale'),(14,8,'test','1'),(15,8,'prefix','xcart'),(16,10,'vendor',''),(17,10,'user',''),(18,10,'pwd',''),(19,10,'partner','PayPal'),(20,10,'prefix','mystore_'),(21,10,'transaction_type','S'),(22,10,'mode','test'),(23,10,'buyNowEnabled','1'),(24,11,'vendor',''),(25,11,'user',''),(26,11,'pwd',''),(27,11,'partner','PayPal'),(28,11,'prefix','mystore_'),(29,11,'transaction_type','S'),(30,11,'mode','test'),(31,12,'vendor',''),(32,12,'user',''),(33,12,'pwd',''),(34,12,'partner','PayPal'),(35,12,'prefix','mystore_'),(36,12,'transaction_type','S'),(37,12,'mode','test'),(38,12,'buyNowEnabled','1'),(39,13,'account',''),(40,13,'description',''),(41,13,'prefix','mystore_'),(42,13,'mode','test'),(43,14,'api_type','email'),(44,14,'email',''),(45,14,'api_solution','paypal'),(46,14,'vendor',''),(47,14,'user',''),(48,14,'pwd',''),(49,14,'partner','PayPal'),(50,14,'api_username',''),(51,14,'api_password',''),(52,14,'auth_method','signature'),(53,14,'signature',''),(54,14,'certificate',''),(55,14,'prefix','mystore_'),(56,14,'transaction_type','S'),(57,14,'mode','test'),(58,14,'merchantId',''),(59,14,'buyNowEnabled','1'),(60,15,'enabled','1'),(61,15,'agreement','N'),(62,15,'email',''),(63,15,'publisherId',''),(64,15,'bannerOnHomePage','D'),(65,15,'bannerOnCategoryPages','D'),(66,15,'bannerOnProductDetailsPages','A'),(67,15,'bannerOnCartPage','C'),(68,16,'app_id',''),(69,16,'api_username',''),(70,16,'api_password',''),(71,16,'signature',''),(72,16,'paypal_login',''),(73,16,'partner','PayPal'),(74,16,'feesPayer','PRIMARYRECEIVER'),(75,16,'matchCriteria','name'),(76,16,'prefix','mystore_'),(77,16,'transaction_type','S'),(78,16,'mode','test'),(79,16,'buyNowEnabled','1'),(80,17,'email',''),(81,17,'client_id',''),(82,17,'secret',''),(83,17,'partner_id',''),(84,17,'bn_code',''),(85,17,'additional_partner_referral_id',''),(86,17,'additional_merchant_id',''),(87,17,'payment_descriptor',''),(88,17,'prefix','mystore_'),(89,17,'transaction_type','S'),(90,17,'mode','test'),(91,17,'disburse_funds','INSTANT'),(92,18,'login',''),(93,18,'prefix','xcart'),(94,18,'hash',''),(95,18,'include_response','N'),(96,19,'account',''),(97,19,'secret',''),(98,19,'language','en'),(99,19,'mode','test'),(100,19,'prefix','xcart'),(101,19,'currency','USD'),(102,21,'api_login_id',''),(103,21,'transaction_key',''),(104,21,'public_key',''),(105,21,'type','sale'),(106,21,'mode','test'),(107,21,'prefix','xcart'),(108,22,'prefix',''),(109,22,'merchantId',''),(110,22,'accessToken',''),(111,22,'refreshToken',''),(112,22,'merchantAccountId',''),(113,22,'kountMerchantId',''),(114,22,'isAutoSettle',''),(115,22,'testMode','1'),(116,22,'isPayPal','0'),(117,22,'paypalButtonColor','gold'),(118,22,'paypalButtonShape','pill'),(119,22,'paypalShippingAddressOverride','1'),(120,22,'is3dSecure','0'),(121,22,'isAcceptNo3dSecure','0'),(122,22,'is3dSecureForVault','0'),(123,22,'isUseVault','1'),(124,22,'isShowSaveCardBox','1'),(125,23,'pspid',''),(126,23,'sha_in',''),(127,23,'sha_out',''),(128,23,'currency','GBP'),(129,23,'test','1'),(130,23,'prefix','xcart_'),(131,23,'debug_enabled','0'),(132,24,'store_id',''),(133,24,'hpp_key',''),(134,24,'mode','test'),(135,24,'prefix','xcart'),(136,24,'currency','USD'),(137,25,'merchant_id',''),(138,25,'subid','0'),(139,25,'pub_cert','rabobank.cer'),(140,25,'pub_key',''),(141,25,'private_key',''),(142,25,'private_key_pass',''),(143,25,'currency','EUR'),(144,25,'test','Y'),(145,25,'prefix','xcart_'),(146,25,'debug_enabled','0'),(147,26,'vendorName',''),(148,26,'password',''),(149,26,'type','sale'),(150,26,'test','1'),(151,26,'prefix','xcart'),(152,27,'publishKey',''),(153,27,'accessToken',''),(154,27,'publishKeyTest',''),(155,27,'accessTokenTest',''),(156,27,'mode','live'),(157,27,'type','sale'),(158,27,'prefix','xcart'),(159,27,'userId',''),(160,27,'refreshToken',''),(161,29,'account',''),(162,29,'api_key',''),(163,29,'secret_key',''),(164,29,'widget_key',''),(165,29,'quickaccess_key','');
CREATE TABLE `xlite_attribute_values_checkbox_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_5A770E51BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_attribute_values_checkbox` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_capost_delivery_service_options` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mandatory` tinyint(1) NOT NULL,
  `qualifierRequired` tinyint(1) NOT NULL,
  `qualifierMax` decimal(14,4) DEFAULT NULL,
  `serviceId` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_85C93F5589697FA8` (`serviceId`),
  CONSTRAINT `FK_85C93F5589697FA8` FOREIGN KEY (`serviceId`) REFERENCES `xlite_capost_delivery_services` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_sales_tax_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_F11466F5BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_sales_taxes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_menu_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_CC54E72BBF396750` FOREIGN KEY (`id`) REFERENCES `xlite_menus` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_menu_translations` VALUES (1,1,'Home','en'),(2,1,'Главная','ru'),(3,1,'主页','zh'),(4,3,'My Account','en'),(5,3,'Мой профиль','ru'),(6,3,'我的账户','zh'),(7,4,'My orders','en'),(8,4,'Мои заказы','ru'),(9,4,'订单（复数）','zh'),(10,5,'My address book','en'),(11,5,'Мои адреса','ru'),(12,5,'地址簿','zh'),(13,6,'Shipping','en'),(14,6,'Доставка','ru'),(15,7,'New!','en'),(16,7,'Новинки','ru'),(17,8,'Coming soon','en'),(18,8,'Скоро в продаже','ru'),(19,9,'Hot deals','en'),(20,9,'Акции','ru'),(21,10,'Sale','en'),(22,10,'Распродажа','ru'),(23,11,'Bestsellers','en'),(24,11,'Бестселлеры','ru'),(25,12,'Special offers','en'),(26,12,'Специальные предложения','ru'),(27,13,'Contact us','en'),(28,13,'Напишите нам','ru'),(29,14,'Offers','en'),(30,14,'Акции','ru'),(31,15,'Sale','en'),(32,15,'Распродажа','ru'),(33,16,'Coming soon','en'),(34,16,'Скоро в продаже','ru'),(35,17,'New!','en'),(36,17,'Новинки','ru'),(37,18,'Info links','en'),(38,18,'Информация','ru'),(39,19,'Shipping','en'),(40,19,'Правила доставки','ru'),(41,20,'Sitemap','en'),(42,20,'Карта сайта','ru'),(43,21,'Terms & Conditions','en'),(44,21,'Условия использования','ru'),(45,22,'Services','en'),(46,22,'Сервисы','ru'),(47,23,'Shipping info','en'),(48,23,'Доставка','ru'),(49,24,'Contact us','en'),(50,24,'Напишите нам','ru'),(51,25,'My X-Cart','en'),(52,25,'Мой X-Cart','ru'),(53,26,'Address book','en'),(54,26,'Мои адреса','ru'),(55,27,'Order list','en'),(56,27,'Мои заказы','ru'),(57,28,'Account details','en'),(58,28,'Личный кабинет','ru');
CREATE TABLE `xlite_pin_codes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `createDate` int(11) NOT NULL,
  `isSold` tinyint(1) NOT NULL,
  `isBlocked` tinyint(1) NOT NULL,
  `productId` int(10) unsigned DEFAULT NULL,
  `orderItemId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `productCode` (`code`,`productId`),
  KEY `IDX_454145C536799605` (`productId`),
  KEY `IDX_454145C5BBF22A26` (`orderItemId`),
  CONSTRAINT `FK_454145C536799605` FOREIGN KEY (`productId`) REFERENCES `xlite_products` (`product_id`) ON DELETE SET NULL,
  CONSTRAINT `FK_454145C5BBF22A26` FOREIGN KEY (`orderItemId`) REFERENCES `xlite_order_items` (`item_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `ogMeta` longtext COLLATE utf8_unicode_ci,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `briefDescription` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTags` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `metaDesc` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  KEY `name` (`name`),
  CONSTRAINT `FK_F48089BABF396750` FOREIGN KEY (`id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_product_translations` VALUES (1,1,'','Timberland 45th Anniversary','','','','','','en'),(2,2,'','High Top Trainers in Red, Black and White [Tags]','<p><strong>Features:</strong></p><ul><li>Regular Fit</li><li>Leather upper with logo</li><li>Mesh lining</li><li>Foam padded tongue and collar</li><li>Ventilation holes</li><li>Abrasion-resistant rubber outsole</li><li>Leather upper, rubber outsole</li></ul>','<p>This sneaker delivers heritage style with premium materials and responsive cushioning. The red, black and white uppers provide a bold and stylish take on the iconic silhouette. Featuring a high top style, a lace-up front fastening, a round toe and a well padded ankle collar and tongue, this shoe is an ideal companion for sports and day to day wear.<br><br><br></p>','','This sneaker delivers heritage style with premium materials and responsive cushioning. The red, black and white uppers provide a bold and stylish take on the iconic silhouette. Featuring a high top style, a lace-up front fastening, a round toe and a well padded ankle collar and tongue, this shoe is an ideal companion for sports and day to day wear.','','en'),(3,3,'','Beige Sneakers','<p>Lightweight and breathable canvas construction. Vulcanized rubber sole for improved traction. An unmistakable logo patch to complete your look. An ortholite insole cushions each step. Versatile, fashionable, and looking better every time you wear them. &nbsp;</p><p><strong>Features:</strong></p><ul><li>Hi top plimsolls&nbsp;</li><li>Lace-up front</li><li>Embroidered logo to side</li><li>Regular Fit</li><li>Outer: Cotton 100%</li><li>Sole: Rubber 100%</li><li>Lining: Cotton 100%</li></ul>','<p>Beige cotton hi-top sneakers featuring a lace-up front fastening, a round toe, a branded ankle patch and a flat rubber sole.</p>','','Beige cotton hi-top sneakers featuring a lace-up front fastening, a round toe, a branded ankle patch and a flat rubber sole.','','en'),(4,4,'','Platform Brogue-Trim Leather Oxfords in White','<p>Take your style up a notch with these super fashionable platform oxfords. Wear with leggings and an oversized shirt or off-the-shoulder blouse for an on-trend look. Comfortable platform with a non-skid, much lighter than you imagine, manmade sole.</p><p><strong>Features:</strong></p><ul><li>Leather oxford with brogue detail</li><li>Espadrille-inspired platform</li><li>1.25 inch heel</li><li>Round Toe</li><li>Adjustable lace-up closure</li><li>Water resistant</li><li>Leather upper</li><li>Antiskid manmade sole</li></ul>','<p>A mixed-media oxford steals the scene with an espadrille-trimmed platform sole and dramatic brogue detailing on the burnished leather upper.</p>','','A mixed-media oxford steals the scene with an espadrille-trimmed platform sole and dramatic brogue detailing on the burnished leather upper.','','en'),(5,5,'','Grey Knitted Trainers','<p>This shoe hits the sweet spot of effortless comfort and universal style. Knitted from a lightweight sports-mesh that hugs the foot for a snug fit, with an easy-entry collar shaped to perfection cushioned with the lightweight EVA midsole and finished with a flexible rubber outsole for excellent grip in any conditions, this shoe has delighted many a runner who just want a shoe that feels indulgent on their foot.&nbsp;</p><p><strong>Features:</strong></p><ul><li>Regular Fit</li><li>Knit textile upper</li><li>EVA midsole</li><li>Flexible rubber outsole</li></ul>','<p>Designed with your comfort in mind, a pair of knitted trainers is a go to for any day! &nbsp;</p>','','Designed with your comfort in mind, a pair of knitted trainers is a go to for any day! &nbsp;','','en'),(6,6,'','Lace-Up Boots in Light Brown','<p>Waterproof, rugged, built for comfort and traction, these boots can go all day and will only look better with age.&nbsp;</p><p><strong>Features:</strong></p><ul><li>Premium leather upper</li><li>Seam-sealed waterproof construction</li><li>400 gram synthetic insulation</li><li>Padded collar</li><li>Leather lining</li><li>Flexible forefoot construction</li><li>Anti-fatigue midsole and footbed</li><li>Rubber lug outsole</li></ul>','<p>Insulated waterproof boots for your next adventure.</p>','','Insulated waterproof boots for your next adventure.','','en'),(7,7,'','Boyfriend T-Shirt with Chest Logo','<p>A wardrobe must-have, this crewneck tee features a comfortable cotton blend and a straight hem for easy, everyday wear. Think baggy and casual. Wear it again and again.</p>','','','A wardrobe must-have, this crewneck tee features a comfortable cotton blend and a straight hem for easy, everyday wear. Think baggy and casual. Wear it again and again.','','en'),(8,8,'','Pink Sneakers with White Soles','<p>Low-top silhouette with a durable canvas upper. &nbsp;Lace-up front with flat cotton laces. Round toe. Lightly padded tongue and collar. Vulcanized sole with high-wall foxings. Premium cushioned flexible sole. &nbsp;</p><p><strong>Features:</strong></p><ul><li>Regular Fit</li><li>Lace-up construction</li><li>Textile upper</li><li>Flexible rubber outsole</li></ul>','<p>Timeless low top sneakers in pink. &nbsp;</p>','','Timeless low top sneakers in pink. &nbsp;','','en'),(9,9,'','White Lace-Up Mesh Trainers','<p>This pair is perfect for a variety of workouts in and out of the gym. School, play, travel, jogging, running - you name it! A great gift for a sporty girl.</p><p><strong>Features:</strong></p><ul><li>Lightweight</li><li>Mesh textile upper</li><li>Flexible shock absorbing EVA midsole</li><li>Rugged and durable outsole for long lasting traction</li></ul>','<p>Breathable soft knit mesh sneakers for sports and more.</p>','','Breathable soft knit mesh sneakers for sports and more.','','en'),(10,10,'','Caged Cutout Sandals in Gold','<p>These sandals feature an exquisite cut-out design on the upper and high heels to showcase your unique sense of style. This time made with a gold finish to give this piece a sleek and refined look. &nbsp;</p><p><strong>Features:</strong></p><ul><li>Vegan-friendly leather with geometric cutout design</li><li>Adjustable buckle closure at ankle</li><li>Open toe</li><li>Stiletto heel</li><li>Heel height: 3 <sup>1</sup>&frasl;<sub>2</sub> in</li></ul>','<p>More feminine, more refined, more fun!</p>','','More feminine, more refined, more fun!','','en'),(11,11,'','Green Flat Slingback Sandals','<p>Quality made with premium elastic fabric, these strappy open toe sandals are a HOT TREND! Designed for all day comfort, they keep you moving while looking effortlessly stylish.&nbsp;</p><p><strong>Features:</strong></p><ul><li>Open toe sandal</li><li>Medium Width</li><li>Lightweight&nbsp;</li><li>Textile and synthetic leather upper</li><li>Soft rubber sole</li></ul>','<p>With the rubber sole and wide elastic straps hugging your foot, these open toe sandals are made for walking.</p>','','With the rubber sole and wide elastic straps hugging your foot, these open toe sandals are made for walking.','','en'),(12,12,'','Waist Tie Dress in Blue and White Stripe','<p>Crafted in a lightweight blend of linen and cotton and finished with muted stripes, this dress is an everyday piece that is perfect for long, sunny days.</p>','','','Crafted in a lightweight blend of linen and cotton and finished with muted stripes, this dress is an everyday piece that is perfect for long, sunny days.','','en'),(13,13,'','Ultimate T-Shirt with Crew Neck in Red','<p><br></p><ul><li>Crew neck</li><li>Short sleeves</li><li>Regular fit</li><li>100% Cotton</li></ul>','<p>Another stylish addition your wardrobe. This crew-neck tee was designed specifically for a fashionable, comfortable, feminine look.</p>','','Another stylish addition your wardrobe. This crew-neck tee was designed specifically for a fashionable, comfortable, feminine look.','','en'),(14,14,'','Multicolored Dress with Balloon Sleeves [Options & Attributes]','<ul><li>Round neck</li><li>Dropped shoulders</li><li>Balloon sleeves</li><li>Don&#39;t worry, you won&rsquo;t float away</li><li>Fitted cuffs&nbsp;</li><li>Relaxed fit</li><li>Loose but not oversized</li><li>100% Polyester</li></ul>','<p>Cute, right? Bright floral print in relaxed fit. Throw on a black leather jacket and wrap a belt around the waist &nbsp;and you&#39;re ready for a night out.</p>','','Cute, right? Bright floral print in relaxed fit. Throw on a black leather jacket and wrap a belt around the waist &nbsp;and you&#39;re ready for a night out.','','en'),(15,15,'','Tall Pleated Midi Skirt in Check','<ul><li>High rise</li><li>Just like your standards</li><li>Pleated design</li><li>Regular cut</li><li>Fits you just right</li><li>Lightweight knit. The kind that doesn&#39;t stretch</li><li>100% Polyester</li></ul>','<p>Suitable for spring, summer and autumn. You can&#39;t miss such a charming skirt in your wardrobe.<br>Besides, you can dress it up with heels, or dress it down with sandals and t-shirt for a more casual look.</p><p><br></p><p><br></p>','','Suitable for spring, summer and autumn. You can&#39;t miss such a charming skirt in your wardrobe. Besides, you can dress it up with heels, or dress it down with sandals and t-shirt for a more casual look.','','en'),(16,16,'','Sleeved Mini Dress in Color Block','<ul><li>Color-block design</li><li>55% Polyester, 45% Cotton</li><li>Round neck</li><li>Shift design</li><li>Regular cut</li><li>Fits you just right</li></ul>','<p>An easy way to wear more color - 3-in-1 mini dress in modern color block design. Sleeves are non-detachable and can be completely unzipped to show that extra skin.&nbsp;</p>','','An easy way to wear more color - 3-in-1 mini dress in modern color block design. Sleeves are non-detachable and can be completely unzipped to show that extra skin.&nbsp;','','en'),(17,17,'','Tall Slim Fit T-Shirt in White','<ul><li>Throw on and go</li><li>Crew neck</li><li>Short sleeves</li><li>Plain design</li><li>Slim fit</li><li>100% Cotton.</li></ul>','<p>This classic tee features all-cotton construction and a tag-free crew neckline for comfort. Affordable, high-quality, and long-lasting everyday clothing you can rely on.</p>','','This classic tee features all-cotton construction and a tag-free crew neckline for comfort. Affordable, high-quality, and long-lasting everyday clothing you can rely on.','','en'),(18,18,'','Skinny Western Denim Jacket in Light Blue Wash','<p>The original jean jacket since 1962, this denim trucker jacket is fit for anything. This classic trucker features a standard regular fit with a hem that hits below the waist and welt hand pockets.</p>','','','The original jean jacket since 1962, this denim trucker jacket is fit for anything. This classic trucker features a standard regular fit with a hem that hits below the waist and welt hand pockets.','','en'),(19,19,'','Oversized Hoodie in Grey','<p>An oversized hoodie in grey for your chill days. &nbsp;More style for your money, with drawstring hood, fitted trims and dropped shoulders. Part of the Eco Edit. </p>','','','An oversized hoodie in grey for your chill days. &nbsp;More style for your money, with drawstring hood, fitted trims and dropped shoulders. Part of the Eco Edit.','','en'),(20,20,'','Hooded Anorak Jacket in Black','<p>This wind- and water-resistant jacket is a versatile, all-season piece with an impeccable fit built to keep you protected in milder weather and layer under shells and jackets for bonus warmth in more severe conditions.</p>','','','This wind- and water-resistant jacket is a versatile, all-season piece with an impeccable fit built to keep you protected in milder weather and layer under shells and jackets for bonus warmth in more severe conditions.','','en'),(21,21,'','Leather Mini Tote Bag with Rose and Girl Print in Red','<p><br></p><ul><li>Grab handle</li><li>Detachable straps</li><li>Flap-top closure</li><li>Avoid contact with liquids</li></ul>','','','Grab handle Detachable straps Flap-top closure Avoid contact with liquids','','en'),(22,22,'','Mesh Strap Watch in Gold','<ul><li>Stainless-steel mesh strap</li><li>Gold-tone case</li><li>Three hand movement</li><li>Dash indices</li><li>Single crown to side</li><li>Presented in a branded gift-box</li></ul>','<p>Elegant, flawlessly feminine and easy to read with a large polished goldtone dial. Let your wrist do the talking.</p>','','Elegant, flawlessly feminine and easy to read with a large polished goldtone dial. Let your wrist do the talking.','','en'),(23,23,'','Square Glasses in Black with Clear Lens','<p>Frame: 100% Plastic, Lens: 100% Plastic.</p>','<p>Whether you are looking for reading glasses for the office or home. These reading glasses will provide you with the best service and the premium protection you are looking for.</p><p>Square frames. Moulded nose pads for added comfort. Clear lenses. Tapered arms with curved temple tips for a secure fit.&nbsp;</p><p>Cloth sunglasses pouch can be used as a lens wipe.</p><p><br></p>','','Whether you are looking for reading glasses for the office or home. These reading glasses will provide you with the best service and the premium protection you are looking for. Square frames. Moulded nose pads for added comfort. Clear lenses. Tapered arms with curved temple tips for a secure fit.&nbsp; Cloth sunglasses pouch can be used as a lens wipe.','','en'),(24,24,'','Chain Drop Earrings in Gold Tone','<p><br></p><ul><li>Drop design</li><li>Tiered hoops</li><li>Connecting chains</li><li>All earrings are non-returnable</li></ul>','<p>For all-day-everyday use. Just give them a wipe to clean.</p>','','For all-day-everyday use. Just give them a wipe to clean.','','en'),(25,25,'','Rooster Mug in White [Related products]','<p>For your AM coffee and PM tea break. Regular size. Silver-tone trims.</p>','','','For your AM coffee and PM tea break. Regular size. Silver-tone trims.','','en'),(26,26,'','Festival Braslet Pack in Gold Tone','<p>We know you like options. With the combination of woven design and polished shiny surface, this bracelet is just the thing to make any woman feel special. An elegant and generous visual enjoyment for you and the ones you love.</p>','','','We know you like options. With the combination of woven design and polished shiny surface, this bracelet is just the thing to make any woman feel special. An elegant and generous visual enjoyment for you and the ones you love.','','en'),(27,27,'','Samsung - Galaxy S6 Edge Plus 4g LTE with 32gb Memory Cell Phone','<ul><li>Wireless Compatibility - Wireless A|Wireless G|Wireless N|Wireless AC|Wireless B</li><li>Screen Size - 5.7 inches</li><li>Android 5.1.1 Lollipop</li><li>Internal Memory - 32 gigabytes</li></ul>','','','Wireless Compatibility - Wireless A|Wireless G|Wireless N|Wireless AC|Wireless B Screen Size - 5.7 inches Android 5.1.1 Lollipop Internal Memory - 32 gigabytes','','en'),(28,28,'','Apple iPhone 8 Plus, 64GB','<div data-cel-widget=\"productDescription_feature_div\" data-feature-name=\"productDescription\"><div data-cel-widget=\"productDescription_feature_div\" data-feature-name=\"productDescription\" data-template-name=\"productDescription\"><br></div></div><ul><li>5.5-inch (diagonal) widescreen LCD Multi-Touch display with IPS technology - 1920-by-1080-pixel resolution at 401 ppiA11 Bionic chip with 64-bit architecture, Neural engine, Embedded M11 motion coprocessor</li><li>12MP wide-angle and telephoto camera, 7MP FaceTime HD Camera</li><li>Splash, water, and dust resistant</li></ul>','<p>Designed with most durable glass and a stronger aerospace-grade aluminum band. Charges wirelessly. Resists water and dust. 5.5-inch Retina HD display with True Tone. 12MP dual cameras offer improved Portrait mode and new Portrait Lighting. Powered by A11 Bionic, a most powerful smartphone chip.</p>','','Designed with most durable glass and a stronger aerospace-grade aluminum band. Charges wirelessly. Resists water and dust. 5.5-inch Retina HD display with True Tone. 12MP dual cameras offer improved Portrait mode and new Portrait Lighting. Powered by A11 Bionic, a most powerful smartphone chip.','','en'),(29,29,'','Apple iPhone X [Options & Attributes] [Custom tabs]','<ul><li>An all-new 5.8-inch Super Retina screen with all-screen OLED Multi-Touch display</li><li>12MP wide-angle and telephoto cameras with Dual optical image stabilization</li><li>Wireless Qi charging</li></ul>','<div data-cel-widget=\"productDescription_feature_div\" data-feature-name=\"productDescription\"><div data-cel-widget=\"productDescription_feature_div\" data-feature-name=\"productDescription\" data-template-name=\"productDescription\"><p>iPhone that is entirely screen. One so immersive the device itself disappears into the experience. And so intelligent it can respond to a tap, your voice, and even a glance. With iPhone X, that vision is now a reality. Say hello to the future.</p></div></div><div data-cel-widget=\"renewedProgramDescriptionBtf_feature_div\" data-feature-name=\"renewedProgramDescriptionBtf\"><br></div>','','iPhone that is entirely screen. One so immersive the device itself disappears into the experience. And so intelligent it can respond to a tap, your voice, and even a glance. With iPhone X, that vision is now a reality. Say hello to the future.','','en'),(30,30,'','Apple Watch Series 3 (GPS, 38mm)','<table><tbody><tr><td style=\"width: 12.5352%;\"><p>Connectivity</p></td><td style=\"width: 87.3944%;\"><p>Wi-Fi (802.11b/g/n 2.4GHz), Bluetooth 4.2</p></td></tr><tr><td style=\"width: 12.5352%;\"><p>Power</p></td><td style=\"width: 87.3944%;\"><p>Up to 18 hours of battery life</p></td></tr><tr><td style=\"width: 12.5352%;\"><p>Width</p></td><td style=\"width: 87.3944%;\"><p>33.3mm</p></td></tr><tr><td style=\"width: 12.5352%;\"><p>Depth</p></td><td style=\"width: 87.3944%;\"><p>11.4mm</p></td></tr><tr><td style=\"width: 12.5352%;\"><p>Case Weight</p></td><td style=\"width: 87.3944%;\"><p>36.7g</p></td></tr></tbody></table><table><tbody><tr><td><p>Case Size</p></td><td><p>38mm, 42mm</p></td></tr><tr><td><p>Features</p></td><td><p>GLONASS, Galileo, and QZSS, Barometric altimeter, Optical heart sensor, Accelerometer and gyroscope, Ion-X strengthened glass, Composite back</p></td></tr><tr><td><p>Whats in the box</p></td><td><p>Case, Band (either S/M or M/L length), 1m Magnetic Charging Cable</p></td></tr></tbody></table><p><br></p><p><br></p><p><br></p>','<ul><li>GPS</li><li>Optical heart sensor</li><li>Digital Crown</li><li>S3 with dual-core processor</li><li>Accelerometer and gyroscope</li><li>Swim proof</li><li>watchOS 5</li><li>Aluminum case</li></ul>','','GPS Optical heart sensor Digital Crown S3 with dual-core processor Accelerometer and gyroscope Swim proof watchOS 5 Aluminum case','','en'),(31,31,'','Google Home Mini [Attributes & Options]','<p>A new Google smart speaker in mini format that shrinks down all the intelligence into a cheaper, smaller package.&nbsp;</p><p>A wifi-connected smart speaker that looks like a small fabric-covered pin cushion. It comes in a grey, black or coral with a colour-matched plastic base and rubber foot to keep it from sliding about when you prod it.</p>','','','A new Google smart speaker in mini format that shrinks down all the intelligence into a cheaper, smaller package.&nbsp; A wifi-connected smart speaker that looks like a small fabric-covered pin cushion. It comes in a grey, black or coral with a colour-matched plastic base and rubber foot to keep it from sliding about when you prod it.','','en'),(32,32,'','Fitness Tracker Smart Watch','<ul><li>Multifunction Smart Watch: The fitness tracker smart watch has data and 12/24H time display, Accurate heart rate, Blood pressure monitor, Sleep monitor, Auto pedometer, brightness adjustment, Weather, Clock alarm, Stopwatch, Sedentary reminder, Remote camera control, Music control, Find phone, Incoming call and SMS reminder, Message reminder etc.</li><li>Heart Rate Monitor &amp; Blood Pressure Fitness Tracker: Enter the watch face and long pressing the control area. Wait a moment about 30 seconds, then you can read the real time heart rate/blood pressure/blood oxygen data in the watch face. You can set the automatic heart rate monitor in the app. The history heart rate, blood pressure and blood oxygen details data are Available in the app.</li><li>IP67 Waterproof and Sleep tracking: The smart fitness tracker meets the international IP67 waterproof and dust proof standard. But we don&rsquo;t recommend to wear the fitness tracker while swimming or taking a shower; Comprehensively analyze data such as sleep duration, sleep depth and wakefulness sleep, guide you to improve sleep quality</li><li>See Calls &amp; Messages on Your Wrist: Receive call, SMS and SNS (Facebook, WhatsApp, LinkedIn, Instagram, and Twitter) notifications on display; Support system iOS 9.0 or above, Android 4.4 or above.(not for PC, iPad or Tablet).</li><li>Special Powerful Functions and Warranty:Weather forecast function, Music Player, Remote Camera Function, Change the Screen Brightness function and more other functions are available. 3-Months Warranty is Provided by Teamyo fitness tracker. Please feel free to contact us if you have any problem about our product, and we will response to you as soon as possible with full enthusiasm.</li></ul><p><strong>Warm Notes:</strong></p><p><strong>1. Compatibility:</strong> This fitness watch can be used with both Android and IOS system,Compatible with Android 4.4 or above, IOS 9 or above.Compatible with with bluetooth 4.0 or above.<br><strong>2. Waterproof Grade:</strong> IP67 Life Waterproof Grade. IP67 Waterproof resistant for sweat, rain, splash proof. Not recommend wear the fitness tracker when swimming or Take a shower.<br><strong>3. Charging cable:</strong> The smart watch is packed in a beautiful box. Please kindly find the charging cable under the box. Charge the fitness watch about 2 hours before firstly use.</p>','<h2><span style=\"font-size: 14px; font-family: Arial, Helvetica, sans-serif; color: rgb(128, 128, 128);background-color: rgb(255, 255, 255);\">A modern waterproof a</span><span style=\"color: rgb(204, 204, 204);\"><span style=\"background-color: rgb(255, 255, 255);\"><a href=\"https://www.amazon.com/Activity-Waterproof-Pressure-Pedometer-V11-gray/dp/B07PNMRBJY/ref=sr_1_5?keywords=smart+watch&qid=1560875842&s=gateway&sr=8-5\"></a></span></span><span style=\"color: rgb(124, 112, 107);\"><span style=\"font-size: 14px; font-family: Arial, Helvetica, sans-serif; background-color: rgb(255, 255, 255);\">ctivity tracker with heart rate monitor and blood pressure, step and calorie counter. Pedometer watch for women and men.&nbsp;</span></span><span style=\"color: rgb(204, 204, 204);\"><span style=\"background-color: rgb(255, 255, 255);\"><a href=\"https://www.amazon.com/Activity-Waterproof-Pressure-Pedometer-V11-gray/dp/B07PNMRBJY/ref=sr_1_5?keywords=smart+watch&qid=1560875842&s=gateway&sr=8-5\"></a></span></span></h2>','','A modern waterproof a ctivity tracker with heart rate monitor and blood pressure, step and calorie counter. Pedometer watch for women and men.&nbsp;','','en'),(33,33,'','Bluetooth Smartwatch with Touch Screen and Fitness Tracker','<p>The perfect companion to keep you organized and productive all day long. Receive one-way notifications for emails, SMS messages, and incoming phone calls (prompting you to take action on your smartphone), as well as alerts for Facebook, Twitter, WhatsApp, LinkedIn, Snap and other mobile apps.</p><p>It counts your steps, measures distance walked and estimate calories burned via a 3-axis accelerometer.<br>Monitor sleep quality and record sleep status data.</p><p>Rain and sweat water-resistant, can&#39;t be used for Hot Water washing and long time soak in water.</p><p>This wearable has an estimated 24-hour battery life. (Note: Battery life varies based on usage.)</p>','','','The perfect companion to keep you organized and productive all day long. Receive one-way notifications for emails, SMS messages, and incoming phone calls (prompting you to take action on your smartphone), as well as alerts for Facebook, Twitter, WhatsApp, LinkedIn, Snap and other mobile apps. It counts your steps, measures distance walked and estimate calories burned via a 3-axis accelerometer. Monitor sleep quality and record sleep status data. Rain and sweat water-resistant, can&#39;t be used for Hot Wat','','en'),(34,34,'','Aster i39 Headphones with Microphone','<ul><li>Microphone, Foldabe, Stereo, Portable, Lightweight</li><li>Weight - 6.6 ounces</li><li>Dimentions - 8.3 x 7.1 x 3.5 in</li></ul>','<p>Aster i39 on ear headphones are designed for ultimate comfort when you are travel, hang out, or on a business.</p><p>Take your headphones wherever you go. Just fold them up, twist up the cord, and be on your merry way</p>','','Aster i39 on ear headphones are designed for ultimate comfort when you are travel, hang out, or on a business. Take your headphones wherever you go. Just fold them up, twist up the cord, and be on your merry way','','en'),(35,35,'','Apple AirPods','<p>Unlike traditional, circular earbuds, the design of the EarPods is defined by the geometry of the ear which makes them more comfortable for more people than any other earbud-style headphones. &nbsp;The speakers inside the EarPods have been engineered to maximize sound output and minimize sound loss, which means you get high-quality audio.</p><p>Works with all devices that have a Lightning connector and support iOS 10 or later, including iPod touch, iPad, and iPhone.</p>','','','Unlike traditional, circular earbuds, the design of the EarPods is defined by the geometry of the ear which makes them more comfortable for more people than any other earbud-style headphones. &nbsp;The speakers inside the EarPods have been engineered to maximize sound output and minimize sound loss, which means you get high-quality audio. Works with all devices that have a Lightning connector and support iOS 10 or later, including iPod touch, iPad, and iPhone.','','en'),(36,36,'','Cocooil Body Oil','<p>Formulated with certified fair trade cold pressed organic coconut oil, produced sustainably in the Pacific Islands and supporting local communities. a Provides a luxurious feeling, perfect as your daily moisturiser all year long.</p><p>Ingredients: Helianthus Annuus (Sunflower) Seed Oil, Fair Trade Cold Pressed Organic Cocos Nucifera (Coconut) Oil, Vitas Vinifera (Grape) Seed Oil, Tocopherol.</p><p><strong>Features</strong>:</p><ul><li>Non-greasy body oil</li><li>Hydrating, nourishing and soothing &nbsp;<br><br></li></ul><p><br></p>','<p>This body oil will nourish and protect your skin.</p>','','This body oil will nourish and protect your skin.','','en'),(37,37,'','Maui Moisture','<p>With castor oil &amp; neem oil, this formula helps soften treated, natural, or transitioning hair.</p><p>Ingredients: Aloe Barbadensis Leaf Juice, Water (Aqua), Sodium C14-16 Olefin Sulfonate, Cocamidopropyl Betaine, PPG-2 Hydroxyethyl Coco/Isostearamide, Glycol Distearate, Cocos Nucifera (Coconut) Water, Bambusa Arundinacea Stem Extract, Ricinus Communis (Castor) Seed Oil, Melia Azadirachta Seed Oil, Chamomilla Recutita (Matricaria) Flower Extract, Polyquaternium-10, Cocamidopropyl Hydroxysultaine, Sodium Cocoyl Isethionate, PEG-120 Methyl Glucose Dioleate, Guar Hydroxypropyltrimonium Chloride, Methyl Gluceth-10, Tapioca Starch, Sodium Chloride, Propylene Glycol, Diazolidinyl Urea, Iodopropynyl Butylcarbamate, Fragrance (Parfum).&nbsp;</p><p><strong>Features</strong>:</p><ul><li>Fortifying</li><li>Encourages healthy-looking glow</li><li>Uses sulfate-free surfactants</li></ul>','<p>A lush, strengthening shampoo that helps your hair feel rejuvenated &amp; restored.</p>','','A lush, strengthening shampoo that helps your hair feel rejuvenated &amp; restored.','','en'),(38,38,'','Barth Body Oil','<p>Great for normal, sensitive and inflamed skin. Ideal for skin that needs to be calmed down and regenerated.&nbsp;</p><p><strong>Features</strong>:</p><ul><li>Penetrates the skin without leaving a greasy residue</li><li>Pleasant scent of exotic oils</li><li>Organic</li></ul>','<p>With this amazing oil serum your skin will immediately feel very silky and hydrated.&nbsp;</p>','','With this amazing oil serum your skin will immediately feel very silky and hydrated.&nbsp;','','en'),(39,39,'','Facial Spray','<p>Created with aloe, cucumber and green tee, this spray hydrates, cools and refreshes. Mist over the face before moisturising or throughout the day after makeup, for a quick antioxidant boost.&nbsp;</p><p>Ingredients: Aqua (Water, Eau), Propylene Glycol, Mentha Piperita (Peppermint) Leaf Water, Cucumis Sativus (Cucumber) Fruit Water, Aloe Barbadensis Leaf Juice, Camellia Sinensis Leaf Extract, Cucumis Sativus (Cucumber) Fruit Extract, Fucus Vesiculosus Extract, Propanediol, Polysorbate 20, Ethylhexylglycerin, Benzophenone-4, Parfum (Fragrance), Sodium Chloride, Citric Acid, Potassium Sorbate, Sodium Benzoate, CI 19140 (Yellow 5), CI 42090 (Blue 1), Hexyl Cinnamal, Limonene, Linalool.&nbsp;</p><p><strong>Features</strong>:</p><ul><li>Calms and soothes skin</li><li>Antioxidant</li><li>Organic</li></ul>','<p>A refreshing, hydrating mist for all skin types.</p>','','A refreshing, hydrating mist for all skin types.','','en'),(40,40,'','Red Dior','<p>This limited edition stick delivers all the colour and shine of a lacquer, plus the comfort of a balm, with 6h* of wear and an exceptionally fine texture.&nbsp;</p><p><strong>Features</strong>:</p><ul><li>Liquified shine</li><li>Saturated lip color</li><li>Weightless wear</li></ul>','<p>The new generation of lipstick: as easy to apply as it is to wear.</p>','','The new generation of lipstick: as easy to apply as it is to wear.','','en'),(41,41,'','Pink Unicorn Makeup Brushes','<p>Crafted with the highest quality materials, each brush features whisper-soft synthetic bristles bundled with a gold ferrule. The sleek embellished holder keeps the tools organized in style.</p><p><strong>Features</strong>:</p><ul><li><strong>&nbsp;</strong>Includes 3 makeup brushes and a holder</li><li>Made with synthetic hairs; cruelty free.</li></ul>','<p>Add some pink unicorn glam to your beauty routine! An essential collection of face and eye brushes for a perfected complexion and enchanting eye looks. &nbsp; &nbsp;</p>','','Add some pink unicorn glam to your beauty routine! An essential collection of face and eye brushes for a perfected complexion and enchanting eye looks. &nbsp; &nbsp;','','en'),(42,42,'','Perfect Snacks','<p>Made with freshly ground nut butters and organic honey, this snack bar is a delicious blend of creamy and crunchy with a cookie-dough-like texture. Each bar contains up to 17g of whole food protein.</p><p><strong>Features</strong>:</p><ul><li>A convenient source of vitamins and minerals</li><li>Non-GMO</li><li>Soy Free</li><li>Gluten Free</li><li>Organic</li><li>Kosher</li><li>Made in the USA</li></ul><p><br></p>','<p>Nutritious protein for active lifestyles.</p>','','Nutritious protein for active lifestyles.','','en'),(43,43,'','Blue & Green Matcha','<p>Pure organic matcha, blue and green. All natural weight loss, metabolism booster supplement. Delicious and nutricious. Enhances all day energy, mental clarity and focus. The best coffee substitute that does not give you jitters. Can be used in a variety of recipes for baking, lattes, smoothies, shakes, icecream and other foods.</p><p><strong>Features</strong>:</p><ul><li>Powerful antioxidant</li><li>Certified organic</li><li>Vegan</li><li>Non-GMO</li></ul>','<h4><span style=\"font-size: 14px; color: rgb(128, 128, 128);\">Give matcha a try and be amazed.</span></h4><p><br></p><p><br></p>','','Give matcha a try and be amazed.','','en'),(44,44,'','Chia Seed','<p>A rich source of protein, fiber, antioxidants, essential omega-3 fatty acids and minerals (magnesium, calcium, potassium, phosphorous). An ideal addition to vegetarian, vegan, whole food, paleo, ketogenic, and gluten-free diets. Can be consumed and digested whole. Add a healthful gourmet flair to salads, snacks, soups, and baked goods, or soak them for a satisfying pudding or gel.</p><p><strong>Features</strong>:</p><ul><li>Certified organic&nbsp;</li><li>Non-GMO&nbsp;</li><li>BPA-free packaging</li></ul>','<p>Organic superfood.</p>','','Organic superfood.','','en'),(45,45,'','Probiotic and Omega 3, 6, 9 Supplement','<p>Boost your energy, immune system and cognitive function by providing friendly bacteria for the digestive system and the Omega fatty acids for your brain. Each day, either morning or evening, take one capsule with a glass of water. Consistency is key.</p><p><strong>Features</strong>:</p><ul><li>Non-GMO</li><li>Antioxidant</li></ul>','<p>A proprietary probiotic blend to support your brain and gut health.</p>','','A proprietary probiotic blend to support your brain and gut health.','','en'),(46,46,'','Tea Infused Sparkling Water','<p>Sparkling water combined with organic tea and single-source, certified organic extracts. No &quot;natural flavors&quot;. &nbsp;</p><p><strong>Features</strong>:</p><ul><li>Unsweetened</li><li>Certified organic</li><li>Certified non-GMO</li></ul>','<p>Tea and sparkling water: the perfect match!</p>','','Tea and sparkling water: the perfect match!','','en'),(47,47,'','Cinnamon Sticks','<h1><span style=\"font-size: 14px; color: rgb(128, 128, 128);\">Imported 100% raw from Sri Lanka.&nbsp;</span><span style=\"color: rgb(128, 128, 128); font-size: 14px;\">Perfect for baking, cooking and beverages. Hand rolled, soft and break or crumble easy.&nbsp;</span></h1><p><strong>Features</strong>:</p><ul><li>100+ sticks, packed and sealed for freshness&nbsp;</li><li>Non-GMO</li><li>Certfied organic</li><li>Kosher</li></ul>','<p>Add some spice to your life with these finest quality pure Ceylon cinnamon sticks.</p>','','Add some spice to your life with these finest quality pure Ceylon cinnamon sticks.','','en'),(48,48,'','Peanut Butter','<p>Made with just one ingredient: Dry-roasted organic peanuts.</p><ul><li>All natural&nbsp;</li><li>Non-GMO</li><li>Gluten free</li><li>Dairy free</li><li>Preservative free</li><li>Vegan</li><li>Kosher</li><li>No palm fruit oil</li><li>No added sugar</li><li>No added salt</li></ul>','<p>Delicious peanut butter, all natural and loaded with protein.</p>','','Delicious peanut butter, all natural and loaded with protein.','','en'),(49,49,'','Sweet Hazelnut and Chocolate Natural Flavouring','<p>This natural food flavouring provides a classic hazelnut chocolate flavour to your cooking and baking, and can be used with various food and drink. Works great in general cooking/baking, cakes, yogurt, cheesecake, sorbets, drinks (including beer/cider), and ice-cream.&nbsp;</p><p>Ingredients:<strong>&nbsp;</strong>Natural Flavouring, Propylene Glycol (E1518).</p><p><strong>Features</strong>:</p><ul><li>Gluten free</li><li>Dairy free</li><li>Egg free</li><li>Vegan</li><li>Kosher</li></ul>','<p><span style=\"font-size: 14px;\">Add the delicious taste of hazelnut chocolate to your cakes and other desserts using this natural food flavouring.&nbsp;</span></p>','','Add the delicious taste of hazelnut chocolate to your cakes and other desserts using this natural food flavouring.&nbsp;','','en'),(50,50,'','Dose Juice','<p>A complete array of vitamins, minerals and enzymes &ndash; all with the great taste. 60% green vegetables vs 40% fruits.&nbsp;</p><p>Features:</p><ul><li>Cold pressed</li><li>Organic</li></ul>','<p>An organic juice to sustain you throughout the day. Drink it in the morning or between meals for a boost of energy and vitamins.&nbsp;</p>','','An organic juice to sustain you throughout the day. Drink it in the morning or between meals for a boost of energy and vitamins.&nbsp;','','en');
CREATE TABLE `xlite_product_stats` (
  `stat_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `viewed_product_id` int(10) unsigned DEFAULT NULL,
  `bought_product_id` int(10) unsigned DEFAULT NULL,
  `count` int(10) unsigned NOT NULL,
  PRIMARY KEY (`stat_id`),
  KEY `IDX_B01836BC658EF086` (`viewed_product_id`),
  KEY `IDX_B01836BC3BA20971` (`bought_product_id`),
  CONSTRAINT `FK_B01836BC3BA20971` FOREIGN KEY (`bought_product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_B01836BC658EF086` FOREIGN KEY (`viewed_product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_shipping_markups` (
  `markup_id` int(11) NOT NULL AUTO_INCREMENT,
  `method_id` int(11) DEFAULT NULL,
  `zone_id` int(11) DEFAULT NULL,
  `min_weight` decimal(14,2) NOT NULL,
  `max_weight` decimal(14,2) NOT NULL,
  `min_total` decimal(14,2) NOT NULL,
  `max_total` decimal(14,2) NOT NULL,
  `min_discounted_total` decimal(14,2) NOT NULL,
  `max_discounted_total` decimal(14,2) NOT NULL,
  `min_items` decimal(14,0) NOT NULL,
  `max_items` decimal(14,0) NOT NULL,
  `markup_flat` decimal(14,2) NOT NULL,
  `markup_percent` decimal(14,2) NOT NULL,
  `markup_per_item` decimal(14,2) NOT NULL,
  `markup_per_weight` decimal(14,2) NOT NULL,
  PRIMARY KEY (`markup_id`),
  KEY `IDX_2BE8DC419883967` (`method_id`),
  KEY `IDX_2BE8DC49F2C3FAB` (`zone_id`),
  KEY `rate` (`method_id`,`zone_id`,`min_weight`,`min_total`,`min_discounted_total`,`min_items`),
  KEY `max_weight` (`max_weight`),
  KEY `max_total` (`max_total`),
  KEY `max_discounted_total` (`max_discounted_total`),
  KEY `max_items` (`max_items`),
  KEY `markup_flat` (`markup_flat`),
  KEY `markup_per_item` (`markup_per_item`),
  KEY `markup_percent` (`markup_percent`),
  KEY `markup_per_weight` (`markup_per_weight`),
  CONSTRAINT `FK_2BE8DC419883967` FOREIGN KEY (`method_id`) REFERENCES `xlite_shipping_methods` (`method_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_2BE8DC49F2C3FAB` FOREIGN KEY (`zone_id`) REFERENCES `xlite_zones` (`zone_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_shipping_markups` VALUES (1,91,2,0.00,999999999.00,0.00,999999999.00,0.00,999999999.00,0,999999999,2.45,1.50,0.00,0.00),(2,91,3,0.00,999999999.00,0.00,999999999.00,0.00,999999999.00,0,999999999,2.50,1.50,0.00,0.00),(3,91,1,0.00,999999999.00,0.00,999999999.00,0.00,999999999.00,0,999999999,5.50,1.75,0.00,0.00),(4,92,2,0.00,999999999.00,0.00,999999999.00,0.00,999999999.00,0,999999999,3.45,1.75,0.00,0.00),(5,92,3,0.00,999999999.00,0.00,999999999.00,0.00,999999999.00,0,999999999,3.50,1.75,0.00,0.00),(6,92,1,0.00,999999999.00,0.00,999999999.00,0.00,999999999.00,0,999999999,6.50,1.85,0.00,0.00),(7,93,2,0.00,999999999.00,0.00,999999999.00,0.00,999999999.00,0,999999999,100.00,10.00,0.00,0.00),(8,94,1,0.00,999999999.00,0.00,999999999.00,0.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00),(9,95,1,0.00,999999999.00,50.00,999999999.00,0.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00),(10,96,1,0.00,999999999.00,0.00,999999999.00,0.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00),(11,97,1,0.00,999999999.00,0.00,999999999.00,0.00,999999999.00,0,999999999,0.00,0.00,0.00,0.00);
CREATE TABLE `xlite_order_surcharges` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `type` char(8) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `include` tinyint(1) NOT NULL,
  `available` tinyint(1) NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `weight` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_3583A1698D9F6D38` (`order_id`),
  CONSTRAINT `FK_3583A1698D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_order_surcharges` VALUES (1,1,'shipping','SHIPPING','\\XLite\\Logic\\Order\\Modifier\\Shipping',0,1,1.5000,'Shipping cost',0),(2,1,'discount','DISCOUNT','\\XLite\\Module\\CDev\\VolumeDiscounts\\Logic\\Order\\Modifier\\Discount',0,1,-3.0000,'Discount',0),(3,2,'shipping','SHIPPING','\\XLite\\Logic\\Order\\Modifier\\Shipping',0,1,3.7200,'Shipping cost',0),(4,3,'shipping','SHIPPING','\\XLite\\Logic\\Order\\Modifier\\Shipping',0,1,0.0000,'Shipping cost',0),(5,4,'shipping','SHIPPING','\\XLite\\Logic\\Order\\Modifier\\Shipping',0,1,3.0200,'Shipping cost',0),(6,5,'shipping','SHIPPING','\\XLite\\Logic\\Order\\Modifier\\Shipping',0,1,1.5000,'Shipping cost',0);
CREATE TABLE `xlite_conversation_members` (
  `conversation_id` int(10) unsigned NOT NULL,
  `profile_id` int(11) NOT NULL,
  PRIMARY KEY (`conversation_id`,`profile_id`),
  KEY `IDX_6165ADA39AC0396` (`conversation_id`),
  KEY `IDX_6165ADA3CCFA12B8` (`profile_id`),
  CONSTRAINT `FK_6165ADA39AC0396` FOREIGN KEY (`conversation_id`) REFERENCES `xlite_conversations` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_6165ADA3CCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_permissions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `section` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_permissions` VALUES (1,'root access','All'),(2,'manage catalog','Catalog'),(3,'manage front page','Content'),(4,'manage users','Users'),(5,'manage admins','Users'),(6,'manage orders','Sales'),(7,'manage import','Import and Export'),(8,'manage export','Import and Export'),(9,'manage banners','Content'),(10,'unfiltered html','Content'),(11,'manage coupons','Coupons'),(12,'manage sale discounts','Sale'),(13,'manage custom pages','Content'),(14,'manage menus','Content'),(15,'manage volume discounts','Volume discounts'),(16,'manage news','Content'),(17,'manage reviews','Catalog'),(18,'manage conversations','Conversations');
CREATE TABLE `xlite_currencies` (
  `currency_id` int(10) unsigned NOT NULL,
  `code` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `symbol` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `prefix` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `suffix` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `e` smallint(6) NOT NULL,
  `decimalDelimiter` varchar(8) COLLATE utf8_unicode_ci NOT NULL,
  `thousandDelimiter` varchar(8) COLLATE utf8_unicode_ci NOT NULL,
  `roundUp` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'N',
  PRIMARY KEY (`currency_id`),
  UNIQUE KEY `UNIQ_903AF16077153098` (`code`),
  KEY `code` (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_currencies` VALUES (8,'ALL','L','L','',2,'.','','N'),(12,'DZD','د.ج','د.ج','',2,'.','','N'),(32,'ARS','$','$','',2,'.','','N'),(36,'AUD','$','$','',2,'.','','N'),(44,'BSD','$','$','',2,'.','','N'),(48,'BHD','.د.ب','.د.ب','',3,'.','','N'),(50,'BDT','৳','৳','',2,'.','','N'),(51,'AMD','դր.','դր.','',2,'.','','N'),(52,'BBD','$','$','',2,'.','','N'),(60,'BMD','$','$','',2,'.','','N'),(64,'BTN','Nu','Nu','',2,'.','','N'),(68,'BOB','$','$','',2,'.','','N'),(72,'BWP','P','P','',2,'.','','N'),(84,'BZD','$','$','',2,'.','','N'),(90,'SBD','$','$','',2,'.','','N'),(96,'BND','$','$','',2,'.','','N'),(104,'MMK','K','K','',2,'.','','N'),(108,'BIF','₣','₣','',0,'.','','N'),(116,'KHR','$','$','',2,'.','','N'),(124,'CAD','$','$','',2,'.','','N'),(132,'CVE','$','$','',2,'.','','N'),(136,'KYD','$','$','',2,'.','','N'),(144,'LKR','Re','Re','',2,'.','','N'),(152,'CLP','$','$','',0,'.','','N'),(156,'CNY','¥','¥','',2,'.','','N'),(170,'COP','$','$','',2,'.','','N'),(174,'KMF','₣','₣','',0,'.','','N'),(188,'CRC','₡','₡','',2,'.','','N'),(191,'HRK','Kn','Kn','',2,'.','','N'),(192,'CUP','$','$','',2,'.','','N'),(203,'CZK','Kč','Kč','',2,'.','','N'),(208,'DKK','kr','kr','',2,'.','','N'),(214,'DOP','$','$','',2,'.','','N'),(222,'SVC','₡','₡','',2,'.','','N'),(230,'ETB','Br','Br','',2,'.','','N'),(232,'ERN','Nfk','Nfk','',2,'.','','N'),(238,'FKP','£','£','',2,'.','','N'),(242,'FJD','$','$','',2,'.','','N'),(262,'DJF','₣','₣','',0,'.','','N'),(270,'GMD','D','D','',2,'.','','N'),(292,'GIP','£','£','',2,'.','','N'),(320,'GTQ','Q','Q','',2,'.','','N'),(324,'GNF','₣','₣','',0,'.','','N'),(328,'GYD','$','$','',2,'.','','N'),(332,'HTG','G','G','',2,'.','','N'),(340,'HNL','L','L','',2,'.','','N'),(344,'HKD','$','$','',2,'.','','N'),(348,'HUF','ƒ','ƒ','',2,'.','','N'),(352,'ISK','kr','kr','',0,'.','','N'),(356,'INR','₹','₹','',2,'.','','N'),(360,'IDR','Rp','Rp','',0,'.','','N'),(364,'IRR','﷼','﷼','',2,'.','','N'),(368,'IQD','ع.د','ع.د','',3,'.','','N'),(376,'ILS','₪','₪','',2,'.','','N'),(388,'JMD','$','$','',2,'.','','N'),(392,'JPY','¥','¥','',0,'.','','N'),(398,'KZT','₸','₸','',2,'.','','N'),(400,'JOD','د.ا','د.ا','',3,'.','','N'),(404,'KES','KSh','KSh','',2,'.','','N'),(408,'KPW','₩','₩','',2,'.','','N'),(410,'KRW','₩','₩','',0,'.','','N'),(414,'KWD','د.ك','د.ك','',3,'.','','N'),(417,'KGS','C','C','',2,'.','','N'),(418,'LAK','₭','₭','',2,'.','','N'),(422,'LBP','.ل.ل','.ل.ل','',2,'.','','N'),(426,'LSL','L','L','',2,'.','','N'),(428,'LVL','Ls','Ls','',2,'.','','N'),(430,'LRD','$','$','',2,'.','','N'),(434,'LYD','ل.د','ل.د','',3,'.','','N'),(440,'LTL','Lt','Lt','',2,'.','','N'),(446,'MOP','$','$','',2,'.','','N'),(454,'MWK','K','K','',2,'.','','N'),(458,'MYR','RM','RM','',2,'.','','N'),(462,'MVR','Rf','Rf','',2,'.','','N'),(478,'MRO','UM','UM','',0,'.','','N'),(480,'MUR','Re','Re','',2,'.','','N'),(484,'MXN','$','$','',2,'.','','N'),(496,'MNT','₮','₮','',2,'.','','N'),(498,'MDL','L','L','',2,'.','','N'),(504,'MAD','د. م.','د. م.','',2,'.','','N'),(512,'OMR','ر.ع.','ر.ع.','',3,'.','','N'),(516,'NAD','N$','N$','',2,'.','','N'),(524,'NPR','Re','Re','',2,'.','','N'),(532,'ANG','ƒ','ƒ','',2,'.','','N'),(533,'AWG','ƒ','ƒ','',2,'.','','N'),(548,'VUV','Vt','Vt','',0,'.','','N'),(554,'NZD','$','$','',2,'.','','N'),(558,'NIO','$','$','',2,'.','','N'),(566,'NGN','₦','₦','',2,'.','','N'),(578,'NOK','kr','kr','',2,'.','','N'),(586,'PKR','Re','Re','',2,'.','','N'),(590,'PAB','B/.','B/.','',2,'.','','N'),(598,'PGK','K','K','',2,'.','','N'),(600,'PYG','₲','₲','',0,'.','','N'),(604,'PEN','S/.','S/.','',2,'.','','N'),(608,'PHP','₱','₱','',2,'.','','N'),(634,'QAR','ر.ق','ر.ق','',2,'.','','N'),(643,'RUB','₽','','₽',2,'.','','N'),(646,'RWF','₣','₣','',0,'.','','N'),(654,'SHP','£','£','',2,'.','','N'),(678,'STD','Db','Db','',2,'.','','N'),(682,'SAR','ر.س','ر.س','',2,'.','','N'),(690,'SCR','Re','Re','',2,'.','','N'),(694,'SLL','Le','Le','',2,'.','','N'),(702,'SGD','$','$','',2,'.','','N'),(704,'VND','₫','₫','',0,'.','','N'),(706,'SOS','S','S','',2,'.','','N'),(710,'ZAR','R','R','',2,'.','','N'),(728,'SSP','SSP','SSP','',2,'.','','N'),(748,'SZL','L','L','',2,'.','','N'),(752,'SEK','kr','kr','',2,'.','','N'),(756,'CHF','₣','₣','',2,'.','','N'),(760,'SYP','S£','S£','',2,'.','','N'),(764,'THB','฿','฿','',2,'.','','N'),(776,'TOP','$','$','',2,'.','','N'),(780,'TTD','$','$','',2,'.','','N'),(784,'AED','د.إ','د.إ','',2,'.','','N'),(788,'TND','د.ت','د.ت','',3,'.','','N'),(800,'UGX','USh','USh','',2,'.','','N'),(807,'MKD','ден.','ден.','',2,'.','','N'),(818,'EGP','LE','LE','',2,'.','','N'),(826,'GBP','£','£','',2,'.','','N'),(834,'TZS','TSh','TSh','',2,'.','','N'),(840,'USD','$','$','',2,'.','','N'),(858,'UYU','$','$','',2,'.','','N'),(860,'UZS','сўм','сўм','',2,'.','','N'),(882,'WST','$','$','',2,'.','','N'),(886,'YER','﷼','﷼','',2,'.','','N'),(894,'ZMK','K','K','',2,'.','','N'),(901,'TWD','NT$','NT$','',2,'.','','N'),(932,'ZWL','Z$','Z$','',2,'.','','N'),(934,'TMT','m','m','',2,'.','','N'),(936,'GHS','₵','₵','',2,'.','','N'),(937,'VEF','Bs','Bs','',2,'.','','N'),(938,'SDG','£','£','',2,'.','','N'),(941,'RSD','дин.','дин.','',2,'.','','N'),(943,'MZN','MT','MT','',2,'.','','N'),(944,'AZN','m','m','',2,'.','','N'),(946,'RON','L','L','',2,'.','','N'),(949,'TRY','₤','₤','',2,'.','','N'),(950,'XAF','₣','₣','',0,'.','','N'),(951,'XCD','$','$','',2,'.','','N'),(952,'XOF','₣','₣','',0,'.','','N'),(953,'XPF','₣','₣','',0,'.','','N'),(968,'SRD','$','$','',2,'.','','N'),(969,'MGA','Ar.','Ar.','',0,'.','','N'),(971,'AFN','؋','؋','',2,'.','','N'),(972,'TJS','с.','с.','',2,'.','','N'),(973,'AOA','Kz','Kz','',2,'.','','N'),(974,'BYR','Br','','Br',0,'.','','N'),(975,'BGN','лв','лв','',2,'.','','N'),(976,'CDF','₣','₣','',2,'.','','N'),(977,'BAM','KM','KM','',2,'.','','N'),(978,'EUR','€','€','',2,'.','','N'),(980,'UAH','₴','₴','',2,'.','','N'),(981,'GEL','ლ.','ლ.','',2,'.','','N'),(985,'PLN','zł','zł','',2,'.','','N'),(986,'BRL','$','$','',2,'.','','N');
CREATE TABLE `xlite_mailchimp_profile_interests` (
  `group_name_id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `profile_id` int(11) NOT NULL,
  PRIMARY KEY (`group_name_id`,`profile_id`),
  KEY `IDX_BA74923AF717C8DA` (`group_name_id`),
  KEY `IDX_BA74923ACCFA12B8` (`profile_id`),
  CONSTRAINT `FK_BA74923ACCFA12B8` FOREIGN KEY (`profile_id`) REFERENCES `xlite_profiles` (`profile_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_BA74923AF717C8DA` FOREIGN KEY (`group_name_id`) REFERENCES `xlite_mailchimp_list_group_name` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_news_message_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `body` longtext COLLATE utf8_unicode_ci NOT NULL,
  `brief_description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTags` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `metaDesc` longtext COLLATE utf8_unicode_ci NOT NULL,
  `metaTitle` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_31246BD0BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_news` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_mailchimp_list_group_name` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `group_id` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `subscriberCount` int(10) unsigned NOT NULL,
  `subscribeByDefault` tinyint(1) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_5917FD4DFE54D947` (`group_id`),
  CONSTRAINT `FK_5917FD4DFE54D947` FOREIGN KEY (`group_id`) REFERENCES `xlite_mailchimp_list_group` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_capost_parcels` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `number` int(11) NOT NULL,
  `status` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `quoteType` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `boxWeight` decimal(14,4) NOT NULL,
  `boxWidth` decimal(14,4) NOT NULL,
  `boxLength` decimal(14,4) NOT NULL,
  `boxHeight` decimal(14,4) NOT NULL,
  `isDocument` tinyint(1) NOT NULL,
  `isUnpackaged` tinyint(1) NOT NULL,
  `isMailingTube` tinyint(1) NOT NULL,
  `isOversized` tinyint(1) NOT NULL,
  `notifyOnShipment` tinyint(1) NOT NULL,
  `notifyOnException` tinyint(1) NOT NULL,
  `notifyOnDelivery` tinyint(1) NOT NULL,
  `optSignature` tinyint(1) NOT NULL,
  `optCoverage` decimal(14,4) NOT NULL,
  `optAgeProof` varchar(4) COLLATE utf8_unicode_ci NOT NULL,
  `optWayToDeliver` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `optNonDelivery` varchar(4) COLLATE utf8_unicode_ci NOT NULL,
  `hasRemovedItems` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_35C9355A8D9F6D38` (`order_id`),
  KEY `status` (`status`),
  KEY `number` (`number`),
  CONSTRAINT `FK_35C9355A8D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_attachment_storages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `attachment_id` int(10) unsigned DEFAULT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_34701892464E68B` (`attachment_id`),
  CONSTRAINT `FK_34701892464E68B` FOREIGN KEY (`attachment_id`) REFERENCES `xlite_product_attachments` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_capost_parcel_shipment_tracking_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `docType` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `trackingId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_4EB59AF6F76B6A7` (`trackingId`),
  CONSTRAINT `FK_4EB59AF6F76B6A7` FOREIGN KEY (`trackingId`) REFERENCES `xlite_order_capost_parcel_shipment_tracking` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_volume_discounts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `membership_id` int(10) unsigned DEFAULT NULL,
  `value` decimal(14,4) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `subtotalRangeBegin` decimal(14,4) NOT NULL,
  `dateRangeBegin` int(10) unsigned NOT NULL,
  `dateRangeEnd` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_3959CFC81FB354CD` (`membership_id`),
  KEY `date_range` (`dateRangeBegin`,`dateRangeEnd`),
  KEY `subtotal` (`subtotalRangeBegin`),
  CONSTRAINT `FK_3959CFC81FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_payment_backend_transactions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) DEFAULT NULL,
  `date` int(11) NOT NULL,
  `status` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `type` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_808A7FC32FC0CB0F` (`transaction_id`),
  KEY `td` (`transaction_id`,`date`),
  CONSTRAINT `FK_808A7FC32FC0CB0F` FOREIGN KEY (`transaction_id`) REFERENCES `xlite_payment_transactions` (`transaction_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_custom_global_tab_translation` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `brief_info` longtext COLLATE utf8_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_A95B1F3CBF396750` (`id`),
  CONSTRAINT `FK_A95B1F3CBF396750` FOREIGN KEY (`id`) REFERENCES `xlite_custom_global_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_custom_global_tab_translation` VALUES (1,1,'Shipping info','We deliver worldwide','To replace this text with your store\'s actual shipping info, go to \"Catalog -> Product tabs\" and edit the Shipping info page.','en'),(2,1,'Доставка','Мы доставляем по всему миру','Для замены данного текста на настоящий текст информации о доставке товаров из вашего магазина, перейдите в секцию \"Каталог -> Вкладки страницы товара\" и редактируйте страницу \"Доставка\".','ru'),(3,2,'Payment methods','<p><img class=\"fr-draggable fr-dii fr-fil\" src=\"skins/customer/images/demo/tabs/logos-payments-tab.png\" alt=\"Accepted payment methods\" style=\"width:300px;\" /></p>','<p>We accept the following payment methods:</p><p><img class=\"fr-draggable fr-dii\" src=\"skins/customer/images/demo/tabs/logos-payments-tab.png\" style=\"width:400px;\" /></p><p>To replace this text with your store\'s actual info on payment methods, go to \"Catalog -&gt; Product tabs\" and edit the Payment methods page.</p>','en'),(4,2,'Способы оплаты','<p><img class=\"fr-draggable fr-dii fr-fil\" src=\"skins/customer/images/demo/tabs/logos-payments-tab.png\" alt=\"Методы оплаты\" style=\"width:300px;\" /></p>','<p>Мы принимаем следующие способы оплаты:</p><p><img class=\"fr-draggable fr-dii\" src=\"skins/customer/images/demo/tabs/logos-payments-tab.png\" style=\"width:400px;\" /></p><p>Для замены данного текста на настоящий текст информации о способах оплаты для вашего магазина, перейдите в секцию \"Каталог -> Вкладки страницы товара\" и редактируйте страницу \"Способы оплаты\".</p>','ru'),(5,3,'Return Policy','We accept returns','This page is intended for your policy regarding returns and refunds.<br/><br/> Here you can provide information as to what products can be returned, how many days your customers have to return their purchase, whether they will receive a refund in the original form of payment, a replacement or a store credit, who pays for the shipping of the previously purchased products to the store, and so on.<br/><br/> To replace this text with your store\'s actual return policy, go to \"Catalog -> Product tabs\" and edit the Return Policy page.','en'),(6,3,'Правила обмена и возврата','Мы принимаем возвраты','Данная страница предназначена для размещения информации о правилах обмена и возврата товаров.<br/><br/> Здесь вы можете указать, возврат каких товаров может быть осуществлен, в пределах какого срока ваши покупатели могут вернуть приобретенный товар, будет ли осуществлен возврат средств на исходный метод оплаты, либо же будет осуществлена замена товара или возврат средств в форме товарного кредита, кто оплачивает доставку ранее купленного товара обратно в магазин, и так далее.<br/><br/> Для замены данного текста на настоящий текст правил обмена и возврата товаров для вашего магазина, перейдите в секцию \"Каталог -> Вкладки страницы товара\" и редактируйте страницу \"Правила обмена и возврата\".','ru');
CREATE TABLE `xlite_access_control_cells` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `hash` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `returnData` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `resendMethod` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date` int(11) NOT NULL,
  `resendDate` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash` (`hash`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_tags` (
  `product_id` int(10) unsigned NOT NULL,
  `tag_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`tag_id`),
  KEY `IDX_88C085284584665A` (`product_id`),
  KEY `IDX_88C08528BAD26311` (`tag_id`),
  CONSTRAINT `FK_88C085284584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_88C08528BAD26311` FOREIGN KEY (`tag_id`) REFERENCES `xlite_tags` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_class_sale_discounts` (
  `sale_id` int(10) unsigned NOT NULL,
  `class_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`sale_id`,`class_id`),
  KEY `IDX_C2AF4B134A7E4868` (`sale_id`),
  KEY `IDX_C2AF4B13EA000B10` (`class_id`),
  CONSTRAINT `FK_C2AF4B134A7E4868` FOREIGN KEY (`sale_id`) REFERENCES `xlite_sale_discounts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_C2AF4B13EA000B10` FOREIGN KEY (`class_id`) REFERENCES `xlite_product_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_conversations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_845131BB8D9F6D38` (`order_id`),
  CONSTRAINT `FK_845131BB8D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_banner_rotation_image` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `banner_rotation_slide_id` int(10) unsigned DEFAULT NULL,
  `alt` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_BDC50932217A8232` (`banner_rotation_slide_id`),
  CONSTRAINT `FK_BDC50932217A8232` FOREIGN KEY (`banner_rotation_slide_id`) REFERENCES `xlite_banner_rotation_slide` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_banner_rotation_image` VALUES (1,1,'',3840,884,NULL,1,'1_2cosmentic_big.jpg','','image/jpeg','r',328874,1560755009),(2,2,'',3840,884,NULL,1,'1_1food_big_1.jpg','','image/jpeg','r',122740,1560757732),(3,3,'',3840,884,NULL,1,'1_4smart_big.jpg','','image/jpeg','r',122740,1560950874),(4,4,'',3840,884,NULL,1,'1_5fashion_1.jpg','','image/jpeg`','r',324727,1560865514);
CREATE TABLE `xlite_zones_volume_discounts` (
  `volume_discount_id` int(10) unsigned NOT NULL,
  `zone_id` int(11) NOT NULL,
  PRIMARY KEY (`volume_discount_id`,`zone_id`),
  KEY `IDX_A2CF7D1CFF3F3A82` (`volume_discount_id`),
  KEY `IDX_A2CF7D1C9F2C3FAB` (`zone_id`),
  CONSTRAINT `FK_A2CF7D1C9F2C3FAB` FOREIGN KEY (`zone_id`) REFERENCES `xlite_zones` (`zone_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_A2CF7D1CFF3F3A82` FOREIGN KEY (`volume_discount_id`) REFERENCES `xlite_volume_discounts` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_clean_urls` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sale_discount_id` int(10) unsigned DEFAULT NULL,
  `page_id` int(10) unsigned DEFAULT NULL,
  `news_message_id` int(10) unsigned DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `category_id` int(10) unsigned DEFAULT NULL,
  `cleanURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_F25425453D30B072` (`sale_discount_id`),
  KEY `IDX_F2542545C4663E4` (`page_id`),
  KEY `IDX_F2542545BF05C450` (`news_message_id`),
  KEY `IDX_F25425454584665A` (`product_id`),
  KEY `IDX_F254254512469DE2` (`category_id`),
  KEY `cleanURL` (`cleanURL`),
  CONSTRAINT `FK_F254254512469DE2` FOREIGN KEY (`category_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_F25425453D30B072` FOREIGN KEY (`sale_discount_id`) REFERENCES `xlite_sale_discounts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_F25425454584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_F2542545BF05C450` FOREIGN KEY (`news_message_id`) REFERENCES `xlite_news` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_F2542545C4663E4` FOREIGN KEY (`page_id`) REFERENCES `xlite_pages` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_clean_urls` VALUES (1,NULL,1,NULL,NULL,NULL,'terms-and-conditions'),(2,NULL,2,NULL,NULL,NULL,'shipping'),(3,NULL,NULL,NULL,1,NULL,'timberland-45th-anniversary'),(4,NULL,NULL,NULL,2,NULL,'high-top-trainers-in-red-black-and-white'),(5,NULL,NULL,NULL,3,NULL,'beige-sneakers'),(6,NULL,NULL,NULL,4,NULL,'platform-brogue-trim-leather-oxfords-in-white'),(7,NULL,NULL,NULL,5,NULL,'grey-knitted-trainers'),(8,NULL,NULL,NULL,6,NULL,'lace-up-boots-in-light-brown'),(9,NULL,NULL,NULL,7,NULL,'boyfriend-t-shirt-with-chest-logo'),(10,NULL,NULL,NULL,8,NULL,'pink-sneakers-with-white-soles'),(11,NULL,NULL,NULL,9,NULL,'white-lace-up-mesh-trainers'),(12,NULL,NULL,NULL,10,NULL,'caged-cutout-sandals-in-gold'),(13,NULL,NULL,NULL,11,NULL,'green-flat-slingback-sandals'),(14,NULL,NULL,NULL,12,NULL,'waist-tie-dress-in-blue-and-white-stripe'),(15,NULL,NULL,NULL,13,NULL,'ultimate-t-shirt-with-crew-neck-in-red'),(16,NULL,NULL,NULL,14,NULL,'multicolored-dress-with-balloon-sleeves'),(17,NULL,NULL,NULL,15,NULL,'tall-pleated-midi-skirt-in-check'),(18,NULL,NULL,NULL,16,NULL,'sleeved-mini-dress-in-color-block'),(19,NULL,NULL,NULL,17,NULL,'tall-slim-fit-t-shirt-in-white'),(20,NULL,NULL,NULL,18,NULL,'skinny-western-denim-jacket-in-light-blue-wash'),(21,NULL,NULL,NULL,19,NULL,'oversized-hoodie-in-grey'),(22,NULL,NULL,NULL,20,NULL,'hooded-anorak-jacket-in-black'),(23,NULL,NULL,NULL,21,NULL,'leather-mini-tote-bag-with-rose-and-girl-print-in-red'),(24,NULL,NULL,NULL,22,NULL,'mesh-strap-watch-in-gold'),(25,NULL,NULL,NULL,23,NULL,'square-glasses-in-black-with-clear-lens'),(26,NULL,NULL,NULL,24,NULL,'chain-drop-earrings-in-gold-tone'),(27,NULL,NULL,NULL,25,NULL,'rooster-mug-in-white'),(28,NULL,NULL,NULL,26,NULL,'festival-braslet-pack-in-gold-tone'),(29,NULL,NULL,NULL,27,NULL,'samsung-galaxy-s6-edge-plus-4g-lte-with-32gb-memory-cell-phone'),(30,NULL,NULL,NULL,28,NULL,'apple-iphone-8-plus-64gb'),(31,NULL,NULL,NULL,29,NULL,'apple-iphone-x'),(32,NULL,NULL,NULL,30,NULL,'apple-watch-series-3-gps-38mm'),(33,NULL,NULL,NULL,31,NULL,'google-home-mini'),(34,NULL,NULL,NULL,32,NULL,'fitness-tracker-smart-watch'),(35,NULL,NULL,NULL,33,NULL,'bluetooth-smartwatch-with-touch-screen-and-fitness-tracker'),(36,NULL,NULL,NULL,34,NULL,'aster-i39-headphones-with-microphone'),(37,NULL,NULL,NULL,35,NULL,'apple-airpods'),(38,NULL,NULL,NULL,36,NULL,'cocooil-body-oil'),(39,NULL,NULL,NULL,37,NULL,'maui-moisture'),(40,NULL,NULL,NULL,38,NULL,'barth-body-oil'),(41,NULL,NULL,NULL,39,NULL,'facial-spray'),(42,NULL,NULL,NULL,40,NULL,'red-dior'),(43,NULL,NULL,NULL,41,NULL,'pink-unicorn-makeup-brushes'),(44,NULL,NULL,NULL,42,NULL,'perfect-snacks'),(45,NULL,NULL,NULL,43,NULL,'blue-and-green-matcha'),(46,NULL,NULL,NULL,44,NULL,'chia-seed'),(47,NULL,NULL,NULL,45,NULL,'probiotic-and-omega-3-6-9-supplement'),(48,NULL,NULL,NULL,46,NULL,'tea-infused-sparkling-water'),(49,NULL,NULL,NULL,47,NULL,'cinnamon-sticks'),(50,NULL,NULL,NULL,48,NULL,'peanut-butter'),(51,NULL,NULL,NULL,49,NULL,'sweet-hazelnut-and-chocolate-natural-flavouring'),(52,NULL,NULL,NULL,50,NULL,'dose-juice'),(53,NULL,NULL,NULL,NULL,2,'fashion'),(54,NULL,NULL,NULL,NULL,3,'clothing'),(55,NULL,NULL,NULL,NULL,4,'shoes'),(56,NULL,NULL,NULL,NULL,5,'accessories'),(57,NULL,NULL,NULL,NULL,6,'beauty-and-health'),(58,NULL,NULL,NULL,NULL,7,'cosmetics'),(59,NULL,NULL,NULL,NULL,8,'healthy-food-and-snacks'),(60,NULL,NULL,NULL,NULL,9,'electronics'),(61,NULL,NULL,NULL,NULL,10,'smart-watches'),(62,NULL,NULL,NULL,NULL,11,'mobile-phones'),(63,NULL,NULL,NULL,NULL,12,'other');
CREATE TABLE `xlite_content_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_search_filters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filterKey` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `parameters` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`),
  KEY `filterKey` (`filterKey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_search_filters` VALUES (1,'search-filter-order_list','a:2:{s:13:\"paymentStatus\";a:3:{i:0;i:1;i:1;i:2;i:2;i:3;}s:14:\"shippingStatus\";a:0:{}}'),(2,'search-filter-order_list','a:2:{s:13:\"paymentStatus\";a:1:{i:0;i:4;}s:14:\"shippingStatus\";a:2:{i:0;i:1;i:1;i:2;}}'),(3,'search-filter-order_list','a:2:{s:13:\"paymentStatus\";a:0:{}s:14:\"shippingStatus\";a:1:{i:0;s:2:\"NF\";}}');
CREATE TABLE `xlite_entity_type_versions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entityType` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `version` char(36) COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:guid)',
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_4A1BBA741F08814A` (`entityType`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_entity_type_versions` VALUES (1,'XLite\\Model\\Config','032e72b0-4ab0-43c0-8c8e-9be8564a61f6'),(2,'XLite\\Model\\ConfigTranslation','2b1ba137-c321-406b-84c7-10d6dcde9dbe'),(3,'XLite\\Model\\Category','d350c7e9-2dbc-4077-a6d7-0d200df968b9'),(4,'XLite\\Model\\CategoryTranslation','4bca61b7-43a4-4edf-acfe-b7302b3c2a6e'),(5,'XLite\\Model\\Category\\QuickFlags','37f195dc-8132-482a-b639-22d4d0a3dd96'),(6,'XLite\\Model\\Currency','5fc5ad69-9df6-4acb-84d3-1a3bba60d203'),(7,'XLite\\Model\\CurrencyTranslation','b97993f9-159b-4725-95cc-714afa82db10'),(8,'XLite\\Model\\Membership','38406036-92b8-4617-aceb-c8b97c663870'),(9,'XLite\\Model\\MembershipTranslation','3e3124ea-4c6f-4bdc-8993-8cd220c3c2fb'),(10,'XLite\\Model\\Language','362b89dc-3de9-473d-8fd3-29dca755e26a'),(11,'XLite\\Model\\LanguageTranslation','d2bd0b3e-ef08-4dd2-8a27-a89b4c7a8781'),(12,'XLite\\Model\\Payment\\Method','3e16fcbe-eceb-4400-8e8b-a36a08eaca68'),(13,'XLite\\Model\\Payment\\MethodTranslation','db4f8f2a-28ac-47f5-b9fd-12bb21cb708f'),(14,'XLite\\Model\\Region','4bf3662e-3340-4062-a06e-7c9d4ce6c1c3'),(15,'XLite\\Model\\Country','0da71245-8f74-4bda-863b-ebe74e88d7fb'),(16,'XLite\\Model\\CountryTranslation','b97090a8-4a13-4d18-9229-82673464ce27'),(17,'XLite\\Model\\State','4e8f4ea3-6797-484f-9c28-06124c2b046b'),(19,'XLite\\Model\\Order\\Modifier','f2942866-fbac-4878-a08f-9e6b01714e7d'),(20,'XLite\\Model\\Task','45b21bf0-f9c2-4669-8767-99f376b30352'),(21,'XLite\\Model\\Role','86a04899-1ba7-45a6-8a8d-90bf123515ca'),(22,'XLite\\Model\\RoleTranslation','c09c3b10-2376-4633-a10e-4a7a587a1c36'),(23,'XLite\\Model\\Role\\Permission','36a9138b-c732-46e5-870e-db9ba4d27fee'),(24,'XLite\\Model\\Role\\PermissionTranslation','682a3224-a28f-48f6-a917-292454112a4e'),(27,'XLite\\Model\\AddressField','17493c7d-1546-49c3-b566-7833856d3b57'),(28,'XLite\\Model\\AddressFieldTranslation','f3aedb68-619f-49d6-b117-a5c8e5dfd208'),(29,'XLite\\Model\\MoneyModificator','9b74e7c1-3051-4391-8cb3-e344c6afd862'),(30,'XLite\\Model\\Order\\Status\\Payment','1ef8db07-a6ae-4d0c-a36d-02f74aaab042'),(31,'XLite\\Model\\Order\\Status\\PaymentTranslation','c9dd58ba-f652-46b9-ad09-3a56d3106445'),(32,'XLite\\Model\\Order\\Status\\Shipping','a8d4766c-5552-418c-82d1-1133cff56944'),(33,'XLite\\Model\\Order\\Status\\ShippingTranslation','554386f4-b868-4b4a-8e3e-ee5181b95435'),(34,'XLite\\Model\\Order\\Status\\Property','20886960-0e3b-41f2-a9e4-96100d18f6e9'),(35,'XLite\\Model\\Notification','c1c8b847-62d2-4d53-920e-be42972e8da3'),(36,'XLite\\Model\\NotificationTranslation','9de9f8e9-f615-445d-813f-a63f54558531'),(37,'XLite\\Model\\ImageSettings','c40f670f-33aa-4302-b07c-708a38d7ae78'),(38,'XLite\\Model\\SearchFilter','d7ff78fe-0c6e-44a6-aa13-99b99ee0dbf9'),(39,'XLite\\Model\\SearchFilterTranslation','090aff1e-85df-4fc4-932f-f52e064bf848'),(40,'XLite\\Model\\AccessControlEntityType','49424035-fe3d-4043-bf90-9a9d4261840a'),(41,'XLite\\Model\\AccessControlZoneType','b561948d-8222-4cf7-be4d-ac28f81c51e6'),(42,'XLite\\Model\\Product\\GlobalTab','264ae7d7-b963-4a74-8215-f04a07e6f748'),(43,'XLite\\Model\\Product\\GlobalTabProvider','45ce1e63-30d2-459f-8525-5e8857709f6f'),(46,'XLite\\Model\\LanguageLabel','fe9e6fad-8928-40af-b923-78aa3352b471'),(47,'XLite\\Model\\LanguageLabelTranslation','47188380-f0e4-4575-91e2-8f8375804e48'),(50,'XLite\\Model\\Payment\\MethodSetting','48c87a4c-cf58-432f-8157-4c4f54516710'),(55,'XLite\\Model\\Shipping\\Method','25b8f083-45d2-4c87-8c76-17c343a6030d'),(56,'XLite\\Model\\Shipping\\MethodTranslation','e30a0c48-9656-48e8-9208-114185a57d96'),(165,'XLite\\Module\\CDev\\SimpleCMS\\Model\\Page','eccfe97f-9d07-4713-89ac-5505cd1a988e'),(166,'XLite\\Model\\CleanURL','ca39008b-29c8-4aaa-a945-f7f02d107cf6'),(167,'XLite\\Module\\CDev\\SimpleCMS\\Model\\PageTranslation','43a402a8-3c15-4cbc-8d77-204d414a5be8'),(168,'XLite\\Module\\CDev\\SimpleCMS\\Model\\Menu','e6d34c81-f0c8-48fa-8896-d2e7549ec6f3'),(170,'XLite\\Module\\CDev\\SimpleCMS\\Model\\MenuTranslation','34487455-8c18-4150-8982-b1e1e12d3137'),(172,'XLite\\Module\\CDev\\SimpleCMS\\Model\\Menu\\QuickFlags','62d6d7e0-b077-4f0a-98a2-b4447aa490d3'),(389,'XLite\\Model\\Product','ba84e899-9421-44f5-9fa2-8e2d6db0624f'),(390,'XLite\\Model\\QuickData','83c56272-21d7-47b4-801e-c8e1ba7922c9'),(392,'XLite\\Model\\Image\\Product\\Image','d87f4d14-b63a-404c-8a47-534c6c334e25'),(393,'XLite\\Model\\ProductTranslation','0c03f2d1-3e1c-4b84-8249-f31d6c7dde8a'),(644,'XLite\\Model\\Image\\Category\\Image','7a0f9711-eb71-4f6c-abd8-dc3038de2c21'),(645,'XLite\\Model\\Image\\Category\\Banner','2da9e405-1178-40f0-a409-f720ea946d2d'),(652,'XLite\\Model\\CategoryProducts','39534731-de7f-4fc8-a4c2-ac1f99d8f193'),(770,'XLite\\Model\\BannerRotationSlide','233ab8ae-229e-445d-a1e0-6eeb4ad1cd38'),(771,'XLite\\Model\\Image\\BannerRotationImage','24baa834-4288-41b4-afa0-9fdc4b59e4aa'),(772,'XLite\\Module\\XC\\CustomProductTabs\\Model\\Product\\CustomGlobalTab','8ff1929e-552f-48f0-9e3b-cd2211546da4'),(775,'XLite\\Module\\XC\\CustomProductTabs\\Model\\Product\\CustomGlobalTabTranslation','123f4292-6bf2-425b-a734-9bfb7139b5a8'),(785,'XLite\\Module\\CDev\\FeaturedProducts\\Model\\FeaturedProduct','c5160447-51f4-4b8e-8e2b-ac81d5c7c033'),(869,'XLite\\Model\\Order','f3783c38-fc21-4650-b149-73bb6d924004'),(870,'XLite\\Model\\Zone','fe150abc-90a6-43e0-a8ff-de38d05e86e0'),(871,'XLite\\Model\\ZoneElement','5a537fab-1cd5-4f81-a6d4-5fadb681d70f'),(874,'XLite\\Model\\Shipping\\Markup','fd974572-9c62-4426-bf20-eed009f9d639'),(875,'XLite\\Model\\Profile','63b65e53-a922-495e-8a3b-cf1cfa90591e'),(876,'XLite\\Model\\Address','4640e9cc-7eea-46df-be2e-9c4bd82d5118'),(877,'XLite\\Model\\AddressFieldValue','6c731c9c-e351-4158-9850-e2ba13393fb7'),(881,'XLite\\Model\\Payment\\Transaction','69d52131-4ad6-4340-8fc3-bfbeeec79040'),(882,'XLite\\Model\\OrderItem','2995fe5b-ee32-4571-a6dd-58b48051fec4'),(884,'XLite\\Model\\Order\\Surcharge','f1b3e8db-ba27-457f-a518-45711d2dd897'),(885,'XLite\\Model\\OrderHistoryEvents','a8ffad93-341f-44e7-879f-e38148db4777'),(908,'XLite\\Model\\Payment\\TransactionData','21f2b6cd-700e-4307-ac58-6237f1072070'),(945,'XLite\\Model\\ViewList','5084987e-b46c-4ab2-9faa-25537a5a91ac');
CREATE TABLE `xlite_global_product_tabs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  `link` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `position` int(11) NOT NULL,
  `service_name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `service_name` (`service_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_global_product_tabs` VALUES (1,1,NULL,10,'Description'),(2,1,NULL,20,'Specification'),(3,1,NULL,30,'Comments'),(4,1,NULL,60,'Reviews'),(5,1,'Shipping_info',60,NULL),(6,1,'Payment_methods',70,NULL),(7,1,'Return_Policy',80,NULL);
CREATE TABLE `xlite_order_item_surcharges` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` int(11) DEFAULT NULL,
  `type` char(8) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `include` tinyint(1) NOT NULL,
  `available` tinyint(1) NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `weight` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_F9394518126F525E` (`item_id`),
  CONSTRAINT `FK_F9394518126F525E` FOREIGN KEY (`item_id`) REFERENCES `xlite_order_items` (`item_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_role_permissions` (
  `permission_id` int(10) unsigned NOT NULL,
  `role_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`role_id`),
  KEY `IDX_94D50124FED90CCA` (`permission_id`),
  KEY `IDX_94D50124D60322AC` (`role_id`),
  CONSTRAINT `FK_94D50124D60322AC` FOREIGN KEY (`role_id`) REFERENCES `xlite_roles` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_94D50124FED90CCA` FOREIGN KEY (`permission_id`) REFERENCES `xlite_permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_role_permissions` VALUES (1,1),(11,2),(12,3),(13,4),(14,4),(15,5);
CREATE TABLE `xlite_order_payment_status_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `customerName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_702453C2BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_order_payment_statuses` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_order_payment_status_translations` VALUES (1,1,'Awaiting payment','Awaiting payment','en'),(2,2,'Authorized','Authorization hold','en'),(3,3,'Partially Paid','Partially Paid','en'),(4,4,'Paid','Paid','en'),(5,5,'Declined','Declined','en'),(6,6,'Cancelled','Cancelled','en'),(7,7,'Refunded','Refunded','en');
CREATE TABLE `xlite_access_control_zone_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_access_control_zone_types` VALUES (1,'order');
CREATE TABLE `xlite_order_capost_parcel_manifest_link_storage` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  `linkId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_73059AC5AEC98E42` (`linkId`),
  CONSTRAINT `FK_73059AC5AEC98E42` FOREIGN KEY (`linkId`) REFERENCES `xlite_order_capost_parcel_manifest_links` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_states` (
  `state_id` int(11) NOT NULL AUTO_INCREMENT,
  `country_code` char(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `region_code` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `state` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`state_id`),
  UNIQUE KEY `code` (`code`,`country_code`),
  KEY `IDX_4E766996F026BB7C` (`country_code`),
  KEY `IDX_4E766996AEB327AF` (`region_code`),
  KEY `state` (`state`),
  CONSTRAINT `FK_4E766996AEB327AF` FOREIGN KEY (`region_code`) REFERENCES `xlite_regions` (`code`) ON DELETE CASCADE,
  CONSTRAINT `FK_4E766996F026BB7C` FOREIGN KEY (`country_code`) REFERENCES `xlite_countries` (`code`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_states` VALUES (1,'AR',NULL,'Buenos Aires','B'),(2,'AR',NULL,'Catamarca','K'),(3,'AR',NULL,'Chaco','H'),(4,'AR',NULL,'Chubut','U'),(5,'AR',NULL,'Ciudad de Buenos Aires','C'),(6,'AR',NULL,'Córdoba','X'),(7,'AR',NULL,'Corrientes','W'),(8,'AR',NULL,'Entre Ríos','E'),(9,'AR',NULL,'Formosa','P'),(10,'AR',NULL,'Jujuy','Y'),(11,'AR',NULL,'La Pampa','L'),(12,'AR',NULL,'La Rioja','F'),(13,'AR',NULL,'Mendoza','M'),(14,'AR',NULL,'Misiones','N'),(15,'AR',NULL,'Neuquén','Q'),(16,'AR',NULL,'Río Negro','R'),(17,'AR',NULL,'Salta','A'),(18,'AR',NULL,'San Juan','J'),(19,'AR',NULL,'San Luis','D'),(20,'AR',NULL,'Santa Cruz','Z'),(21,'AR',NULL,'Santa Fe','S'),(22,'AR',NULL,'Santiago del Estero','G'),(23,'AR',NULL,'Tierra del Fuego','V'),(24,'AR',NULL,'Tucumán','T'),(25,'BR',NULL,'Distrito Federal','DF'),(26,'BR',NULL,'Acre','AC'),(27,'BR',NULL,'Alagoas','AL'),(28,'BR',NULL,'Amapá','AP'),(29,'BR',NULL,'Amazonas','AM'),(30,'BR',NULL,'Bahia','BA'),(31,'BR',NULL,'Ceará','CE'),(32,'BR',NULL,'Espírito Santo','ES'),(33,'BR',NULL,'Goiás','GO'),(34,'BR',NULL,'Maranhão','MA'),(35,'BR',NULL,'Mato Grosso','MT'),(36,'BR',NULL,'Mato Grosso do Sul','MS'),(37,'BR',NULL,'Minas Gerais','MG'),(38,'BR',NULL,'Pará','PA'),(39,'BR',NULL,'Paraíba','PB'),(40,'BR',NULL,'Paraná','PR'),(41,'BR',NULL,'Pernambuco','PE'),(42,'BR',NULL,'Piauí','PI'),(43,'BR',NULL,'Rio de Janeiro','RJ'),(44,'BR',NULL,'Rio Grande do Norte','RN'),(45,'BR',NULL,'Rio Grande do Sul','RS'),(46,'BR',NULL,'Rondônia','RO'),(47,'BR',NULL,'Roraima','RR'),(48,'BR',NULL,'Santa Catarina','SC'),(49,'BR',NULL,'São Paulo','SP'),(50,'BR',NULL,'Sergipe','SE'),(51,'BR',NULL,'Tocantins','TO'),(52,'CA',NULL,'Alberta','AB'),(53,'CA',NULL,'British Columbia','BC'),(54,'CA',NULL,'Manitoba','MB'),(55,'CA',NULL,'New Brunswick','NB'),(56,'CA',NULL,'Newfoundland and Labrador','NL'),(57,'CA',NULL,'Nova Scotia','NS'),(58,'CA',NULL,'Northwest Territories','NT'),(59,'CA',NULL,'Nunavut','NU'),(60,'CA',NULL,'Ontario','ON'),(61,'CA',NULL,'Prince Edward Island','PE'),(62,'CA',NULL,'Quebec','QC'),(63,'CA',NULL,'Saskatchewan','SK'),(64,'CA',NULL,'Yukon','YT'),(65,'CN',NULL,'Anhui','34'),(66,'CN',NULL,'Beijing','11'),(67,'CN',NULL,'Chongqing','50'),(68,'CN',NULL,'Fujian','35'),(69,'CN',NULL,'Gansu','62'),(70,'CN',NULL,'Guangdong','44'),(71,'CN',NULL,'Guangxi','45'),(72,'CN',NULL,'Guizhou','52'),(73,'CN',NULL,'Hainan','46'),(74,'CN',NULL,'Hebei','13'),(75,'CN',NULL,'Heilongjiang','23'),(76,'CN',NULL,'Henan','41'),(77,'CN',NULL,'Hong Kong','91'),(78,'CN',NULL,'Hubei','42'),(79,'CN',NULL,'Hunan','43'),(80,'CN',NULL,'Jiangsu','32'),(81,'CN',NULL,'Jiangxi','36'),(82,'CN',NULL,'Jilin','22'),(83,'CN',NULL,'Liaoning','21'),(84,'CN',NULL,'Macao','92'),(85,'CN',NULL,'Nei Mongol','15'),(86,'CN',NULL,'Ningxia','64'),(87,'CN',NULL,'Qinghai','63'),(88,'CN',NULL,'Shaanxi','61'),(89,'CN',NULL,'Shandong','37'),(90,'CN',NULL,'Shanghai','31'),(91,'CN',NULL,'Shanxi','14'),(92,'CN',NULL,'Sichuan','51'),(93,'CN',NULL,'Taiwan','71'),(94,'CN',NULL,'Tianjin','12'),(95,'CN',NULL,'Xinjiang','65'),(96,'CN',NULL,'Xizang','54'),(97,'CN',NULL,'Yunnan','53'),(98,'CN',NULL,'Zhejiang','33'),(99,'IN',NULL,'Andaman and Nicobar Islands','AN'),(100,'IN',NULL,'Andhra Pradesh','AP'),(101,'IN',NULL,'Arunachal Pradesh','AR'),(102,'IN',NULL,'Assam','AS'),(103,'IN',NULL,'Bihar','BR'),(104,'IN',NULL,'Chandigarh','CH'),(105,'IN',NULL,'Chhattisgar','CT'),(106,'IN',NULL,'Dadra and Nagar Haveli','DN'),(107,'IN',NULL,'Daman and Diu','DD'),(108,'IN',NULL,'Delhi','DL'),(109,'IN',NULL,'Goa','GA'),(110,'IN',NULL,'Gujarat','GJ'),(111,'IN',NULL,'Haryana','HR'),(112,'IN',NULL,'Himachal Pradesh','HP'),(113,'IN',NULL,'Jammu and Kashmir','JK'),(114,'IN',NULL,'Jharkhand','JH'),(115,'IN',NULL,'Karnataka','KA'),(116,'IN',NULL,'Kerala','KL'),(117,'IN',NULL,'Lakshadweep','LD'),(118,'IN',NULL,'Madhya Pradesh','MP'),(119,'IN',NULL,'Maharashtra','MH'),(120,'IN',NULL,'Manipur','MN'),(121,'IN',NULL,'Meghalaya','ML'),(122,'IN',NULL,'Mizoram','MZ'),(123,'IN',NULL,'Nagaland','NL'),(124,'IN',NULL,'Odish','OR'),(125,'IN',NULL,'Puducherry','PY'),(126,'IN',NULL,'Punjab','PB'),(127,'IN',NULL,'Rajasthan','RJ'),(128,'IN',NULL,'Sikkim','SK'),(129,'IN',NULL,'Tamil Nadu','TN'),(130,'IN',NULL,'Telangan','TG'),(131,'IN',NULL,'Tripura','TR'),(132,'IN',NULL,'Uttarakhan','UT'),(133,'IN',NULL,'Uttar Pradesh','UP'),(134,'IN',NULL,'West Bengal','WB'),(135,'ID',NULL,'Aceh','AC'),(136,'ID',NULL,'Bali','BA'),(137,'ID',NULL,'Bangka–Belitung Islands','BB'),(138,'ID',NULL,'Banten','BT'),(139,'ID',NULL,'Bengkulu','BE'),(140,'ID',NULL,'Central Java','JT'),(141,'ID',NULL,'Central Kalimantan','KT'),(142,'ID',NULL,'Central Sulawesi','ST'),(143,'ID',NULL,'East Java','JI'),(144,'ID',NULL,'East Kalimantan','KI'),(145,'ID',NULL,'East Nusa Tenggara','NT'),(146,'ID',NULL,'Gorontalo','GO'),(147,'ID',NULL,'Jakarta','JK'),(148,'ID',NULL,'Jambi','JA'),(149,'ID',NULL,'Lampung','LA'),(150,'ID',NULL,'Maluku','MA'),(151,'ID',NULL,'North Kalimantan','KU'),(152,'ID',NULL,'North Maluku','MU'),(153,'ID',NULL,'North Sulawesi','SA'),(154,'ID',NULL,'North Sumatra','SU'),(155,'ID',NULL,'Papua','PA'),(156,'ID',NULL,'Riau','RI'),(157,'ID',NULL,'Riau Islands','KR'),(158,'ID',NULL,'South Kalimantan','KS'),(159,'ID',NULL,'South Sulawesi','SN'),(160,'ID',NULL,'South Sumatra','SS'),(161,'ID',NULL,'Southeast Sulawesi','SG'),(162,'ID',NULL,'West Java','JB'),(163,'ID',NULL,'West Kalimantan','KB'),(164,'ID',NULL,'West Nusa Tenggara','NB'),(165,'ID',NULL,'West Papua','PB'),(166,'ID',NULL,'West Sulawesi','SR'),(167,'ID',NULL,'West Sumatra','SB'),(168,'ID',NULL,'Yogyakarta','YO'),(169,'JP',NULL,'Aichi','23'),(170,'JP',NULL,'Akita','05'),(171,'JP',NULL,'Aomori','02'),(172,'JP',NULL,'Chiba','12'),(173,'JP',NULL,'Ehime','38'),(174,'JP',NULL,'Fukui','18'),(175,'JP',NULL,'Fukuoka','40'),(176,'JP',NULL,'Fukushima','07'),(177,'JP',NULL,'Gifu','21'),(178,'JP',NULL,'Gumma','10'),(179,'JP',NULL,'Hiroshima','34'),(180,'JP',NULL,'Hokkaido','01'),(181,'JP',NULL,'Hyogo','28'),(182,'JP',NULL,'Ibaraki','08'),(183,'JP',NULL,'Ishikawa','17'),(184,'JP',NULL,'Iwate','03'),(185,'JP',NULL,'Kagawa','37'),(186,'JP',NULL,'Kagoshima','46'),(187,'JP',NULL,'Kanagawa','14'),(188,'JP',NULL,'Kochi','39'),(189,'JP',NULL,'Kumamoto','43'),(190,'JP',NULL,'Kyoto','26'),(191,'JP',NULL,'Mie','24'),(192,'JP',NULL,'Miyagi','04'),(193,'JP',NULL,'Miyazaki','45'),(194,'JP',NULL,'Nagano','20'),(195,'JP',NULL,'Nagasaki','42'),(196,'JP',NULL,'Nara','29'),(197,'JP',NULL,'Niigata','15'),(198,'JP',NULL,'Oita','44'),(199,'JP',NULL,'Okayama','33'),(200,'JP',NULL,'Okinawa','47'),(201,'JP',NULL,'Osaka','27'),(202,'JP',NULL,'Saga','41'),(203,'JP',NULL,'Saitama','11'),(204,'JP',NULL,'Shiga','25'),(205,'JP',NULL,'Shimane','32'),(206,'JP',NULL,'Shizuoka','22'),(207,'JP',NULL,'Tochigi','09'),(208,'JP',NULL,'Tokushima','36'),(209,'JP',NULL,'Tokyo','13'),(210,'JP',NULL,'Tottori','31'),(211,'JP',NULL,'Toyama','16'),(212,'JP',NULL,'Wakayama','30'),(213,'JP',NULL,'Yamagata','06'),(214,'JP',NULL,'Yamaguchi','35'),(215,'JP',NULL,'Yamanashi','19'),(216,'MX',NULL,'Aguascalientes','AG'),(217,'MX',NULL,'Baja California','BN'),(218,'MX',NULL,'Baja California Sur','BS'),(219,'MX',NULL,'Campeche','CM'),(220,'MX',NULL,'Coahuila','CA'),(221,'MX',NULL,'Colima','CL'),(222,'MX',NULL,'Chiapas','CP'),(223,'MX',NULL,'Chihuahua','CH'),(224,'MX',NULL,'Distrito Federal','DF'),(225,'MX',NULL,'Durango','DU'),(226,'MX',NULL,'Guanajuato','GT'),(227,'MX',NULL,'Guerrero','GR'),(228,'MX',NULL,'Hidalgo','HI'),(229,'MX',NULL,'Jalisco','JA'),(230,'MX',NULL,'México','MX'),(231,'MX',NULL,'Michoacán','MC'),(232,'MX',NULL,'Morelos','MR'),(233,'MX',NULL,'Nayarit','NA'),(234,'MX',NULL,'Nuevo León','NL'),(235,'MX',NULL,'Oaxaca','OA'),(236,'MX',NULL,'Puebla','PU'),(237,'MX',NULL,'Querétaro','QE'),(238,'MX',NULL,'Quintana Roo','QR'),(239,'MX',NULL,'San Luis Potosí','SL'),(240,'MX',NULL,'Sinaloa','SI'),(241,'MX',NULL,'Sonora','SO'),(242,'MX',NULL,'Tabasco','TB'),(243,'MX',NULL,'Tamaulipas','TM'),(244,'MX',NULL,'Tlaxcala','TL'),(245,'MX',NULL,'Veracruz','VE'),(246,'MX',NULL,'Yucatán','YU'),(247,'MX',NULL,'Zacatecas','ZA'),(248,'TH',NULL,'Amnat Charoen','37'),(249,'TH',NULL,'Ang Thong','15'),(250,'TH',NULL,'Bueng Kan','38'),(251,'TH',NULL,'Buri Ram','31'),(252,'TH',NULL,'Chachoengsao','24'),(253,'TH',NULL,'Chai Nat','18'),(254,'TH',NULL,'Chaiyaphum','36'),(255,'TH',NULL,'Chanthaburi','22'),(256,'TH',NULL,'Chiang Mai','50'),(257,'TH',NULL,'Chiang Rai','57'),(258,'TH',NULL,'Chon Buri','20'),(259,'TH',NULL,'Chumphon','86'),(260,'TH',NULL,'Kalasin','46'),(261,'TH',NULL,'Kamphaeng Phet','62'),(262,'TH',NULL,'Kanchanaburi','71'),(263,'TH',NULL,'Khon Kaen','40'),(264,'TH',NULL,'Krabi','81'),(265,'TH',NULL,'Krung Thep Maha Nakhon (Bangkok)','10'),(266,'TH',NULL,'Lampang','52'),(267,'TH',NULL,'Lamphun','51'),(268,'TH',NULL,'Loei','42'),(269,'TH',NULL,'Lop Buri','16'),(270,'TH',NULL,'Mae Hong Son','58'),(271,'TH',NULL,'Maha Sarakham','44'),(272,'TH',NULL,'Mukdahan','49'),(273,'TH',NULL,'Nakhon Nayok','26'),(274,'TH',NULL,'Nakhon Pathom','73'),(275,'TH',NULL,'Nakhon Phanom','48'),(276,'TH',NULL,'Nakhon Ratchasima','30'),(277,'TH',NULL,'Nakhon Sawan','60'),(278,'TH',NULL,'Nakhon Si Thammarat','80'),(279,'TH',NULL,'Nan','55'),(280,'TH',NULL,'Narathiwat','96'),(281,'TH',NULL,'Nong Bua Lam Phu','39'),(282,'TH',NULL,'Nong Khai','43'),(283,'TH',NULL,'Nonthaburi','12'),(284,'TH',NULL,'Pathum Thani','13'),(285,'TH',NULL,'Pattani','94'),(286,'TH',NULL,'Phangnga','82'),(287,'TH',NULL,'Phatthalung','93'),(288,'TH',NULL,'Phatthaya','S'),(289,'TH',NULL,'Phayao','56'),(290,'TH',NULL,'Phetchabun','67'),(291,'TH',NULL,'Phetchaburi','76'),(292,'TH',NULL,'Phichit','66'),(293,'TH',NULL,'Phitsanulok','65'),(294,'TH',NULL,'Phrae','54'),(295,'TH',NULL,'Phra Nakhon Si Ayutthaya','14'),(296,'TH',NULL,'Phuket','83'),(297,'TH',NULL,'Prachin Buri','25'),(298,'TH',NULL,'Prachuap Khiri Khan','77'),(299,'TH',NULL,'Ranong','85'),(300,'TH',NULL,'Ratchaburi','70'),(301,'TH',NULL,'Rayong','21'),(302,'TH',NULL,'Roi Et','45'),(303,'TH',NULL,'Sa Kaeo','27'),(304,'TH',NULL,'Sakon Nakhon','47'),(305,'TH',NULL,'Samut Prakan','11'),(306,'TH',NULL,'Samut Sakhon','74'),(307,'TH',NULL,'Samut Songkhram','75'),(308,'TH',NULL,'Saraburi','19'),(309,'TH',NULL,'Satun','91'),(310,'TH',NULL,'Sing Buri','17'),(311,'TH',NULL,'Si Sa Ket','33'),(312,'TH',NULL,'Songkhla','90'),(313,'TH',NULL,'Sukhothai','64'),(314,'TH',NULL,'Suphan Buri','72'),(315,'TH',NULL,'Surat Thani','84'),(316,'TH',NULL,'Surin','32'),(317,'TH',NULL,'Tak','63'),(318,'TH',NULL,'Trang','92'),(319,'TH',NULL,'Trat','23'),(320,'TH',NULL,'Ubon Ratchathani','34'),(321,'TH',NULL,'Udon Thani','41'),(322,'TH',NULL,'Uthai Thani','61'),(323,'TH',NULL,'Uttaradit','53'),(324,'TH',NULL,'Yala','95'),(325,'TH',NULL,'Yasothon','35'),(326,'GB','GB-SCT','Aberdeen City','ABE'),(327,'GB','GB-SCT','Aberdeenshire','ABD'),(328,'GB','GB-SCT','Angus','ANS'),(329,'GB','GB-NIR','Antrim','ANT'),(330,'GB','GB-NIR','Ards','ARD'),(331,'GB','GB-SCT','Argyll and Bute','AGB'),(332,'GB','GB-NIR','Armagh','ARM'),(333,'GB','GB-NIR','Ballymena','BLA'),(334,'GB','GB-NIR','Ballymoney','BLY'),(335,'GB','GB-NIR','Banbridge','BNB'),(336,'GB','GB-ENG','Barking and Dagenham','BDG'),(337,'GB','GB-ENG','Barnet','BNE'),(338,'GB','GB-ENG','Barnsley','BNS'),(339,'GB','GB-ENG','Bath and North East Somerset','BAS'),(340,'GB','GB-ENG','Bedford','BDF'),(341,'GB','GB-NIR','Belfast','BFS'),(342,'GB','GB-ENG','Bexley','BEX'),(343,'GB','GB-ENG','Birmingham','BIR'),(344,'GB','GB-ENG','Blackburn with Darwen','BBD'),(345,'GB','GB-ENG','Blackpool','BPL'),(346,'GB','GB-WLS','Blaenau Gwent','BGW'),(347,'GB','GB-ENG','Bolton','BOL'),(348,'GB','GB-ENG','Bournemouth','BMH'),(349,'GB','GB-ENG','Bracknell Forest','BRC'),(350,'GB','GB-ENG','Bradford','BRD'),(351,'GB','GB-ENG','Brent','BEN'),(352,'GB','GB-WLS','Bridgend','BGE'),(353,'GB','GB-ENG','Brighton and Hove','BNH'),(354,'GB','GB-ENG','Bristol, City of','BST'),(355,'GB','GB-ENG','Bromley','BRY'),(356,'GB','GB-ENG','Buckinghamshire','BKM'),(357,'GB','GB-ENG','Bury','BUR'),(358,'GB','GB-WLS','Caerphilly','CAY'),(359,'GB','GB-ENG','Calderdale','CLD'),(360,'GB','GB-ENG','Cambridgeshire','CAM'),(361,'GB','GB-ENG','Camden','CMD'),(362,'GB','GB-WLS','Cardiff','CRF'),(363,'GB','GB-WLS','Carmarthenshire','CMN'),(364,'GB','GB-NIR','Carrickfergus','CKF'),(365,'GB','GB-NIR','Castlereagh','CSR'),(366,'GB','GB-ENG','Central Bedfordshire','CBF'),(367,'GB','GB-WLS','Ceredigion','CGN'),(368,'GB','GB-ENG','Cheshire East','CHE'),(369,'GB','GB-ENG','Cheshire West and Chester','CHW'),(370,'GB','GB-SCT','Clackmannanshire','CLK'),(371,'GB','GB-NIR','Coleraine','CLR'),(372,'GB','GB-WLS','Conwy','CWY'),(373,'GB','GB-NIR','Cookstown','CKT'),(374,'GB','GB-ENG','Cornwall','CON'),(375,'GB','GB-ENG','Coventry','COV'),(376,'GB','GB-NIR','Craigavon','CGV'),(377,'GB','GB-ENG','Croydon','CRY'),(378,'GB','GB-ENG','Cumbria','CMA'),(379,'GB','GB-ENG','Darlington','DAL'),(380,'GB','GB-WLS','Denbighshire','DEN'),(381,'GB','GB-ENG','Derby','DER'),(382,'GB','GB-ENG','Derbyshire','DBY'),(383,'GB','GB-NIR','Derry','DRY'),(384,'GB','GB-ENG','Devon','DEV'),(385,'GB','GB-ENG','Doncaster','DNC'),(386,'GB','GB-ENG','Dorset','DOR'),(387,'GB','GB-NIR','Down','DOW'),(388,'GB','GB-ENG','Dudley','DUD'),(389,'GB','GB-SCT','Dumfries and Galloway','DGY'),(390,'GB','GB-SCT','Dundee City','DND'),(391,'GB','GB-NIR','Dungannon and South Tyrone','DGN'),(392,'GB','GB-ENG','Durham, County','DUR'),(393,'GB','GB-ENG','Ealing','EAL'),(394,'GB','GB-SCT','East Ayrshire','EAY'),(395,'GB','GB-SCT','East Dunbartonshire','EDU'),(396,'GB','GB-SCT','East Lothian','ELN'),(397,'GB','GB-SCT','East Renfrewshire','ERW'),(398,'GB','GB-ENG','East Riding of Yorkshire','ERY'),(399,'GB','GB-ENG','East Sussex','ESX'),(400,'GB','GB-SCT','Edinburgh, City of','EDH'),(401,'GB','GB-SCT','Eilean Siar','ELS'),(402,'GB','GB-ENG','Enfield','ENF'),(403,'GB','GB-ENG','Essex','ESS'),(404,'GB','GB-SCT','Falkirk','FAL'),(405,'GB','GB-NIR','Fermanagh','FER'),(406,'GB','GB-SCT','Fife','FIF'),(407,'GB','GB-WLS','Flintshire','FLN'),(408,'GB','GB-ENG','Gateshead','GAT'),(409,'GB','GB-SCT','Glasgow City','GLG'),(410,'GB','GB-ENG','Gloucestershire','GLS'),(411,'GB','GB-ENG','Greenwich','GRE'),(412,'GB','GB-WLS','Gwynedd','GWN'),(413,'GB','GB-ENG','Hackney','HCK'),(414,'GB','GB-ENG','Halton','HAL'),(415,'GB','GB-ENG','Hammersmith and Fulham','HMF'),(416,'GB','GB-ENG','Hampshire','HAM'),(417,'GB','GB-ENG','Haringey','HRY'),(418,'GB','GB-ENG','Harrow','HRW'),(419,'GB','GB-ENG','Hartlepool','HPL'),(420,'GB','GB-ENG','Havering','HAV'),(421,'GB','GB-ENG','Herefordshire','HEF'),(422,'GB','GB-ENG','Hertfordshire','HRT'),(423,'GB','GB-SCT','Highland','HLD'),(424,'GB','GB-ENG','Hillingdon','HIL'),(425,'GB','GB-ENG','Hounslow','HNS'),(426,'GB','GB-SCT','Inverclyde','IVC'),(427,'GB','GB-WLS','Isle of Anglesey','AGY'),(428,'GB','GB-ENG','Isle of Wight','IOW'),(429,'GB','GB-ENG','Isles of Scilly','IOS'),(430,'GB','GB-ENG','Islington','ISL'),(431,'GB','GB-ENG','Kensington and Chelsea','KEC'),(432,'GB','GB-ENG','Kent','KEN'),(433,'GB','GB-ENG','Kingston upon Hull','KHL'),(434,'GB','GB-ENG','Kingston upon Thames','KTT'),(435,'GB','GB-ENG','Kirklees','KIR'),(436,'GB','GB-ENG','Knowsley','KWL'),(437,'GB','GB-ENG','Lambeth','LBH'),(438,'GB','GB-ENG','Lancashire','LAN'),(439,'GB','GB-NIR','Larne','LRN'),(440,'GB','GB-ENG','Leeds','LDS'),(441,'GB','GB-ENG','Leicester','LCE'),(442,'GB','GB-ENG','Leicestershire','LEC'),(443,'GB','GB-ENG','Lewisham','LEW'),(444,'GB','GB-NIR','Limavady','LMV'),(445,'GB','GB-ENG','Lincolnshire','LIN'),(446,'GB','GB-NIR','Lisburn','LSB'),(447,'GB','GB-ENG','Liverpool','LIV'),(448,'GB','GB-ENG','London, City of','LND'),(449,'GB','GB-ENG','Luton','LUT'),(450,'GB','GB-NIR','Magherafelt','MFT'),(451,'GB','GB-ENG','Manchester','MAN'),(452,'GB','GB-ENG','Medway','MDW'),(453,'GB','GB-WLS','Merthyr Tydfil','MTY'),(454,'GB','GB-ENG','Merton','MRT'),(455,'GB','GB-ENG','Middlesbrough','MDB'),(456,'GB','GB-SCT','Midlothian','MLN'),(457,'GB','GB-ENG','Milton Keynes','MIK'),(458,'GB','GB-WLS','Monmouthshire','MON'),(459,'GB','GB-SCT','Moray','MRY'),(460,'GB','GB-NIR','Moyle','MYL'),(461,'GB','GB-WLS','Neath Port Talbot','NTL'),(462,'GB','GB-ENG','Newcastle upon Tyne','NET'),(463,'GB','GB-ENG','Newham','NWM'),(464,'GB','GB-WLS','Newport','NWP'),(465,'GB','GB-NIR','Newry and Mourne District','NYM'),(466,'GB','GB-NIR','Newtownabbey','NTA'),(467,'GB','GB-ENG','Norfolk','NFK'),(468,'GB','GB-SCT','North Ayrshire','NAY'),(469,'GB','GB-NIR','North Down','NDN'),(470,'GB','GB-ENG','North East Lincolnshire','NEL'),(471,'GB','GB-SCT','North Lanarkshire','NLK'),(472,'GB','GB-ENG','North Lincolnshire','NLN'),(473,'GB','GB-ENG','North Somerset','NSM'),(474,'GB','GB-ENG','North Tyneside','NTY'),(475,'GB','GB-ENG','North Yorkshire','NYK'),(476,'GB','GB-ENG','Northamptonshire','NTH'),(477,'GB','GB-ENG','Northumberland','NBL'),(478,'GB','GB-ENG','Nottingham','NGM'),(479,'GB','GB-ENG','Nottinghamshire','NTT'),(480,'GB','GB-ENG','Oldham','OLD'),(481,'GB','GB-NIR','Omagh','OMH'),(482,'GB','GB-SCT','Orkney Islands','ORK'),(483,'GB','GB-ENG','Oxfordshire','OXF'),(484,'GB','GB-WLS','Pembrokeshire','PEM'),(485,'GB','GB-SCT','Perth and Kinross','PKN'),(486,'GB','GB-ENG','Peterborough','PTE'),(487,'GB','GB-ENG','Plymouth','PLY'),(488,'GB','GB-ENG','Poole','POL'),(489,'GB','GB-ENG','Portsmouth','POR'),(490,'GB','GB-WLS','Powys','POW'),(491,'GB','GB-ENG','Reading','RDG'),(492,'GB','GB-ENG','Redbridge','RDB'),(493,'GB','GB-ENG','Redcar and Cleveland','RCC'),(494,'GB','GB-SCT','Renfrewshire','RFW'),(495,'GB','GB-WLS','Rhondda, Cynon, Taff','RCT'),(496,'GB','GB-ENG','Richmond upon Thames','RIC'),(497,'GB','GB-ENG','Rochdale','RCH'),(498,'GB','GB-ENG','Rotherham','ROT'),(499,'GB','GB-ENG','Rutland','RUT'),(500,'GB','GB-ENG','St. Helens','SHN'),(501,'GB','GB-ENG','Salford','SLF'),(502,'GB','GB-ENG','Sandwell','SAW'),(503,'GB','GB-SCT','Scottish Borders, The','SCB'),(504,'GB','GB-ENG','Sefton','SFT'),(505,'GB','GB-ENG','Sheffield','SHF'),(506,'GB','GB-SCT','Shetland Islands','ZET'),(507,'GB','GB-ENG','Shropshire','SHR'),(508,'GB','GB-ENG','Slough','SLG'),(509,'GB','GB-ENG','Solihull','SOL'),(510,'GB','GB-ENG','Somerset','SOM'),(511,'GB','GB-SCT','South Ayrshire','SAY'),(512,'GB','GB-ENG','South Gloucestershire','SGC'),(513,'GB','GB-SCT','South Lanarkshire','SLK'),(514,'GB','GB-ENG','South Tyneside','STY'),(515,'GB','GB-ENG','Southampton','STH'),(516,'GB','GB-ENG','Southend-on-Sea','SOS'),(517,'GB','GB-ENG','Southwark','SWK'),(518,'GB','GB-ENG','Staffordshire','STS'),(519,'GB','GB-SCT','Stirling','STG'),(520,'GB','GB-ENG','Stockport','SKP'),(521,'GB','GB-ENG','Stockton-on-Tees','STT'),(522,'GB','GB-ENG','Stoke-on-Trent','STE'),(523,'GB','GB-NIR','Strabane','STB'),(524,'GB','GB-ENG','Suffolk','SFK'),(525,'GB','GB-ENG','Sunderland','SND'),(526,'GB','GB-ENG','Surrey','SRY'),(527,'GB','GB-ENG','Sutton','STN'),(528,'GB','GB-WLS','Swansea','SWA'),(529,'GB','GB-ENG','Swindon','SWD'),(530,'GB','GB-ENG','Tameside','TAM'),(531,'GB','GB-ENG','Telford and Wrekin','TFW'),(532,'GB','GB-ENG','Thurrock','THR'),(533,'GB','GB-ENG','Torbay','TOB'),(534,'GB','GB-WLS','Torfaen','TOF'),(535,'GB','GB-ENG','Tower Hamlets','TWH'),(536,'GB','GB-ENG','Trafford','TRF'),(537,'GB','GB-WLS','Vale of Glamorgan, The','VGL'),(538,'GB','GB-ENG','Wakefield','WKF'),(539,'GB','GB-ENG','Walsall','WLL'),(540,'GB','GB-ENG','Waltham Forest','WFT'),(541,'GB','GB-ENG','Wandsworth','WND'),(542,'GB','GB-ENG','Warrington','WRT'),(543,'GB','GB-ENG','Warwickshire','WAR'),(544,'GB','GB-ENG','West Berkshire','WBK'),(545,'GB','GB-SCT','West Dunbartonshire','WDU'),(546,'GB','GB-SCT','West Lothian','WLN'),(547,'GB','GB-ENG','West Sussex','WSX'),(548,'GB','GB-ENG','Westminster','WSM'),(549,'GB','GB-ENG','Wigan','WGN'),(550,'GB','GB-ENG','Wiltshire','WIL'),(551,'GB','GB-ENG','Windsor and Maidenhead','WNM'),(552,'GB','GB-ENG','Wirral','WRL'),(553,'GB','GB-ENG','Wokingham','WOK'),(554,'GB','GB-ENG','Wolverhampton','WLV'),(555,'GB','GB-ENG','Worcestershire','WOR'),(556,'GB','GB-WLS','Wrexham','WRX'),(557,'GB','GB-ENG','York','YOR'),(558,'US',NULL,'Alabama','AL'),(559,'US',NULL,'Alaska','AK'),(560,'US',NULL,'Arizona','AZ'),(561,'US',NULL,'Arkansas','AR'),(562,'US',NULL,'California','CA'),(563,'US',NULL,'Colorado','CO'),(564,'US',NULL,'Connecticut','CT'),(565,'US',NULL,'Delaware','DE'),(566,'US',NULL,'District of Columbia','DC'),(567,'US',NULL,'Florida','FL'),(568,'US',NULL,'Georgia','GA'),(569,'US',NULL,'Guam','GU'),(570,'US',NULL,'Hawaii','HI'),(571,'US',NULL,'Idaho','ID'),(572,'US',NULL,'Illinois','IL'),(573,'US',NULL,'Indiana','IN'),(574,'US',NULL,'Iowa','IA'),(575,'US',NULL,'Kansas','KS'),(576,'US',NULL,'Kentucky','KY'),(577,'US',NULL,'Louisiana','LA'),(578,'US',NULL,'Maine','ME'),(579,'US',NULL,'Maryland','MD'),(580,'US',NULL,'Massachusetts','MA'),(581,'US',NULL,'Michigan','MI'),(582,'US',NULL,'Minnesota','MN'),(583,'US',NULL,'Mississippi','MS'),(584,'US',NULL,'Missouri','MO'),(585,'US',NULL,'Montana','MT'),(586,'US',NULL,'Nebraska','NE'),(587,'US',NULL,'Nevada','NV'),(588,'US',NULL,'New Hampshire','NH'),(589,'US',NULL,'New Jersey','NJ'),(590,'US',NULL,'New Mexico','NM'),(591,'US',NULL,'New York','NY'),(592,'US',NULL,'North Carolina','NC'),(593,'US',NULL,'North Dakota','ND'),(594,'US',NULL,'Ohio','OH'),(595,'US',NULL,'Oklahoma','OK'),(596,'US',NULL,'Oregon','OR'),(597,'US',NULL,'Pennsylvania','PA'),(598,'US',NULL,'Puerto Rico','PR'),(599,'US',NULL,'Rhode Island','RI'),(600,'US',NULL,'South Carolina','SC'),(601,'US',NULL,'South Dakota','SD'),(602,'US',NULL,'Tennessee','TN'),(603,'US',NULL,'Texas','TX'),(604,'US',NULL,'Utah','UT'),(605,'US',NULL,'Vermont','VT'),(606,'US',NULL,'Virgin Islands','VI'),(607,'US',NULL,'Virginia','VA'),(608,'US',NULL,'Washington','WA'),(609,'US',NULL,'West Virginia','WV'),(610,'US',NULL,'Wisconsin','WI'),(611,'US',NULL,'Wyoming','WY');
CREATE TABLE `xlite_tag_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_EDCE6447BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_tags` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_temporary_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_money_modificators` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `class` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `modificator` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `validator` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  `behavior` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `purpose` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_money_modificators` VALUES (1,'XLite\\Logic\\AttributeSurcharge','modifyMoney','isApply',10,'','net'),(2,'XLite\\Module\\CDev\\Sale\\Logic\\SalePrice','modifyMoney','isApply',5,'','net'),(3,'XLite\\Module\\CDev\\Sale\\Logic\\PercentOff','modifyMoney','isApply',500,'','net'),(4,'XLite\\Module\\CDev\\Sale\\Logic\\SaleDiscount','modifyMoney','isApply',600,'','net');
CREATE TABLE `xlite_notifications` (
  `templatesDirectory` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `availableForAdmin` tinyint(1) NOT NULL,
  `availableForCustomer` tinyint(1) NOT NULL,
  `enabledForAdmin` tinyint(1) NOT NULL,
  `enabledForCustomer` tinyint(1) NOT NULL,
  `adminHeaderEnabled` tinyint(1) NOT NULL,
  `adminGreetingEnabled` tinyint(1) NOT NULL,
  `adminSignatureEnabled` tinyint(1) NOT NULL,
  `customerHeaderEnabled` tinyint(1) NOT NULL,
  `customerGreetingEnabled` tinyint(1) NOT NULL,
  `customerSignatureEnabled` tinyint(1) NOT NULL,
  `position` int(11) NOT NULL DEFAULT '0',
  `editable` tinyint(1) NOT NULL,
  PRIMARY KEY (`templatesDirectory`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_notifications` VALUES ('access_link',0,0,0,1,0,0,1,1,0,1,2700,1),('backorder_created',1,0,1,0,1,1,1,1,1,1,700,1),('failed_admin_login',1,0,1,0,1,0,1,1,1,1,100,1),('failed_transaction',1,0,1,0,1,1,1,1,1,1,200,1),('low_limit_warning',1,0,1,0,1,0,1,1,1,1,300,1),('modules/CDev/ContactUs/message',0,0,1,0,1,0,1,1,1,1,500,1),('modules/CDev/Egoods/egoods_links',0,1,0,1,1,0,1,1,0,1,600,1),('modules/XC/CanadaPost/return_approved',0,1,0,1,1,0,1,1,1,1,800,1),('modules/XC/CanadaPost/return_rejected',0,1,0,1,1,0,1,1,0,1,900,1),('modules/XC/Reviews/new_review',1,0,1,0,1,1,1,0,0,0,1000,1),('modules/XC/Reviews/review_key',0,1,0,0,0,0,0,1,1,1,0,1),('modules/XC/VendorMessages/new_message_notification',0,1,0,1,1,0,1,1,1,1,1200,1),('modules/XC/VendorMessages/notification',0,1,0,1,1,0,1,1,1,1,1100,1),('order_canceled',1,1,1,1,0,1,1,0,0,1,1500,1),('order_changed',1,1,1,1,1,1,1,0,1,1,1400,1),('order_created',1,1,1,1,0,1,1,0,1,1,1600,1),('order_failed',1,1,1,1,1,1,1,1,0,1,1700,1),('order_processed',1,1,1,1,0,1,1,0,0,1,1800,1),('order_shipped',0,1,0,1,0,0,1,0,0,1,1900,1),('order_tracking_information',0,0,0,1,0,0,1,1,1,1,2000,1),('order_waiting_for_approve',0,1,0,1,0,0,1,1,0,1,2100,1),('profile_created',1,1,0,1,1,1,1,1,0,1,2200,1),('profile_deleted',1,0,0,0,1,1,1,1,1,1,2300,1),('recover_password_request',0,0,1,1,1,1,1,1,1,1,2500,1),('register_anonymous',0,1,0,1,1,0,1,1,0,1,2600,1);
CREATE TABLE `xlite_languages` (
  `lng_id` int(11) NOT NULL AUTO_INCREMENT,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  `code3` char(3) COLLATE utf8_unicode_ci NOT NULL,
  `r2l` tinyint(1) NOT NULL,
  `added` tinyint(1) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `module` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lng_id`),
  UNIQUE KEY `code3` (`code3`),
  UNIQUE KEY `code2` (`code`),
  KEY `added` (`added`),
  KEY `enabled` (`enabled`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_languages` VALUES (1,'aa','aar',0,0,0,NULL),(2,'ab','abk',0,0,0,NULL),(3,'af','afr',0,0,0,NULL),(4,'ak','aka',0,0,0,NULL),(5,'sq','alb',0,0,0,NULL),(6,'am','amh',0,0,0,NULL),(7,'ar','ara',0,0,0,NULL),(8,'an','arg',0,0,0,NULL),(9,'hy','arm',0,0,0,NULL),(10,'as','asm',0,0,0,NULL),(11,'av','ava',0,0,0,NULL),(12,'ae','ave',0,0,0,NULL),(13,'ay','aym',0,0,0,NULL),(14,'az','aze',0,0,0,NULL),(15,'ba','bak',0,0,0,NULL),(16,'bm','bam',0,0,0,NULL),(17,'eu','baq',0,0,0,NULL),(18,'be','bel',0,0,0,NULL),(19,'bn','ben',0,0,0,NULL),(20,'bh','bih',0,0,0,NULL),(21,'bi','bis',0,0,0,NULL),(22,'bs','bos',0,0,0,NULL),(23,'br','bre',0,0,0,NULL),(24,'gb','gbr',0,0,0,'XC\\GbTranslation'),(25,'bg','bul',0,0,0,NULL),(26,'my','bur',0,0,0,NULL),(27,'ca','cat',0,0,0,NULL),(28,'ch','cha',0,0,0,NULL),(29,'ce','che',0,0,0,NULL),(30,'zh','chi',0,0,0,NULL),(31,'cu','chu',0,0,0,NULL),(32,'cv','chv',0,0,0,NULL),(33,'kw','cor',0,0,0,NULL),(34,'co','cos',0,0,0,NULL),(35,'cr','cre',0,0,0,NULL),(36,'cs','cze',0,0,0,NULL),(37,'da','dan',0,0,0,NULL),(38,'dv','div',0,0,0,NULL),(39,'nl','dut',0,0,0,NULL),(40,'dz','dzo',0,0,0,NULL),(41,'en','eng',0,1,1,NULL),(42,'eo','epo',0,0,0,NULL),(43,'et','est',0,0,0,NULL),(44,'ee','ewe',0,0,0,NULL),(45,'fo','fao',0,0,0,NULL),(46,'fj','fij',0,0,0,NULL),(47,'fi','fin',0,0,0,NULL),(48,'fr','fre',0,0,0,'CDev\\FrTranslation'),(49,'fy','fry',0,0,0,NULL),(50,'ff','ful',0,0,0,NULL),(51,'ka','geo',0,0,0,NULL),(52,'de','ger',0,0,0,'CDev\\DeTranslation'),(53,'gd','gla',0,0,0,NULL),(54,'ga','gle',0,0,0,NULL),(55,'gl','glg',0,0,0,NULL),(56,'gv','glv',0,0,0,NULL),(57,'el','gre',0,0,0,NULL),(58,'gn','grn',0,0,0,NULL),(59,'gu','guj',0,0,0,NULL),(60,'ht','hat',0,0,0,NULL),(61,'ha','hau',0,0,0,NULL),(62,'he','heb',0,0,0,NULL),(63,'hz','her',0,0,0,NULL),(64,'hi','hin',0,0,0,NULL),(65,'ho','hmo',0,0,0,NULL),(66,'hr','hrv',0,0,0,NULL),(67,'hu','hun',0,0,0,NULL),(68,'ig','ibo',0,0,0,NULL),(69,'is','ice',0,0,0,NULL),(70,'io','ido',0,0,0,NULL),(71,'ii','iii',0,0,0,NULL),(72,'iu','iku',0,0,0,NULL),(73,'ie','ile',0,0,0,NULL),(74,'ia','ina',0,0,0,NULL),(75,'id','ind',0,0,0,NULL),(76,'ik','ipk',0,0,0,NULL),(77,'it','ita',0,0,0,NULL),(78,'jv','jav',0,0,0,NULL),(79,'ja','jpn',0,0,0,NULL),(80,'kl','kal',0,0,0,NULL),(81,'kn','kan',0,0,0,NULL),(82,'ks','kas',0,0,0,NULL),(83,'kr','kau',0,0,0,NULL),(84,'kk','kaz',0,0,0,NULL),(85,'km','khm',0,0,0,NULL),(86,'ki','kik',0,0,0,NULL),(87,'rw','kin',0,0,0,NULL),(88,'ky','kir',0,0,0,NULL),(89,'kv','kom',0,0,0,NULL),(90,'kg','kon',0,0,0,NULL),(91,'ko','kor',0,0,0,NULL),(92,'kj','kua',0,0,0,NULL),(93,'ku','kur',0,0,0,NULL),(94,'lo','lao',0,0,0,NULL),(95,'la','lat',0,0,0,NULL),(96,'lv','lav',0,0,0,NULL),(97,'li','lim',0,0,0,NULL),(98,'ln','lin',0,0,0,NULL),(99,'lt','lit',0,0,0,NULL),(100,'lb','ltz',0,0,0,NULL),(101,'lu','lub',0,0,0,NULL),(102,'lg','lug',0,0,0,NULL),(103,'mk','mac',0,0,0,NULL),(104,'mh','mah',0,0,0,NULL),(105,'ml','mal',0,0,0,NULL),(106,'mi','mao',0,0,0,NULL),(107,'mr','mar',0,0,0,NULL),(108,'ms','may',0,0,0,NULL),(109,'mg','mlg',0,0,0,NULL),(110,'mt','mlt',0,0,0,NULL),(111,'mn','mon',0,0,0,NULL),(112,'na','nau',0,0,0,NULL),(113,'nv','nav',0,0,0,NULL),(114,'nr','nbl',0,0,0,NULL),(115,'nd','nde',0,0,0,NULL),(116,'ng','ndo',0,0,0,NULL),(117,'ne','nep',0,0,0,NULL),(118,'no','nor',0,0,0,NULL),(119,'ny','nya',0,0,0,NULL),(120,'oc','oci',0,0,0,NULL),(121,'oj','oji',0,0,0,NULL),(122,'or','ori',0,0,0,NULL),(123,'om','orm',0,0,0,NULL),(124,'os','oss',0,0,0,NULL),(125,'pa','pan',0,0,0,NULL),(126,'fa','per',0,0,0,NULL),(127,'pi','pli',0,0,0,NULL),(128,'pl','pol',0,0,0,NULL),(129,'pt','por',0,0,0,NULL),(130,'ps','pus',0,0,0,NULL),(131,'qu','que',0,0,0,NULL),(132,'rm','roh',0,0,0,NULL),(133,'ro','rum',0,0,0,NULL),(134,'rn','run',0,0,0,NULL),(135,'ru','rus',0,0,0,'CDev\\RuTranslation'),(136,'sg','sag',0,0,0,NULL),(137,'sa','san',0,0,0,NULL),(138,'si','sin',0,0,0,NULL),(139,'sk','slo',0,0,0,NULL),(140,'sl','slv',0,0,0,NULL),(141,'se','sme',0,0,0,NULL),(142,'sm','smo',0,0,0,NULL),(143,'sn','sna',0,0,0,NULL),(144,'sd','snd',0,0,0,NULL),(145,'so','som',0,0,0,NULL),(146,'st','sot',0,0,0,NULL),(147,'es','spa',0,0,0,NULL),(148,'sc','srd',0,0,0,NULL),(149,'sr','srp',0,0,0,NULL),(150,'ss','ssw',0,0,0,NULL),(151,'su','sun',0,0,0,NULL),(152,'sw','swa',0,0,0,NULL),(153,'sv','swe',0,0,0,NULL),(154,'ty','tah',0,0,0,NULL),(155,'ta','tam',0,0,0,NULL),(156,'tt','tat',0,0,0,NULL),(157,'te','tel',0,0,0,NULL),(158,'tg','tgk',0,0,0,NULL),(159,'tl','tgl',0,0,0,NULL),(160,'th','tha',0,0,0,NULL),(161,'bo','tib',0,0,0,NULL),(162,'ti','tir',0,0,0,NULL),(163,'to','ton',0,0,0,NULL),(164,'tn','tsn',0,0,0,NULL),(165,'ts','tso',0,0,0,NULL),(166,'tk','tuk',0,0,0,NULL),(167,'tr','tur',0,0,0,NULL),(168,'tw','twi',0,0,0,NULL),(169,'ug','uig',0,0,0,NULL),(170,'uk','ukr',0,0,0,NULL),(171,'ur','urd',0,0,0,NULL),(172,'uz','uzb',0,0,0,NULL),(173,'ve','ven',0,0,0,NULL),(174,'vi','vie',0,0,0,NULL),(175,'cy','wel',0,0,0,NULL),(176,'wa','wln',0,0,0,NULL),(177,'wo','wol',0,0,0,NULL),(178,'xh','xho',0,0,0,NULL),(179,'yi','yid',0,0,0,NULL),(180,'yo','yor',0,0,0,NULL),(181,'za','zha',0,0,0,NULL),(182,'zu','zul',0,0,0,NULL);
CREATE TABLE `xlite_mailchimp_list_segments` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `list_id` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `created_date` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `static` tinyint(1) NOT NULL,
  `useOrdersLastMonth` tinyint(1) NOT NULL,
  `ordersLastMonth` int(11) NOT NULL,
  `useOrderAmount` tinyint(1) NOT NULL,
  `orderAmount` decimal(14,4) NOT NULL,
  `useMemberships` tinyint(1) NOT NULL,
  `useProducts` tinyint(1) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_93CC76423DAE168B` (`list_id`),
  CONSTRAINT `FK_93CC76423DAE168B` FOREIGN KEY (`list_id`) REFERENCES `xlite_mailchimp_lists` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_class_coupons` (
  `coupon_id` int(10) unsigned NOT NULL,
  `class_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`coupon_id`,`class_id`),
  KEY `IDX_684B0DA666C5951B` (`coupon_id`),
  KEY `IDX_684B0DA6EA000B10` (`class_id`),
  CONSTRAINT `FK_684B0DA666C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xlite_coupons` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_684B0DA6EA000B10` FOREIGN KEY (`class_id`) REFERENCES `xlite_product_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_order_review_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `keyValue` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `addedDate` int(11) NOT NULL,
  `sentDate` int(11) NOT NULL,
  `firstClickDate` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_3869BA7B8D9F6D38` (`order_id`),
  KEY `keyValue` (`keyValue`),
  KEY `addedDate` (`addedDate`),
  KEY `sentDate` (`sentDate`),
  CONSTRAINT `FK_3869BA7B8D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_product_tabs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned DEFAULT NULL,
  `global_tab_id` int(10) unsigned DEFAULT NULL,
  `position` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `link` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `product_global_tab` (`product_id`,`global_tab_id`),
  KEY `IDX_F5B7716D4584665A` (`product_id`),
  KEY `IDX_F5B7716D629D8673` (`global_tab_id`),
  CONSTRAINT `FK_F5B7716D4584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_F5B7716D629D8673` FOREIGN KEY (`global_tab_id`) REFERENCES `xlite_global_product_tabs` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_product_tabs` VALUES (1,1,5,-10,1,NULL),(2,2,5,-10,1,NULL),(3,3,5,-10,1,NULL),(4,4,5,-10,1,NULL),(5,5,5,-10,1,NULL),(6,6,5,-10,1,NULL),(7,7,5,-10,1,NULL),(8,8,5,-10,1,NULL),(9,9,5,-10,1,NULL),(10,10,5,-10,1,NULL),(11,11,5,-10,1,NULL),(12,12,5,-10,1,NULL),(13,13,5,-10,1,NULL),(14,14,5,-10,1,NULL),(15,15,5,-10,1,NULL),(16,16,5,-10,1,NULL),(17,17,5,-10,1,NULL),(18,18,5,-10,1,NULL),(19,19,5,-10,1,NULL),(20,20,5,-10,1,NULL),(21,21,5,-10,1,NULL),(22,22,5,-10,1,NULL),(23,23,5,-10,1,NULL),(24,24,5,-10,1,NULL),(25,25,5,-10,1,NULL),(26,26,5,-10,1,NULL),(27,27,5,-10,1,NULL),(28,28,5,-10,1,NULL),(29,29,5,-10,1,NULL),(30,30,5,-10,1,NULL),(31,31,5,-10,1,NULL),(32,32,5,-10,1,NULL),(33,33,5,-10,1,NULL),(34,34,5,-10,1,NULL),(35,35,5,-10,1,NULL),(36,36,5,-10,1,NULL),(37,37,5,-10,1,NULL),(38,38,5,-10,1,NULL),(39,39,5,-10,1,NULL),(40,40,5,-10,1,NULL),(41,41,5,-10,1,NULL),(42,42,5,-10,1,NULL),(43,43,5,-10,1,NULL),(44,44,5,-10,1,NULL),(45,45,5,-10,1,NULL),(46,46,5,-10,1,NULL),(47,47,5,-10,1,NULL),(48,48,5,-10,1,NULL),(49,49,5,-10,1,NULL),(50,50,5,-10,1,NULL),(64,1,6,-10,1,NULL),(65,2,6,-10,1,NULL),(66,3,6,-10,1,NULL),(67,4,6,-10,1,NULL),(68,5,6,-10,1,NULL),(69,6,6,-10,1,NULL),(70,7,6,-10,1,NULL),(71,8,6,-10,1,NULL),(72,9,6,-10,1,NULL),(73,10,6,-10,1,NULL),(74,11,6,-10,1,NULL),(75,12,6,-10,1,NULL),(76,13,6,-10,1,NULL),(77,14,6,-10,1,NULL),(78,15,6,-10,1,NULL),(79,16,6,-10,1,NULL),(80,17,6,-10,1,NULL),(81,18,6,-10,1,NULL),(82,19,6,-10,1,NULL),(83,20,6,-10,1,NULL),(84,21,6,-10,1,NULL),(85,22,6,-10,1,NULL),(86,23,6,-10,1,NULL),(87,24,6,-10,1,NULL),(88,25,6,-10,1,NULL),(89,26,6,-10,1,NULL),(90,27,6,-10,1,NULL),(91,28,6,-10,1,NULL),(92,29,6,-10,1,NULL),(93,30,6,-10,1,NULL),(94,31,6,-10,1,NULL),(95,32,6,-10,1,NULL),(96,33,6,-10,1,NULL),(97,34,6,-10,1,NULL),(98,35,6,-10,1,NULL),(99,36,6,-10,1,NULL),(100,37,6,-10,1,NULL),(101,38,6,-10,1,NULL),(102,39,6,-10,1,NULL),(103,40,6,-10,1,NULL),(104,41,6,-10,1,NULL),(105,42,6,-10,1,NULL),(106,43,6,-10,1,NULL),(107,44,6,-10,1,NULL),(108,45,6,-10,1,NULL),(109,46,6,-10,1,NULL),(110,47,6,-10,1,NULL),(111,48,6,-10,1,NULL),(112,49,6,-10,1,NULL),(113,50,6,-10,1,NULL),(127,1,7,-10,1,NULL),(128,2,7,-10,1,NULL),(129,3,7,-10,1,NULL),(130,4,7,-10,1,NULL),(131,5,7,-10,1,NULL),(132,6,7,-10,1,NULL),(133,7,7,-10,1,NULL),(134,8,7,-10,1,NULL),(135,9,7,-10,1,NULL),(136,10,7,-10,1,NULL),(137,11,7,-10,1,NULL),(138,12,7,-10,1,NULL),(139,13,7,-10,1,NULL),(140,14,7,-10,1,NULL),(141,15,7,-10,1,NULL),(142,16,7,-10,1,NULL),(143,17,7,-10,1,NULL),(144,18,7,-10,1,NULL),(145,19,7,-10,1,NULL),(146,20,7,-10,1,NULL),(147,21,7,-10,1,NULL),(148,22,7,-10,1,NULL),(149,23,7,-10,1,NULL),(150,24,7,-10,1,NULL),(151,25,7,-10,1,NULL),(152,26,7,-10,1,NULL),(153,27,7,-10,1,NULL),(154,28,7,-10,1,NULL),(155,29,7,-10,1,NULL),(156,30,7,-10,1,NULL),(157,31,7,-10,1,NULL),(158,32,7,-10,1,NULL),(159,33,7,-10,1,NULL),(160,34,7,-10,1,NULL),(161,35,7,-10,1,NULL),(162,36,7,-10,1,NULL),(163,37,7,-10,1,NULL),(164,38,7,-10,1,NULL),(165,39,7,-10,1,NULL),(166,40,7,-10,1,NULL),(167,41,7,-10,1,NULL),(168,42,7,-10,1,NULL),(169,43,7,-10,1,NULL),(170,44,7,-10,1,NULL),(171,45,7,-10,1,NULL),(172,46,7,-10,1,NULL),(173,47,7,-10,1,NULL),(174,48,7,-10,1,NULL),(175,49,7,-10,1,NULL),(176,50,7,-10,1,NULL),(190,29,NULL,0,1,'Privacy'),(191,28,NULL,0,1,'Privacy'),(192,1,1,-80,1,NULL),(193,2,1,-80,1,NULL),(194,3,1,-80,1,NULL),(195,4,1,-80,1,NULL),(196,5,1,-80,1,NULL),(197,6,1,-80,1,NULL),(198,7,1,-80,1,NULL),(199,8,1,-80,1,NULL),(200,9,1,-80,1,NULL),(201,10,1,-80,1,NULL),(202,11,1,-80,1,NULL),(203,12,1,-80,1,NULL),(204,13,1,-80,1,NULL),(205,14,1,-80,1,NULL),(206,15,1,-80,1,NULL),(207,16,1,-80,1,NULL),(208,17,1,-80,1,NULL),(209,18,1,-80,1,NULL),(210,19,1,-80,1,NULL),(211,20,1,-80,1,NULL),(212,21,1,-80,1,NULL),(213,22,1,-80,1,NULL),(214,23,1,-80,1,NULL),(215,24,1,-80,1,NULL),(216,25,1,-80,1,NULL),(217,26,1,-80,1,NULL),(218,27,1,-80,1,NULL),(219,28,1,-80,1,NULL),(220,29,1,-80,1,NULL),(221,30,1,-80,1,NULL),(222,31,1,-80,1,NULL),(223,32,1,-80,1,NULL),(224,33,1,-80,1,NULL),(225,34,1,-80,1,NULL),(226,35,1,-80,1,NULL),(227,36,1,-80,1,NULL),(228,37,1,-80,1,NULL),(229,38,1,-80,1,NULL),(230,39,1,-80,1,NULL),(231,40,1,-80,1,NULL),(232,41,1,-80,1,NULL),(233,42,1,-80,1,NULL),(234,43,1,-80,1,NULL),(235,44,1,-80,1,NULL),(236,45,1,-80,1,NULL),(237,46,1,-80,1,NULL),(238,47,1,-80,1,NULL),(239,48,1,-80,1,NULL),(240,49,1,-80,1,NULL),(241,50,1,-80,1,NULL),(255,1,2,-70,1,NULL),(256,2,2,-70,1,NULL),(257,3,2,-70,1,NULL),(258,4,2,-70,1,NULL),(259,5,2,-70,1,NULL),(260,6,2,-70,1,NULL),(261,7,2,-70,1,NULL),(262,8,2,-70,1,NULL),(263,9,2,-70,1,NULL),(264,10,2,-70,1,NULL),(265,11,2,-70,1,NULL),(266,12,2,-70,1,NULL),(267,13,2,-70,1,NULL),(268,14,2,-70,1,NULL),(269,15,2,-70,1,NULL),(270,16,2,-70,1,NULL),(271,17,2,-70,1,NULL),(272,18,2,-70,1,NULL),(273,19,2,-70,1,NULL),(274,20,2,-70,1,NULL),(275,21,2,-70,1,NULL),(276,22,2,-70,1,NULL),(277,23,2,-70,1,NULL),(278,24,2,-70,1,NULL),(279,25,2,-70,1,NULL),(280,26,2,-70,1,NULL),(281,27,2,-70,1,NULL),(282,28,2,-70,1,NULL),(283,29,2,-70,1,NULL),(284,30,2,-70,1,NULL),(285,31,2,-70,1,NULL),(286,32,2,-70,1,NULL),(287,33,2,-70,1,NULL),(288,34,2,-70,1,NULL),(289,35,2,-70,1,NULL),(290,36,2,-70,1,NULL),(291,37,2,-70,1,NULL),(292,38,2,-70,1,NULL),(293,39,2,-70,1,NULL),(294,40,2,-70,1,NULL),(295,41,2,-70,1,NULL),(296,42,2,-70,1,NULL),(297,43,2,-70,1,NULL),(298,44,2,-70,1,NULL),(299,45,2,-70,1,NULL),(300,46,2,-70,1,NULL),(301,47,2,-70,1,NULL),(302,48,2,-70,1,NULL),(303,49,2,-70,1,NULL),(304,50,2,-70,1,NULL),(318,1,3,-60,1,NULL),(319,2,3,-60,1,NULL),(320,3,3,-60,1,NULL),(321,4,3,-60,1,NULL),(322,5,3,-60,1,NULL),(323,6,3,-60,1,NULL),(324,7,3,-60,1,NULL),(325,8,3,-60,1,NULL),(326,9,3,-60,1,NULL),(327,10,3,-60,1,NULL),(328,11,3,-60,1,NULL),(329,12,3,-60,1,NULL),(330,13,3,-60,1,NULL),(331,14,3,-60,1,NULL),(332,15,3,-60,1,NULL),(333,16,3,-60,1,NULL),(334,17,3,-60,1,NULL),(335,18,3,-60,1,NULL),(336,19,3,-60,1,NULL),(337,20,3,-60,1,NULL),(338,21,3,-60,1,NULL),(339,22,3,-60,1,NULL),(340,23,3,-60,1,NULL),(341,24,3,-60,1,NULL),(342,25,3,-60,1,NULL),(343,26,3,-60,1,NULL),(344,27,3,-60,1,NULL),(345,28,3,-60,1,NULL),(346,29,3,-60,1,NULL),(347,30,3,-60,1,NULL),(348,31,3,-60,1,NULL),(349,32,3,-60,1,NULL),(350,33,3,-60,1,NULL),(351,34,3,-60,1,NULL),(352,35,3,-60,1,NULL),(353,36,3,-60,1,NULL),(354,37,3,-60,1,NULL),(355,38,3,-60,1,NULL),(356,39,3,-60,1,NULL),(357,40,3,-60,1,NULL),(358,41,3,-60,1,NULL),(359,42,3,-60,1,NULL),(360,43,3,-60,1,NULL),(361,44,3,-60,1,NULL),(362,45,3,-60,1,NULL),(363,46,3,-60,1,NULL),(364,47,3,-60,1,NULL),(365,48,3,-60,1,NULL),(366,49,3,-60,1,NULL),(367,50,3,-60,1,NULL),(381,1,4,-30,1,NULL),(382,2,4,-30,1,NULL),(383,3,4,-30,1,NULL),(384,4,4,-30,1,NULL),(385,5,4,-30,1,NULL),(386,6,4,-30,1,NULL),(387,7,4,-30,1,NULL),(388,8,4,-30,1,NULL),(389,9,4,-30,1,NULL),(390,10,4,-30,1,NULL),(391,11,4,-30,1,NULL),(392,12,4,-30,1,NULL),(393,13,4,-30,1,NULL),(394,14,4,-30,1,NULL),(395,15,4,-30,1,NULL),(396,16,4,-30,1,NULL),(397,17,4,-30,1,NULL),(398,18,4,-30,1,NULL),(399,19,4,-30,1,NULL),(400,20,4,-30,1,NULL),(401,21,4,-30,1,NULL),(402,22,4,-30,1,NULL),(403,23,4,-30,1,NULL),(404,24,4,-30,1,NULL),(405,25,4,-30,1,NULL),(406,26,4,-30,1,NULL),(407,27,4,-30,1,NULL),(408,28,4,-30,1,NULL),(409,29,4,-30,1,NULL),(410,30,4,-30,1,NULL),(411,31,4,-30,1,NULL),(412,32,4,-30,1,NULL),(413,33,4,-30,1,NULL),(414,34,4,-30,1,NULL),(415,35,4,-30,1,NULL),(416,36,4,-30,1,NULL),(417,37,4,-30,1,NULL),(418,38,4,-30,1,NULL),(419,39,4,-30,1,NULL),(420,40,4,-30,1,NULL),(421,41,4,-30,1,NULL),(422,42,4,-30,1,NULL),(423,43,4,-30,1,NULL),(424,44,4,-30,1,NULL),(425,45,4,-30,1,NULL),(426,46,4,-30,1,NULL),(427,47,4,-30,1,NULL),(428,48,4,-30,1,NULL),(429,49,4,-30,1,NULL),(430,50,4,-30,1,NULL);
CREATE TABLE `xlite_theme_tweaker_template` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL DEFAULT '1',
  `template` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `date` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_data_source_parameters` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `data_source_id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_6D9196CA1A935C57` (`data_source_id`),
  CONSTRAINT `FK_6D9196CA1A935C57` FOREIGN KEY (`data_source_id`) REFERENCES `xlite_data_sources` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_attribute_option_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_31550B83BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_attribute_options` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_attribute_option_translations` VALUES (1,1,'S','en'),(2,2,'M','en'),(3,3,'L','en'),(4,4,'XL','en'),(5,5,'XXL','en'),(8,8,'XXXL','en'),(109,109,'IndependentApparel','en'),(110,110,'YourStyle','en'),(111,111,'MyBestDress','en'),(112,112,'Toyty','en'),(113,113,'FunnyChildren','en'),(114,114,'MindSet','en'),(115,115,'GoodyBrand','en'),(116,116,'iBoutique','en'),(1001,1,'S','ru'),(1002,2,'M','ru'),(1003,3,'L','ru'),(1004,4,'XL','ru'),(1005,5,'XXL','ru'),(1008,8,'XXXL','ru'),(1109,109,'IndependentApparel','ru'),(1110,110,'YourStyle','ru'),(1111,111,'MyBestDress','ru'),(1112,112,'Toyty','ru'),(1113,113,'FunnyChildren','ru'),(1114,114,'MindSet','ru'),(1115,115,'GoodyBrand','ru'),(1116,116,'iBoutique','ru'),(2001,1,'S','ru'),(2002,2,'M','ru'),(2003,3,'L','ru'),(2004,4,'XL','ru'),(2005,5,'XXL','ru'),(2008,8,'XXXL','ru'),(2109,109,'IndependentApparel','ru'),(2110,110,'YourStyle','ru'),(2111,111,'MyBestDress','ru'),(2112,112,'Toyty','ru'),(2113,113,'FunnyChildren','ru'),(2114,114,'MindSet','ru'),(2115,115,'GoodyBrand','ru'),(2116,116,'iBoutique','ru'),(3001,1,'S','ru'),(3002,2,'M','ru'),(3003,3,'L','ru'),(3004,4,'XL','ru'),(3005,5,'XXL','ru'),(3008,8,'XXXL','ru'),(3109,109,'IndependentApparel','ru'),(3110,110,'YourStyle','ru'),(3111,111,'MyBestDress','ru'),(3112,112,'Toyty','ru'),(3113,113,'FunnyChildren','ru'),(3114,114,'MindSet','ru'),(3115,115,'GoodyBrand','ru'),(3116,116,'iBoutique','ru'),(3165,165,'16','en'),(3166,166,'64','en'),(3167,167,'128','en'),(3168,168,'Silver','en'),(3169,169,'Space Gray','en'),(3170,170,'Gold','en'),(3171,171,'A8 chip with 64‑bit architecture','en'),(3173,173,'Retina HD display','en'),(3181,181,'GSM/EDGE/LTE','en'),(3183,183,'Bluetooth 4.2','en'),(3186,186,'32','en'),(3187,187,'A7 chip with 64-bit architecture','en'),(3188,188,'White','en'),(3189,189,'Black','en'),(3196,196,'GSM/EDGE','en'),(3200,200,'A9 chip with 64‑bit architecture','en'),(3209,205,'Rose Gold','en'),(3210,168,'Серебристый','ru'),(3211,169,'Серый космос','ru'),(3212,170,'Золотой','ru'),(3213,188,'Белый','ru'),(3214,189,'Черный','ru'),(3215,205,'Розовое золото','ru'),(3216,165,'16','ru'),(3217,166,'64','ru'),(3218,167,'128','ru'),(3219,186,'32','ru'),(3221,207,'Nano-SIM','ru'),(3223,209,'4','ru'),(3224,210,'1136x640','ru'),(3225,211,'Built-in rechargeable lithium-ion battery','ru'),(3226,212,'Up to 14 hours on 3G','ru'),(3227,213,'Up to 10 days (250 hours)','ru'),(3228,214,'Up to 10 hours','ru'),(3229,215,'Up to 40 hours','ru'),(3231,217,'802.11a/b/g/n/ac','ru'),(3232,218,'One size','en'),(3233,218,'','ru'),(3234,219,'XS','en'),(3262,227,'US 6','en'),(3263,228,'US 7','en'),(3264,229,'US 8','en'),(3265,230,'US 9','en'),(3266,231,'Gray','en'),(3267,232,'Red','en'),(3268,233,'Black','en'),(3269,234,'UK 8','en'),(3270,235,'UK 10','en'),(3271,236,'UK 12','en'),(3272,237,'UK 14','en'),(3273,238,'UK 16','en'),(3280,245,'S','en'),(3281,246,'M','en'),(3282,247,'L','en'),(3283,248,'XL','en'),(3284,249,'256','en'),(3285,250,'Apple A11 Bionic','en'),(3286,251,'Super Retina HD (OLED)','en'),(3287,252,'5.8','en'),(3288,253,'2436x1125','en'),(3289,254,'Bluetooth 5.0','en'),(3290,255,'A11 Bionic + M11','en'),(3291,256,'UK 6','en'),(3292,257,'Uk 8','en'),(3293,258,'Uk 10','en'),(3294,259,'Uk 12','en'),(3295,260,'Uk 14','en'),(3296,261,'Uk 16','en'),(3297,227,'38','ru'),(3298,228,'39','ru'),(3299,229,'40','ru'),(3300,230,'41','ru'),(3301,171,'A8 64‑bit','ru'),(3302,187,'A7 64-bit','ru'),(3303,200,'A9 64‑bit','ru'),(3304,250,'Apple A11 Bionic','ru'),(3305,255,'A11 Bionic + M11','ru'),(3306,173,'Retina HD display','ru'),(3307,251,'Super Retina HD (OLED)','ru'),(3308,252,'5.8','ru'),(3309,253,'2436x1125','ru'),(3310,181,'GSM/EDGE/LTE','ru'),(3311,196,'GSM/EDGE','ru');
CREATE TABLE `xlite_payment_backend_transaction_data` (
  `data_id` int(11) NOT NULL AUTO_INCREMENT,
  `backend_transaction_id` int(11) DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `label` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `access_level` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`data_id`),
  KEY `IDX_BE43AC028167CC5C` (`backend_transaction_id`),
  KEY `tn` (`backend_transaction_id`,`name`),
  CONSTRAINT `FK_BE43AC028167CC5C` FOREIGN KEY (`backend_transaction_id`) REFERENCES `xlite_payment_backend_transactions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_shipping_methods` (
  `method_id` int(11) NOT NULL AUTO_INCREMENT,
  `tax_class_id` int(10) unsigned DEFAULT NULL,
  `free` tinyint(1) NOT NULL,
  `processor` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `carrier` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `position` int(11) NOT NULL,
  `added` tinyint(1) NOT NULL,
  `moduleName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `fromMarketplace` tinyint(1) NOT NULL,
  `iconURL` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tableType` char(3) COLLATE utf8_unicode_ci DEFAULT NULL,
  `handlingFee` decimal(14,4) NOT NULL,
  `handlingFeeType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`method_id`),
  KEY `IDX_3BC5646FA94AAAE` (`tax_class_id`),
  KEY `processor` (`processor`),
  KEY `carrier` (`carrier`),
  KEY `enabled` (`enabled`),
  KEY `position` (`position`),
  CONSTRAINT `FK_3BC5646FA94AAAE` FOREIGN KEY (`tax_class_id`) REFERENCES `xlite_tax_classes` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_shipping_methods` VALUES (1,NULL,0,'aupost','','',0,0,0,'CDev_AustraliaPost',0,NULL,NULL,0.0000,'a'),(2,NULL,0,'fedex','','',0,0,0,'CDev_FedEx',0,NULL,NULL,0.0000,'a'),(3,NULL,0,'fedex','fedex','EUROPE_FIRST_INTERNATIONAL_PRIORITY',1,10,0,'',0,NULL,NULL,0.0000,'a'),(4,NULL,0,'fedex','fedex','FEDEX_1_DAY_FREIGHT',1,20,0,'',0,NULL,NULL,0.0000,'a'),(5,NULL,0,'fedex','fedex','FEDEX_2_DAY',1,30,0,'',0,NULL,NULL,0.0000,'a'),(6,NULL,0,'fedex','fedex','FEDEX_2_DAY_AM',1,40,0,'',0,NULL,NULL,0.0000,'a'),(7,NULL,0,'fedex','fedex','FEDEX_2_DAY_FREIGHT',1,50,0,'',0,NULL,NULL,0.0000,'a'),(8,NULL,0,'fedex','fedex','FEDEX_3_DAY_FREIGHT',1,60,0,'',0,NULL,NULL,0.0000,'a'),(9,NULL,0,'fedex','fedex','FEDEX_EXPRESS_SAVER',1,70,0,'',0,NULL,NULL,0.0000,'a'),(10,NULL,0,'fedex','fedex','FEDEX_FIRST_FREIGHT',1,80,0,'',0,NULL,NULL,0.0000,'a'),(11,NULL,0,'fedex','fedex','FEDEX_GROUND',1,90,0,'',0,NULL,NULL,0.0000,'a'),(12,NULL,0,'fedex','fedex','FIRST_OVERNIGHT',1,100,0,'',0,NULL,NULL,0.0000,'a'),(13,NULL,0,'fedex','fedex','GROUND_HOME_DELIVERY',1,110,0,'',0,NULL,NULL,0.0000,'a'),(14,NULL,0,'fedex','fedex','INTERNATIONAL_DISTRIBUTION_FREIGHT',1,120,0,'',0,NULL,NULL,0.0000,'a'),(15,NULL,0,'fedex','fedex','INTERNATIONAL_ECONOMY',1,130,0,'',0,NULL,NULL,0.0000,'a'),(16,NULL,0,'fedex','fedex','INTERNATIONAL_ECONOMY_DISTRIBUTION',1,140,0,'',0,NULL,NULL,0.0000,'a'),(17,NULL,0,'fedex','fedex','INTERNATIONAL_ECONOMY_FREIGHT',1,150,0,'',0,NULL,NULL,0.0000,'a'),(18,NULL,0,'fedex','fedex','INTERNATIONAL_FIRST',1,160,0,'',0,NULL,NULL,0.0000,'a'),(19,NULL,0,'fedex','fedex','INTERNATIONAL_PRIORITY',1,170,0,'',0,NULL,NULL,0.0000,'a'),(20,NULL,0,'fedex','fedex','INTERNATIONAL_PRIORITY_DISTRIBUTION',1,180,0,'',0,NULL,NULL,0.0000,'a'),(21,NULL,0,'fedex','fedex','INTERNATIONAL_PRIORITY_FREIGHT',1,190,0,'',0,NULL,NULL,0.0000,'a'),(22,NULL,0,'fedex','fedex','PRIORITY_OVERNIGHT',1,200,0,'',0,NULL,NULL,0.0000,'a'),(23,NULL,0,'fedex','fedex','SMART_POST',1,210,0,'',0,NULL,NULL,0.0000,'a'),(24,NULL,0,'fedex','fedex','STANDARD_OVERNIGHT',1,220,0,'',0,NULL,NULL,0.0000,'a'),(25,NULL,0,'usps','','',0,0,0,'CDev_USPS',0,NULL,NULL,0.0000,'a'),(26,NULL,0,'usps','pb_usps','FCM',1,10,0,'',0,NULL,NULL,0.0000,'a'),(27,NULL,0,'usps','pb_usps','PM',1,20,0,'',0,NULL,NULL,0.0000,'a'),(28,NULL,0,'usps','pb_usps','EM',1,30,0,'',0,NULL,NULL,0.0000,'a'),(29,NULL,0,'usps','pb_usps','STDPOST',1,40,0,'',0,NULL,NULL,0.0000,'a'),(30,NULL,0,'usps','pb_usps','PRCLSEL',1,50,0,'',0,NULL,NULL,0.0000,'a'),(31,NULL,0,'usps','pb_usps','MEDIA',1,60,0,'',0,NULL,NULL,0.0000,'a'),(32,NULL,0,'usps','pb_usps','LIB',1,70,0,'',0,NULL,NULL,0.0000,'a'),(33,NULL,0,'usps','pb_usps','FCMI',1,80,0,'',0,NULL,NULL,0.0000,'a'),(34,NULL,0,'usps','pb_usps','FCPIS',1,90,0,'',0,NULL,NULL,0.0000,'a'),(35,NULL,0,'usps','pb_usps','EMI',1,100,0,'',0,NULL,NULL,0.0000,'a'),(36,NULL,0,'usps','pb_usps','PMI',1,110,0,'',0,NULL,NULL,0.0000,'a'),(37,NULL,0,'capost','','',0,0,0,'XC_CanadaPost',0,NULL,NULL,0.0000,'a'),(38,NULL,0,'capost','capost','DOM.RP',1,10,0,'',0,NULL,NULL,0.0000,'a'),(39,NULL,0,'capost','capost','DOM.EP',1,20,0,'',0,NULL,NULL,0.0000,'a'),(40,NULL,0,'capost','capost','DOM.XP',1,30,0,'',0,NULL,NULL,0.0000,'a'),(41,NULL,0,'capost','capost','DOM.XP.CERT',1,40,0,'',0,NULL,NULL,0.0000,'a'),(42,NULL,0,'capost','capost','DOM.PC',1,50,0,'',0,NULL,NULL,0.0000,'a'),(43,NULL,0,'capost','capost','DOM.LIB',1,60,0,'',0,NULL,NULL,0.0000,'a'),(44,NULL,0,'capost','capost','USA.EP',1,70,0,'',0,NULL,NULL,0.0000,'a'),(45,NULL,0,'capost','capost','USA.PW.ENV',1,80,0,'',0,NULL,NULL,0.0000,'a'),(46,NULL,0,'capost','capost','USA.PW.PAK',1,90,0,'',0,NULL,NULL,0.0000,'a'),(47,NULL,0,'capost','capost','USA.PW.PARCEL',1,100,0,'',0,NULL,NULL,0.0000,'a'),(48,NULL,0,'capost','capost','USA.SP.AIR',1,110,0,'',0,NULL,NULL,0.0000,'a'),(49,NULL,0,'capost','capost','USA.TP',1,120,0,'',0,NULL,NULL,0.0000,'a'),(50,NULL,0,'capost','capost','USA.TP.LVM',1,130,0,'',0,NULL,NULL,0.0000,'a'),(51,NULL,0,'capost','capost','USA.XP',1,140,0,'',0,NULL,NULL,0.0000,'a'),(52,NULL,0,'capost','capost','INT.XP',1,150,0,'',0,NULL,NULL,0.0000,'a'),(53,NULL,0,'capost','capost','INT.IP.AIR',1,160,0,'',0,NULL,NULL,0.0000,'a'),(54,NULL,0,'capost','capost','INT.IP.SURF',1,170,0,'',0,NULL,NULL,0.0000,'a'),(55,NULL,0,'capost','capost','INT.PW.ENV',1,180,0,'',0,NULL,NULL,0.0000,'a'),(56,NULL,0,'capost','capost','INT.PW.PAK',1,190,0,'',0,NULL,NULL,0.0000,'a'),(57,NULL,0,'capost','capost','INT.PW.PARCEL',1,200,0,'',0,NULL,NULL,0.0000,'a'),(58,NULL,0,'capost','capost','INT.SP.AIR',1,210,0,'',0,NULL,NULL,0.0000,'a'),(59,NULL,0,'capost','capost','INT.SP.SURF',1,220,0,'',0,NULL,NULL,0.0000,'a'),(60,NULL,0,'capost','capost','INT.TP',1,230,0,'',0,NULL,NULL,0.0000,'a'),(61,NULL,0,'ups','','',0,0,0,'XC_UPS',0,NULL,NULL,0.0000,'a'),(62,NULL,0,'ups','ups','NDA',1,10,0,'',0,NULL,NULL,0.0000,'a'),(63,NULL,0,'ups','ups','2DA',1,20,0,'',0,NULL,NULL,0.0000,'a'),(64,NULL,0,'ups','ups','GND',1,30,0,'',0,NULL,NULL,0.0000,'a'),(65,NULL,0,'ups','ups','WEXP',1,40,0,'',0,NULL,NULL,0.0000,'a'),(66,NULL,0,'ups','ups','WEXD',1,50,0,'',0,NULL,NULL,0.0000,'a'),(67,NULL,0,'ups','ups','STD',1,60,0,'',0,NULL,NULL,0.0000,'a'),(68,NULL,0,'ups','ups','3DS',1,70,0,'',0,NULL,NULL,0.0000,'a'),(69,NULL,0,'ups','ups','NDAS',1,80,0,'',0,NULL,NULL,0.0000,'a'),(70,NULL,0,'ups','ups','NDAE',1,90,0,'',0,NULL,NULL,0.0000,'a'),(71,NULL,0,'ups','ups','WEXPP',1,100,0,'',0,NULL,NULL,0.0000,'a'),(72,NULL,0,'ups','ups','2DAAM',1,110,0,'',0,NULL,NULL,0.0000,'a'),(73,NULL,0,'ups','ups','SAV',1,120,0,'',0,NULL,NULL,0.0000,'a'),(74,NULL,0,'ups','ups','TSTD',1,130,0,'',0,NULL,NULL,0.0000,'a'),(75,NULL,0,'ups','ups','TDC',1,140,0,'',0,NULL,NULL,0.0000,'a'),(76,NULL,0,'ups','ups','TI',1,150,0,'',0,NULL,NULL,0.0000,'a'),(77,NULL,0,'ups','ups','TEXP',1,160,0,'',0,NULL,NULL,0.0000,'a'),(78,NULL,0,'ups','ups','TEXPS',1,170,0,'',0,NULL,NULL,0.0000,'a'),(79,NULL,0,'ups','ups','WEXPF',1,180,0,'',0,NULL,NULL,0.0000,'a'),(80,NULL,0,'ups','ups','EXP',1,190,0,'',0,NULL,NULL,0.0000,'a'),(81,NULL,0,'ups','ups','EXPP',1,200,0,'',0,NULL,NULL,0.0000,'a'),(82,NULL,0,'ups','ups','EXDSM',1,210,0,'',0,NULL,NULL,0.0000,'a'),(83,NULL,0,'ups','ups','WEXDSM',1,220,0,'',0,NULL,NULL,0.0000,'a'),(84,NULL,0,'ups','ups','WEXPSM',1,230,0,'',0,NULL,NULL,0.0000,'a'),(85,NULL,0,'ups','ups','SAVSM',1,240,0,'',0,NULL,NULL,0.0000,'a'),(86,NULL,0,'ups','ups','EXPEAMSM',1,250,0,'',0,NULL,NULL,0.0000,'a'),(87,NULL,0,'ups','ups','NDAEAMSM',1,260,0,'',0,NULL,NULL,0.0000,'a'),(88,NULL,0,'ups','ups','WEXPPSM',1,270,0,'',0,NULL,NULL,0.0000,'a'),(89,NULL,0,'ups','ups','EXPSAV',1,280,0,'',0,NULL,NULL,0.0000,'a'),(90,NULL,0,'ups','ups','WSAV',1,290,0,'',0,NULL,NULL,0.0000,'a'),(91,NULL,0,'offline','','courier',1,10,1,'',0,NULL,'S',0.0000,'a'),(92,NULL,0,'offline','','',1,20,1,'',0,NULL,'S',0.0000,'a'),(93,NULL,0,'offline','','',1,30,1,'',0,NULL,'S',0.0000,'a'),(94,NULL,0,'offline','','',1,40,1,'',0,NULL,'S',0.0000,'a'),(95,NULL,0,'offline','','',1,50,1,'',0,NULL,'S',0.0000,'a'),(96,NULL,1,'offline','','FREESHIP',1,30,1,'',0,NULL,'S',0.0000,'a'),(97,NULL,0,'offline','','FIXEDFEE',1,40,1,'',0,NULL,'S',0.0000,'a');
CREATE TABLE `xlite_attribute_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_class_id` int(10) unsigned DEFAULT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_59E382E821B06187` (`product_class_id`),
  CONSTRAINT `FK_59E382E821B06187` FOREIGN KEY (`product_class_id`) REFERENCES `xlite_product_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_attribute_groups` VALUES (1,2,10),(2,2,20),(3,2,30);
CREATE TABLE `xlite_coupons` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` char(16) COLLATE utf8_unicode_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `value` decimal(14,4) NOT NULL,
  `type` char(1) COLLATE utf8_unicode_ci NOT NULL,
  `comment` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `uses` int(10) unsigned NOT NULL,
  `dateRangeBegin` int(10) unsigned NOT NULL,
  `dateRangeEnd` int(10) unsigned NOT NULL,
  `totalRangeBegin` decimal(14,4) NOT NULL,
  `totalRangeEnd` decimal(14,4) NOT NULL,
  `usesLimit` int(10) unsigned NOT NULL,
  `usesLimitPerUser` int(10) unsigned NOT NULL,
  `singleUse` tinyint(1) NOT NULL,
  `specificProducts` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ce` (`code`,`enabled`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_temporary_videos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_menus` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned DEFAULT NULL,
  `link` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lpos` int(11) NOT NULL,
  `rpos` int(11) NOT NULL,
  `depth` int(11) NOT NULL,
  `type` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `visibleFor` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_AC666883727ACA70` (`parent_id`),
  KEY `enabled` (`enabled`,`type`),
  KEY `position` (`position`),
  CONSTRAINT `FK_AC666883727ACA70` FOREIGN KEY (`parent_id`) REFERENCES `xlite_menus` (`id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_menus` VALUES (1,2,'{home}',2,3,0,'P',100,1,'AL'),(2,NULL,'link',1,56,-1,'P',0,1,'AL'),(3,2,'{my account}',4,9,0,'P',600,1,'L'),(4,3,'?target=order_list',5,6,1,'P',100,1,'L'),(5,3,'?target=address_book',7,8,1,'P',200,1,'L'),(6,2,'shipping',10,11,0,'P',200,1,'AL'),(7,2,'{new arrivals}',12,13,0,'P',400,1,'AL'),(8,2,'{coming soon}',14,15,0,'P',500,1,'AL'),(9,2,NULL,16,23,0,'P',150,1,'AL'),(10,9,'{sale}',17,18,1,'P',100,1,'AL'),(11,9,'{bestsellers}',19,20,1,'P',200,1,'AL'),(12,9,'?target=special_offers',21,22,1,'P',300,0,'AL'),(13,2,'{contact us}',24,25,0,'P',700,1,'AL'),(14,2,NULL,26,33,0,'F',200,1,'AL'),(15,14,'{sale}',27,28,1,'F',100,1,'AL'),(16,14,'{coming soon}',29,30,1,'F',200,1,'AL'),(17,14,'{new arrivals}',31,32,1,'F',300,1,'AL'),(18,2,NULL,34,41,0,'F',300,1,'AL'),(19,18,'shipping',35,36,1,'F',100,1,'AL'),(20,18,'?target=map',37,38,1,'F',200,1,'AL'),(21,18,'terms-and-conditions',39,40,1,'F',300,1,'AL'),(22,2,NULL,42,47,0,'F',400,1,'AL'),(23,22,'shipping',43,44,1,'F',100,1,'AL'),(24,22,'{contact us}',45,46,1,'F',200,1,'AL'),(25,2,NULL,48,55,0,'F',500,1,'L'),(26,25,'?target=address_book',49,50,1,'F',100,1,'L'),(27,25,'?target=order_list',51,52,1,'F',200,1,'L'),(28,25,'?target=profile',53,54,1,'F',300,1,'L');
CREATE TABLE `xlite_page_images` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `page_id` int(10) unsigned DEFAULT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `hash` char(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `needProcess` tinyint(1) NOT NULL,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `UNIQ_ABDA1565C4663E4` (`page_id`),
  CONSTRAINT `FK_ABDA1565C4663E4` FOREIGN KEY (`page_id`) REFERENCES `xlite_pages` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_roles` VALUES (1,1),(2,1),(3,1),(4,1),(5,1);
CREATE TABLE `xlite_notification_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `customerSubject` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `customerText` longtext COLLATE utf8_unicode_ci NOT NULL,
  `adminSubject` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `adminText` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_3F6179FEBF396750` FOREIGN KEY (`id`) REFERENCES `xlite_notifications` (`templatesDirectory`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_notification_translations` VALUES (1,'failed_admin_login','Failed admin login','The notification is sent to the email address of the admin user for whose account failed login attempts have been detected several times in a row. A copy of the message is also sent to the store’s super admin user.','','','Knock-knock. Forgot your password?','<h3 dir=\"ltr\">Hey there,</h3><p dir=\"ltr\">Someone is trying to break into your admin account.&nbsp;</p><p dir=\"ltr\">Is that you? Ok, then. You can reset the forgotten password <a href=\"%reset_link%\">here</a>.</p><p dir=\"ltr\">If you didn&rsquo;t mean to reset your password, then you can safely ignore this message. Your password will not change. Just make sure it&rsquo;s secure enough. &nbsp;</p>','en'),(2,'failed_transaction','Payment declined','This notification is sent to the administrator if payment transaction was failed','','','Payment was declined','<p dir=\"ltr\">One of your customers was about to make a purchase, but your payment processor failed to charge his card for some reason.&nbsp;</p><p dir=\"ltr\">%dynamic_message%</p><p dir=\"ltr\">Wonder why it may have happened? It&rsquo;s likely that your customer entered a wrong card number, password or CVC, had no money on his card, closed his browser by mistake or just fleeted away.</p><p dir=\"ltr\">It may be a good idea to contact him and offer your help.</p>','en'),(3,'low_limit_warning','Low limit warning','This message is used to notify the administrator when the stock level of a product reaches the low stock limit as specified in the product details.','','','You are running out of %product_name%','<h3 dir=\"ltr\">Heads-up, </h3><p dir=\"ltr\">I see that some of your products are about to run out of stock.&nbsp;</p><p dir=\"ltr\">%dynamic_message%</p><p dir=\"ltr\">According to our stats you&rsquo;ll sell the last item by %latest_sale_date%. So it&rsquo;s high time to replenish them. You are not going to sell fresh air, are you?</p>','en'),(4,'backorder_created','Backordered item in the order','This notification is sent to the administrator if one or more products in a customer\'s order are out of stock at the time of order placement.','','','A new backorder %backordered_item_names%','<p dir=\"ltr\">A customer has just bought one or more items that are out of stock at the moment. It is time to replenish your supplies.&nbsp;</p><p dir=\"ltr\"><a href=\"%order_link%\">Check the order #%order_number%</a></p>','en'),(5,'order_changed','Order changed','This notification is sent when the status of an order is updated - in the event that no other type of notification is sent.','Order #%order_number% is changed','<p dir=\"ltr\">As previously agreed, we&rsquo;ve changed your order. Here is a new invoice for you, fresh and updated. Check it out to make sure that nothing is missing.</p>','Order #%order_number% is changed','<p dir=\"ltr\">I&rsquo;ve saved all your order changes just in case you might need them in future. Please, take a look and make sure that everything is ok.</p>','en'),(6,'order_canceled','Order canceled','This notification is sent when an order gets the status Canceled.','Order #%order_number% is canceled','<h3 dir=\"ltr\">Hi %recipient_name%,</h3><p dir=\"ltr\">We had to cancel your order. If that was you who initiated the cancellation, please tell us where we failed and let us at least try to make up for our faults. For any questions and feedback, just hit &#39;Reply&#39;.</p>','Order #%order_number% is canceled','<p dir=\"ltr\">I&rsquo;m sorry to see that you had to cancel the order. Hope your customer will change his mind and end up buying from you soon. I&rsquo;ll keep my fingers crossed.</p>','en'),(7,'order_created','Order created','This notification is sent when a new order is created.','Order #%order_number% is received','<p dir=\"ltr\">Thank you for shopping with us!&nbsp;</p><p dir=\"ltr\">This is just a quick note to let you know that we&rsquo;ve received your order and we will process it as soon as we can. We will keep you updated on the status of your order.&nbsp;</p>','You’ve got a new order #%order_number% for %order_total%','<p dir=\"ltr\">There’s a new order for you. Go ahead, show your customer you care and process the order ASAP.</p>','en'),(8,'order_failed','Order declined','This notification is sent when an order gets the status Declined.','Order #%order_number% is declined','<h3 dir=\"ltr\">Hi %recipient_name%,</h3><p dir=\"ltr\">Something went wrong and %payment_method_name% failed to charge your credit card.&nbsp;</p><p dir=\"ltr\">If everything seems alright on your side and you are eager to proceed with the purchase, please reply back. We&rsquo;ll try to find out what&rsquo;s up.</p>','Order #%order_number% is declined','<p dir=\"ltr\">I see that your order was declined by %payment_method_name%. It may be a good idea to contact your customer and offer your help.</p>','en'),(9,'order_processed','Order processed','This notification is sent when an order gets the status Paid.','Order #%order_number% is paid (yay!)','<h2 dir=\"ltr\">%recipient_name%, your order has been paid successfully.</h2><h3 dir=\"ltr\">And we are just as excited as you are</h3><p dir=\"ltr\"><br>Take a look below for all the confirmation details you&rsquo;ll need.</p>','Order #%order_number% is paid','<p dir=\"ltr\">Your order has been processed. Way to go!</p>','en'),(10,'order_shipped','Order shipped','This notification is sent to the customer when an order gets the status Shipped.','Order #%order_number% is shipped','<h2 dir=\"ltr\">Bingo %recipient_name%!</h2><h3 dir=\"ltr\">Your item is on its way to your doorstep</h3><p dir=\"ltr\"><br>We&rsquo;ve packed your order and sent it off on a journey to your place. The delivery shouldn&rsquo;t take much time as we turbo-charged our van, so it gets to you extra fast.</p><p dir=\"ltr\">%dynamic_message%</p><p dir=\"ltr\">If you have any questions feel free to get in touch. We are always here and super happy to help you.</p>','','','en'),(11,'order_tracking_information','Order tracking information','This notification is sent to the customer when an administrator clicks the \"Send tracking information to customer\" button.','Order #%order_number% tracking information','<p dir=\"ltr\">We&rsquo;ve sent your parcel off on a journey to your porch via %shipping_method_name%.&nbsp;</p><p dir=\"ltr\">Below you&rsquo;ll find shipping details and a handy tracking link you can use to follow your order&rsquo;s trip to your door.</p><p dir=\"ltr\">%dynamic_message%</p><p dir=\"ltr\">Don&#39;t worry if the order tracking doesn&#39;t work right away. It may take some time to have this information available.</p>','','','en'),(12,'order_waiting_for_approve','Order awaiting for approval','This notification is sent to the customer when an order gets the status Waiting for approve.','Order #%order_number% is waiting for approval','<h3 dir=\"ltr\">Hi %recipient_name%,</h3><p dir=\"ltr\">Thank you for shopping on %company_name%!&nbsp;</p><p dir=\"ltr\">Our financial team needs some time to manually review your order.</p><p dir=\"ltr\">Please wait for a couple of hours and take another look at your inbox. There should be one more email ready and waiting.</p>','','','en'),(13,'profile_created','User profile created','This notification is sent when a new customer profile is created.','Welcome to %company_name%!','<h3 dir=\"ltr\">Welcome to %company_name%!</h3><p dir=\"ltr\">The world of online shopping is now at your fingertips</p><p dir=\"ltr\">We&rsquo;ve created an account for you. There you will find:</p><ul><li dir=\"ltr\">all your previous (yes, we&rsquo;ve saved them all!) and future orders;</li><li dir=\"ltr\">addresses in case you need to get things delivered to different places;</li><li dir=\"ltr\">profile details, where you can edit your login and password.</li><li dir=\"ltr\">messages you&rsquo;ve ever sent or received from us;</li></ul><p>Sign in to <a href=\"%sign_in_url%\">your account</a> to start using all these features. And if you have any questions, just reply back.&nbsp;</p>','Great! You\'ve got a new customer','<p>One more customer has just signed up: %customer_email%. Looks like your business is growing :)</p>','en'),(14,'profile_deleted','User profile deleted','This notification is sent to the administrator when a customer profile is deleted.','','','Oops.. one customer less','<p dir=\"ltr\">One of your customers has just silently deleted his profile: %deleted_profile%</p><p dir=\"ltr\">Make sure you no longer keep his personal data anywhere in your database</p>','en'),(15,'recover_password_request','Password reset request','This notification is sent to the user when a password reset is requested for their account.','Password reset request','<p dir=\"ltr\">We&rsquo;ve received a request to reset your forgotten password.</p><p dir=\"ltr\">If you didn&rsquo;t ask for it, good, there&rsquo;s nothing else you need to do. Just safely ignore this message.&nbsp;</p><p>Otherwise, please <a href=\"%recover_url%\">click here to change your password</a> right away.</p>','Password reset request','<p dir=\"ltr\">I&rsquo;ve received a request to reset your forgotten password.</p><p dir=\"ltr\">If you didn&rsquo;t make this request, good, there&rsquo;s nothing else you need to do. Just safely ignore this message.&nbsp;</p><p>Otherwise, please <a href=\"%recover_url%\">click here to change your password</a> right away.</p>','en'),(16,'register_anonymous','User account created for guest buyer based on order info','This notification is sent to the customer when a customer profile is created for them by the store administrator based on a previously created order.','Welcome to %company_name%!','<h2 dir=\"ltr\">Thank you for shopping with us, %recipient_name%!&nbsp;</h2><p dir=\"ltr\"><br>We noticed that you&rsquo;ve made a purchase using our guest checkout. It looks like you are too pressed for time to create an account in our store. No problem. We did it for you:</p><p dir=\"ltr\">Email: <strong>%customer_email%</strong><br>Password: <strong>%customer_password%</strong></p><p dir=\"ltr\">There you will find all your previous (yes, we&rsquo;ve saved them all!) and future orders, addresses, messages, and profile details, where you can change your password at any time.</p><p dir=\"ltr\">If you need any help, just reply back.&nbsp;</p>','','','en'),(17,'access_link','Access link re-sent','This notification is sent to the guest buyer when they request a new link for access to information about their order after an access link issued to them previously has expired.','New access link','','','','en'),(18,'modules/CDev/ContactUs/message','Contact us form submitted (Contact us module)','This notification is sent to the administrator when someone submits a request via the \"Contact us\" form.','','','New message: %message_subject%','<h3 dir=\"ltr\">Hey, </h3><p dir=\"ltr\">%message_author% has sent you a message through the &ldquo;Contact us&rdquo; form and is waiting for your answer. Come on, reply to this email and drop him a line or two.</p><blockquote><p dir=\"ltr\">%message%</p></blockquote>','en'),(19,'modules/CDev/ContactUs/message','Заполнена форма для связи с администрацией магазина (модуль Contact us)','Данное сообщение используется для оповещения администратора в случае поступления в адрес магазина обращения через форму для связи с администрацией.','','','Поступило обращение через форму для связи с администрацией магазина','','ru'),(20,'modules/CDev/Egoods/egoods_links','E-goods download links (E-goods module)','This notification is sent to the customer when their order containing egoods gets the status Paid.','Download your e-goods','<h2 dir=\"ltr\">Your order is ready, %recipient_name%!</h2><h3 dir=\"ltr\">And we are just as excited as you are<br><br></h3><p dir=\"ltr\">Take a look below for the files you&rsquo;ve just purchased:</p><p dir=\"ltr\">%dynamic_message%</p><p dir=\"ltr\">And if something is not working, feel free to contact us.</p>','','','en'),(21,'modules/CDev/Egoods/egoods_links','Ссылки для скачивания файлов (модуль E-goods)','Данное сообщение отправляется покупателю, когда размещенный им заказ, содержащий электронные товары, получает статус \"Оплачен\".','Ваши ссылки для скачивания файлов','Благодарим Вас за своевременную оплату заказа. Файлы приобретенных Вами товаров могут быть загружены по следующим ссылкам:','','','ru'),(22,'modules/XC/CanadaPost/return_approved','Return request approved (Canada Post module)','This notification is sent to the customer if their request to return a product via Canada Post is approved by the administrator.','Order #%order_number%: Return request approved','<p dir=\"ltr\">It&rsquo;s a pity to know that our products didn&rsquo;t sit well with you for some reason.&nbsp;</p><p dir=\"ltr\">%dynamic_message%</p><p dir=\"ltr\">Anyway, we are ready to take the items back for a full refund. Please, <a href=\"https://www.canadapost.ca/web/en/kb/details.page?article=how_do_i_return_a_re&cattype=kb&cat=atthepostoffice&subcat=services\">ship the package back to our office</a> using the parcel service that best meets your needs.&nbsp;</p><p dir=\"ltr\">Feel free to contact us if you have any questions.</p>','','','en'),(23,'modules/XC/CanadaPost/return_approved','Запрос на возврат товара одобрен (модуль Canada Post)','Данное сообщение отправляется покупателю в случае, если его запрос на возврат товара с пересылкой службой Canada Post получает одобрение администратора.','Ваш запрос на возврат товара одобрен','Ваш запрос на возврат товара одобрен','','','ru'),(24,'modules/XC/CanadaPost/return_rejected','Return request rejected (Canada Post module)','This notification is sent to the customer if their request to return a product via Canada Post is rejected by the administrator.','Order #%order_number%: Return request rejected','<h3 dir=\"ltr\">Hello %recipient_name%,</h3><p dir=\"ltr\">We are awfully sorry, but we cannot take your products back and make a refund according to our money back policy.</p><p dir=\"ltr\">%dynamic_message%</p><p dir=\"ltr\">Please contact us if you have any questions.</p>','','','en'),(25,'modules/XC/CanadaPost/return_rejected','Запрос на возврат товара отклонен (модуль Canada Post)','Данное сообщение отправляется покупателю в случае, если его запрос на возврат товара с пересылкой службой Canada Post отклоняется администратором.','Ваш запрос на возврат товара отклонен','Ваш запрос на возврат товара отклонен','','','ru'),(26,'modules/XC/Reviews/new_review','New product review submitted - (Product Reviews module)','This message is used to notify the administrator when a customer submits a new product review.','','','New review for ‘%product_name%’','<p dir=\"ltr\">%author_name% has just rated your &quot;%product_name%&quot; and left a review for you.</p><p dir=\"ltr\">%dynamic_message%</p><blockquote><p dir=\"ltr\">%review%</p></blockquote><p dir=\"ltr\">Follow <a href=\"%product_link%\">this link</a> to approve or remove this review. And don&rsquo;t forget to reply to your customer &mdash; we all love to be heard ;)</p>','en'),(27,'modules/XC/Reviews/new_review','Получен новый отзыв о товаре - (модуль Product Reviews)','Данное сообщение используется для уведомления администратора о том, что клиент оставил отзыв о каком-либо товаре.','','','Получен новый отзыв о товаре','','ru'),(28,'modules/XC/Reviews/review_key','Request to review purchased products - (Product Reviews module)','This message is used to invite customers to leave feedback on the products they have purchased.','Order #%order_number%: Please, review','<p>Thank you for purchasing our products!</p><p>We hope you love them. And if you really do, please take a minute to review your order to let others know that we care about delivering the best quality.</p><p>%dynamic_message%</p>','','','en'),(29,'modules/XC/Reviews/review_key','Приглашение оставить отзыв на купленные товары - (модуль Product Reviews)','Данное сообщение используется для отправки покупателю приглашения оставить отзыв о купленных им товарах.','Пожалуйста, оставьте отзыв о купленных товарах','','','','ru'),(30,'modules/XC/VendorMessages/notification','Order message (Order messages module)','This message will be sent to user who involved to the conversation when a new message appears in the communication thread regarding an order','Order #%order_number%: new message','<p dir=\"ltr\">I see there&rsquo;s a new message in your account. It&rsquo;s about the order <a href=\"%order_link%\">#%order_number%</a>, and it is waiting for your reply.&nbsp;</p><blockquote><p dir=\"ltr\">%message%</p></blockquote>','','','en'),(31,'modules/XC/VendorMessages/notification','Новое сообщение по заказу (модуль Order messages)','Это уведомление будет отправлено покупателю, когда в контексте сделанного им заказа появится новое сообщение','Новое сообщение по заказу №%order_number%','%company_link%\n<p>\nВы получили новое сообщение по заказу %order_messages_link%:\n</p>\n<p>\n%message%\n</p>\n','','','ru'),(32,'modules/XC/VendorMessages/new_message_notification','New message (Order messages module)','This message will be sent to customer when a new message appears in the conversation','New message in conversation','<p>You&#39;ve got a new message in %conversation_link%</p><blockquote><p>%message%</p></blockquote>','','','en'),(33,'modules/XC/VendorMessages/new_message_notification','Новое сообщение (модуль Order messages)','Это уведомление будет отправлено покупателю, когда в разговоре появится новое сообщение','Новое сообщение в разговоре','%company_link%\n<p>\nВы получили новое сообщение в %conversation_link%\n</p>\n<p>\n%message%\n</p>\n','','','ru');
CREATE TABLE `xlite_content_videos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `path` varchar(512) COLLATE utf8_unicode_ci NOT NULL,
  `fileName` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `mime` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `storageType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `size` int(10) unsigned NOT NULL,
  `date` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_pages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `useCustomOG` tinyint(1) NOT NULL,
  `ogMeta` longtext COLLATE utf8_unicode_ci,
  `showSocialButtons` tinyint(1) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `metaDescType` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `enabled` (`enabled`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_pages` VALUES (1,0,'',0,1,'A',0),(2,0,'',0,1,'A',0);
CREATE TABLE `xlite_product_membership_links` (
  `product_id` int(10) unsigned NOT NULL,
  `membership_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`product_id`,`membership_id`),
  KEY `IDX_E924C4344584665A` (`product_id`),
  KEY `IDX_E924C4341FB354CD` (`membership_id`),
  CONSTRAINT `FK_E924C4341FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_E924C4344584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_usps_shipment` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `transactionId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `requestData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `responseData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `printDate` int(11) NOT NULL,
  `price` decimal(14,4) NOT NULL,
  `shipmentId` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `trackingNumber` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `trackingData` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  `labelURL` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `labelContent` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`),
  KEY `IDX_9426ED218D9F6D38` (`order_id`),
  CONSTRAINT `FK_9426ED218D9F6D38` FOREIGN KEY (`order_id`) REFERENCES `xlite_orders` (`order_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_category_class_links` (
  `category_id` int(10) unsigned NOT NULL,
  `class_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`category_id`,`class_id`),
  KEY `IDX_3F5DB31312469DE2` (`category_id`),
  KEY `IDX_3F5DB313EA000B10` (`class_id`),
  CONSTRAINT `FK_3F5DB31312469DE2` FOREIGN KEY (`category_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_3F5DB313EA000B10` FOREIGN KEY (`class_id`) REFERENCES `xlite_product_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_capost_delivery_services` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `countryCode` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `expiry` int(10) unsigned NOT NULL,
  `maxWeight` int(11) NOT NULL,
  `minWeight` int(11) NOT NULL,
  `maxLength` decimal(11,1) NOT NULL,
  `minLength` decimal(11,1) NOT NULL,
  `maxWidth` decimal(11,1) NOT NULL,
  `minWidth` decimal(11,1) NOT NULL,
  `maxHeight` decimal(11,1) NOT NULL,
  `minHeight` decimal(11,1) NOT NULL,
  `lengthPlusGirthMax` decimal(11,1) DEFAULT NULL,
  `lengthHeightWidthSumMax` decimal(11,1) DEFAULT NULL,
  `oversizeLimit` decimal(11,1) DEFAULT NULL,
  `densityFactor` int(11) DEFAULT NULL,
  `canShipInMailingTube` tinyint(1) NOT NULL,
  `canShipUnpackaged` tinyint(1) NOT NULL,
  `allowedAsReturnService` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `code_country` (`code`,`countryCode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_permission_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_98B75E86BF396750` (`id`),
  CONSTRAINT `FK_98B75E86BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_permission_translations` VALUES (1,1,'Root access','','en'),(2,2,'Manage catalog','','en'),(3,3,'Manage front page','','en'),(4,4,'Manage users','','en'),(5,5,'Manage administrators','','en'),(6,6,'Manage orders','','en'),(7,7,'Manage import','','en'),(8,8,'Manage export','','en'),(9,9,'Manage banners','','en'),(10,10,'Allow unfiltered HTML','','en'),(11,11,'Manage coupons','','en'),(12,11,'Управление купонами','','ru'),(13,12,'Manage sale discounts','','en'),(14,12,'Управление скидками','','ru'),(15,13,'Manage custom pages','','en'),(16,14,'Manage menus','','en'),(17,15,'Manage volume discounts','','en'),(18,15,'Управление скидками','','ru'),(19,16,'Manage news','','en'),(20,16,'Управление новостями','','ru'),(21,17,'Manage reviews','','en'),(22,17,'Управление отзывами','','ru'),(23,18,'Manage conversations','','en'),(24,18,'Управление разговорами','','ru');
CREATE TABLE `xlite_category_products` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(10) unsigned DEFAULT NULL,
  `product_id` int(10) unsigned DEFAULT NULL,
  `orderby` int(11) NOT NULL,
  `orderbyInProduct` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `pair` (`category_id`,`product_id`),
  KEY `IDX_7121122812469DE2` (`category_id`),
  KEY `IDX_712112284584665A` (`product_id`),
  KEY `orderby` (`orderby`),
  KEY `orderbyInProduct` (`orderbyInProduct`),
  CONSTRAINT `FK_7121122812469DE2` FOREIGN KEY (`category_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_712112284584665A` FOREIGN KEY (`product_id`) REFERENCES `xlite_products` (`product_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_category_products` VALUES (1,3,7,0,0),(2,3,12,0,0),(3,3,13,0,0),(4,3,14,0,0),(5,3,15,0,0),(6,3,16,0,0),(7,3,17,0,0),(8,3,18,0,0),(9,3,19,0,0),(10,3,20,0,0),(11,4,2,0,0),(12,4,3,0,0),(13,4,4,0,0),(14,4,5,0,0),(15,4,6,0,0),(16,4,8,0,0),(17,4,9,0,0),(18,4,10,0,0),(19,4,11,0,0),(20,5,21,0,0),(21,5,22,0,0),(22,5,23,0,0),(23,5,24,0,0),(24,5,25,0,0),(25,5,26,0,0),(26,7,36,0,0),(27,7,37,0,0),(28,7,38,0,0),(29,7,39,0,0),(30,7,40,0,0),(31,7,41,0,0),(32,8,50,0,0),(33,8,47,0,0),(34,8,43,0,0),(35,8,49,0,0),(36,8,48,0,0),(37,8,42,0,0),(38,8,45,0,0),(39,8,44,0,0),(40,8,46,0,0),(41,6,36,0,0),(42,6,37,0,0),(43,6,38,0,0),(44,6,39,0,0),(45,6,42,0,0),(46,6,44,0,0),(47,6,45,0,0),(48,6,46,0,0),(49,6,47,0,0),(50,6,48,0,0),(51,6,49,0,0),(52,6,50,0,0),(53,10,33,0,0),(54,10,32,0,0),(55,10,30,0,0),(56,11,27,0,0),(57,11,28,0,0),(58,11,29,0,0),(59,12,31,0,0),(60,12,34,0,0),(61,12,35,0,0),(62,9,28,0,0),(63,9,30,0,0),(64,9,31,0,0),(65,9,33,0,0),(66,9,34,0,0),(67,9,35,0,0);
CREATE TABLE `xlite_coupon_categories` (
  `coupon_id` int(10) unsigned NOT NULL,
  `category_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`coupon_id`,`category_id`),
  KEY `IDX_2EB1BB6066C5951B` (`coupon_id`),
  KEY `IDX_2EB1BB6012469DE2` (`category_id`),
  CONSTRAINT `FK_2EB1BB6012469DE2` FOREIGN KEY (`category_id`) REFERENCES `xlite_categories` (`category_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_2EB1BB6066C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xlite_coupons` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_mailchimp_lists` (
  `id` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `date_created` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `date_updated` int(11) NOT NULL,
  `list_rating` decimal(3,2) NOT NULL,
  `subscribe_url_short` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `subscribe_url_long` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `member_count` int(11) NOT NULL,
  `open_rate` decimal(5,2) NOT NULL,
  `click_rate` decimal(5,2) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  `subscribeByDefault` tinyint(1) NOT NULL,
  `isRemoved` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_attribute_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `unit` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_8BBAD04BBF396750` FOREIGN KEY (`id`) REFERENCES `xlite_attributes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_attribute_translations` VALUES (1,1,'Size','','en'),(50,50,'Manufacturer','','en'),(51,1,'Размер','','ru'),(100,50,'Производитель','','ru'),(141,71,'Capacity, GB','','en'),(142,72,'Chip','','en'),(143,73,'Color','','en'),(144,74,'Sim card','','en'),(145,75,'Display type','','en'),(146,76,'Dimension, inches','','en'),(147,77,'Resolution','','en'),(148,78,'Battery type','','en'),(149,79,'Talk time','','en'),(150,80,'Standby time','','en'),(151,81,'Video playback','','en'),(152,82,'Audio playback','','en'),(153,83,'GSM model','','en'),(154,84,'Wi-Fi','','en'),(155,85,'Bluetooth','','en'),(156,86,'GPS','','en'),(159,73,'Цвет','','ru'),(160,71,'Объем памяти, Гб','','ru'),(161,72,'Процессор','','ru'),(162,74,'Тип Sim-карты','','ru'),(163,75,'Тип дисплея','','ru'),(164,76,'Диагональ в дюймах','','ru'),(165,77,'Разрешение','','ru'),(166,78,'Тип аккумулятора','','ru'),(167,79,'Работа в режиме разговора','','ru'),(168,80,'Работа в режиме ожидания','','ru'),(169,81,'Работа в режиме проигрывания видео','','ru'),(170,82,'Работа в режиме проигрывания аудио','','ru'),(171,83,'Тип GSM','','ru'),(172,84,'Тип Wi-Fi','','ru'),(173,85,'Bluetooth','','ru'),(174,86,'GPS','','ru'),(181,94,'Size','','en'),(182,95,'Color','','en'),(183,96,'Size','','en'),(186,99,'Size','','en'),(187,94,'Размер','','ru');
CREATE TABLE `xlite_order_capost_parcel_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `amount` int(11) NOT NULL,
  `parcelId` int(11) DEFAULT NULL,
  `orderItemId` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `IDX_18699C805A9ACC87` (`parcelId`),
  KEY `IDX_18699C80BBF22A26` (`orderItemId`),
  CONSTRAINT `FK_18699C805A9ACC87` FOREIGN KEY (`parcelId`) REFERENCES `xlite_order_capost_parcels` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_18699C80BBF22A26` FOREIGN KEY (`orderItemId`) REFERENCES `xlite_order_items` (`item_id`) ON DELETE SET NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_tax_class_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(10) unsigned DEFAULT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `ci` (`code`,`id`),
  KEY `id` (`id`),
  CONSTRAINT `FK_95C1403BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_tax_classes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_event_tasks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(128) COLLATE utf8_unicode_ci NOT NULL,
  `arguments` longtext COLLATE utf8_unicode_ci NOT NULL COMMENT '(DC2Type:array)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_membership_coupons` (
  `coupon_id` int(10) unsigned NOT NULL,
  `membership_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`coupon_id`,`membership_id`),
  KEY `IDX_560DE2166C5951B` (`coupon_id`),
  KEY `IDX_560DE211FB354CD` (`membership_id`),
  CONSTRAINT `FK_560DE211FB354CD` FOREIGN KEY (`membership_id`) REFERENCES `xlite_memberships` (`membership_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_560DE2166C5951B` FOREIGN KEY (`coupon_id`) REFERENCES `xlite_coupons` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
CREATE TABLE `xlite_language_translations` (
  `label_id` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) DEFAULT NULL,
  `name` varchar(64) COLLATE utf8_unicode_ci NOT NULL,
  `code` char(2) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`label_id`),
  KEY `IDX_610C29E2BF396750` (`id`),
  KEY `ci` (`code`,`id`),
  CONSTRAINT `FK_610C29E2BF396750` FOREIGN KEY (`id`) REFERENCES `xlite_languages` (`lng_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
INSERT INTO `xlite_language_translations` VALUES (1,1,'Afar','en'),(2,2,'Abkhazian','en'),(3,3,'Afrikaans','en'),(4,4,'Akan','en'),(5,5,'Albanian','en'),(6,6,'Amharic','en'),(7,7,'Arabic','en'),(8,8,'Aragonese','en'),(9,9,'Armenian','en'),(10,10,'Assamese','en'),(11,11,'Avaric','en'),(12,12,'Avestan','en'),(13,13,'Aymara','en'),(14,14,'Azerbaijani','en'),(15,15,'Bashkir','en'),(16,16,'Bambara','en'),(17,17,'Basque','en'),(18,18,'Belarusian','en'),(19,19,'Bengali','en'),(20,20,'Bihari','en'),(21,21,'Bislama','en'),(22,22,'Bosnian','en'),(23,23,'Brazilian Portuguese','en'),(24,24,'British','en'),(25,25,'Bulgarian','en'),(26,26,'Burmese','en'),(27,27,'Catalan','en'),(28,28,'Chamorro','en'),(29,29,'Chechen','en'),(30,30,'Chinese','en'),(31,31,'Church Slavic','en'),(32,32,'Chuvash','en'),(33,33,'Cornish','en'),(34,34,'Corsican','en'),(35,35,'Cree','en'),(36,36,'Czech','en'),(37,37,'Danish','en'),(38,38,'Divehi','en'),(39,39,'Dutch','en'),(40,40,'Dzongkha','en'),(41,41,'English','en'),(42,42,'Esperanto','en'),(43,43,'Estonian','en'),(44,44,'Ewe','en'),(45,45,'Faroese','en'),(46,46,'Fijian','en'),(47,47,'Finnish','en'),(48,48,'French','en'),(49,49,'Western Frisian','en'),(50,50,'Fulah','en'),(51,51,'Georgian','en'),(52,52,'German','en'),(53,53,'Gaelic','en'),(54,54,'Irish','en'),(55,55,'Galician','en'),(56,56,'Manx','en'),(57,57,'Greek','en'),(58,58,'Guarani','en'),(59,59,'Gujarati','en'),(60,60,'Haitian','en'),(61,61,'Hausa','en'),(62,62,'Hebrew','en'),(63,63,'Herero','en'),(64,64,'Hindi','en'),(65,65,'Hiri Motu','en'),(66,66,'Croatian','en'),(67,67,'Hungarian','en'),(68,68,'Igbo','en'),(69,69,'Icelandic','en'),(70,70,'Ido','en'),(71,71,'Sichuan Yi','en'),(72,72,'Inuktitut','en'),(73,73,'Interlingue','en'),(74,74,'Interlingua','en'),(75,75,'Indonesian','en'),(76,76,'Inupiaq','en'),(77,77,'Italian','en'),(78,78,'Javanese','en'),(79,79,'Japanese','en'),(80,80,'Kalaallisut','en'),(81,81,'Kannada','en'),(82,82,'Kashmiri','en'),(83,83,'Kanuri','en'),(84,84,'Kazakh','en'),(85,85,'Khmer or Cambodian','en'),(86,86,'Kikuyu','en'),(87,87,'Kinyarwanda','en'),(88,88,'Kirghiz','en'),(89,89,'Komi','en'),(90,90,'Kongo','en'),(91,91,'Korean','en'),(92,92,'Kuanyama','en'),(93,93,'Kurdish','en'),(94,94,'Lao','en'),(95,95,'Latin','en'),(96,96,'Latvian','en'),(97,97,'Limburgan','en'),(98,98,'Lingala','en'),(99,99,'Lithuanian','en'),(100,100,'Luxembourgish','en'),(101,101,'Luba-Katanga','en'),(102,102,'Ganda','en'),(103,103,'Macedonian','en'),(104,104,'Marshallese','en'),(105,105,'Malayalam','en'),(106,106,'Maori','en'),(107,107,'Marathi','en'),(108,108,'Malay','en'),(109,109,'Malagasy','en'),(110,110,'Maltese','en'),(111,111,'Mongolian','en'),(112,112,'Nauru','en'),(113,113,'Navajo','en'),(114,114,'Ndebel','en'),(115,115,'Ndebel','en'),(116,116,'Ndonga','en'),(117,117,'Nepali','en'),(118,118,'Norwegian','en'),(119,119,'Chichewa','en'),(120,120,'Occitan','en'),(121,121,'Ojibwa','en'),(122,122,'Oriya','en'),(123,123,'Oromo','en'),(124,124,'Ossetian','en'),(125,125,'Panjabi','en'),(126,126,'Persian','en'),(127,127,'Pali','en'),(128,128,'Polish','en'),(129,129,'Portuguese','en'),(130,130,'Pushto','en'),(131,131,'Quechua','en'),(132,132,'Romansh','en'),(133,133,'Romanian','en'),(134,134,'Rundi','en'),(135,135,'Russian','en'),(136,136,'Sango','en'),(137,137,'Sanskrit','en'),(138,138,'Sinhala','en'),(139,139,'Slovak','en'),(140,140,'Slovenian','en'),(141,141,'Northern Sami','en'),(142,142,'Samoan','en'),(143,143,'Shona','en'),(144,144,'Sindhi','en'),(145,145,'Somali','en'),(146,146,'Soth','en'),(147,147,'Spanish','en'),(148,148,'Sardinian','en'),(149,149,'Serbian','en'),(150,150,'Swati','en'),(151,151,'Sundanese','en'),(152,152,'Swahili','en'),(153,153,'Swedish','en'),(154,154,'Tahitian','en'),(155,155,'Tamil','en'),(156,156,'Tatar','en'),(157,157,'Telugu','en'),(158,158,'Tajik','en'),(159,159,'Tagalog','en'),(160,160,'Thai','en'),(161,161,'Tibetan','en'),(162,162,'Tigrinya','en'),(163,163,'Tonga','en'),(164,164,'Tswana','en'),(165,165,'Tsonga','en'),(166,166,'Turkmen','en'),(167,167,'Turkish','en'),(168,168,'Twi','en'),(169,169,'Uighur','en'),(170,170,'Ukrainian','en'),(171,171,'Urdu','en'),(172,172,'Uzbek','en'),(173,173,'Venda','en'),(174,174,'Vietnamese','en'),(175,175,'Welsh','en'),(176,176,'Walloon','en'),(177,177,'Wolof','en'),(178,178,'Xhosa','en'),(179,179,'Yiddish','en'),(180,180,'Yoruba','en'),(181,181,'Zhuang','en'),(182,182,'Zulu','en');
COMMIT;